<?php

class Front_controller extends CI_Controller{

    public function __construct()
    {
        parent::__construct();
        /*cache control*/
        //$this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
        //$this->output->set_header('Pragma: no-cache');
        

    }

    public function index(){ 
        $data['countries'] = $this->Home_model->countryList();
        $data['regions'] = $this->Front_model->getallregions();
        $this->load->view('front/index',$data);
    }

    public function country_details(){
        $id = $this->uri->segment(2);
        $data['esims'] = $this->Front_model->get_esims($id); 
        $data['geo_details'] = $this->Front_model->get_geography_details($id);
        $this->load->view('front/country_details',$data);
    }

    public function faq(){
        $this->load->view('front/faq');
    }
    
    public function termcondition(){
        $data['details'] = $this->Home_model->get_terms_condition();
        $this->load->view('front/termcondition',$data);
    }

    public function refundpolicy(){
        $data['details'] = $this->Home_model->get_refundpolicy();
        $this->load->view('front/refundpolicy',$data);
    }
    
    public function privacypolicy(){
        $data['details'] = $this->Home_model->get_privacypolicy();
        $this->load->view('front/privacy_policy',$data);
    }

    public function getPlanByCountry(){
        $id = $this->input->post('id');
        $result = $this->Home_model->plan_list_by_country($id);
        echo json_encode($result);
    }

    public function esimdevices(){
        $data['list'] = $this->Home_model->getEsimList();
        $this->load->view('front/esim_devices',$data);
    }

    public function registeruser(){
        $this->load->view('front/signup');
    }

    public function add_new_user(){
        $uploadedImage = "";
        if(!empty($_FILES['country_logo']['name'])){
                
                $config['upload_path']      = "assets/images/users";
                $config['allowed_types']    = "png|jpg|jpeg|gif";
                $config['encrypt_name']     =  true;
                $config['overwrite']        =  TRUE;
             
                $this->load->library('upload', $config);
                $this->upload->initialize($config);
                if(!$this->upload->do_upload('country_logo'))
                    {
                        $error  = array('error'  => $this->upload->display_errors());
                    }
                    else
                    {
                        $uploadedImage  = $this->upload->data('file_name');
                        //echo "ok"; print_r($uploadedImage);die;
                    }
        }
        $res = $this->Front_model->add_user($uploadedImage);
        echo json_encode($res);
    }

    public function authuser(){

        if(isset($this->session->userdata['id']))
        {
            redirect($_SERVER['HTTP_REFERER']);
            //$this->load->view('front/user/profile');
        }else{
            
            $res = $this->Front_model->check_user();
            echo json_encode($res);
        }
        
    }

    public function logout(){
        if($this->session->userdata('id')!=""){ 
            $result = $this->session->sess_destroy();
            if($result ==""){
            $this->session->set_flashdata('Success','You are Logout successfully.');
                redirect('index');
            }else{
                $this->session->set_flashdata('Error','An error occured. Please try again.');
                redirect($_SERVER['HTTP_REFERER']);
            }
        }else{
            redirect('index');
        }
    }

    public function profile(){
        $this->load->view('front/user/profile');
    }

    public function about(){
        $this->load->view('front/about');
    }

    public function contact(){
        $this->load->view('front/contact');
    }

    public function partner_with_us(){
        $this->load->view('front/partner_with_us');
    }

    public function cart(){
        if($this->session->userdata('id') !=""){
            $data['cart_list'] = $this->Front_model->getcartlist();
            $this->load->view('front/cart',$data);
        }else{
            redirect(base_url());
        }
        
    }

    public function remove_product_from_cart(){
        $result = $this->Front_model->remove_product_from_cart();
        echo json_encode($result);
    }

    public function update_cart(){
        $result = $this->Front_model->update_cart();
        echo json_encode($result);
    }

    public function search_data(){ 
       
        $result = $this->Front_model->search_data();
        echo json_encode($result);
    }

    public function addtocart(){ 
        $result = $this->Front_model->addtocart();
        echo json_encode($result);
    }

    public function getPlanDescription(){
        $result = $this->Front_model->getPlanDescription();
        echo json_encode($result);
    }
    
}


?>