<?php
defined('BASEPATH') OR exit('No direct script access allowed');
require_once('vendor/autoload.php');


class Payment_controller extends CI_Controller{

    function  __construct(){
		parent::__construct();
		
		// Load paypal library
		$this->load->library('Paypal_lib');
        $this->load->library('ciqrcode');
		if($this->session->userdata('id') == "" ){
            redirect(base_url());
        }
	}
    public function index(){
        
        $data['checkout_list'] = $this->Payment->getcheckoutlist();
        
        $this->load->view('payment/checkout',$data);
    }

    public function addtocheckout(){
        //$data['order_id'] = 'EOD_'.strtotime(date('Y-m-d h:i:s'));
        $cart = $this->Front_model->addtocart();
        $addToCheckout = $this->Payment->addToCheckout();
        echo json_encode($addToCheckout);
    }

    public function addtocheckout_withbuynow(){
       
        $addToCheckout = $this->Payment->addtocheckout_withbuynow();
        echo json_encode($addToCheckout);
    }

    public function gotoStripePayment(){
        
        $checkout_details = $this->Payment->getCheckoutData($this->uri->segment('2'));
        
        if($checkout_details!= ""){

        
            $stripe = new \Stripe\StripeClient("sk_test_51MYYbMSDn1y2MgdvFRrJhoagzXTBrA8xIV0Sy9lt480lkUC5jSGbInR54hdhUZ6P98fTsyvyPYDyY1XZNchQd1pV00bsulvSWO");
            $total = $checkout_details->ch_total + ($checkout_details->ch_total*0.05);
            $checkout_session = $stripe->checkout->sessions->create([
                'line_items' => [[
                'price_data' => [
                    'currency' => 'usd',
                    'product_data' => [
                    'name' => $checkout_details->ch_plan_name,
                    ],
                    'unit_amount' => round($total),
                ],
                
                'quantity' => 1,
                ]],
                'customer_email' => $checkout_details->ch_user_email,
                'mode' => 'payment',
                'success_url' => base_url().'success/'.$checkout_details->ch_order_id.'/{CHECKOUT_SESSION_ID}',
                'cancel_url' => base_url().'cancel',
            ]);
            
            redirect($checkout_session->url);
        }
     
    }

    // function buy(){ 
       
	// 	// Set variables for paypal form
	// 	$returnURL = base_url().'pay-success'; //payment success url
	// 	$cancelURL = base_url().'pay-cancel'; //payment cancel url
	// 	$notifyURL = base_url().'pay-ipn'; //ipn url
		
	// 	// Get product data from the database
	// 	//$product = $this->Payment->addTocheckout();
	// 	//print_r()
	// 	// Get current user ID from the session (optional)
    //     if($this->session->userdata('id') !=""){
    //         $userName = ucwords($this->session->userdata('user_name'));
    //     }else{
    //         $userName = 'Guest User';
    //     }
	// 	//$userID = !empty($_SESSION['userID'])?$_SESSION['userID']:1;
		
	// 	// Add fields to paypal form
	// 	$this->paypal_lib->add_field('return', $returnURL);
	// 	$this->paypal_lib->add_field('cancel_return', $cancelURL);
	// 	$this->paypal_lib->add_field('notify_url', $notifyURL);
	// 	//$this->paypal_lib->add_field('item_name', $product['name']);
    //     //$this->paypal_lib->add_field('item_name', 'Test product 1');
	// 	$this->paypal_lib->add_field('custom', $userName);
	// 	//$this->paypal_lib->add_field('item_number',  $product['id']);
	// 	//$this->paypal_lib->add_field('amount',  $product['price']);
    //     $this->paypal_lib->add_field('item_number', 'Prod909898');
	// 	$this->paypal_lib->add_field('amount',  '0.1');
		
	// 	// Render paypal form
	// 	$this->paypal_lib->paypal_auto_form();
	// }

    public function success(){
        
        $orderID = $this->uri->segment(2);
        $transcationID = $this->uri->segment(3);
        $stripe = new \Stripe\StripeClient("sk_test_51MYYbMSDn1y2MgdvFRrJhoagzXTBrA8xIV0Sy9lt480lkUC5jSGbInR54hdhUZ6P98fTsyvyPYDyY1XZNchQd1pV00bsulvSWO");
        
        $response = $stripe->checkout->sessions->retrieve($transcationID);
        $order = $this->Payment->addOrder($orderID,$response,"stripe");
        $data['orderID'] = $orderID;
        if($this->session->userdata('user_type') == 1){
            $this->session->sess_destroy();
        }
        $this->load->view('payment/success', $data);
       
    }

    public function cancel(){
        $this->load->view('payment/cancel');
    }

    public function apply_coupon_code(){
        $id = $this->input->post('c_code');
        $ch_id = $this->input->post('ch_id');
        $result = $this->Payment->apply_coupon_code($id,$ch_id);
        echo json_encode($result);
    }

    public function upload_documents(){
        $uploadedImage = "";
        if(!empty($_FILES['document_file']['name'])){
                
                $config['upload_path']      = "assets/images/kyc_data";
                $config['allowed_types']    = "png|jpg|jpeg|gif|webp|bmp";
                $config['encrypt_name']     =  true;
                $config['overwrite']        =  TRUE;
             
                $this->load->library('upload', $config);
                $this->upload->initialize($config);
                if(!$this->upload->do_upload('document_file'))
                    {
                        $error  = array('error'  => $this->upload->display_errors());
                        
                    }
                    else
                    {
                        $uploadedImage  = $this->upload->data('file_name');
                        //echo "ok"; print_r($uploadedImage);die;
                    }
        }
        $response = $this->Payment->upload_documents($uploadedImage);
        echo json_encode($response);
    }

    // paypal payment 

    // public function buy() { 
    //     $amount = 10;  // Get amount from form
    //     $orderID = $this->uri->segment('2');
    //     $payment = $this->paypal->createPayment($amount,$orderID);

    //     if (isset($payment['links'])) {
    //         foreach ($payment['links'] as $link) {
    //             if ($link['rel'] == 'approval_url') {
    //                 redirect($link['href']);  // Redirect to PayPal for approval
    //             }
    //         }
    //     } else {
    //         // Handle payment error
    //         echo "Payment creation failed.";
    //     }
    // }

    // public function pay_success() {
    //     // Handle successful payment here
    //     $paymentId = $this->input->get('paymentId');
    //     $payerId = $this->input->get('PayerID');
    //    // echo $orderID = $this->uri->segment('2');
    //     // Use the PayPal API to get payment details
    //     $paymentDetails = $this->paypal->getPaymentDetails($paymentId);
    //     print_r( $paymentDetails);die;
    //     if ($paymentDetails['state'] === 'approved') {
    //         // Payment was successful
    //         // Update your database accordingly
    //     } else {
    //         // Handle payment failure or other statuses
    //     }
    // }

    // public function pay_cancel() {
    //     // Handle payment cancellation here
    //     echo "Payment was cancelled!";
    // }

    //new paypal flow

    public function paypal()
    {
        // $this->form_validation->set_rules('order_id', 'Order', 'trim|required|xss_clean|numeric');
        // if (!$this->form_validation->run()) {
        //     $this->response['error'] = true;
        //     $this->response['message'] = validation_errors();
        //     $this->response['data'] = array();
        //     print_r(json_encode($this->response));
        //     return false;
        // }
        $user_id = $this->session->userdata('id');
        $order_id = $this->uri->segment('2');
        $amount = 10;
        // $order = $payment = $this->Paypal->createPayment($amount,$order_id);
        // if (empty($order)) {
        //     $this->response['error'] = true;
        //     $this->response['message'] = "No Order Found.";
        //     $this->response['data'] = array();
        //     print_r(json_encode($this->response));
        //     return false;
        // }
        // Set variables for paypal form
        $returnURL = base_url() . 'payment/success';
        // $cancelURL = base_url() . 'payment/cancel';
        $cancelURL = base_url() . 'payment/delete_order/' . $order_id;
        $notifyURL = base_url() . 'payment/ipn';
        $txn_id = time() . "-" . rand();

        $this->paypal_lib->add_field('return', $returnURL);
        $this->paypal_lib->add_field('cancel_return', $cancelURL);
        $this->paypal_lib->add_field('notify_url', $notifyURL);
        $this->paypal_lib->add_field('item_name', 'Test');
        $this->paypal_lib->add_field('custom', $user_id . '|' . $user_id);
        $this->paypal_lib->add_field('item_number', $order_id);
        $this->paypal_lib->add_field('amount', $amount = 10);
        // Render paypal form
        $this->paypal_lib->paypal_auto_form();
    }
    public function delete_order()
    {
        if (!$this->ion_auth->logged_in()) {
            redirect(base_url());
        }

        if ($_SERVER['HTTP_REFERER'] == 'https://www.sandbox.paypal.com/' || $_SERVER['HTTP_REFERER'] == 'https://www.paypal.com/') {
            $order_id = $this->uri->segment(3);
            $this->delete_order_general($order_id);
            redirect('payment/cancel');
        }
    }

    /** can be used by all other payment methods if required */
    public function delete_order_general($order_id)
    {
        if (!$this->ion_auth->logged_in()) {
            $response["error"] = true;
            $response["message"] = "Unauthorized access!";
            return $response;
        }

        $order_item = fetch_details('order_items', ['order_id' => $order_id], 'user_id,product_variant_id,quantity');
        foreach ($order_item as $row) {
            $cart_data = [
                'user_id' => $row['user_id'],
                'product_variant_id' => $row['product_variant_id'],
                'qty' => $row['quantity'],
                'is_saved_for_later' => 0,
            ];
            $this->db->insert('cart', $cart_data);
        }
        $order = fetch_orders($order_id, false, false, false, false, false, false, false);
        $user_id = $order['order_data'][0]['user_id'];
        $returnable_amount = $order['order_data'][0]['final_total'];

        update_wallet_balance('credit', $user_id, $returnable_amount, 'Wallet Amount Credited for Order ID  : ' . $order_id);
        if ($order['order_data'][0]['order_items'][0]['status'][0][0] == 'awaiting') {
            update_stock($order['order_data'][0]['order_items'][0]['product_variant_id'], $order['order_data'][0]['order_items'][0]['quantity'], 'plus');
        }
        delete_details(['id' => $order_id], 'orders');
        delete_details(['order_id' => $order_id], 'order_items');

        $response["error"] = false;
        $response["message"] = "Order deleted and items added back to cart!";
        return $response;
    }

    public function paypal_wallet()
    {
        $this->form_validation->set_rules('order_id', 'Order', 'trim|required|xss_clean');
        $this->form_validation->set_rules('amount', 'Amount', 'trim|required|xss_clean|numeric');
        if (!$this->form_validation->run()) {
            $this->response['error'] = true;
            $this->response['message'] = validation_errors();
            $this->response['data'] = array();
            print_r(json_encode($this->response));
            return false;
        }
        $user_id = $this->data['user']->id;
        $order_id = $this->input->post('order_id', true);
        $amount = $this->input->post('amount', true);

        //    print_r($_POST);
        //    return;
        // Set variables for paypal form
        $returnURL = base_url() . 'payment/wallet_success';
        $cancelURL = base_url() . 'payment/cancel';
        $notifyURL = base_url() . 'app/v1/api/ipn';

        $txn_id = time() . "-" . rand();

        $this->paypal_lib->add_field('return', $returnURL);
        $this->paypal_lib->add_field('cancel_return', $cancelURL);
        $this->paypal_lib->add_field('notify_url', $notifyURL);
        $this->paypal_lib->add_field('item_name', 'Test');
        $this->paypal_lib->add_field('custom', $this->data['user']->id . '|' . $this->data['user']->email);
        $this->paypal_lib->add_field('item_number', $order_id);
        $this->paypal_lib->add_field('amount', $amount);
        // Render paypal form
        $this->paypal_lib->paypal_auto_form();
    }

    public function ipn()
    {
        // Paypal posts the transaction data
        $paypalInfo = $this->input->post();
        if (!empty($paypalInfo)) {
            // Validate and get the ipn response
            $ipnCheck = $this->paypal_lib->validate_ipn($paypalInfo);

            // Check whether the transaction is valid
            if ($ipnCheck) {

                $order_id = $paypalInfo["item_number"];
                /* if its not numeric then it is for the wallet recharge */
                if (
                    $paypalInfo["payment_status"] == 'Completed' &&
                    !is_numeric($order_id) && strpos($order_id, "wallet-refill-user") !== false
                ) {
                    $temp = explode("-", $order_id);   /* Order ID format for wallet refill >> wallet-refill-user-{user_id}-{system_time}-{3 random_number}  */
                    if (isset($temp[3]) && is_numeric($temp[3]) && !empty($temp[3] && $temp[3] != '')) {
                        $user_id = $temp[3];
                    } else {
                        $user_id = 0;
                    }
                    $amount = $paypalInfo["mc_gross"];
                    /* IPN for user wallet recharge */
                    $data['transaction_type'] = "wallet";
                    $data['user_id'] = $user_id;
                    $data['order_id'] = $order_id;
                    $data['type'] = "credit";
                    $data['txn_id'] = $paypalInfo["txn_id"];
                    $data['amount'] = $amount;
                    $data['status'] = "success";
                    $data['message'] = "Wallet refill successful";
                    $this->transaction_model->add_transaction($data);

                    $this->load->model('customer_model');
                    if ($this->customer_model->update_balance($amount, $user_id, 'add')) {
                        $response['error'] = false;
                        $response['transaction_status'] = "success";
                        $response['message'] = "Wallet recharged successfully!";
                    } else {
                        $response['error'] = true;
                        $response['transaction_status'] = "success";
                        $response['message'] = "Wallet could not be recharged!";
                        log_message('error', 'Paypal IPN | wallet recharge failure --> ' . var_export($paypalInfo, true));
                    }
                    echo json_encode($response);
                    return false;
                } else {
                    /* IPN for normal Order  */
                    // Insert the transaction data in the database
                    $userData = explode('|', $paypalInfo['custom']);

                    $data['transaction_type'] = 'Transaction';
                    $data['user_id'] = $userData[0];
                    $data['payer_email']  = $userData[1];
                    $data['order_id'] = $paypalInfo["item_number"];
                    $data['type'] = 'paypal';
                    $data['txn_id'] = $paypalInfo["txn_id"];
                    $data['amount'] = $paypalInfo["mc_gross"];
                    $data['currency_code'] = $paypalInfo["mc_currency"];
                    $data['status'] = 'success';
                    $data['message'] = 'Payment Verified';
                    if ($paypalInfo["payment_status"] == 'Completed') {

                        $user = fetch_details('users', ['id' => $userData[0]]);
                        $system_settings = get_settings('system_settings', true);
                        $orders = fetch_orders($paypalInfo["item_number"], $userData[0], false, false, false, false, false, false);

                        $overall_total = array(
                            'total_amount' => $orders['order_data'][0]['total'],
                            'delivery_charge' => $orders['order_data'][0]['delivery_charge'],
                            'tax_amount' => $orders['order_data'][0]['total_tax_amount'],
                            'tax_percentage' => $orders['order_data'][0]['total_tax_percent'],
                            'discount' =>  $orders['order_data'][0]['promo_discount'],
                            'wallet' =>  $orders['order_data'][0]['wallet_balance'],
                            'final_total' =>  $orders['order_data'][0]['final_total'],
                            'otp' => $orders['order_data'][0]['otp'],
                            'address' =>  $orders['order_data'][0]['address'],
                            'payment_method' => $orders['order_data'][0]['payment_method']
                        );

                        $overall_order_data = array(
                            'cart_data' => $orders['order_data'][0]['order_items'],
                            'order_data' => $overall_total,
                            'subject' => 'Order received successfully',
                            'user_data' => $user[0],
                            'system_settings' => $system_settings,
                            'user_msg' => 'Hello, Dear ' . ucfirst($user[0]['username']) . ', We have received your order successfully. Your order summaries are as followed',
                            'otp_msg' => 'Here is your OTP. Please, give it to delivery boy only while getting your order.',
                        );
                        send_mail($userData[1], 'Order received successfully', $this->load->view('admin/pages/view/email-template.php', $overall_order_data, TRUE));

                        $this->transaction_model->add_transaction($data);

                        update_details(['active_status' => 'received'], ['id' => $data['order_id']], 'orders');
                        update_details(['active_status' => 'received'], ['order_id' => $data['order_id']], 'order_items');

                        $status = json_encode(array(array('received', date("d-m-Y h:i:sa"))));
                        update_details(['status' => $status], ['id' => $data['order_id']], 'orders', false);
                        update_details(['status' => $status], ['order_id' => $data['order_id']], 'order_items', false);

                        // place order custome notification on payment success

                        $custom_notification = fetch_details('custom_notifications', ['type' => "place_order"], '');
                        $hashtag_order_id = '< order_id >';
                        $string = json_encode($custom_notification[0]['title'], JSON_UNESCAPED_UNICODE);
                        $hashtag = html_entity_decode($string);
                        $data1 = str_replace($hashtag_order_id, $order_id, $hashtag);
                        $title = output_escaping(trim($data1, '"'));
                        $hashtag_application_name = '< application_name >';
                        $string = json_encode($custom_notification[0]['message'], JSON_UNESCAPED_UNICODE);
                        $hashtag = html_entity_decode($string);
                        $data2 = str_replace($hashtag_application_name, $system_settings['app_name'], $hashtag);
                        $message = output_escaping(trim($data2, '"'));

                        $fcm_admin_subject = (!empty($custom_notification)) ? $title : 'New order placed ID #' . $order_id;
                        $fcm_admin_msg = (!empty($custom_notification)) ? $message : 'New order received for  ' . $system_settings['app_name'] . ' please process it.';
                        $user_fcm = fetch_details('users', ['id' => $data['user_id']], 'fcm_id');
                        $user_res = fetch_details('users', ['id' => $data['user_id']], 'username,email,mobile');
                        $user_fcm_id[0][] = $user_fcm[0]['fcm_id'];
                        if (!empty($user_fcm_id)) {
                            $fcmMsg = array(
                                'title' => $fcm_admin_subject,
                                'body' => $fcm_admin_msg,
                                'type' => "place_order",
                                // 'content_available' => true
                            );
                            send_notification($fcmMsg, $user_fcm_id, $fcmMsg);
                        }
                        notify_event(
                            'place_order',
                            ["customer" => [$user_res[0]['email']]],
                            ["customer" => [$user_res[0]['mobile']]],
                            ["orders.id" => $order_id]
                        );
                    } else if (
                        $paypalInfo["payment_status"] == 'Expired' || $paypalInfo["payment_status"] == 'Failed'
                        || $paypalInfo["payment_status"] == 'Refunded' || $paypalInfo["payment_status"] == 'Reversed'
                    ) {
                        /* if transaction wasn't completed successfully then cancel the order and transaction */
                        $data['transaction_type'] = 'Transaction';
                        $data['user_id'] = $userData[0];
                        $data['payer_email']  = $userData[1];
                        $data['order_id'] = $paypalInfo["item_number"];
                        $data['type'] = 'paypal';
                        $data['txn_id'] = $paypalInfo["txn_id"];
                        $data['amount'] = $paypalInfo["mc_gross"];
                        $data['currency_code'] = $paypalInfo["mc_currency"];
                        $data['status'] = $paypalInfo["payment_status"];
                        $data['message'] = 'Payment could not be completed due to one or more reasons!';
                        $this->transaction_model->add_transaction($data);
                        update_details(['active_status' => 'cancelled'], ['id' => $data['order_id']], 'orders');
                        update_details(['active_status' => 'cancelled'], ['order_id' => $data['order_id']], 'order_items');

                        $status = json_encode(array(array('cancelled', date("d-m-Y h:i:sa"))));
                        update_details(['status' => $status], ['id' => $data['order_id']], 'orders', false);
                        update_details(['status' => $status], ['order_id' => $data['order_id']], 'order_items', false);
                    }
                }
            }
        }
    }

    public function paypal_success()
    {
        // if (!$this->ion_auth->logged_in()) {
        //     redirect(base_url());
        // }

        $this->data['main_page'] = 'payment-success';
        $this->data['title'] = 'Payment Success | ' . $this->data['web_settings']['site_title'];
        $this->data['keywords'] = 'Payment Success, ' . $this->data['web_settings']['meta_keywords'];
        $this->data['description'] = 'Payment Success | ' . $this->data['web_settings']['meta_description'];
        $this->data['meta_description'] = '';
        $this->load->view('front-end/' . THEME . '/template', $this->data);
    }

    public function get_settings()
    {
        /*
            type : payment_method // { default : all  } optional            
            user_id:  15 { optional }
        */

        $type = (isset($_POST['type']) && $_POST['type'] == 'payment_method') ? 'payment_method' : 'all';
        $this->form_validation->set_rules('type', 'Setting Type', 'trim|xss_clean');


        if (!$this->form_validation->run()) {

            $this->response['error'] = true;
            $this->response['message'] = strip_tags(validation_errors());
            $this->response['data'] = array();
            print_r(json_encode($this->response));
        } else {
            $general_settings = array();

            if ($type == 'all' || $type == 'payment_method') {


                $settings = [
                    'logo' => 0,
                    'admin_privacy_policy' => 0,
                    'admin_terms_conditions' => 0,
                    'fcm_server_key' => 0,
                    'contact_us' => 0,
                    'payment_method' => 1,
                    'about_us' => 0,
                    'currency' => 0,
                    'time_slot_config' => 1,
                    'user_data' => 0,
                    'system_settings' => 1,
                    'shipping_policy' => 0,
                    'return_policy' => 0,
                    'vap_id_Key' => 0,
                    'authentication_settings' => 1,
                    'send_notification_settings' => 1,
                    'sms_gateway_settings' => 1,
                ];

                if ($type == 'payment_method') {

                    $settings_res['payment_method'] = get_settings($type, $settings[$_POST['type']]);
                    $time_slot_config = get_settings('time_slot_config', $settings['time_slot_config']);

                    if (!empty($time_slot_config) && isset($time_slot_config)) {
                        $time_slot_config['delivery_starts_from'] = $time_slot_config['delivery_starts_from'] - 1;
                        $time_slot_config['starting_date'] = date('Y-m-d', strtotime(date('d-m-Y') . ' + ' . intval($time_slot_config['delivery_starts_from']) . ' days'));
                    }

                    $settings_res['time_slot_config'] = $time_slot_config;
                    $time_slots = fetch_details('time_slots', '', '*', '', '', 'from_time', 'ASC');

                    if (!empty($time_slots)) {
                        for ($i = 0; $i < count($time_slots); $i++) {

                            $datetime = DateTime::createFromFormat("h:i:s a", $time_slots[$i]['from_time']);

                            // if ($datetime <= date('h:i:s a', time()) || date('h:i:s a', time()) > $datetime) {
                            //     unset($time_slots[$i]);
                            // }
                        }
                    }

                    $settings_res['time_slots'] = array_values($time_slots);
                    $general_settings = $settings_res;
                } else {

                    foreach ($settings as $type => $isjson) {
                        if ($type == 'payment_method') {
                            continue;
                        }
                        $general_settings[$type] = [];
                        $settings_res = get_settings($type, $isjson);

                        if ($type == 'logo') {
                            $settings_res = base_url() . $settings_res;
                        }
                        if ($type == 'user_data' && isset($_POST['user_id'])) {
                            $cart_total_response = get_cart_total($_POST['user_id'], false, 0);
                            $settings_res = fetch_users($_POST['user_id']);
                            $settings_res[0]['cities'] =  (isset($settings_res[0]['cities']) && $settings_res[0]['cities'] != null) ? $cart_total_response[0]['cities'] : '';
                            $settings_res[0]['street'] =  (isset($settings_res[0]['street']) && $settings_res[0]['street'] != null) ? $cart_total_response[0]['street'] : '';
                            $settings_res[0]['area'] =  (isset($settings_res[0]['area']) && $settings_res[0]['area'] != null) ? $cart_total_response[0]['area'] : '';
                            $settings_res[0]['cart_total_items'] = (isset($cart_total_response[0]) && $cart_total_response[0]['cart_count'] > 0) ? $cart_total_response[0]['cart_count'] : '0';
                            $settings_res = $settings_res[0];
                        } elseif ($type == 'user_data' && !isset($_POST['user_id'])) {
                            $settings_res = '';
                        }

                        //Strip tags in case of terms_conditions and privacy_policy
                        // $settings_res = !is_array($settings_res) ? strip_tags($settings_res) : $settings_res;
                        array_push($general_settings[$type], $settings_res);
                    }
                    $general_settings['privacy_policy'] = $general_settings['admin_privacy_policy'];
                    unset($general_settings['admin_privacy_policy']);
                    $general_settings['terms_conditions'] = $general_settings['admin_terms_conditions'];
                    unset($general_settings['admin_terms_conditions']);
                }
                $this->response['error'] = false;
                $this->response['message'] = 'Settings retrieved successfully';
                $this->response['data'] = $general_settings;
            } else {
                $this->response['error'] = true;
                $this->response['message'] = 'Settings Not Found';
                $this->response['data'] = array();
            }
            print_r(json_encode($this->response));
        }
    }
}


?>