<?php
defined('BASEPATH') OR exit('No direct script access allowed');
require_once('vendor/autoload.php');

class Payment_controller extends CI_Controller{

    function  __construct(){
		parent::__construct();
		
		// Load paypal library
		$this->load->library('paypal_lib');
		if($this->session->userdata('id') == ""){
            redirect(base_url());
        }
	}
    public function index(){
        
        $data['checkout_list'] = $this->Payment->getcheckoutlist();
        
        $this->load->view('payment/checkout',$data);
    }

    public function addtocheckout(){
        $data['order_id'] = 'EOD_'.strtotime(date('Y-m-d h:i:s'));
        $cart = $this->Front_model->addtocart();
        $addToCheckout = $this->Payment->addToCheckout();
        echo json_encode($addToCheckout);
    }

    public function gotoStripePayment(){
        
        $checkout_details = $this->Payment->getCheckoutData($this->uri->segment('2'));
        
        if($checkout_details!= ""){

        
            $stripe = new \Stripe\StripeClient("sk_test_51MYYbMSDn1y2MgdvFRrJhoagzXTBrA8xIV0Sy9lt480lkUC5jSGbInR54hdhUZ6P98fTsyvyPYDyY1XZNchQd1pV00bsulvSWO");

            $checkout_session = $stripe->checkout->sessions->create([
                'line_items' => [[
                'price_data' => [
                    'currency' => 'usd',
                    'product_data' => [
                    'name' => $checkout_details->ch_plan_name,
                    ],
                    'unit_amount' => round($checkout_details->ch_subtotal),
                ],
                
                'quantity' => 1,
                ]],
                'customer_email' => $checkout_details->ch_user_email,
                'mode' => 'payment',
                'success_url' => 'http://localhost/esimzon/success/'.$checkout_details->ch_order_id.'/{CHECKOUT_SESSION_ID}',
                'cancel_url' => 'http://localhost/esimzon/cancel',
            ]);

            // $response = $stripe->checkout->sessions->retrieve($checkout_session->id);
            // if($response){
               
            // }
            redirect($checkout_session->url);
        }
        // $product = $stripe->products->create([
        // 'name' => 'Starter Subscription',
        // 'description' => '$12/Month subscription',
        // ]);
        // echo "Success! Here is your starter subscription product id: " . $product->id . "\n";

        // $price = $stripe->prices->create([
        // 'unit_amount' => 00,
        // 'currency' => 'usd',
        // 'recurring' => ['interval' => 'month'],
        // 'product' => $product['id'],
        // ]);
        // $stripe->customers->create([
        //     'name' => 'Jenny Rosen',
        //     'address' => [
        //       'line1' => '510 Townsend St',
        //       'postal_code' => '98140',
        //       'city' => 'San Francisco',
        //       'state' => 'CA',
        //       'country' => 'US',
        //     ],
        // ]);

      

        // $payment = $stripe->paymentIntents->create([
        //     'amount' => 20000,
        //     'currency' => 'INR',
        //     'description' => 'Software development services',
            
           
        // ]);
        
       
        // header("HTTP/1.1 303 See Other");
        // header("Location: " . $checkout_session->url);

       
    }

    function buy(){
		// Set variables for paypal form
		$returnURL = base_url().'pay-success'; //payment success url
		$cancelURL = base_url().'pay-cancel'; //payment cancel url
		$notifyURL = base_url().'pay-ipn'; //ipn url
		
		// Get product data from the database
		//$product = $this->Payment->addTocheckout();
		//print_r()
		// Get current user ID from the session (optional)
        if($this->session->userdata('id') !=""){
            $userName = ucwords($this->session->userdata('user_name'));
        }else{
            $userName = 'Guest User';
        }
		//$userID = !empty($_SESSION['userID'])?$_SESSION['userID']:1;
		
		// Add fields to paypal form
		$this->paypal_lib->add_field('return', $returnURL);
		$this->paypal_lib->add_field('cancel_return', $cancelURL);
		$this->paypal_lib->add_field('notify_url', $notifyURL);
		//$this->paypal_lib->add_field('item_name', $product['name']);
        //$this->paypal_lib->add_field('item_name', 'Test product 1');
		$this->paypal_lib->add_field('custom', $userName);
		//$this->paypal_lib->add_field('item_number',  $product['id']);
		//$this->paypal_lib->add_field('amount',  $product['price']);
        $this->paypal_lib->add_field('item_number', 'Prod909898');
		$this->paypal_lib->add_field('amount',  '10');
		
		// Render paypal form
		$this->paypal_lib->paypal_auto_form();
	}

    public function success(){
        
        $orderID = $this->uri->segment(2);
        $transcationID = $this->uri->segment(3);
        $stripe = new \Stripe\StripeClient("sk_test_51MYYbMSDn1y2MgdvFRrJhoagzXTBrA8xIV0Sy9lt480lkUC5jSGbInR54hdhUZ6P98fTsyvyPYDyY1XZNchQd1pV00bsulvSWO");
        
        $response = $stripe->checkout->sessions->retrieve($transcationID);
        $order = $this->Payment->addOrder($orderID,$response,"stripe");
       
    }

    public function cancel(){
        $orderID = $this->uri->segment(2);
        $transcationID = $this->uri->segment(3);
        $stripe = new \Stripe\StripeClient("sk_test_51MYYbMSDn1y2MgdvFRrJhoagzXTBrA8xIV0Sy9lt480lkUC5jSGbInR54hdhUZ6P98fTsyvyPYDyY1XZNchQd1pV00bsulvSWO");
        
        $response = $stripe->checkout->sessions->retrieve($transcationID);
        $order = $this->Payment->addOrder($orderID,$response,"stripe");
    }
}


?>