<?php

class Front_model extends CI_Model{

    public function add_user($uploadedImage){
        $table = "users";
		$ip = $this->get_client_ip();
		$contact = 0;
		if($this->input->post('user_type') == '1'){
			$user_status = array('u_type_status' => '1');
			$this->db->update($table,$user_status);
			$data = array(	'u_name'			=> strtolower('Guest'),
							'u_email'			=> $this->input->post('guest_email'),
							'u_contact'			=> $contact,
							'u_password'		=> "",
							'u_profile_image' 	=> "",
							'u_address' 		=> "",
							'u_ip_address' 		=> $ip,
							'u_type'			=> '1',
							'u_type_status'		=> '0');
			
			$res = $this->db->insert($table,$data);
			if($res){
				$id = $this->db->insert_id();
				if($id != ""){
					$userdata1 = $this->db->where('u_id',$id)->where('u_type','1')->get($table);
					$userdata  = $userdata1->row();
					$session = array('id'=>$userdata->u_id,
							 'user_name'=>ucwords($userdata->u_name),
							 'user_email'=>$userdata->u_email,
							 'validate'=>true,
							 'user_type'=>$userdata->u_type,
							 'u_type_status'		=> '0');
					$this->session->set_userdata($session);
					return true;
				}else{
					return false;
				}
				
			}
		}else{
			if($uploadedImage !=""){
				$logo = $uploadedImage;
			}else{
				$logo = "";
			}
			if($this->input->post('cid')!=""){
				$img = $this->db->where('u_id',$this->input->post('cid'))->get($table)->row();
				if($logo ==""){
					$logo = $img->u_profile_image;
				}
			}
			
			if($this->input->post('user_contact') != ""){
				$contact = $this->input->post('user_contact');
			}
				$data = array('u_name'			=>strtolower($this->input->post('user_name')),
							'u_email'			=>$this->input->post('user_email'),
							'u_contact'			=> $contact,
							'u_password'		=> sha1($this->input->post('user_password')),
							'u_profile_image' 	=> $logo,
							'u_address' 		=> ($this->input->post('user_address') !=""?$this->input->post('user_address'):""),
							'u_ip_address' 		=> $ip,
							'u_type'			=> '0');

				if($this->input->post('cid')!=""){

					$this->db->where('u_id',$this->input->post('cid'));
					$res = $this->db->update($table,$data);
					
				}else{
					$res = $this->db->insert($table,$data);
				}
		}
		
		if($res){
			return true;
		}else{
			return false;
		}
    }

    public function check_user(){
		$id= $this->input->post('username');
		$password = sha1($this->input->post('password'));

		$this->db->where('u_email',$id);
		$this->db->where('u_password',$password);
		$result = $this->db->get('users');
		
		if($result->num_rows()>0){
            $userdata = $result->row();
			$session = array('id'=>$userdata->u_id,
							 'user_name'=>ucwords($userdata->u_name),
							 'user_email'=>$userdata->u_email,
							 'validate'=>true,
							 'user_type'=>$userdata->u_type);
			$this->session->set_userdata($session);
			return $result->row();
		}else{
			return false;
		}
	}
	public function get_client_ip() {
		$ipaddress = '';
		if (isset($_SERVER['HTTP_CLIENT_IP']))
			$ipaddress = $_SERVER['HTTP_CLIENT_IP'];
		else if(isset($_SERVER['HTTP_X_FORWARDED_FOR']))
			$ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
		else if(isset($_SERVER['HTTP_X_FORWARDED']))
			$ipaddress = $_SERVER['HTTP_X_FORWARDED'];
		else if(isset($_SERVER['HTTP_FORWARDED_FOR']))
			$ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
		else if(isset($_SERVER['HTTP_FORWARDED']))
			$ipaddress = $_SERVER['HTTP_FORWARDED'];
		else if(isset($_SERVER['REMOTE_ADDR']))
			$ipaddress = $_SERVER['REMOTE_ADDR'];
		else
			$ipaddress = 'UNKNOWN';
		return $ipaddress;
	}

	public function search_data(){
        $cid = $this->input->post('country_name'); 
		$data = [];
        if($cid !=""){
            $this->db->like('country_name',strtolower($cid),'after');
            $this->db->where('country_status','0');
            $query = $this->db->get('country');
			if($query->num_rows() > 0){
				$result = $query->result_array();
				$i = 0;
				foreach($result as $each_data){
					$data[$i]['name'] = strtolower($each_data['country_name']);
					$data[$i]['banner'] = "assets/images/countries/".$each_data['country_logo'];
					$i++;}
			}else{
				$this->db->like('r_name',strtolower($cid),'after');
				$this->db->where('r_deleted_status','0');
				$query1 = $this->db->get('regions');
				$result = $query1->result_array();
				$i = 0;
				foreach($result as $each_data){
					$data[$i]['name'] = strtolower($each_data['r_name']);
					$data[$i]['banner'] ="assets/images/regions/".$each_data['r_banner'];
				$i++;}
			}
            
        }
		//echo '<pre>'; print_r($data);die;
        return $data;
    }

	// public function get_esims($id){
	// 	if($id != ""){
	// 		$this->db->select('country_id,country_name');
	// 		$this->db->where('country_name',$id);
    //         $this->db->where('country_status','0');
    //         $query = $this->db->get('country');
			
	// 		if($query->num_rows() > 0){
	// 			$c_id = $query->row()->country_id;
	// 			$result = $this->db->where('pl_country',$c_id)->where('pl_delete_status','0')
	// 				->where('pl_sync','Y')->get('plans')->result();
	// 				//return $result->result();
	// 		}else{

	// 			$this->db->select('r_id,r_name');
	// 			$this->db->where('r_name',$id);
	// 			$this->db->where('r_deleted_status','0');
	// 			$query1 = $this->db->get('regions');
				
	// 			if($query1->num_rows() > 0){
	// 				$r_id = $query1->row()->r_id;
	// 				$result = $this->db->where('pl_region',$r_id)->where('pl_delete_status','0')
	// 				->where('pl_sync','Y')->get('plans')->result();
					
	// 			}
	// 		}
	// 		//echo '<pre>';print_r($result);
	// 		if($result != ""){
	// 			$response = array();
	// 				$i = 0;
					
	// 					foreach($result as $res){
	// 						if(count($result) > $i){
	// 							$inventory = $this->db->where('i_plan_id',$res->pl_id)->where('i_code_available_status','Y')->where('i_delete_status','0')->limit('1')->get('inventory')->row();
	// 							if($inventory !=""){
	// 								$inv_status = 'in_stock';
	// 							}else{
	// 								$inv_status = 'out_of_stock';
	// 							}

	// 							$response[$i]['pl_id'] = $res->pl_id;
	// 							$response[$i]['pl_kyc_status'] = $res->pl_kyc_status;
	// 							$response[$i]['pl_need_activation_date'] = $res->pl_need_activation_date;
	// 							$response[$i]['pl_name'] = $res->pl_name;
	// 							$response[$i]['pl_data_allowance'] = $res->pl_data_allowance;
	// 							$response[$i]['pl_data_allow_type'] = $res->pl_data_allow_type;
	// 							$response[$i]['pl_class'] = $res->pl_class;
	// 							$response[$i]['pl_voice_minutes'] = $res->pl_voice_minutes;
	// 							$response[$i]['pl_validity'] = $res->pl_validity;
	// 							$response[$i]['pl_validity_type'] = $res->pl_validity_type;
	// 							$response[$i]['pl_buying_cost_currency'] = $res->pl_buying_cost_currency;
	// 							$response[$i]['pl_buying_cost'] = $res->pl_buying_cost;
	// 							$response[$i]['inv_status'] = $inv_status;
	// 							if($inv_status == 'in_stock'){
	// 								$response[$i]['i_id'] = $inventory->i_id;
	// 								$response[$i]['i_activation_code'] = $inventory->i_activation_code;
	// 								$response[$i]['i_selling_price'] = $inventory->i_selling_price;
	// 							}
	// 							//array_push($response,$response[$i]);
	// 						}
							
	// 					$i++;	
	// 					}
					
	// 				//echo '<pre>';print_r($response);die;
	// 				return $response;
	// 		}else{
	// 			return 1;
	// 		}

	// 	}else{
	// 		return 1;
	// 	}
	// }

	public function get_esims($id){
		if($id != ""){
			$this->db->select('country_id,country_name');
			$this->db->where('country_name',$id);
            $this->db->where('country_status','0');
            $query = $this->db->get('country');
			
			if($query->num_rows() > 0){
				$c_id = $query->row()->country_id;
				$result = $this->db->where('pl_country',$c_id)->where('pl_delete_status','0')
					->where('pl_sync','Y')->get('plans')->result();
					//return $result->result();
			}else{

				$this->db->select('r_id,r_name');
				$this->db->where('r_name',$id);
				$this->db->where('r_deleted_status','0');
				$query1 = $this->db->get('regions');
				
				if($query1->num_rows() > 0){
					$r_id = $query1->row()->r_id;
					$result = $this->db->where('pl_region',$r_id)->where('pl_delete_status','0')
					->where('pl_sync','Y')->get('plans')->result();
					
				}
			}
			//echo '<pre>';print_r($result);
			if($result != ""){
				$response = array();
					$i = 0;
					
						foreach($result as $res){
							if(count($result) > $i){
								$inventory = $this->db->where('i_plan_id',$res->pl_id)->where('i_code_available_status','T')->where('i_partner_id','1')->where('i_delete_status','0')->limit('1')->get('inventory')->row();
								if($inventory !=""){
									$inv_status = 'in_stock';
								}else{
									$inv_status = 'out_of_stock';
								}

								$response[$i]['pl_id'] = $res->pl_id;
								$response[$i]['pl_kyc_status'] = $res->pl_kyc_status;
								$response[$i]['pl_need_activation_date'] = $res->pl_need_activation_date;
								$response[$i]['pl_name'] = $res->pl_name;
								$response[$i]['pl_data_allowance'] = $res->pl_data_allowance;
								$response[$i]['pl_data_allow_type'] = $res->pl_data_allow_type;
								$response[$i]['pl_data_allow_validity_type'] = $res->pl_data_allow_validity_type;
								$response[$i]['pl_class'] = $res->pl_class;
								$response[$i]['pl_voice_minutes'] = $res->pl_voice_minutes;
								$response[$i]['pl_validity'] = $res->pl_validity;
								$response[$i]['pl_validity_type'] = $res->pl_validity_type;
								$response[$i]['pl_buying_cost_currency'] = $res->pl_buying_cost_currency;
								$response[$i]['pl_buying_cost'] = $res->pl_buying_cost; 
								$response[$i]['pl_top_seller'] = $res->pl_top_seller;
								$response[$i]['pl_best_Seller'] = $res->pl_best_Seller;
								$response[$i]['inv_status'] = $inv_status;
								if($inv_status == 'in_stock'){
									$response[$i]['id'] = $inventory->i_id;
									//$response[$i]['i_activation_code'] = $inventory->i_activation_code;
									if($inventory->i_selling_price > 0){
										$response[$i]['selling_price'] = $inventory->i_selling_price;
									}else{
										$response[$i]['selling_price'] = $res->pl_buying_cost;
									}
									
								}else{
									$response[$i]['id'] = 0;
									$response[$i]['selling_price'] = $res->pl_buying_cost;
								}
								//array_push($response,$response[$i]);
							}
							
						$i++;	
						}
					
					//echo '<pre>';print_r($response);die;
					return $response;
			}else{
				return 1;
			}

		}else{
			return 1;
		}
	}

	public function getallregions(){
		$result = $this->db->where('r_deleted_status','0')->get('regions');
		return $result->result();
	}

	public function get_geography_details($id){
		$data = [];
		if($id != ""){
			$rest = $this->db->where('country_name',$id)->where('country_status','0')->get('country');
			if($rest->num_rows() > 0){
				$data['name'] 	= ucfirst($rest->row()->country_name);
				$data['banner'] = "assets/images/countries/".$rest->row()->country_logo;
				$data['color1'] = $rest->row()->country_color1;
				$data['color2'] = $rest->row()->country_color2;
			}else{
				$rest = $this->db->where('r_name',$id)->where('r_deleted_status','0')->get('regions');
				$data['name'] 	= ucfirst($rest->row()->r_name);
				$data['banner'] = "assets/images/regions/".$rest->row()->r_banner;
				$data['color1'] = $rest->row()->r_color1;
				$data['color2'] = $rest->row()->r_color2;
			}
		}
		return $data;
	}

	public function addtocart(){
		date_default_timezone_set('Asia/Kolkata');
		$id = $this->input->post('pl_id');
		$inv_id = $this->input->post('inv_id');
		if($this->input->post('activation_date') != ""){
		    if(date('Y-m-d',strtotime($this->input->post('activation_date'))) > date('Y-m-d')){
			$activation_date = date('Y-m-d',strtotime($this->input->post('activation_date')));
    		}else{
    			$activation_date =  date('Y-m-d');
    		}
		}else{
    			$activation_date =  date('Y-m-d');
    		}
		
		if($id != "" && $id > 0){
			$prev_id = $this->db->where('cr_plan_id',$id)->where('cr_user_id',$this->session->userdata('id'))->delete('cart');
			
			$data = array('cr_plan_id' => $id, 
						'cr_user_id' => $this->session->userdata('id'),
						'cr_inv_id' => $inv_id,
						'cr_activation_date' => $activation_date,
						'cr_quantity' => '1');

			$res = $this->db->insert('cart',$data);
			if($res){
				return true;
			}else{
				return false;
			}
			
			
		}
	}

	public function remove_product_from_cart(){
		$id = $this->input->post('id');
		if($this->session->userdata('id') != ""){
			$result = $this->db->where('cr_id',$id)->where('cr_user_id',$this->session->userdata('id'))->delete('cart');
			if($result){
				return true;
			}else{
				return false;
			}
		}else{
			return false;
		}
		
	}

	public function update_cart(){
		$id = $this->input->post('id');
		$cnt = $this->input->post('cnt');
		if($id !="" && $cnt > 0){
			$data = array('cr_quantity'=>$cnt);
			$this->db->where('cr_id',$id);
			$result = $this->db->update('cart',$data);
			if($result){
				return true;
			}else{
				return false;
			}
		}
		
	}

	public function getPlanDescription(){
		if($this->input->post('id') !=""){
			$rest = $this->db->select('pl_info')->where('pl_id',$this->input->post('id'))->get('plans');
			return $rest->row();
		}
	}

	// public function getcartlist(){
	// 	$id = $this->session->userdata('id');
	// 	$this->db->where('cr_user_id',$id);
	// 	$this->db->join('cart','cr_plan_id = pl_id');
	// 	$this->db->join('country','pl_country = country_id','left');
	// 	$this->db->join('regions','pl_region = r_id','left');
	// 	$this->db->join('inventory','pl_region = r_id','left');
	// 	$result = $this->db->get('plans');
	// 	return $result->result();
	// }

	public function getcartlist(){
		$id = $this->session->userdata('id');
		$this->db->where('cr_user_id',$id);
		$this->db->join('plans','pl_id = cr_plan_id');
		$this->db->join('inventory','i_id = cr_inv_id');
		$result = $this->db->get('cart')->result();
		$cart = array();
		$geo_name = $geo_logo = "";
		$price = 0;
		if($result != ""){
			$i = 0;
			foreach($result as $plan_details){

				if($plan_details->pl_prop_type == '1'){
					$geo_data = $this->db->where('country_id',$plan_details->pl_country)->get('country')->row();
					if($geo_data != ""){
						$geo_name = $geo_data->country_name;
						$geo_logo = "assets/images/countries/".$geo_data->country_logo;
					}
				}else{
					$geo_data = $this->db->where('r_id',$plan_details->pl_region)->get('regions')->row();
					if($geo_data != ""){
						$geo_name = $geo_data->r_name;
						$geo_logo = "assets/images/regions/".$geo_data->r_banner;
					}
				}

				if($plan_details->pl_data_allow_type == 1){
					$data_type = 'MB';
				}else{
					$data_type = 'GB';
				}	

				if($plan_details->pl_validity_type == '1'){
					$validity_type = 'Days';
				}else if($plan_details->pl_validity_type == '2'){
					$validity_type = 'Months';
				}else{
					$validity_type = 'Year';
				}
				
				$cart[$i]['id'] = $plan_details->cr_id;
				$cart[$i]['name'] = $plan_details->pl_name;
				$cart[$i]['data'] = $plan_details->pl_data_allowance.$data_type;
				$cart[$i]['voice'] = $plan_details->pl_voice_minutes;
				$cart[$i]['geo_name'] = $geo_name;
				$cart[$i]['geo_logo'] = $geo_logo;
				$cart[$i]['price'] = $plan_details->i_selling_price;
				$cart[$i]['validity'] = $plan_details->pl_validity.$validity_type;
				$cart[$i]['quantity'] = $plan_details->cr_quantity;
				$i++;
			}
		}
		
		return $cart;
	}

	public function getCartCount(){
		$id = $this->session->userdata('id');
		if($id!=""){
			$response = $this->db->select('cr_id')
						->where('cr_user_id',$id)->get('cart');
			return $response->num_rows();
		}
	}

}

?>