<?php

 defined('BASEPATH') OR exit('No direct script access allowed');

class Payment extends CI_Model{
	
	function __construct() {
		$this->transTable = 'orders';
		$this->checkoutTable = 'checkout';
    }
	
	/*
     * Fetch payment data from the database
     * @param id returns a single record if specified, otherwise all records
     */
	public function getPayment($conditions = array()){
		$this->db->select('*');
		$this->db->from($this->transTable);
		
		if(!empty($conditions)){
			foreach($conditions as $key=>$val){
				$this->db->where($key, $val);
			}
		}
		
		$result = $this->db->get();
		return ($result->num_rows() > 0)?$result->row_array():false;
	}
	
	/*
     * Insert payment data in the database
     * @param data array
     */
	public function insertTransaction($data){
		$insert = $this->db->insert($this->transTable,$data);
		return $insert?true:false;
	}


	// public function addTocheckoutOld(){
	// 	date_default_timezone_set('Asia/Kolkata');
	// 	if($this->session->userdata('id') != ""){

	// 		$id = $this->session->userdata('id');
	// 		//first remove previous checkout list of same user
	// 		$res = $this->db->where('ch_user_id',$id)->delete('checkout');
	// 		if($this->input->post('pl_id') > 0){
	// 			$this->db->where('pl_id',$this->input->post('pl_id'));
	// 		}
			
	// 		if($this->session->userdata('user_type') == '0'){
	// 			$this->db->join('cart','cr_plan_id = pl_id');
	// 		}
	// 		$this->db->join('country','pl_country = country_id','left');
	// 		$this->db->join('regions','pl_region = r_id','left');
	// 		$cart = $this->db->get('plans')->result_array();
	// 		$geo_name = $geo_logo = $qty = "";
	// 		//echo '<pre>';print_r($cart);die;
	// 		//$orderId = rand(100,100000);
	// 		$orderId = strtotime(date('Y-m-d H:i:s'));

	// 		$total_price = 0;
	// 		foreach($cart as $each_cart_price){
	// 			if($this->session->userdata('user_type') == '0'){
	// 				$qty = $each_cart_price['cr_quantity'];
	// 			}else{
	// 				$qty = '1';
	// 			}
	// 			$total_price = $total_price + ($each_cart_price['pl_buying_cost']*$qty);
	// 		}
	// 		foreach($cart as $each_cart){
	// 			if($each_cart['country_name'] != "" && $each_cart['pl_prop_type'] == '1'){
	// 				$geo_name = $each_cart['country_name'];
	// 			}elseif($each_cart['r_name'] != "" && $each_cart['pl_prop_type'] == '2'){
	// 				$geo_name = $each_cart['r_name'];
	// 			}

	// 			if($each_cart['country_logo'] != "" && $each_cart['pl_prop_type'] == '1'){
	// 				$geo_logo = 'assets/images/countries/'.$each_cart['country_logo'];
	// 			}elseif($each_cart['r_name'] != "" && $each_cart['pl_prop_type'] == '2'){
	// 				$geo_logo = 'assets/images/regions/'.$each_cart['r_banner'];
	// 			}
				
	// 			if($each_cart['pl_data_allow_type'] == 1){
	// 				$data_type = 'MB';
	// 			}else{
	// 				$data_type = 'GB';
	// 			}

	// 			if($this->session->userdata('user_type') == '0'){
	// 				$qty = $each_cart['cr_quantity'];
	// 			}else{
	// 				$qty = '1';
	// 			}
	// 			if($each_cart['pl_validity_type'] == '1'){
	// 				$validity_type = 'Days';
	// 			}else if($each_cart['pl_validity_type'] == '2'){
	// 				$validity_type = 'Months';
	// 			}else{
	// 				$validity_type = 'Year';
	// 			}
	// 			//$subtotal = 0;
	// 			//$subtotal = $subtotal + ($each_cart['pl_buying_cost']*$qty);
	// 			$kyc_status = "0";
	// 			if($each_cart['pl_kyc_status'] == 'Y'){
	// 				$res = $this->db->where('k_user_id',$this->session->userdata('id'))->where('k_plan_id',$each_cart['pl_id'])->get('kyc_details')->row();
	// 				if($res != ""){
	// 					$kyc_status = '1';
	// 				}else{
	// 					$kyc_status = '2';
	// 				}
					
	// 			}
	// 			$data = array('ch_user_email' => $this->session->userdata('user_email'),
	// 					  'ch_user_id' => $this->session->userdata('id'),
	// 					  'ch_user_type' => $this->session->userdata('user_type'),
	// 					  'ch_plan_id' => $each_cart['pl_id'],
	// 					  'ch_plan_name' => $each_cart['pl_name'],
	// 					  'ch_data' => $each_cart['pl_data_allowance'].$data_type,
	// 					  'ch_voice' => $each_cart['pl_voice_minutes'],
	// 					  'ch_price' => $each_cart['pl_buying_cost'],
	// 					  'ch_validity' => $each_cart['pl_validity'].$validity_type,
	// 					  'ch_quantity' => $qty,
	// 					  'ch_geo_name' => $geo_name,
	// 					  'ch_geo_logo' => $geo_logo,
	// 					  'ch_coupon' => "",
	// 					  'ch_subtotal' => $total_price,
	// 					  'ch_total' => $total_price,
	// 					  'ch_order_id' => $orderId,
	// 					  'ch_activation_date' => date('Y-m-d H:i:s',strtotime($each_cart['pl_activation_date'])),
	// 					  'ch_kyc_status' => $kyc_status
	// 					);
	// 			$qry = $this->db->insert('checkout',$data);
				
	// 		}

	// 		if($this->db->insert_id() != ""){
				
	// 			return true;
	// 		}else{
	// 			return false;
	// 		}
	// 	}else{
	// 		return false;
	// 	}
	// }

	public function addTocheckout(){
		date_default_timezone_set('Asia/Kolkata');
		$order_id = strtotime(date('Y-m-d h:i:s'));
		
		if($this->session->userdata('id') != ""){

			$id = $this->session->userdata('id');
			//first remove previous checkout list of same user
			$res = $this->db->where('ch_user_id',$id)->delete('checkout');

			//get plans from user cart
			$this->db->where('cr_user_id',$id);
			$this->db->join('plans','pl_id = cr_plan_id');
			$this->db->join('inventory','i_id = cr_inv_id');
			$cart = $this->db->get('cart')->result_array();
			$geo_name = $geo_logo = $qty = "";
			//echo '<pre>';print_r($cart);die;
			//$orderId = rand(100,100000);
			

			$total_price = 0;
			foreach($cart as $each_cart_price){
				if($each_cart_price['cr_quantity'] != "" && $each_cart_price['cr_quantity'] > 0){
					$qty = $each_cart_price['cr_quantity'];
				}else{
					$qty = '1';
				}
				$total_price = $total_price + ($each_cart_price['i_selling_price']*$qty);
			}
			foreach($cart as $each_cart){
				
				if($each_cart['pl_prop_type'] == '1'){
					$geo_data = $this->db->where('country_id',$each_cart['pl_country'])->get('country')->row();
					if($geo_data != ""){
						$geo_name = $geo_data->country_name;
						$geo_logo = "assets/images/countries/".$geo_data->country_logo;
					}
				}else{
					$geo_data = $this->db->where('r_id',$each_cart['pl_region'])->get('regions')->row();
					if($geo_data != ""){
						$geo_name = $geo_data->r_name;
						$geo_logo = "assets/images/regions/".$geo_data->r_banner;
					}
				}
				
				if($each_cart['pl_data_allow_type'] == 1){
					$data_type = 'MB';
				}else{
					$data_type = 'GB';
				}

				if($this->session->userdata('user_type') == '0'){
					$qty = $each_cart['cr_quantity'];
				}else{
					$qty = '1';
				}
				if($each_cart['pl_validity_type'] == '1'){
					$validity_type = 'Days';
				}else if($each_cart['pl_validity_type'] == '2'){
					$validity_type = 'Months';
				}else{
					$validity_type = 'Year';
				}
				//$subtotal = 0;
				//$subtotal = $subtotal + ($each_cart['pl_buying_cost']*$qty);
				$kyc_status = "0";
				if($each_cart['pl_kyc_status'] == 'Y'){
					$res = $this->db->where('k_user_id',$this->session->userdata('id'))->where('k_plan_id',$each_cart['pl_id'])->get('kyc_details')->row();
					if($res != ""){
						$kyc_status = '1';
					}else{
						$kyc_status = '2';
					}
					
				}
				$data = array('ch_user_email' => $this->session->userdata('user_email'),
						  'ch_user_id' => $this->session->userdata('id'),
						  'ch_user_type' => $this->session->userdata('user_type'),
						  'ch_plan_id' => $each_cart['pl_id'],
						  'ch_inv_id'	=> $each_cart['i_id'],
						  'ch_plan_name' => $each_cart['pl_name'],
						  'ch_data' => $each_cart['pl_data_allowance'].$data_type,
						  'ch_voice' => $each_cart['pl_voice_minutes'],
						  'ch_price' => $each_cart['i_selling_price'],
						  'ch_validity' => $each_cart['pl_validity'].$validity_type,
						  'ch_quantity' => $qty,
						  'ch_geo_name' => $geo_name,
						  'ch_geo_logo' => $geo_logo,
						  'ch_coupon' => "",
						  'ch_subtotal' => $total_price,
						  'ch_total' => $total_price,
						  'ch_order_id' => $order_id,
						  'ch_activation_date' => $each_cart['cr_activation_date'],
						  'ch_kyc_status' => $kyc_status
						);
				$qry = $this->db->insert('checkout',$data);
			}

			if($this->db->insert_id() != ""){
				return true;
			}else{
				return false;
			}
		}else{
			return false;
		}
	}

	public function addtocheckout_withbuynow(){
		$order_id = strtotime(date('Y-m-d h:i:s'));
		$pl_id = $this->input->post('pl_id');
		$inv_id = $this->input->post('inv_id'); 
		$geo_name = $geo_logo = "";
		$result = $this->db->where('ch_user_id',$this->session->userdata('id'))->delete('checkout');
		if($pl_id != "" && $pl_id > 0){
			$plan_details = $this->db->where('pl_id',$pl_id)->get('plans')->row();
			if($plan_details != ""){
				if($this->session->userdata('id') != ""){

					if($plan_details->pl_data_allow_type == 1){
						$data_type = 'MB';
					}else{
						$data_type = 'GB';
					}	

					if($plan_details->pl_validity_type == '1'){
						$validity_type = 'Days';
					}else if($plan_details->pl_validity_type == '2'){
						$validity_type = 'Months';
					}else{
						$validity_type = 'Year';
					}

					if($inv_id != ""){
						$inventory_data = $this->db->where('i_id',$inv_id)->get('inventory')->row();
					}

					$kyc_status = "0";
					if($plan_details->pl_kyc_status == 'Y'){
						$res = $this->db->where('k_user_id',$this->session->userdata('id'))->where('k_plan_id',$plan_details->pl_id)->get('kyc_details')->row();
						if($res != ""){
							$kyc_status = '1';
						}else{
							$kyc_status = '2';
						}
						
					}

					$total_price = 0;
					if($inventory_data->i_selling_price > 0){
						$total_price = $inventory_data->i_selling_price;
					}else{
						$total_price = $plan_details->pl_buying_cost;
					}

					$activation_date = $this->input->post('activation_date');
					if($activation_date == ""){
						$activation_date = date('Y-m-d');
					}

					if($plan_details->pl_prop_type == '1'){
						$geo_data = $this->db->where('country_id',$plan_details->pl_country)->get('country')->row();
						if($geo_data != ""){
							$geo_name = $geo_data->country_name;
							$geo_logo = "assets/images/countries/".$geo_data->country_logo;
						}
					}else{
						$geo_data = $this->db->where('r_id',$plan_details->pl_region)->get('regions')->row();
						if($geo_data != ""){
							$geo_name = $geo_data->r_name;
							$geo_logo = "assets/images/regions/".$geo_data->r_banner;
						}
					}

					$data = array('ch_user_email' => $this->session->userdata('user_email'),
						  'ch_user_id' => $this->session->userdata('id'),
						  'ch_user_type' => $this->session->userdata('user_type'),
						  'ch_plan_id' => $plan_details->pl_id,
						  'ch_inv_id'	=> $inventory_data->i_id,
						  'ch_plan_name' => $plan_details->pl_name,
						  'ch_data' => $plan_details->pl_data_allowance.$data_type,
						  'ch_voice' => $plan_details->pl_voice_minutes,
						  'ch_price' => $inventory_data->i_selling_price,
						  'ch_validity' => $plan_details->pl_validity.$validity_type,
						  'ch_quantity' => 1,
						  'ch_geo_name' => $geo_name,
						  'ch_geo_logo' => $geo_logo,
						  'ch_coupon' => "",
						  'ch_subtotal' => $total_price,
						  'ch_total' => $total_price,
						  'ch_order_id' => $order_id,
						  'ch_activation_date' => $activation_date,
						  'ch_kyc_status' => $kyc_status
						);
					$qry = $this->db->insert('checkout',$data);
					if($qry){
						return true;
					}else{
						return false;
					}
				}
			}
		}
	}

	public function getcheckoutlist(){
		$result = $this->db->where('ch_user_id',$this->session->userdata('id'))->get('checkout');
		return $result->result_array();
	}

	public function getCheckoutData($chID){
		$rest = $this->db->where('ch_id',$chID)->get('checkout')->row();
		return $rest;
	}

	//Create order from stripe response
	public function addOrder($order_id,$response,$method){ 
		date_default_timezone_set('Asia/Kolkata');
		// insert response in payment table
		$data = array(  'pm_order_id' => $order_id,
						'pm_transc_id' =>$response->id,
						'pm_amount_total'=>$response->amount_total,
						'pm_currency' => $response->currency,
						'pm_customer_email' => $response->customer_email,
						'pm_payment_status' => $response->payment_status,
						'pm_status' => $response->status,
						'pm_payment_method' => $method,
						'pm_created' => date('Y-m-d H:i:s',$response->created));
		$res = $this->db->insert('payments',$data);
		
		if($res){ 
			$pm_id = $this->db->insert_id();
			// get plan ids for given order id
			$plan_ids = $this->db->where('ch_order_id',$order_id)->get('checkout')->result_array();
			// get activation code from inventory
			if($plan_ids != "" && sizeof($plan_ids) > 0){
				//print_r($plan_ids[0]['ch_plan_id']);die;
				foreach($plan_ids as $each_plan_id)
					
					//get activation code from inventory for specific plan
					//where partner id 1 is for Esimzon
					$activation_data = $this->db->where('i_plan_id',$each_plan_id['ch_plan_id'])->where('i_code_available_status','T')->where('i_partner_id','1')->where('i_stock_status','0')->order_by('i_id','asc')->get('inventory')->row();
					
					if($activation_data != ""){ {
						$activation_date = "";
						if($each_plan_id['ch_activation_date'] != null){
							$activation_date = date('Y-m-d',strtotime($each_plan_id['ch_activation_date']));
						}else{
							$activation_date = date('Y-m-d');
						}
						//calculate plan expiry date
						$exp_data = ""; $val_type = 'days';
						$validity = $this->db->select('pl_validity_type,pl_validity')->where('pl_id',$each_plan_id['ch_plan_id'])->get('plans')->row();
						if($validity !=""){
							if($validity->pl_validity_type == '3'){
								$val_type = 'years';
							}else if($validity->pl_validity_type == '2'){
								$val_type = 'months';
							}else{
								$val_type = 'days';
							}
						}

						$valid = $validity->pl_validity;
						$exp_date =  date('Y-m-d',strtotime('+'.$valid.' '. $val_type,strtotime(str_replace('/', '-', date('Y-m-d'))))) . PHP_EOL;
						
						//update kyc purchase status
						if($each_plan_id['ch_kyc_status'] == '1' || $each_plan_id['ch_kyc_status'] == '2'){
							$kycdata = array( 'k_purchasre_status' => 'Paid');
							$this->db->where('k_user_id',$this->session->userdata('id'));
							$this->db->where('k_plan_id',$each_plan_id['ch_plan_id']);
							$this->db->update('kyc_details',$kycdata);
						}
						
						$order_data = array(	'o_order_id'  		=> $order_id,
												'o_payment_id'  	=> $pm_id,
												'o_plan_id'	  		=> $each_plan_id['ch_plan_id'],
												'o_inventory_id' 	=> $activation_data->i_id,
												'o_user_id' 		=> $each_plan_id['ch_user_id'],
												'o_user_email' 		=> $each_plan_id['ch_user_email'],
												'o_user_name' 		=> $this->session->userdata['user_name'],
												'o_user_type' 		=> $each_plan_id['ch_user_type'],
												'o_geography' 		=> $each_plan_id['ch_geo_name'],
												'o_data' 			=> $each_plan_id['ch_data'],
												'o_voice' 			=> $each_plan_id['ch_voice'],
												'o_amount' 			=> $each_plan_id['ch_price'],
												'o_geography_logo'  => $each_plan_id['ch_geo_logo'],
												'o_validity' 		=> $each_plan_id['ch_validity'],
												'o_order_date' 		=> date('Y-m-d H:i:s'),
												'o_plan_name' 		=> $each_plan_id['ch_plan_name'],
												'o_quantity' 		=> $each_plan_id['ch_quantity'],
												'o_subtotal' 		=> $each_plan_id['ch_subtotal'],
												'o_discount' 		=> $each_plan_id['ch_discount'],
												'o_total' 			=> $each_plan_id['ch_total'],
												'o_activation_code' => $activation_data->i_activation_code,
												'o_activation_date' => $activation_date,
												'o_kyc_status'		=> $each_plan_id['ch_kyc_status'],
												'o_expiry_date' 	=> $exp_date

						);
						$result = $this->db->insert('orders',$order_data);
						// if($result){ old data
						// 	$generate_qr_code = $this->generate_qr_code($activation_data->i_id,$order_id,$activation_data->i_activation_code);
						// 	$set_status = array('i_code_available_status' => 'S');
						// 	$this->db->where('i_id',$activation_data->i_id)->update('inventory',$set_status);
						// 	$mailsend = $this->send_success_mail($order_id);
						// 	//return true;
						// }
						$oid = $this->db->insert_id();
						if($oid !="" && $oid >0){
							
							$generate_qr_code = $this->generate_qr_code($oid,$order_id,$activation_data->i_activation_code);
							$set_status = array('i_code_available_status' => 'S');
							$this->db->where('i_id',$activation_data->i_id)->update('inventory',$set_status);
							$mailsend = $this->send_success_mail($order_id);
							//return true;
						}
					}
				}
				if($this->db->insert_id() !=""){
					$this->db->where('cr_user_id',$this->session->userdata('id'))->delete('cart');
					$this->db->where('ch_user_id',$this->session->userdata('id'))->delete('checkout');
					return true;
				}else{
					return false;
				}
			}
		}else{
			return false;
		}
	}

	public function generate_qr_code($id,$order_id,$data){
		$hex_data   = bin2hex($data);
        $save_name  = $hex_data.'.png';
        //$save_name  ='EOD_' . $order_id . strtotime(date('d-m-Y')).'.png';

        /* QR Code File Directory Initialize */
        $dir = 'assets/qrcodes/';
        if (!file_exists($dir)) {
            mkdir($dir, 0775, true);
        }

        /* QR Configuration  */
        $config['cacheable']    = true;
        $config['imagedir']     = $dir;
        $config['quality']      = true;
        $config['size']         = '1024';
        $config['black']        = array(255,255,255);
        $config['white']        = array(255,255,255);
        $this->ciqrcode->initialize($config);
  
        /* QR Data  */
        $params['data']     = $data;
        $params['level']    = 'L';
        $params['size']     = 10;
        $params['savename'] = FCPATH.$config['imagedir']. $save_name;
        
        $this->ciqrcode->generate($params);
		$data1 = array('o_activation_img' =>$save_name);
		$this->db->where('o_id',$id)->update('orders',$data1);
		return true;
		
    
	}

	// public function generate_qrCode($id,$order_id,$activationCode){
	// 	$url = "https://quickchart.io/qr?text=".$activationCode."&ecLevel=H&size=200";
    //     $file = @file_get_contents($url);
	// 	$img = 'EOD_' . $order_id . strtotime(date('d-m-Y')).'.png';
    //     file_put_contents('assets/qrcodes/'.$img, $file);
	// 	$data = array('o_activation_img' =>$img);
	// 	$this->db->where('o_id',$id)->update('orders',$data);
	// 	return true;
	// }

	public function send_mail_staff(){
		$table = 'staff';
		if($this->input->post('id') !="" && ($this->input->post('id')> 0)){
			$this->db->where('st_id',$this->input->post('id'));
			$result = $this->db->get('staff')->row();
			if($result !=""){
				
				$config = array(
					'protocol'     => 'smtp',
					'smtp_host'    => 'ssl://smtp.gmail.com',
					'smtp_port'    => '465',
					'smtp_user'    => 'digitalpatti@gmail.com',
					'smtp_pass'    => 'vkqdmnpjbsfqrsoq',
					'mailtype'     => 'html',
					'charset'      => 'iso-8859-1',
					'wordwrap'     => TRUE
				);
		
				$this->email->initialize($config);  // Initialize email settings
				$this->email->set_header('MIME-version','1.0;charset=utf-8');
				$this->email->set_mailtype('html');
				// Set email parameters
				
				$this->email->to($result->st_email);  // Recipient's email
				
				$this->email->subject('User Credential email');
				$message = "<div leftmargin='0' marginwidth='0' topmargin='0' marginheight='0' offset='0' style='height:auto !important;width:100% !important; font-family: Helvetica,Arial,sans-serif !important; margin-bottom: 40px;'>
									<center>
										<table bgcolor='#ffffff' border='0' cellpadding='0' cellspacing='0' style='max-width:600px; background-color:#ffffff;border:1px solid #e4e2e2;border-collapse:separate !important; border-radius:4px;border-spacing:0;color:#242128; margin:0;padding:40px;'
											heigth='auto'>
											<tbody>
												<tr>
													<td align='left' valign='center' style='padding-bottom:40px;border-top:0;height:100% !important;width:100% !important;'>
														<img src='".base_url()."assets/admin/images/app-logo.svg' style='width:100%'>
													</td>
													<td align='right' valign='center' style='padding-bottom:40px;border-top:0;height:100% !important;width:100% !important;'>
														<span style='color: #8f8f8f; font-weight: normal; line-height: 2; font-size: 14px;'><?php echo  date('d/m/Y'); ?></span>
													</td>
												</tr>
												<tr>
													<td colspan='2' style='padding-top:10px;border-top:1px solid #e4e2e2'>
														<h3 style='color:#303030; font-size:18px; line-height: 1.6; font-weight:500;'>Hi, ".ucwords($result->st_name)."</h3>
													</td>
												</tr>
												<tr>
													<td style='padding-top:10px;border-top:1px solid #e4e2e2'>
														<h3 style='color:#303030; font-size:18px; line-height: 1.6; font-weight:500;'>Username</h3>
														<p style='background-color:#f1f1f1; padding: 8px 15px; border-radius: 50px; display: inline-block; margin-bottom:20px; font-size: 14px;  line-height: 1.4; font-family: Courier New, Courier, monospace; margin-top:0'>".$result->st_email."</p>
													</td>
												</tr>
												<tr>
													<td style='padding-top:10px;border-top:1px solid #e4e2e2'>
														<h3 style='color:#303030; font-size:18px; line-height: 1.6; font-weight:500;'>Password</h3>
														<p style='background-color:#f1f1f1; padding: 8px 15px; border-radius: 50px; display: inline-block; margin-bottom:20px; font-size: 14px;  line-height: 1.4; font-family: Courier New, Courier, monospace; margin-top:0'>".$result->st_password."</p>
													</td>
												</tr>
												<tr>
													<td colspan='2' style='padding-top:10px;border-top:1px solid #e4e2e2'>
														<a href='".base_url()."st-authuser'> Click here to Login </a>
													</td>
												</tr>
											</tbody>
										</table>
									</center>
								</div>";
				$this->email->message($message);
				$this->email->set_newline("\r\n");
				$this->email->from('info@globalbookofrecord.com', 'Global Book Of Record');
				// Send the email and check if successful
				if ($this->email->send()) {
					return true;
				} else {
					echo 'Failed to send email.';
					echo $this->email->print_debugger();
					return false;
				}
			
				// $this->email->message($message);
				// if(!$this->email->send()){
				// 	//echo $this->email->print_debugger();
				// 	return false;
				// }else{
				// 	return true;
				// }
			}
		}
	}

	public function send_success_mail($order_id){
		$config = array(
			'protocol'     => 'smtp',
			'smtp_host'    => 'ssl://smtp.gmail.com',
			'smtp_port'    => '465',
			'smtp_user'    => 'digitalpatti@gmail.com',
			'smtp_pass'    => 'vkqdmnpjbsfqrsoq',
			'mailtype'     => 'html',
			'charset'      => 'iso-8859-1',
			'wordwrap'     => TRUE
		);
		$response_data = $this->db->where('o_order_id',$order_id)->get('orders')->result_array();
		if($response_data !="" && sizeof($response_data) >0){
			$this->email->initialize($config);
			$this->email->set_header('MIME-version','1.0;charset=utf-8');
			$this->email->set_mailtype('html');
			$this->email->to($response_data[0]['o_user_email']);
			$this->email->subject("Esimzon E-Sim QR Code - Order ID - ".$order_id);
				$data = [];
				$data['subject'] = 'An exquisite esim experience for travellers';
				$data['customer_name'] = $response_data[0]['o_user_name'];
				$data['response_data'] = $response_data;
				$data['support_email'] = "support@esimzon.com";
				$data['support_number'] = "2343245346";
				$message = $this->load->view('email/order_confirmation_email',$data,true);
			//print_r($message.'here');die; 
			$this->email->message($message);
			$this->email->set_newline("\r\n");
			$this->email->from('noreply@esimzon.com', "Esimzon Team");
			
			if(!$this->email->send()){
			    echo $this->email->print_debugger();
				return false;
			}else{
				return true;
			}
			
		}else{
			return false;
		}
		
	}

	// public function apply_coupon_code($id,$ch_id){
	// 	//check if promo code is valid or not
	// 	$code = $this->db->where('co_code',$id)->get('coupons')->row();
		
	// 	$ch_plans = $this->db->where('ch_order_id',$ch_id)->get('checkout')->result_array();
		
	// 	if($code !="" || $code != NULL){ 
	// 		$discount = ($code->co_discount_percent)/100;
	// 		if($code->co_plan_id !=""){ echo 'here';die;
	// 			$plans = explode(',',$code->co_plan_id);
				
	// 			if(sizeof($ch_plans) > 0){
	// 				$disc_ammount = 0;
	// 				foreach($ch_plans as $checkout){
	// 					if(in_array($checkout['ch_plan_id'], $plans)){ print_r('$ch_plans');die;
	// 						if($code->co_expiry_date >= date('Y-m-d') && $code->co_issue_date < date('Y-m-d')){
								
	// 							$sub_price = ($checkout['ch_price']*$checkout['ch_quantity'])*$discount;
	// 							$disc_ammount = $disc_ammount + $sub_price;
	// 							//update coupon code in database
	// 							$total = $checkout['ch_subtotal'] - $disc_ammount;
	// 							$data = array('ch_coupon' => $code->co_code,
	// 										  'ch_discount' => $disc_ammount,
	// 										  'ch_total' => $total);
	// 							$this->db->where('ch_order_id',$ch_id);
	// 							$res = $this->db->update('checkout',$data);
	// 							if($res){
	// 								return $disc_ammount;
	// 							}else{
	// 								return 0;
	// 							}
	// 						}else{
	// 							return 0;//message - coupon code is expired
	// 						}
	// 					}else{
	// 						return 0;
	// 					}
	// 				}
	// 			}else{
	// 				return 0;
	// 			}
	// 		}else{
	// 			return 0;
	// 		}
	// 	}else{
	// 		return 0;
	// 	}
	// }

	public function apply_coupon_code($id,$ch_id){
		//check if promo code is valid or not
		$code = $this->db->where('co_code',$id)->get('coupons')->row();
		
		$ch_plans = $this->db->where('ch_order_id',$ch_id)->get('checkout')->result_array();
		
		if($code !="" || $code != NULL){ 
			$disc_ammount = 0;
			$discount = ($code->co_discount_percent)/100;
			if($code->co_plan_id !=""){ 
				$plans = explode(',',$code->co_plan_id);
				$new_plan_price = $new_plan_id = 0;
				if(sizeof($ch_plans) > 0){
					
					foreach($ch_plans as $checkout){
						if(in_array($checkout['ch_plan_id'], $plans)){ 
							
							if($new_plan_price < $checkout['ch_price']){
								$new_plan_price = $checkout['ch_price'];
								$new_plan_id = $checkout['ch_plan_id'];
							}
							
						}
					}
				}
				if($new_plan_id > 0){
					$coupon_plan = $this->db->where('ch_plan_id',$new_plan_id)->get('checkout')->row();
					if($coupon_plan !=""){
						if($code->co_expiry_date >= date('Y-m-d') && $code->co_issue_date < date('Y-m-d',strtotime("+1 day"))){
						
							$sub_price = ($coupon_plan->ch_price*$coupon_plan->ch_quantity)*$discount;
							$disc_ammount = $disc_ammount + $sub_price;
							//update coupon code in database
							$total = $coupon_plan->ch_subtotal - $disc_ammount;
							$data = array('ch_coupon' => $code->co_code,
											'ch_discount' => $disc_ammount,
											'ch_total' => $total);
							$this->db->where('ch_order_id',$ch_id);
							$res = $this->db->update('checkout',$data);
							if($res){
								return $disc_ammount;
							}else{
								return 0;
							}
						}else{
							return 0; //message - coupon code is expired
						}
					}else{
						return 0;
					}
					
				}
				
			}else{
				$ch_plan_all_data = $this->db->where('ch_order_id',$ch_id)->order_by('ch_price','desc')->limit('1')->get('checkout')->result_array();
				
				if($ch_plan_all_data != ""){
				    $ch_plan_all = $ch_plan_all_data[0];
					if($code->co_expiry_date >= date('Y-m-d') && $code->co_issue_date < date('Y-m-d',strtotime("+1 day"))){
								
						$sub_price = ($ch_plan_all['ch_price']*$ch_plan_all['ch_quantity'])*$discount;
						$disc_ammount = $disc_ammount + $sub_price;
						//update coupon code in database
						$total = $ch_plan_all['ch_subtotal'] - $disc_ammount;
						$data = array('ch_coupon' => $code->co_code,
									  'ch_discount' => $disc_ammount,
									  'ch_total' => $total);
						$this->db->where('ch_order_id',$ch_id);
						$res = $this->db->update('checkout',$data);
						if($res){
							return $disc_ammount;
						}else{
							return 0;
						}
					}else{
						return 0;//message - coupon code is expired
					}
				}else{
					return 0; //plans not found!
				}
			}
		}else{
			return 0;
		}
	}

	public function upload_documents($file){
		date_default_timezone_set('Asia/Kolkata');
		$rest = $this->db->where('k_user_id',$this->session->userdata('id'))
						 ->where('k_plan_id',$this->input->post('planID'))
						 ->get('kyc_details')->row();
		
		$data = array('k_user_id' => $this->session->userdata('id'),
					  'k_plan_id' => $this->input->post('planID'),
					  'k_document_type' => $this->input->post('doc_type'),
					  'k_document' => $file,
					  'k_purchasre_status' => 'Unpaid',
					  'k_status' => 'U',
					  'k_kyc_type' => $this->input->post('kyc_type'),
					  'k_created_date' => date('Y-m-d H:i:s'));
		if($rest != ""){
			$this->db->where('k_user_id',$this->session->userdata('id'));
			$this->db->where('k_plan_id',$this->input->post('planID'));
			$response = $this->db->update('kyc_details',$data);
		}else{
			$response = $this->db->insert('kyc_details',$data);
		}
		if($response){
			return true;
		}else{
			return false;
		}
		
	}
	
}