<div class="card-header">
    <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Complaint" : "Add Complaint" ?></h5>
</div>
<div class="card-body custom_height">
<form method="post" id="<?= isset($type) && $type !=="" ? "edit_complaint" : "add_new_complaint" ?>" class="tooltip-label-right" novalidate>
<input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->cm_id : "" ?>">   
    <div class="row">
        <div class="col-md-5 pr-1">
            <div class="form-group">
                <label> Product Type </label>
                <select class="form-control" name="cm_prod_type">
                    <option value="">Select Product Type</option>
                    <?php if(!empty($prod_types) && $prod_types!=""){
                        foreach($prod_types as $types){ ?>
                        <option value="<?=$types->p_id; ?>" <?php if(!empty($details) && $details !=""){
                            if($details->cm_prod_type !=""){ if($details->cm_prod_type == $types->p_id){ echo 'selected'; }}} ?>>
                            <?=ucfirst($types->p_name); ?>
                        </option>
                        <?php }
                    } ?>
                </select>
            </div>
        </div>
        <div class="col-md-5 pr-1">
            <div class="form-group">
                <label>Complaint</label>
                <input type="text" class="form-control" name="cm_comp" id="cm_comp" placeholder="Enter complaint.." value="<?php if(!empty($details) && $details !=""){ echo $details->cm_comp; } ?>" required>
            </div>
        </div>
        <div class="col-md-2 pr-1">
            <div class="update pt-3 ml-auto mr-auto">
            <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round" id="" name="update" value="update">Update</button>' : '<button type="submit" class="btn btn-primary btn-round" id="" name="submit" value="submit">Save</button>' ?>  
        </div>
    </div>
    </div>
    
</form>
</div>
</div>
<input type="hidden" id="base_url" value="<?=base_url();?>">

<script type="text/javascript">
    $(document).ready(function(){
        var base = $('#base_url').val();
        $('#add_new_complaint').validate({
            rules:{
                'cm_prod_type':{
                    required: true
                },
                'cm_comp':{
                    required: true
                }
            },
            messages:{
                'cm_prod_type':{
                    required: 'Product type is required!'
                },
                'cm_comp':{
                    required: 'COmplaint name is required!'
                }
            },
            submitHandler:function(form){

                var formdata = new FormData(form);
                $('#add_new_complaint')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_complaint',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New complaint has been added successfully','Success',{timeOut:5000});
                            $( '#add_new_complaint' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }

                });
            }
        });
    });
</script>
<script type="text/javascript">
    $(document).ready(function(){
        $('#edit_complaint').validate({
            rules:{
                'cm_prod_type':{
                    required: true
                },
                'cm_comp':{
                    required: true
                }
            },
            messages:{
                'cm_prod_type':{
                    required: 'Product type is required!'
                },
                'cm_comp':{
                    required: 'COmplaint name is required!'
                }
            },
            submitHandler:function(form){

                var formdata = new FormData(form);
                $('#edit_complaint')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_complaint',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('complaint has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_complaint' ).each(function(){
                                this.reset();
                            });
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                        }
                    });

            }
        });
    });
</script>