            <div class="card-header">
                <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Country" : "Add Country" ?></h5>
            </div>
            <div class="card-body">
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_country" : "add_new_country" ?>" class="tooltip-label-right" enctype="multipart/form-data" novalidate>
                <input type="hidden" name="cid" id ="cid" value="<?= isset($countries) && $countries!="" ?  $countries->country_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Region</label>
                                <select name="country_region" class="form-control js-example-basic-single w-100">
                                    <option value="">Select </option>
                                    <?php if(isset($region_list) && $region_list != ""){
                                            foreach($region_list as $rList){ ?>
                                                <option value="<?=$rList->r_id ?>" <?php if(isset($countries)){ if($countries->country_region != ""){ if($rList->r_id == $countries->country_region){ echo "selected"; } }} ?>><?=$rList->r_name?></option>
                                        <?php }
                                    }?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Country Name</label>
                                <input type="text" class="form-control" name="country_name" id="country_name" placeholder="Country name.." value="<?php if(!empty($countries) && $countries !=""){ echo $countries->country_name; } ?>" required>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Country Code</label>
                                <input type="text" class="form-control" name="country_code" id="country_code" placeholder="Country code.." value="<?php if(!empty($countries) && $countries !=""){ echo $countries->country_code; } ?>" required>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="exampleSelectGender">Show On Index Page</label>
                                <select class="form-control" id="exampleSelectGender" name="country_index_page">
                                    <option value="">-- Select --</option>
                                    <option value="Y" <?php if(isset($countries) && $countries!=""){ if($countries->country_index_page == "Y"){ echo 'selected';}} ?>>Yes</option>
                                    <option value="N" <?php if(isset($countries) && $countries!=""){ if($countries->country_index_page == "N"){ echo 'selected';}} ?>>No</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Logo</label>
                                <input type="file" name="country_logo" id="country_logo" class="file-upload-default">
                                <div class="input-group col-xs-12">
                                    <input type="text" class="form-control file-upload-info" placeholder="Upload Image">
                                    <span class="input-group-append">
                                    <button class="file-upload-browse btn btn-primary" type="button">Upload</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Plan Cards Background Color </label>
                            <div class="row">
                                <div class="col-md-6">
                                    <label>Color 1 </label>
                                    <input type="color" class="form-control color-input" name="country_color1" id="country_color1" value="<?php if(!empty($countries) && $countries !=""){ echo $countries->country_color1; } ?>" required>
                                </div>
                                <div class="col-md-6">
                                    <label>Color 2</label>
                                    <input type="color" class="form-control color-input" name="country_color2" id="country_color2" value="<?php if(!empty($countries) && $countries !=""){ echo $countries->country_color2; } ?>" required>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round" id="" name="update" value="update">Update</button>' : '<button type="submit" class="btn btn-primary btn-round" id="" name="submit" value="submit">Save</button>' ?>  
                        </div>
                    </div>
                </form>
              </div>
            </div>
<input type="hidden" id="base_url" value="<?=base_url();?>">
<script type="text/javascript">
  $(document).ready(function() {
    if ($(".js-example-basic-single").length) {
        $(".js-example-basic-single").select2();
    }
      $('#country_code').on('keypress',function(e){
          if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) { return false; }
      });
  });
</script>
<script type="text/javascript">
    $(document).ready(function() { 
      $('#country_name').on('keypress',function(evt){ //alphanumeric only
        evt = (evt) ? evt : window.event;
        var key = (evt.which) ? evt.which : event.keyCode;
         if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
          { 
              return   false; 
          }else{
            return true;
          }
        });

      });
</script>
<script src="<?=base_url();?>assets/js/file-upload.js"></script>
<script type="text/javascript">
  $(document).ready(function(){
    var base = $('#base_url').val();
    $('#add_new_country').validate({
        rules:{
            'country_name':{
                required: {
                    depends:function(){
                        $(this).val($.trim($(this).val()));
                        return true;
                    }
                },
                remote: {
                    url:"Home_controller/check_country",
                    type: "post",
                    async: false,
                    data: {
                    'cid': function () { return $('#cid').val(); },
                    'cont': function () { return $('#country_name').val(); }
                    }
                }
            },
            'country_region':{
                required: true
            },
            'country_code':{
                required: true
            }
        },
        messages:{
            'country_name':{
                required:'Country is required!',
                remote:'Country is already exist!'
            },
            'country_region':{
                required: "Please enter country region."
            },
            'country_code':{
                required: "Please enter country code."
            }
        },
        submitHandler:function(form){
          
            var formdata = new FormData(form);
            $('#add_new_country')[0].reset();
            $.ajax({
                url: base+'Home_controller/add_country',
                type:'post',
                data: formdata,
                processData: false,
                contentType: false,
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('New country has been added successfully','Success',{timeOut:5000});
                        $( '#add_new_country' ).each(function(){
                            this.reset();
                        });
                    
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
        
            });
        }
    });
});
</script>
<script type="text/javascript">
  $(document).ready(function(){
    $('#edit_country').validate({

        rules:{
            'country_name':{
                required: {
                    depends:function(){
                        $(this).val($.trim($(this).val()));
                        return true;
                    }
                },
                remote: {
                    url:"Home_controller/check_country",
                    type: "post",
                    async: false,
                    data: {
                    'cid': function () { return $('#cid').val(); },
                    'cont': function () { return $('#country_name').val(); }
                    }
                }
            },
            'country_region':{
                required: true
            },
            'country_code':{
                required: true
            }
        },
        messages:{
            'country_name':{
                required:'Country is required!',
                remote:'Country is already exist!'
            },
            'country_region':{
                required: "Please enter country region."
            },
            'country_code':{
                required: "Please enter country code."
            }
        },
        submitHandler:function(form){
          
            var formdata = new FormData(form);
            $('#edit_country')[0].reset();
            $.ajax({
                url: base+'Home_controller/add_country',
                type:'post',
                data: formdata,
                processData: false,
                contentType: false,
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('Country has been updated successfully','Success',{timeOut:5000});
                        $( '#edit_country' ).each(function(){
                            this.reset();
                        });
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
   
        }
    });
  });
</script>