<div class="card-header">
    <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Devices" : "Add Devices" ?></h5>
</div>
<div class="card-body custom_height">
<form method="post" id="<?= isset($type) && $type !=="" ? "edit_device" : "add_new_device" ?>" class="tooltip-label-right" novalidate>
<input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->ed_id : "" ?>">   
    <div class="row">
        <div class="col-md-12 pr-1">
            <div class="form-group">
                <label>Title </label>
                <input type="text" class="form-control" name="ed_title" id="ed_title" placeholder="Enter title.." value="<?php if(!empty($details) && $details !=""){ echo $details->ed_title; } ?>" required>
            </div>
        </div>
        <div class="col-md-12 pr-1">
            <div class="form-group">
                <label>Devices</label>
                <textarea name="editor1" class="" id="editor"><?php if(!empty($details) && $details !=""){
                                            if($details->ed_devices !=""){ echo $details->ed_devices; }} ?></textarea>
            </div>
        </div>
        <div class="col-md-12 pr-1">
            <div class="update pt-3 ml-auto mr-auto">
            <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round" id="" name="update" value="update">Update</button>' : '<button type="submit" class="btn btn-primary btn-round" id="" name="submit" value="submit">Save</button>' ?>  
        </div>
    </div>
    </div>
    
</form>
</div>
</div>
<input type="hidden" id="base_url" value="<?=base_url();?>">
<script src="https://cdn.ckeditor.com/4.20.1/standard/ckeditor.js"></script>
<script type="text/javascript">
    CKEDITOR.replace( 'editor1' );
    
    $(document).ready(function(){
        var base = $('#base_url').val();
        $('#add_new_device').validate({
            rules:{
                'ed_title':{
                    required: true
                },
                'editor1':{
                    required: true
                }
            },
            messages:{
                'ed_title':{
                    required: 'Title name is required!'
                },
                'editor1':{
                    required: 'Device name is required!'
                }
            },
            submitHandler:function(form){

                var formdata = new FormData(form);
                $('#add_new_device')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_device',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New device has been added successfully','Success',{timeOut:5000});
                            $( '#add_new_device' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }

                });
            }
        });
    });
</script>
<script type="text/javascript">
    $(document).ready(function(){
        $('#edit_device').validate({
            rules:{
                'ed_title':{
                    required: true
                },
                'editor1':{
                    required: true
                }
            },
            messages:{
                'ed_title':{
                    required: 'Title name is required!'
                },
                'editor1':{
                    required: 'Device name is required!'
                }
            },
            submitHandler:function(form){

                var formdata = new FormData(form);
                $('#edit_device')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_device',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('Devices has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_device' ).each(function(){
                                this.reset();
                            });
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                        }
                    });

            }
        });
    });
</script>