
            <div class="card-header">
                <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Faq" : "Add Faq" ?></h5>
            </div>
            <div class="card-body">
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_faq" : "add_faq" ?>" class="tooltip-label-right" novalidate>
                    <input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->fq_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Question</label>
                                <input type="text" class="form-control" name="fq_question" id="fq_question" placeholder="Enter question.." value="<?php if(!empty($details) && $details !=""){ echo ucfirst($details->fq_question); } ?>" required>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Answer</label>
                                <textarea class="form-control" rows="3" name="fq_answer" id="fq_answer"><?php if(!empty($details) && $details !=""){ echo ucfirst($details->fq_answer); } ?></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round" id="" name="update" value="update">Update</button>' : '<button type="submit" class="btn btn-primary btn-round" id="" name="submit" value="submit">Save</button>' ?>  
                        </div>
                    </div>
                </form>
            </div>
       
<input type="hidden" id="base_url" value="<?=base_url();?>">


    <script type="text/javascript">
    $(document).ready(function() { 
        $('#fq_question').on('keypress',function(evt){ //alphanumeric only
        evt = (evt) ? evt : window.event;
        var key = (evt.which) ? evt.which : event.keyCode;
        if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
        { 
            return   false; 
        }else{
            return true;
        }
        });
    
    });
    </script>
    <script type="text/javascript">
    $(document).ready(function(){
    var base = $('#base_url').val();
        $('#add_faq').validate({
            rules:{
                'fq_question':{
                    required: true
                },
                'fq_answer':{
                    required: true
                }
            },
            messages:{
                'af_name':{
                    required: "Please enter question."
                },
                'af_email':{
                    required: "Please enter answer."
                }
            },
            submitHandler:function(form){
    
                var formdata = new FormData(form);
                $('#add_faq')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_faq',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New faq has been added successfully','Success',{timeOut:5000});
                            $( '#add_faq' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
                });
            }
        });
    });
    </script>
    <script type="text/javascript">
    $(document).ready(function(){
        $('#edit_faq').validate({
            rules:{
                'fq_question':{
                    required: true
                },
                'fq_answer':{
                    required: true
                }
            },
            messages:{
                'af_name':{
                    required: "Please enter question."
                },
                'af_email':{
                    required: "Please enter answer."
                }
            },
            submitHandler:function(form){
    
                var formdata = new FormData(form);
                $('#edit_faq')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_faq',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('affiliate has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_faq' ).each(function(){
                                this.reset();
                            });
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
                });
    
            }
        });
    });
    </script>