<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <div class="col-md-12">
            <h4 class="left"><?= isset($details) && $details !=="" ? "Edit inventory" : "Add inventory" ?> </h4>
            <a href="<?=base_url();?>admin-inventory-quick-tool" class="btn btn-primary right mt-30">Inventory List</a>
        </div>
    </div>
   
    <?php //echo '<pre>'; print_r($details);die; ?>
    <div class="row">
        <div class="card col-md-12" id="">
            <div class="card-header">
                <h5 class="card-title"> <?= isset($details) && $details !=="" ? "Edit inventory" : "Add inventory" ?></h5>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <ul class="nav nav-pills">
                            <li class="nav-item">
                                <a class="nav-link active" data-toggle="pill" href="#single" role="tab" aria-controls="pills-single" aria-selected="true">Add inventory</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="pill" href="#bulk" role="tab" aria-controls="pills-bulk" aria-selected="false">Bulk Upload</a>
                            </li>
                        
                        </ul>
                        <div class="tab-content mt-3">
                            <div class="tab-pane active" id="single" role="tabpanel" aria-labelledby="single-tab">
                                <form method="post" id="<?= isset($details) && $details !=="" ? "edit_each_inventory" : "add_each_inventory" ?>" class="tooltip-label-right" enctype="multipart/form-data" novalidate>
                                    <input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->i_id : "" ?>">   
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Property Type</label>
                                            <div class="row">
                                                <label class="container custom-checkbox <?php if(!empty($details) && $details !=""){
                                                        if($details->pl_prop_type !=""){if($details->pl_prop_type =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>">Local
                                                    <input type="radio" name="p_type_local" value="1" <?php if(!empty($details) && $details !=""){
                                                        if($details->pl_prop_type !=""){if($details->pl_prop_type =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>>
                                                </label>
                                                <label class="container custom-checkbox <?php if(!empty($details) && $details !=""){
                                                        if($details->pl_prop_type !=""){if($details->pl_prop_type =="2"){ echo 'checked'; }}} ?>">Roaming
                                                    <input type="radio" name="p_type_local" value="2" <?php if(!empty($details) && $details !=""){
                                                        if($details->pl_prop_type !=""){if($details->pl_prop_type =="2"){ echo 'checked'; }}} ?>>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Select Plan</label>
                                                <select name="each_plan_name" class="form-control select2" id="each_plan_name">
                                                    <option value="">Select </option>
                                                    <?php if(isset($plans) && $plans !=""){
                                                        foreach($plans as $each_plan){ ?>
                                                            <option value="<?=$each_plan->pl_id;?>" <?php if($details!=""){ if($details->i_plan_id == $each_plan->pl_id){ echo 'selected'; }} ?>><?=ucfirst($each_plan->pl_name);?></option>
                                                        <?php }
                                                    } ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Supplier</label>
                                                <select name="each_plan_supplier_name" class="form-control" id="each_plan_supplier_name" readonly>
                                                    <option value="<?php if($details!=""){ if($details->sp_id !=""){ echo 'selected'; }} ?>">
                                                    <?php if($details!=""){ if($details->sp_name !=""){ echo $details->sp_name; }}else{echo 'select';} ?> </option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group" id="local_country">
                                                <label>Country</label>
                                                 <select name="each_plan_country_name" class="form-control" id="each_plan_country_name" readonly>
                                                 <option value="<?php if($details!=""){ if($details->country_id !=""){ echo 'selected'; }} ?>">
                                                 <?php if($details!=""){ if($details->country_name !=""){ echo $details->country_name; }}else{echo 'select';} ?> </option>
                                                </select>
                                            </div>
                                            <div class="form-group" id="roaming_region">
                                                <label>Region</label>
                                                 <select name="each_plan_region_name" class="form-control" id="each_plan_region_name" readonly>
                                                 <option value="<?php if($details!=""){ if($details->r_id !=""){ echo 'selected'; }} ?>">
                                                 <?php if($details!=""){ if($details->r_name !=""){ echo $details->r_name; }}else{echo 'select';} ?> </option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Buying Cost</label>
                                                <input type="text" name="each_plan_cost" class="form-control" placeholder="Buying Cost" id="each_plan_cost" value="<?php if($details!=""){ if($details->pl_buying_cost !=""){ echo $details->pl_buying_cost; }} ?>" readonly>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Activation Code</label>
                                                <input type="text" name="each_plan_activation_code" class="form-control" placeholder="Enter Activation Code" value="<?php if($details!=""){ if($details->i_activation_code !=""){ echo $details->i_activation_code; }} ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Sim Pin</label>
                                                <input type="text" name="each_plan_sim_pin" class="form-control" placeholder="Enter Sim Pin" value="<?php if($details!=""){ if($details->i_sim_pin !=""){ echo $details->i_sim_pin; }} ?>">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Iccid</label>
                                                <input type="text" name="each_plan_iccid" class="form-control" placeholder="Enter iccid" value="<?php if($details!=""){ if($details->i_iccid !=""){ echo $details->i_iccid; }} ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Servide device</label>
                                                <input type="text" name="each_plan_service_device" class="form-control" placeholder="Enter Service Device" value="<?php if($details!=""){ if($details->i_service_id !=""){ echo $details->i_service_id; }} ?>">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="update ml-auto mr-auto">
                                        <?= isset($details) && $details !=="" ? '<button type="submit" class="btn btn-warning btn-round">Update</button>' : '<button type="submit" class="btn btn-primary btn-round">Save</button>' ?>  
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="tab-pane" id="bulk" role="tabpanel" aria-labelledby="bulk-tab">
                                <form method="post" id="bulk_inventory_upload_form" class="tooltip-label-right" enctype="multipart/form-data">
                                     
                                    <div class="row">
                                        <div class="col-md-8">
                                            <div class="form-group">
                                                <label>Property Type</label>
                                                <div class="row">
                                                    <label class="container custom-checkbox p_type_bulk <?php if(!empty($details) && $details !=""){
                                                            if($details->pl_prop_type !=""){if($details->pl_prop_type =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>">Local
                                                        <input type="radio" name="p_type_bulk" value="1" <?php if(!empty($details) && $details !=""){
                                                            if($details->pl_prop_type !=""){if($details->pl_prop_type =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>>
                                                    </label>
                                                    <label class="container custom-checkbox p_type_bulk <?php if(!empty($details) && $details !=""){
                                                            if($details->pl_prop_type !=""){if($details->pl_prop_type =="2"){ echo 'checked'; }}} ?>">Roaming
                                                        <input type="radio" name="p_type_bulk" value="2" <?php if(!empty($details) && $details !=""){
                                                            if($details->pl_prop_type !=""){if($details->pl_prop_type =="2"){ echo 'checked'; }}} ?>>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <a href="<?=base_url();?>assets/bulk-inventory-template.xlsx" class="right btn btn-success" download><i class="fa fa-download"></i> Bulk Inventoty Template</a>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Select Plan</label>
                                                <select name="bulk_plan_name" class="form-control" id="bulk_plan_name">
                                                    <option value="">Select </option>
                                                    <?php if(isset($plans) && $plans !=""){
                                                        foreach($plans as $each_plan){ ?>
                                                            <option value="<?=$each_plan->pl_id;?>" <?php if($details!=""){ if($details->i_plan_id == $each_plan->pl_id){ echo 'selected'; }} ?>><?=ucfirst($each_plan->pl_name);?></option>
                                                        <?php }
                                                    } ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Supplier</label>
                                                <select name="bulk_plan_supplier_name" class="form-control" id="bulk_plan_supplier_name" readonly>
                                                    <option value="<?php if($details!=""){ if($details->sp_id !=""){ echo 'selected'; }} ?>">
                                                    <?php if($details!=""){ if($details->sp_name !=""){ echo $details->sp_name; }}else{echo 'select';} ?></option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group" id="bulk_local_country">
                                                <label>Country</label>
                                                <select name="bulk_plan_country_name" class="form-control" id="bulk_plan_country_name" readonly>
                                                    <option value="<?php if($details!=""){ if($details->country_id !=""){ echo 'selected'; }} ?>">
                                                    <?php if($details!=""){ if($details->country_name !=""){ echo $details->country_name; }}else{echo 'select';} ?> </option>
                                                </select>
                                            </div>
                                            <div class="form-group" id="bulk_roaming_region">
                                                <label>Region</label>
                                                <select name="bulk_plan_region_name" class="form-control" id="bulk_plan_region_name" readonly>
                                                    <option value="<?php if($details!=""){ if($details->r_id !=""){ echo 'selected'; }} ?>">
                                                    <?php if($details!=""){ if($details->r_name !=""){ echo $details->r_name; }}else{echo 'select';} ?> </option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6 pr-1">
                                            <div class="form-group">
                                                <label>Buying Cost</label>
                                                <input type="text" name="bulk_plan_cost" class="form-control" placeholder="Buying Cost" id="bulk_plan_cost" value="<?php if(!empty($details) && $details !=""){
                                                            if($details->pl_buying_cost !=""){ echo $details->pl_buying_cost; }} ?>" readonly>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-8 pr-1">
                                            <label>Upload File</label>
                                            <div class="input-group">
                                                <div class="custom-file">
                                                    <input type="file" name="bulk_data" class="custom-file-input" id="bulk_data">
                                                    <label class="custom-file-label" for="bulk_data">Choose file</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="update ml-auto mr-auto">
                                        <?= isset($details) && $details !=="" ? '<button type="submit" class="btn btn-warning btn-round">Update</button>' : '<button type="submit" class="btn btn-primary btn-round">Save</button>' ?>  
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>

<script type="text/javascript">
    $(document).ready(function() { 
        var base = $('#base_url').val();
        $('#roaming_region').hide();

        $(document).on('change','.custom-checkbox input',function(){
            var id = $(this).val();
            $('.custom-checkbox').removeClass('checked');
            if($(this).is(':checked')){
                $(this).parent('.custom-checkbox').addClass('checked');
            }else{
                $(this).parent('.custom-checkbox').removeClass('checked');
            }

            if(id == 1){
                $('#roaming_region').hide();
                $('#local_country').show();
            }else if(id== 2){
                $('#roaming_region').show();
                $('#local_country').hide();
            }

            var str ="<option value=''>Select</option>";
                $.ajax({
                    url: base+'Home_controller/getPlanListByPropertyType',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].pl_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].pl_id+'">'+u_str+'</option>';
                            }
                        }
                        $('#each_plan_name').html(str);
                        $('#each_plan_supplier_name').html("<option value=''>Select</option>");
                        $('#each_plan_country_name').html("<option value=''>Select</option>");
                        $('#each_plan_cost').val("");
                    }
            
                });
        });

    });
</script>
<script>
    $(document).ready(function(){
        var base = $('#base_url').val();
        $(document).on('change','#each_plan_name',function(){
            var id = $(this).val();
            var str = u_strr1 = "";
            var supplier = country = region = "";
            $.ajax({
                    url: base+'Home_controller/get_supplier_country_cost_by_plan',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        console.log(response);
                        if(response!=""){

                            str = response['pl_buying_cost']+" $";
                            var u_str1 = response['sp_name'].toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase(); });
                            supplier = "<option value='"+response.sp_id+"'>"+u_str1+"</option>";
                            
                            country = "<option value='"+response.country_id+"'>"+response['country_name']+"</option>";
                            
                           
                            region = "<option value='"+response.r_id+"'>"+response['r_name']+"</option>";
                        }
                        console.log(u_str1);
                        $('#each_plan_supplier_name').html(supplier);
                        $('#each_plan_country_name').html(country);
                        $('#each_plan_region_name').html(region);
                        $('#each_plan_cost').val(str);
                    }
            
                });
        });
    });
</script>
<script>
    
    $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#add_each_inventory').validate({
            rules:{
                'each_plan_name':{
                    required: true
                },
                'each_plan_activation_code':{
                    required: true
                }
                // 'each_plan_sim_pin':{
                //     required: true
                // },
                // 'each_plan_iccid':{
                //     required: true
                // },
                // 'each_plan_service_device':{
                //     required: true
                // }
            },
            messages:{
                'each_plan_name':{
                    required:'Plan name is required!'
                },
                'each_plan_activation_code':{
                    required:'Activation code is required!'
                }
                // ,
                // 'each_plan_sim_pin':{
                //     required:'Sim Pin is required!'
                // },
                // 'each_plan_iccid':{
                //     required:'ICCID code is required!'
                // },
                // 'each_plan_service_device':{
                //     required: 'Service device is required!'
                // }
            },
            submitHandler:function(form){ 
            
                var formdata = new FormData(form);
                $.ajax({
                    url: base+'Home_controller/add_new_inventory',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New inventory has been added successfully','Success',{timeOut:5000});
                            $( '#add_each_inventory' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

       
    });
    
$(document).ready(function(){
  $('#bulk_data').on('change',function(){
      //get the file name
      var fileName = $(this).val();
      $(this).next('.custom-file-label').html(fileName);
  });
});
</script>
<script>
    // Bulk Upload code
    
    $(document).ready(function() { 
        var base = $('#base_url').val();
        $('#bulk_roaming_region').hide();

        $(document).on('change','.custom-checkbox.p_type_bulk input',function(){
            var id = $(this).val();
            $('.custom-checkbox').removeClass('checked');
            if($(this).is(':checked')){
                $(this).parent('.custom-checkbox').addClass('checked');
            }else{
                $(this).parent('.custom-checkbox').removeClass('checked');
            }

            if(id == 1){
                $('#bulk_roaming_region').hide();
                $('#bulk_local_country').show();
            }else if(id== 2){
                $('#bulk_roaming_region').show();
                $('#bulk_local_country').hide();
            }

            var str ="<option value=''>Select</option>";
                $.ajax({
                    url: base+'Home_controller/getPlanListByPropertyType',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].pl_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].pl_id+'">'+u_str+'</option>';
                            }
                        }
                        $('#bulk_plan_name').html(str);
                        $('#bulk_plan_supplier_name').html("<option value=''>Select</option>");
                        if(id == 1){
                            $('#bulk_plan_country_name').html("<option value=''>Select</option>");
                        }else{
                            $('#bulk_plan_region_name').html("<option value=''>Select</option>");
                        }
                        
                        $('#bulk_plan_cost').val("");
                    }
            
                });
        });

    });
</script>
<script>
      $(document).ready(function(){
        var base = $('#base_url').val();
        $(document).on('change','#bulk_plan_name',function(){
            var id = $(this).val();
            var str = u_strr1 = "";
            var supplier = country = region = "";
            $.ajax({
                    url: base+'Home_controller/get_supplier_country_cost_by_plan',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        console.log(response);
                        if(response!=""){

                            str = response['pl_buying_cost']+" $";
                            var u_str1 = response['sp_name'].toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase(); });
                            supplier = "<option value='"+response.sp_id+"'>"+u_str1+"</option>";
                            
                            country = "<option value='"+response.country_id+"'>"+response['country_name']+"</option>";
                            
                           
                            region = "<option value='"+response.r_id+"'>"+response['r_name']+"</option>";
                        }
                        console.log(u_str1);
                        $('#bulk_plan_supplier_name').html(supplier);
                        $('#bulk_plan_country_name').html(country);
                        $('#bulk_plan_region_name').html(region);
                        $('#bulk_plan_cost').val(str);
                    }
            
                });
        });
    });
</script>
<script>
      $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#bulk_inventory_upload_form').validate({
            rules:{
                'bulk_plan_name':{
                    required: true
                }
            },
            messages:{
                'bulk_plan_name':{
                    required:'Plan name is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#bulk_inventory_upload_form')[0].reset();
                $.ajax({
                    url: base+'Home_controller/upload_bulk_inventory',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New inventory has been added successfully','Success',{timeOut:5000});
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

       
    });
   
</script>