            <div class="card-header">
                <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Operator" : "Add Operator" ?></h5>
            </div>
            <div class="card-body">
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_operator" : "add_new_operator" ?>" class="tooltip-label-right" novalidate>
                    <input type="hidden" name="cid" id ="cid" value="<?= isset($operator) && $operator!="" ?  $operator->op_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-12 pr-1">
                            <div class="form-group">
                                <label>Operator Name</label>
                                <input type="text" class="form-control" name="op_name" id="op_name" placeholder="Enter operator name.." value="<?php if(!empty($operator) && $operator !=""){ echo $operator->op_name; } ?>" required>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round" id="" name="update" value="update">Update</button>' : '<button type="submit" class="btn btn-primary btn-round" id="" name="submit" value="submit">Save</button>' ?>  
                        </div>
                    </div>
                </form>
            </div>
<input type="hidden" id="base_url" value="<?=base_url();?>">

<script type="text/javascript">
    $(document).ready(function() { 
      $('#op_name').on('keypress',function(evt){ //alphanumeric only
        evt = (evt) ? evt : window.event;
        var key = (evt.which) ? evt.which : event.keyCode;
         if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
          { 
              return   false; 
          }else{
            return true;
          }
        });

      });
</script>
<script type="text/javascript">
  $(document).ready(function(){
    var base = $('#base_url').val();
    $('#add_new_operator').validate({
        rules:{
            'op_name':{
                required: true
            }
        },
        messages:{
            'op_name':{
                required:'Operator name is required!'
            }
        },
        submitHandler:function(form){
          
            var formdata = new FormData(form);
            $('#add_new_operator')[0].reset();
            $.ajax({
                url: base+'Home_controller/add_new_operator',
                type:'post',
                data: formdata,
                processData: false,
                contentType: false,
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('New operator has been added successfully','Success',{timeOut:5000});
                        $( '#add_new_operator' ).each(function(){
                            this.reset();
                        });
                    
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
        
            });
        }
    });
});
</script>
<script type="text/javascript">
  $(document).ready(function(){
    $('#edit_operator').validate({

        rules:{
            'op_name':{
                required: true
            }
        },
        messages:{
            'op_name':{
                required:'Operator name is required!'
            }
        },
        submitHandler:function(form){
          
            var formdata = new FormData(form);
            $('#edit_operator')[0].reset();
            $.ajax({
                url: base+'Home_controller/edit_operator',
                type:'post',
                data: formdata,
                processData: false,
                contentType: false,
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('Country has been updated successfully','Success',{timeOut:5000});
                        $( '#edit_operator' ).each(function(){
                            this.reset();
                        });
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
   
        }
    });
  });
</script>