<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <div class="col-md-12">
            <h4 class="left"><?= isset($type) && $type !=="" ? "Edit Plan" : "Create Plan" ?> Details</h4>
            <a href="<?=base_url();?>admin-plan" class="btn btn-primary right mt-30">Plan List</a>
        </div>
    </div>
    <div class="row">
        <div class="card col-md-12" id="">
            <!-- <div class="card-header">
                <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Plan" : "Create Plan" ?></h5>
            </div> -->
            <div class="card-body">
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_plan" : "add_new_plan" ?>" class="tooltip-label-right" novalidate>
                    <input type="hidden" name="cid" id ="cid" value="<?= isset($plan_details) && $plan_details!="" ?  $plan_details->pl_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Property Type</label>
                                <div class="row">
                                    <label class="container custom-checkbox <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_prop_type !=""){if($plan_details->pl_prop_type =="1"){ echo 'checked'; }}}else{echo 'checked';} ?>">Local
                                        <input type="radio" name="p_type" value="1" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_prop_type !=""){if($plan_details->pl_prop_type =="1"){ echo 'checked'; }}}else{ echo "checked";} ?>>
                                        
                                    </label>
                                    <label class="container custom-checkbox <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_prop_type !=""){if($plan_details->pl_prop_type =="2"){ echo 'checked'; }}} ?>">Roaming
                                        <input type="radio" name="p_type" value="2" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_prop_type !=""){if($plan_details->pl_prop_type =="2"){ echo 'checked'; }}} ?>>
                                        
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Plan Class</label>
                                <select name="p_Class" class="form-control">
                                    <option value="">Select </option>
                                    <option value="1">Data</option>
                                    <option value="2">Voice and Data</option>
                                </select>
                            </div>
                        </div>
                    
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Plan Source</label>
                                <select name="p_source" class="form-control">
                                    <option value="">Select </option>
                                    <option value="1">In House</option>
                                    <option value="2">After Sale Activation</option>
                                    <option value="2">Through API</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Duration Type</label>
                                <select name="p_duration_type" class="form-control">
                                    <option value="">Select </option>
                                    <option value="1">Traveller Plan</option>
                                    <option value="2">Long Stay Plan</option>
                                    <option value="3">Monthly Plan</option>
                                </select>
                            </div>
                        </div>
                    
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Plan Name</label>
                               <input type="text" name="p_name" class="form-control" placeholder="Enter plan name" value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_name !=""){ echo $plan_details->pl_name; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Supplier</label>
                                <select name="p_supplier" class="form-control">
                                    <option value="">Select Supplier</option>
                                    <option value="1">Supplier 1</option>
                                    <option value="2">Supplier 2</option>
                                    <option value="3">Supplier 3</option>
                                </select>
                            </div>
                        </div>
                    
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Plan Validity Type</label>
                                <select class="form-control" name="p_validity_type">
                                    <option value="">Select</option>
                                    <option value="1">Type 1</option>
                                    <option value="2">Type 2</option>
                                    <option value="3">Type 3</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Plan Validity</label>
                                <input type="text" class="form-control" name="p_validity" placeholder="Enter validity"  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_name !=""){ echo $plan_details->pl_validity; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Buying Cost</label>
                                <div class="input-group">
                                    <input type="text" name="p_buying_cost" class="form-control" placeholder="" value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_cost !=""){ echo $plan_details->pl_cost; }} ?>">
                                    <div class="input-group-append">
                                        <button class="btn form-btn-outline-custom dropdown-toggle m-0" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Select</button>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="#">$</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>For usages Policy</label>
                                <div class="row">
                                    <label class="container custom-checkbox <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_policy !=""){if($plan_details->pl_policy =="1"){ echo 'checked'; }}}else{echo 'checked';} ?>">Yes
                                        <input type="radio" name="p_policy" value="1" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_policy !=""){if($plan_details->pl_policy =="1"){ echo 'checked'; }}}else{ echo "checked";} ?>>
                                    </label>
                                    <label class="container custom-checkbox <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_policy !=""){if($plan_details->pl_policy =="2"){ echo 'checked'; }}} ?>">No
                                        <input type="radio" name="p_policy" value="2" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_policy !=""){if($plan_details->pl_policy =="2"){ echo 'checked'; }}} ?>>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Recharge</label>
                                <div class="row">
                                    <label class="container custom-checkbox <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_recharge !=""){if($plan_details->pl_recharge =="1"){ echo 'checked'; }}}else{ echo "checked";} ?>">Rechargable
                                        <input type="radio" name="p_recharge" value="1" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_recharge !=""){if($plan_details->pl_recharge =="1"){ echo 'checked'; }}}else{ echo "checked";} ?>>
                                    </label>
                                    <label class="container custom-checkbox <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_recharge !=""){if($plan_details->pl_recharge =="2"){ echo 'checked'; }}} ?>">Not Rechargable
                                        <input type="radio" name="p_recharge" value="2" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_recharge !=""){if($plan_details->pl_recharge =="2"){ echo 'checked'; }}} ?>>
                                    </label>
                                </div>
                            </div>
                        </div>
                    
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Country</label>
                                <select class="form-control" name="p_country">
                                    <option>Select country</option>
                                    <?php print_r($countries); if(!empty($countries) && $countries!=""){
                                        foreach($countries as $country){ ?>
                                        <option value="<?=$country->country_id; ?>" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_country !=""){if($plan_details->pl_country == $country->country_id){ echo 'selected'; }}} ?>><?=$country->country_name; ?></option>
                                        <?php }
                                    } ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Data Allowlance</label>
                                <div class="input-group">
                                    <input type="text"  name="p_data_allowance" class="form-control" placeholder="" value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_data_allowance !=""){ echo $plan_details->pl_data_allowance; }} ?>">
                                    <div class="input-group-append">
                                        <button class="btn form-btn-outline-custom dropdown-toggle m-0" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Select</button>
                                        <div class="dropdown-menu">
                                        <a class="dropdown-item" href="#">GB</a>
                                        <a class="dropdown-item" href="#">MB</a>
                                        </div>
                                    </div>
                                    <div class="input-group-append">
                                        <button class="btn form-btn-outline-custom dropdown-toggle m-0" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Select</button>
                                        <div class="dropdown-menu">
                                        <a class="dropdown-item" href="#">Daily</a>
                                        <a class="dropdown-item" href="#">Monthly</a>
                                        <a class="dropdown-item" href="#">Yearly</a>
                                        <a class="dropdown-item" href="#">Unlimited</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Network</label>
                                <select class="form-control" name="p_network">
                                    <option value="">Select</option>
                                    <option value="1">Vodafone</option>
                                    <option value="2">Airtel</option>
                                    <option value="3">BSNL</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>APN</label>
                                <input type="text" class="form-control" name="p_apn" placeholder="Enter APN"  value="">
                            </div>
                        </div>
                   
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Plan Order (For Index Page)</label>
                                <input type="number" class="form-control" name="p_order" placeholder="Enter plan order"  value="">
                            </div>
                            <div class="form-group">
                                <label>Remarks</label>
                                <textarea name="p_remarks" class="form-control" rows="4" id=""><?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_remarks !=""){ echo $plan_details->pl_remarks; }} ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Additional Information</label>
                                <textarea name="editor1" class="" id="editor"><?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_info !=""){ echo $plan_details->pl_info; }} ?></textarea>
                            </div>
                        </div>
                    
                        <div class="update ml-auto mr-auto">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round">Update</button>' : '<button type="submit" class="btn btn-primary btn-round">Save</button>' ?>  
                        </div>
                    </row>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>
<script src="https://cdn.ckeditor.com/4.20.1/standard/ckeditor.js"></script>
<script>
        CKEDITOR.replace( 'editor1' );

    $(document).ready(function(){
        $(document).on('change','.custom-checkbox input',function(){
            $('.custom-checkbox').removeClass('checked');
            if($(this).is(':checked')){
                $(this).parent('.custom-checkbox').addClass('checked');
            }else{
                $(this).parent('.custom-checkbox').removeClass('checked');
            }
        });

        //form submit
        var base = $('#base_url').val();
        $('#add_new_plan').validate({
            rules:{
                'p_name':{
                    required: true
                },
                'p_type':{
                    required: true
                },
                'p_policy':{
                    required: true
                },
                'p_recharge':{
                    required: true
                }
            },
            messages:{
                'p_name':{
                    required:'plan name is required!'
                },
                'p_type':{
                    required:'plan type is required!'
                },
                'p_policy':{
                    required:'plan policy is required!'
                },
                'p_recharge':{
                    required:'plan recharge is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#add_new_plan')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_new_plan',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New plan has been added successfully','Success',{timeOut:5000});
                            $( '#add_new_plan' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if(element.attr("type") == "radio"){
                    error.insertAfter(element.parent().parent());
                    //element.parent().addClass('error_border');
                }
            }
        });


        //edit plan
        $('#edit_plan').validate({
            rules:{
                'p_name':{
                    required: true
                },
                'p_type':{
                    required: true
                },
                'p_policy':{
                    required: true
                },
                'p_recharge':{
                    required: true
                }
            },
            messages:{
                'p_name':{
                    required:'plan name is required!'
                },
                'p_type':{
                    required:'plan type is required!'
                },
                'p_policy':{
                    required:'plan policy is required!'
                },
                'p_recharge':{
                    required:'plan recharge is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#edit_plan')[0].reset();
                $.ajax({
                    url: base+'Home_controller/edit_plan_by_id',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+'admin-plan';
                                }, 2000);
                            toastr.success('Plan has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_plan' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if(element.attr("type") == "radio"){
                    error.insertAfter(element.parent().parent());
                    //element.parent().addClass('error_border');
                }
            }
        });
    });
    
</script>