    <div class="card-header">
        <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Sub Complaint" : "Add Sub Complaint" ?></h5>
    </div>
    <div class="card-body">
        <form method="post" id="<?= isset($type) && $type !=="" ? "edit_sub_complaint" : "add_new_sub_complaint" ?>" class="tooltip-label-right" novalidate>
            <input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->sc_id : "" ?>">   
            <div class="row">
                <div class="col-md-6 pr-1">
                    <div class="form-group">
                        <label> Product Type </label>
                        <select class="form-control" name="sc_prod_type">
                            <option value="">Select Product Type</option>
                            <?php if(!empty($prod_types) && $prod_types!=""){
                                foreach($prod_types as $types){ ?>
                                <option value="<?=$types->p_id; ?>" <?php if(!empty($details) && $details !=""){
                                    if($details->sc_prod_type !=""){ if($details->sc_prod_type == $types->p_id){ echo 'selected'; }}} ?>>
                                    <?=ucfirst($types->p_name); ?>
                                </option>
                                <?php }
                            } ?>
                        </select>
                    </div>
                </div>
                <div class="col-md-6 pr-1">
                    <div class="form-group">
                        <label> Complaint </label>
                        <select class="form-control" name="sc_comp">
                            <option value="">Select Complaint</option>
                            <?php if(!empty($complaint_list) && $complaint_list!=""){
                                foreach($complaint_list as $list){ ?>
                                <option value="<?=$list->cm_id; ?>" <?php if(!empty($details) && $details !=""){
                                    if($details->sc_comp !=""){ if($details->sc_comp == $list->cm_id){ echo 'selected'; }}} ?>>
                                    <?=ucfirst($list->cm_comp); ?>
                                </option>
                                <?php }
                            } ?>
                        </select>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6 pr-1">
                    <div class="form-group">
                        <label>Sub-Complaint</label>
                        <input type="text" class="form-control" name="sc_subComp" id="sc_subComp" placeholder="Enter sub complaint.." value="<?php if(!empty($details) && $details !=""){ echo $details->sc_subComp; } ?>" required>
                    </div>
                </div>
                <div class="col-md-6 pr-1">
                    <div class="update pt-3 ml-auto mr-auto">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round" id="" name="update" value="update">Update</button>' : '<button type="submit" class="btn btn-primary btn-round" id="" name="submit" value="submit">Save</button>' ?>  
                </div>
            </div>
            </div>
            
        </form>
    </div>
</div>
<input type="hidden" id="base_url" value="<?=base_url();?>">

<script type="text/javascript">
    $(document).ready(function(){
        var base = $('#base_url').val();
        $('#add_new_sub_complaint').validate({
            rules:{
                'sc_prod_type':{
                    required: true
                },
                'sc_comp':{
                    required: true
                },
                'sc_subComp':{
                    required: true
                }
            },
            messages:{
                'sc_prod_type':{
                    required: 'Product type is required!'
                },
                'sc_comp':{
                    required: 'Complaint is required!'
                },
                'sc_subComp':{
                    required: 'Sub Complaint is required!'
                }
            },
            submitHandler:function(form){

                var formdata = new FormData(form);
                $('#add_new_sub_complaint')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_sub_complaint',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New sub_complaint has been added successfully','Success',{timeOut:5000});
                            $( '#add_new_sub_complaint' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }

                });
            }
        });
    });
</script>
<script type="text/javascript">
    $(document).ready(function(){
        $('#edit_sub_complaint').validate({
            rules:{
                'sc_prod_type':{
                    required: true
                },
                'sc_comp':{
                    required: true
                },
                'sc_subComp':{
                    required: true
                }
            },
            messages:{
                'sc_prod_type':{
                    required: 'Product type is required!'
                },
                'sc_comp':{
                    required: 'Complaint is required!'
                },
                'sc_subComp':{
                    required: 'Sub Complaint is required!'
                }
            },
            submitHandler:function(form){

                var formdata = new FormData(form);
                $('#edit_sub_complaint')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_sub_complaint',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('Sub-Complaint has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_sub_complaint' ).each(function(){
                                this.reset();
                            });
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                        }
                    });

            }
        });
    });
</script>