<?php $order = "desc"; if($sort_direction=='desc'){ $order ="asc"; }else{ $order ="desc"; } ?>
<table class="table custom_table">
    <thead class=" text-primary">
        <th><a class="sorting" sort-by="af_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Name</a></th>
        <th><a class="sorting" sort-by="af_reference" sort-order="<?= $order ?>"  href="javascript:void(0)">Reference</a></th>
        <th><a class="sorting" sort-by="af_email" sort-order="<?= $order ?>"  href="javascript:void(0)">Email</a></th>
        <th><a class="sorting" sort-by="country_code" sort-order="<?= $order ?>"  href="javascript:void(0)">Created Date</a></th>
        <th class="text-right">Action</th>
    </thead>
    <tbody>
        <?php if(!empty($data)){
            foreach($data as $list){ ?>
                <tr>
                    <td>
                        <?=ucfirst($list['af_name'])?>
                    </td>
                    <td>
                        <?=ucfirst($list['af_reference'])?>
                    </td>
                    <td>
                        <?=$list['af_email']?>
                    </td>
                    <td>
                        <?=date('d-m-y h:i',strtotime($list['af_createdOn']))?>
                    </td>
                    <td class="text-right">
                        <button class="btn btn-xs btn-primary btn-round edit_country" onclick="get_affiliate('edit',<?php echo $list['af_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Edit Affiliate">Edit</button>
                        <button class="btn btn-xs btn-warning btn-round" onclick="delete_affiliate(<?php echo $list['af_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Delete Affiliate">Delete</button>
                    </td>
                </tr>
            <?php }
        } ?>
    </tbody>
</table>

<!-- START PAGINATION -->
<div class="col-12 text-left">
        <?php if($total_records > 0) { ?>
          Showing <?php echo $from_records; ?> to <?php echo $to_records; ?> of <?php echo $total_records; ?>
        <?php } else echo '&nbsp'; ?>
      </div>
      <div class="col-12 text-right">
        <nav aria-label="Page navigation">
          <?php echo $pagination; ?> 
        </nav>
        <input type="hidden" id="pagination_url" value="<?php echo $paging_url; ?>" />
        <input type="hidden" id="pagination_page" value="<?php echo $page; ?>" />
        <input type="hidden" id="per_page_value" value="<?php echo $per_page; ?>" />
        <input type="hidden" id="pagination_sort_by" value="<?php echo $sort_by; ?>" />
        <input type="hidden" id="pagination_sort_direction" value="<?php echo $sort_direction; ?>" />

      </div>
      <!-- END PAGINATION --> 