<?php $order = "desc"; if($sort_direction=='desc'){ $order ="asc"; }else{ $order ="desc"; } ?>
<table class="table custom_table">
    <thead class=" text-primary">
      <th>Flag</th>
        <th><a class="sorting" sort-by="country_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Country Name</a></th>
        <th><a class="sorting" sort-by="country_region" sort-order="<?= $order ?>"  href="javascript:void(0)">Region</a></th>
        <th><a class="sorting" sort-by="country_code" sort-order="<?= $order ?>"  href="javascript:void(0)">Country Code/ Color</a></th>
        <th class="text-right">Action</th>
    </thead>
    <tbody>
        <?php if(!empty($data)){
            foreach($data as $list){
                $logo = $list['country_logo'];
                if($logo ==""){
                  $logo = 'default_img.png';
                } ?>
                <tr>
                    <td class="img_cell"><img src="<?=base_url()?>assets/images/countries/<?=$logo?>"></td>
                    <td>
                    <?=ucfirst($list['country_name'])?>
                    </td>
                    <td>
                    <?=ucfirst($list['r_name'])?>
                    </td>
                    <td>
                      <?=$list['country_code']?>
                      <span class="count-color-span">
                        <i class="fa fa-square fa-2x" style="color:<?=$list['country_color1']?>"></i>
                      </span> -
                      <span class="count-color-span">
                      <i class="fa fa-square fa-2x" style="color:<?=$list['country_color2']?>"></i>
                      </span>
                    </td>
                    <td class="text-right">
                        <button class="btn btn-xs btn-primary btn-round edit_country" onclick="get_country('edit',<?php echo $list['country_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Edit Country"><i class="fa fa-edit fa-2x"></i></button>
                        <button class="btn btn-xs btn-warning btn-round" onclick="delete_country(<?php echo $list['country_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Delete Country"><i class="fa fa-trash fa-2x"></i></button>
                    </td>
                </tr>
            <?php }
        } ?>
    </tbody>
</table>

<!-- START PAGINATION -->
<div class="col-12 text-left">
        <?php if($total_records > 0) { ?>
          Showing <?php echo $from_records; ?> to <?php echo $to_records; ?> of <?php echo $total_records; ?>
        <?php } else echo '&nbsp'; ?>
      </div>
      <div class="col-12 text-right">
        <nav aria-label="Page navigation">
          <?php echo $pagination; ?> 
        </nav>
        <input type="hidden" id="pagination_url" value="<?php echo $paging_url; ?>" />
        <input type="hidden" id="pagination_page" value="<?php echo $page; ?>" />
        <input type="hidden" id="per_page_value" value="<?php echo $per_page; ?>" />
        <input type="hidden" id="pagination_sort_by" value="<?php echo $sort_by; ?>" />
        <input type="hidden" id="pagination_sort_direction" value="<?php echo $sort_direction; ?>" />

      </div>
      <!-- END PAGINATION --> 