<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <div class="col-md-12">
            <a href="<?=base_url();?>admin-rechargable-topup" class="btn btn-primary right mt-30">Topups</a>
        </div>
    </div>
    <div class="row">
        <div class="card col-md-12" id="">
        <div class="card-header">
                <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Topup" : "Create Topup" ?></h5>
            </div>
            <div class="card-body">
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_topup" : "create_topup" ?>" class="tooltip-label-right" novalidate>
                    <input type="hidden" name="cid" id ="cid" value="<?= isset($topup_details) && $topup_details!="" ?  $topup_details->tp_id : "" ?>">   
                    
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Supplier</label>
                                <select name="tp_supplier" class="form-control" id="suppliers_data">
                                    <option value="">Select </option>
                                    <?php if(isset($suppliers) && $suppliers !=""){
                                        foreach($suppliers as $each_supplier){
                                         ?>
                                        <option value="<?=$each_supplier->sp_id?>" <?php if(isset($topup_details) && $topup_details!=""){ if($topup_details->tp_supplier_id == $each_supplier->sp_id){ echo 'selected';}}?>>
                                            <?=ucfirst($each_supplier->sp_name)?>
                                        </option>
                                    <?php }
                                    }?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Plan</label>
                                <select name="tp_plan" class="form-control" id="plan_list">
                                    <option value="<?php if(isset($topup_details) && $topup_details!=""){ if($topup_details->tp_plan == $each_plan->pl_id){ echo 'selected';}}?>">Select </option>
                                </select>
                            </div>
                        </div>
                        <!-- <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Country</label>
                                <select class="form-control error_placement" name="p_country" id="country_list">
                                    <option value="">Select</option>
                                </select>
                            </div>
                        </div> -->
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Plan Cost</label>
                               <input type="text" name="tp_cost" id="plan_cost" class="form-control" placeholder="Plan cost" value="<?php if(isset($topup_details) && $topup_details!=""){ echo $topup_details->tp_plan_cost." $";}?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Topup Name</label>
                               <input type="text" name="tp_name" class="form-control" placeholder="Enter Topup name" value="<?php if(isset($topup_details) && $topup_details!=""){ echo ucfirst($topup_details->tp_topup_name);}?>">
                            </div>
                        </div>
                    
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Price</label>
                                <div class="input-group">
                                    <input type="text" name="tp_price" class="form-control error_placement" placeholder="" value="<?php if(isset($topup_details) && $topup_details!=""){ echo ucfirst($topup_details->tp_price);}?>">
                                    <div class="input-group-append">
                                        <select name="tp_price_currency" class="form-control error_placement">
                                            <option value="1">$</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Data Allowlance</label>
                                <div class="input-group">
                                    <input type="text"  name="tp_data_allowance" class="form-control error_placement" placeholder="" value="<?php if(isset($topup_details) && $topup_details!=""){ echo ucfirst($topup_details->tp_data_allowance);}?>">
                                    <div class="input-group-append">
                                        <select class="form-control error_placement" name="tp_data_allow_type">
                                            <option value="">Select</option>
                                            <option value="1" <?php if(isset($topup_details) && $topup_details!=""){ if($topup_details->tp_data_allow_type == '1'){ echo 'selected'; }} ?>>MB</option>
                                            <option value="2" <?php if(isset($topup_details) && $topup_details!=""){ if($topup_details->tp_data_allow_type == '2'){ echo 'selected'; }} ?>>GB</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Plan Validity Days</label>
                                <input type="text" class="form-control" name="tp_validity" placeholder="Enter validity" value="<?php if(isset($topup_details) && $topup_details!=""){ echo $topup_details->tp_validity;}?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Additional Information</label>
                                <textarea class="form-control" name="tp_info"><?php if(isset($topup_details) && $topup_details!=""){ echo $topup_details->tp_info;}?></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round">Update</button>' : '<button type="submit" class="btn btn-primary btn-round">Save</button>' ?>  
                        </div>
                    </div>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>
<script type="importmap">
			{
				"imports": {
          "ckeditor5": "https://cdn.ckeditor.com/ckeditor5/43.0.0/ckeditor5.js",
          "ckeditor5/": "https://cdn.ckeditor.com/ckeditor5/43.0.0/"
				}
			}
		</script>
    <script type="module">
        import {
            ClassicEditor,
            Essentials,
            Paragraph,
            Bold,
            Italic,
            Font
        } from 'ckeditor5';

        ClassicEditor
            .create( document.querySelector( '.editor' ), {
                plugins: [ Essentials, Paragraph, Bold, Italic, Font ],
                toolbar: [
        'undo', 'redo', '|', 'bold', 'italic', '|',
        'fontSize', 'fontFamily', 'fontColor', 'fontBackgroundColor'
      ]
            } )
            .then( editor => {
                window.editor = editor;
            } )
            .catch( error => {
                console.error( error );
            } );
    </script>
<script>
     
    $(document).ready(function(){
        
        //form submit     
        var base = $('#base_url').val();
        $('#create_topup').validate({
            rules:{
                'tp_supplier':{
                    required: true
                },
                'tp_plan':{
                    required: true
                },
                'tp_name':{
                    required: true
                },
                'tp_price':{
                    required: true
                },
                'tp_price_currency':{
                    required: true
                },
                'tp_data_allowance':{
                    required: true
                },
                'tp_data_allow_type':{
                    required: true
                },
                'tp_validity':{
                    required: true
                }
                
            },
            messages:{
                'tp_supplier':{
                    required:'Supplier is required!'
                },
                'tp_plan':{
                    required:'Plan is required!'
                },
                'tp_name':{
                    required:'Topup name is required!'
                },
                'tp_price':{
                    required:'Price is required!'
                },
                'tp_price_currency':{
                    required:'Price currency is required!'
                },
                'tp_data_allowance':{
                    required:'Data allowance is required!'
                },
                'tp_data_allow_type':{
                    required:'Data allowance type is required!'
                },
                'tp_validity':{
                    required:'Validity is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#create_topup')[0].reset();
                $.ajax({
                    url: base+'Home_controller/create_new_topup',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New topup has been added successfully','Success',{timeOut:5000});
                            $( '#create_topup' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if($('.error').hasClass('error_placement')){
                    error.insertAfter(element.parent().parent());
                }else{
                    error.insertAfter(element);
                }
            }
        });


        //edit plan
        $('#edit_plan').validate({
            rules:{
                'p_name':{
                    required: true
                },
                'p_type':{
                    required: true
                },
                'p_policy':{
                    required: true
                },
                'p_recharge':{
                    required: true
                }
            },
            messages:{
                'p_name':{
                    required:'plan name is required!'
                },
                'p_type':{
                    required:'plan type is required!'
                },
                'p_policy':{
                    required:'plan policy is required!'
                },
                'p_recharge':{
                    required:'plan recharge is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#edit_plan')[0].reset();
                $.ajax({
                    url: base+'Home_controller/edit_plan_by_id',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+'admin-plan';
                                }, 2000);
                            toastr.success('Plan has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_plan' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if(element.attr("type") == "radio"){
                    error.insertAfter(element.parent().parent());
                    //element.parent().addClass('error_border');
                }
            }
        });
    });
    
</script>

<script>
    $(document).ready(function(){
        var base = $('#base_url').val();
        $(document).on('change','#suppliers_data',function(){
            var id = $(this).val();
            var str ="<option value=''>Select</option>";
            $.ajax({
                    url: base+'Home_controller/get_plan_by_supplier',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].pl_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].pl_id+'">'+u_str+'</option>';
                            }
                        }
                        $('#plan_list').html(str);
                    }
            
                });
        });
    });
</script>
<script>
    $(document).ready(function(){
        var base = $('#base_url').val();
        $(document).on('change','#plan_list',function(){
            var id = $(this).val();
            var str ="";
            $.ajax({
                    url: base+'Home_controller/get_plancost_by_plan',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        
                        if(response!=""){
                            str = response['pl_buying_cost']+" $";
                        }
                        
                        $('#plan_cost').val(str);
                    }
            
                });
        });
    });
</script>