<?php $this->load->view('admin/header'); ?>
      <!-- End Navbar -->
      <div class="content">
        <div class="row">
          <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
              <div class="card-body ">
                <div class="row">
                  <div class="col-5 col-md-4">
                    <div class="icon-big text-center icon-warning">
                      <i class="nc-icon nc-globe text-warning"></i>
                    </div>
                  </div>
                  <div class="col-7 col-md-8">
                    <div class="numbers">
                      <p class="card-category">Total Plans</p>
                      <p class="card-title"><?php if($no_of_active_plans !=""){echo $no_of_active_plans;}?><p>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card-footer ">
                <hr>
                <a href="<?=base_url();?>admin-plan">
                  <div class="stats">
                    <i class="fa fa-long-arrow-right"></i>
                    Check now
                  </div>
                </a>
              </div>
            </div>
          </div>
          <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
              <div class="card-body ">
                <div class="row">
                  <div class="col-5 col-md-4">
                    <div class="icon-big text-center icon-warning">
                      <i class="nc-icon nc-money-coins text-success"></i>
                    </div>
                  </div>
                  <div class="col-7 col-md-8">
                    <div class="numbers">
                      <p class="card-category">Total Sale</p>
                      <p class="card-title"><?php if($no_of_orders !=""){echo $no_of_orders;}?><p>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card-footer ">
                <hr>
                <a href="<?=base_url();?>admin-sale-report">
                  <div class="stats">
                    <i class="fa fa-long-arrow-right"></i>
                    Check now
                  </div>
                </a>
              </div>
            </div>
          </div>
          <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
              <div class="card-body ">
                <div class="row">
                  <div class="col-5 col-md-4">
                    <div class="icon-big text-center icon-warning">
                      <i class="nc-icon nc-vector text-danger"></i>
                    </div>
                  </div>
                  <div class="col-7 col-md-8">
                    <div class="numbers">
                      <p class="card-category">Total Inventory</p>
                      <p class="card-title"><?php if($no_of_inventory !=""){echo $no_of_inventory;}?><p>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card-footer ">
                <hr>
                <a href="<?=base_url();?>admin-inventory">
                  <div class="stats">
                    <i class="fa fa-long-arrow-right"></i>
                    Check now
                  </div>
                </a>
              </div>
            </div>
          </div>
          <div class="col-lg-3 col-md-6 col-sm-6">
            <div class="card card-stats">
              <div class="card-body ">
                <div class="row">
                  <div class="col-5 col-md-4">
                    <div class="icon-big text-center icon-warning">
                      <i class="nc-icon nc-circle-10 text-primary"></i>
                    </div>
                  </div>
                  <div class="col-7 col-md-8">
                    <div class="numbers">
                      <p class="card-category">Total Enquiries</p>
                      <p class="card-title"><?php if($no_of_enquiries !=""){echo $no_of_enquiries;}?><p>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card-footer ">
                <hr>
                <a href="<?=base_url();?>admin-enquiries">
                  <div class="stats">
                    <i class="fa fa-long-arrow-right"></i>
                    Check now
                  </div>
                </a>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <div class="card card-chart">
              <div class="card-header">
                <h5 class="card-title">Signup VS Sales Report</h5>
                <!-- <p class="card-category">Line Chart with Points</p> -->
              </div>
              <div class="card-body">
                <canvas id=speedChart width="400" height="100"></canvas>
                
              </div>
              <div class="card-footer">
                <div class="chart-legend">
                  <i class="fa fa-circle text-info"></i> Signup Report
                  <i class="fa fa-circle text-warning"></i> Sales Report
                </div>
                <hr />
                <div class="card-stats">
                  <i class="fa fa-check"></i> Data information certified
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-4">
            <div class="card ">
              <div class="card-header ">
                <h5 class="card-title">Sale Report</h5>
                <p class="card-category">Categories of sale report</p>
              </div>
              <div class="card-body ">
                <canvas id="chartEmail"></canvas>
              </div>
              <div class="card-footer ">
                <div class="legend">
                  <i class="fa fa-circle text-primary"></i> Web
                  <i class="fa fa-circle text-warning"></i> API
                  <i class="fa fa-circle text-danger"></i> Offline
                  <i class="fa fa-circle text-gray"></i> KYC
                </div>
                <hr>
                <div class="stats">
                  <i class="fa fa-calendar"></i> Number of plans sold
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-8">
            <div class="card ">
              <div class="card-header ">
                <h5 class="card-title">Inventory Report</h5>
                <p class="card-category">Currently updated </p>
              </div>
              <div class="card-body ">
                <canvas id=chartHours width="400" height="100"></canvas>
              </div>
              <div class="card-footer ">
                <hr>
                <div class="stats">
                  <i class="fa fa-history"></i> Updated 30 minutes ago
                </div>
              </div>
            </div>
          </div>
        </div>
    </div>
    <?php $this->load->view('admin/footer'); ?>
    <script>
       demo.initChartsPages();
    </script>