<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <h4>Data Sync</h4>
    </div>
    <div class="row">
        <div class="col-md-6" id="">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title"> Country</h5>
                </div>
                <div class="card-body">
                    <form method="post" id="">
                        <div class="form-group">
                            <label>Select Country</label>
                            <select name="plan_country" id="plan_country" class="form-control">
                                <option value="">Select </option>
                                <?php if($countries != ""){
                                    foreach($countries as $each_country){ ?>
                                        <option value="<?=$each_country->country_id?>"><?=ucfirst($each_country->country_name)?></option>
                                    <?php }
                                } ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Select Plan</label>
                            <select name="sync_plan_by_country" id="sync_plan_by_country" class="form-control">
                                <option value="">Select </option>
                            </select>
                        </div>
                        <div class="w-100 text-right">
                            <button type="button" class="btn btn-custom" id="update_plan_by_country">Update Plan</button> 
                            <button type="button" class="btn btn-info" id="update_all_plan_by_country">Update All Plan</button> 
                        </div>
                    </form>
                
                </div>
            </div>
        </div>
        <div class="col-md-6" id="">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title"> Region</h5>
                </div>
                <div class="card-body">
                    <form method="post" id="">
                    
                        <div class="form-group">
                            <label>Select Region</label>
                            <select name="plan_region" id="plan_region" class="form-control">
                                <option value="">Select </option>
                                <?php if($regions != ""){
                                    foreach($regions as $each_region){ ?>
                                        <option value="<?=$each_region->r_id?>"><?=ucfirst($each_region->r_name)?></option>
                                    <?php }
                                } ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Select Plan</label>
                            <select name="sync_plans_region" id="sync_plans_region" class="form-control">
                                <option value="">Select </option>
                            </select>
                        </div>
                        <div class="w-100 text-right">
                            <button type="button" class="btn btn-custom" id="update_plan_by_region">Update Plan</button> 
                            <button type="button" class="btn btn-info" id="update_all_plan_by_region">Update All Plan</button> 
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>


<script>
     var base = $('#base_url').val();
    $(document).ready(function(){
       
        $(document).on('change','#plan_country',function(){
            var id = $(this).val();
            var str ="<option value=''>Select</option>";
            $.ajax({
                    url: base+'Home_controller/get_plan_by_country',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].pl_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].pl_id+'">'+u_str+'</option>';
                            }
                        }
                        $('#sync_plan_by_country').html(str);
                    }
            
                });
        });
    });
</script>
<script>
    $(document).ready(function(){
        $(document).on('click','#update_plan_by_country',function(){
            var id = $('#sync_plan_by_country').val();
            $.ajax({
                url: base+'Home_controller/update_plan_by_country',
                type:'post',
                data: {id:id},
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('Plan has been updated successfully','Success',{timeOut:5000});
                        
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
        });
    });
</script>
<script>
    $(document).ready(function(){
        $(document).on('click','#update_all_plan_by_country',function(){
            var id = $('#plan_country').val();
            $.ajax({
                url: base+'Home_controller/update_all_plans_by_country',
                type:'post',
                data: {id:id},
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('Plans are updated successfully','Success',{timeOut:5000});
                        
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            
            });
        });
    });
</script>

<!-- ----------Region ------------- -->
<script>
     var base = $('#base_url').val();
    $(document).ready(function(){
       
        $(document).on('change','#plan_region',function(){
            var id = $(this).val();
            var str ="<option value=''>Select</option>";
            $.ajax({
                    url: base+'Home_controller/get_plan_by_region',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].pl_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].pl_id+'">'+u_str+'</option>';
                            }
                        }
                        $('#sync_plans_region').html(str);
                    }
            
                });
        });
    });
</script>
<script>
    $(document).ready(function(){
        $(document).on('click','#update_plan_by_region',function(){
            var id = $('#sync_plans_region').val();
            $.ajax({
                url: base+'Home_controller/update_plan_by_region',
                type:'post',
                data: {id:id},
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('Plan has been updated successfully','Success',{timeOut:5000});
                        
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
        });
    });
</script>
<script>
    $(document).ready(function(){
        $(document).on('click','#update_all_plan_by_region',function(){
            var id = $('#plan_region').val();
            $.ajax({
                url: base+'Home_controller/update_all_plans_by_region',
                type:'post',
                data: {id:id},
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('Plans are updated successfully','Success',{timeOut:5000});
                        
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            
            });
        });
    });
</script>