<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <!-- <h4>Website Inventory Report</h4>
         -->
    </div>
    <div class="row">
        
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">KYC Users</h4>
                </div>
                <div class="card-body">
                <div class="row">
                    <div class="col-lg-4">
                        <div class="d-block d-md-inline-block w-100">
                            <select class="form-control w-40 perpage" data-placeholder="KYC Type" id="kyc_type">
                                <option value="">Select </option>
                                <option value="20" >Student KYC</option>
                                <option value="50" >User KYC</option>
                            </select>
                        </div>
                    </div>
                        <div class="col-lg-6">
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="search-sm d-inline-block float-md-left mr-1 mb-1 align-top w-100">
                                        <input type="date" class="form-control" id="start_date" value="" placeholder="From Date" id="searchDatatable01">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="search-sm d-inline-block float-md-left mr-1 mb-1 align-top w-100">
                                        <input type="date" class="form-control" id="end_date" value="" placeholder="From Date" id="searchDatatable01">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <button type="button" class="btn btn-sm btn-info mt-1" id="apply_date_filter">Go</button>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-2">
                            <a href="<?=base_url();?>Home_controller/export_kyc_users"><button class="btn btn-outline-custom mt-0 right">Export Excel</button></a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-8">
                            <div class="d-block d-md-inline-block w-100">
                                <div class="search-sm d-inline-block float-md-left mr-1 mb-1 align-top w-100">
                                    <input class="form-control" id="txt_search" value="" placeholder="Search Table" id="searchDatatable01">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <!-- <div class="perpage_label">Per Page</div> -->
                            <select class="form-control w-60 right perpage" data-placeholder="- Select Per Page -" id="per_page_value">
                                <option value="">Select per page option</option>
                                <option value="20" >20</option>
                                <option value="50" >50</option>
                                <option value="100" >100</option>
                                <option value="500">500</option>
                                <option value="">All</option>
                            </select>
                        </div>
                    </div>
                    <div class="table-responsive" id="ajax_data">
                        <?php $this->load->view('admin/kyc_user_ajax'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $this->load->view('admin/footer'); ?>

<script type="text/javascript">
  
///////// PAGINATION SCRIPT START
    $("body").on("click",'ul.pagination li a.paginate_button',function(e)
    {
        e.preventDefault();

        if($(this).attr('href') && $(this).attr('href')!="#" && !$(this).hasClass("disabled"))
        {
            $('#pagination_url').val($(this).attr('href'));

            $('#pagination_page').val('');

            page_value = $(this).attr('page_number');

            if(page_value!="" && page_value!=undefined)
            {
                change_search_data("page",page_value)
            }

            page_update();
        }

        return false;
    });
function page_update()
{
    $.ajax({
        url: $('#pagination_url').val() + $('#pagination_page').val(),
        type: 'POST',
        data:{ 
            'request'                   : 'ajax', 
            'sort_by'                   : $('#pagination_sort_by').val(), 
            'sort_direction'            : $('#pagination_sort_direction').val(), 
            'per_page'                  : $('#per_page_value').val(),
            'search'                    : $.trim($('#txt_search').val()),
        },
        beforeSend: function()
        {
            $(".main-loader").show();
        },      
        complete:function()
        {
            $(".main-loader").hide();
        },
        success: function( data )
        {
            $('#ajax_data').html(data);
            //$("#form_data").load(location.href + " #form_data");           
        },
    });
}
</script>
<script type="text/javascript">

  $(document).ready(function(){
  var base = $('#base_url').val();
              $('[data-toggle="tooltip"]').tooltip();

    $("a.sorting").each(function(){
        if($("#pagination_sort_by").val() == $(this).attr('sort-by') )
        {
            if($("#pagination_sort_direction").val() == 'asc' )
            {
                $(this).addClass('sort-asc');

                $(this).attr('sort-order','desc')
            }
            else if($("#pagination_sort_direction").val() == 'desc' )
            {
                $(this).addClass('sort-desc');

                $(this).attr('sort-order','asc')

            }
        }
    })
    //SEARCH SUBMIT BUTTON EVENT
    $("body").on("keyup", '#txt_search',function(e)
    { 
        $('#pagination_page').val(1);
        change_search_data("page",1);
        change_search_data('request', 'ajax');   
        change_search_data("search",$.trim($('#txt_search').val()));
             
        page_update();
        return false;
    });
    //SORTING
        $("body").on("click",'a.sorting[sort-by]',function(e)
        {
            $('#pagination_sort_by').val($(this).attr("sort-by"))
            $('#pagination_sort_direction').val($(this).attr("sort-order"))
            $('#pagination_page').val(1);
            change_search_data("page",1)
            change_search_data("sort_direction",$('#pagination_sort_direction').val())
            change_search_data("sort_by",$('#pagination_sort_by').val())
            page_update();
            return false;
        });

          $("body").on("click",'#reset-btn',function(){
       
       window.location.href='<?php echo base_url(); ?>admin-tickets';
        return false;
      });
  });
</script>


