<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <!-- <h4>Website Inventory Report</h4>
         -->
    </div>
    <div class="row">
        
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">Platform Billing</h4>
                </div>
                <div class="card-body">
                <div class="row">
                        <div class="col-lg-3">
                            <div class="d-block d-md-inline-block w-100">
                                <select class="form-control" name="plan_geography" id="geography_type">
                                    <option value="">Select plan Type</option>
                                    <option value="1">Country</option>
                                    <option value="2">Region</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="d-block d-md-inline-block w-100">
                                <select class="form-control" id="geography" name="geography">
                                    <option value="">Select Country/ Region</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <a href="<?=base_url();?>admin-add-plan">
                                <button class="btn btn-custom mt-0 btn-border right">Create Plan</button>
                            </a>
                            <a href=""><button class="btn btn-outline-custom mt-0 right">Export Excel</button></a>
                        </div>
                    </div>
                    <div class="row mb-2">
                        <div class="col-md-3">
                            <div class="d-block d-md-inline-block w-100">
                                <select class="form-control w-40" id="offline_customers">
                                    <option value="">Select Customer</option>
                                    <?php if($customers !=""){
                                        foreach($customers as $cust){ ?>
                                            <option value="<?=$cust['oc_id'];?>" ><?=ucwords($cust['oc_first_name'].' '.$cust['oc_last_name']);?> (<?=$cust['oc_email']?>)</option>
                                        <?php }
                                    } ?>
                                </select>
                            </div>
                        </div>
                        
                        <div class="col-md-3">
                            <div class="d-block d-md-inline-block w-100">
                                <select class="form-control w-40" id="offline_plans">
                                    <option value="">Select plan</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="d-block d-md-inline-block w-100">
                                <select class="form-control w-40 perpage" data-placeholder="- Select Per Page -" id="per_page_value">
                                    <option value="">Select Source</option>
                                   <?php if($suppliers !=""){
                                    foreach($suppliers as $each_supplier){ ?>
                                        <option value="<?=$each_supplier->sp_id?>"><?=$each_supplier->sp_name?></option>
                                    <?php }
                                   } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive" id="">
                        <table class="table custom_table">
                            <thead class=" text-primary">
                               
                                <th>Plan Name</th>
                                <th>Plan Type</th>
                                <th>Activation Code</th>
                                <th>Buying Cost</th>
                                <th>Selling Cost</th>
                                <th>Validity</th>
                                <th>Geography</th>
                                <th>Action</th>
                            </thead>
                            <tbody id="plan_details">
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
 <!-- The Modal -->
 <div class="modal fade " id="selling_price_modal">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
            <h4 class="modal-title">Update Selling Price</h4>
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            
            <!-- Modal body -->
            <form class="update_inventory_selling_price_form" id="" method="post">
                <div class="modal-body">
                    
                    <div class="form-group">
                        <label>Selling Price</label>
                        <input type="text" class="form-control" name="i_selling_price" id="i_selling_price">
                    </div>
                    <input type="hidden" id="i_inv_id" name="i_inv_id" value="">
                </div>
                
                <!-- Modal footer -->
                <div class="modal-footer">
                <button type="button" class="btn btn-info" id="submit_form">update</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- Modal end -->
<?php $this->load->view('admin/footer'); ?>

<script type="text/javascript">
  
///////// PAGINATION SCRIPT START
    $("body").on("click",'ul.pagination li a.paginate_button',function(e)
    {
        e.preventDefault();

        if($(this).attr('href') && $(this).attr('href')!="#" && !$(this).hasClass("disabled"))
        {
            $('#pagination_url').val($(this).attr('href'));

            $('#pagination_page').val('');

            page_value = $(this).attr('page_number');

            if(page_value!="" && page_value!=undefined)
            {
                change_search_data("page",page_value)
            }

            page_update();
        }

        return false;
    });
function page_update()
{
    $.ajax({
        url: $('#pagination_url').val() + $('#pagination_page').val(),
        type: 'POST',
        data:{ 
            'request'                   : 'ajax', 
            'sort_by'                   : $('#pagination_sort_by').val(), 
            'sort_direction'            : $('#pagination_sort_direction').val(), 
            'per_page'                  : $('#per_page_value').val(),
            'search'                    : $.trim($('#txt_search').val()),
        },
        beforeSend: function()
        {
            $(".main-loader").show();
        },      
        complete:function()
        {
            $(".main-loader").hide();
        },
        success: function( data )
        {
            $('#ajax_data').html(data);
            //$("#form_data").load(location.href + " #form_data");           
        },
    });
}
</script>
<script type="text/javascript">

  $(document).ready(function(){
  var base = $('#base_url').val();
              $('[data-toggle="tooltip"]').tooltip();

    $("a.sorting").each(function(){
        if($("#pagination_sort_by").val() == $(this).attr('sort-by') )
        {
            if($("#pagination_sort_direction").val() == 'asc' )
            {
                $(this).addClass('sort-asc');

                $(this).attr('sort-order','desc')
            }
            else if($("#pagination_sort_direction").val() == 'desc' )
            {
                $(this).addClass('sort-desc');

                $(this).attr('sort-order','asc')

            }
        }
    })
    //SEARCH SUBMIT BUTTON EVENT
    $("body").on("keyup", '#txt_search',function(e)
    { 
        $('#pagination_page').val(1);
        change_search_data("page",1);
        change_search_data('request', 'ajax');   
        change_search_data("search",$.trim($('#txt_search').val()));
             
        page_update();
        return false;
    });
    //SORTING
        $("body").on("click",'a.sorting[sort-by]',function(e)
        {
            $('#pagination_sort_by').val($(this).attr("sort-by"))
            $('#pagination_sort_direction').val($(this).attr("sort-order"))
            $('#pagination_page').val(1);
            change_search_data("page",1)
            change_search_data("sort_direction",$('#pagination_sort_direction').val())
            change_search_data("sort_by",$('#pagination_sort_by').val())
            page_update();
            return false;
        });

          $("body").on("click",'#reset-btn',function(){
       
       window.location.href='<?php echo base_url(); ?>admin-tickets';
        return false;
      });
});

    $(document).ready(function(){
        var base = $('#base_url').val();
        $(document).on('change','#geography_type',function(){
            id = $(this).val();

            if(id == '1'){
                //get country list
                var str ="<option value=''>Select Country</option>";
                $.ajax({
                    url: base+'Home_controller/getcountrylist',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].country_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].country_id+'">'+u_str+'</option>';
                            }
                        }
                        $('#geography').html(str);
                    }
            
                });
            }else if(id  == '2'){
                //get region list
                var str ="<option value=''>Select Region</option>";
                $.ajax({
                    url: base+'Home_controller/getregionlist',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].r_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].r_id+'">'+u_str+'</option>';
                            }
                        }
                        $('#geography').html(str);
                    }
            
                });
            }
        });

        //get plans by country
        $(document).on('change','#geography',function(){
            var id = $(this).val();
            var geotypeid = $('#geography_type').val();
            var str ="<option value=''>Select</option>";
            $.ajax({
                    url: base+'Home_controller/get_offline_plan_by_geography',
                    type:'post',
                    data: {id:id,geo_type:geotypeid},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].pl_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].pl_id+'">'+u_str+'</option>';
                            }
                        }
                        $('#offline_plans').html(str);
                    }
            
                });
        });

        //get plan details on change plan
        $(document).on('change','#offline_plans',function(){
            var id = $(this).val();
            var str ="<tr>";
            $.ajax({
                    url: base+'Home_controller/get_offline_plan_byID',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            var ptype = geo = validity = "";
                            if(response.pl_prop_type == '1'){
                                ptype = 'Local';
                                geo = response.country_name;
                            }else{
                                ptype = 'Roaming';
                                geo = response.r_name;
                            }
                            if(response.pl_validity_type == '1'){
                                validity = 'Days';
                            }else if(response.pl_validity_type == '2'){
                                validity = 'Months';
                            }else{
                                validity = 'Years';
                            }
                            str += '<td>'+response.pl_name+'</td>';
                            str += '<td>'+ptype+'</td>';
                            str += '<td>'+response.i_activation_code+'</td>';
                            str += '<td>'+response.pl_buying_cost+'</td>';
                            str += '<td><span id="newSP">'+response.i_selling_price+'</span> <a href= "javascript:void(0);" onclick="update_selling_price('+response.i_id+')">Edit</a></td>';
                            str += '<td>'+response.pl_validity+' '+validity+'</td>';
                            str += '<td>'+geo+'</td>';
                            str += '<td><input type="hidden" name="selling_price" id="selling_price" value="'+response.i_selling_price+'"><button class="btn btn-xs btn-outline-success btn-round" onclick=add_offline_sale('+response.pl_id+','+response.i_id+');>Submit</button></td>';
                            str += '</tr>';
                        }
                        $('#plan_details').html(str);
                    }
            
                });
        });
    });

    function update_selling_price(id){
        $('#i_inv_id').val(id);
        $('#selling_price_modal').modal('show');
    }
</script>
<script type="text/javascript">
    $(document).ready(function(){
        $(document).on('click','#submit_form',function(){
            var sp = $('#i_selling_price').val();
            var iID = $('#i_inv_id').val();
            if(sp != ""){
                $('#newSP').html(sp);
                $('#selling_price').val($('#i_selling_price').val());
            }
            $('#selling_price_modal').modal('hide');
        });
       
    });
</script> 
<script>
    function add_offline_sale(pl_id,inv_id){
        var selling_price = $('#selling_price').val();
        var offline_cust = $('#offline_customers').val();
       
        var base = $('#base_url').val();
        $.ajax({
            url: base+'Home_controller/add_offline_plan',
            type:'post',
            data: {pl_id:pl_id,inv_id:inv_id,selling_price:selling_price,offline_cust:offline_cust},
            dataType: 'json',
            success: function(response){
                if(response==true){
                    toastr.success('Your offline sale has been added successfully','Success',{timeOut:5000});
                
                    page_update();
                }else{
                    toastr.error('Please try again later','Failed',{timeOut:5000});
                }
            }
    
        });

    }
</script>