<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <!-- <h4>Website Inventory Report</h4>
         -->
    </div>
    <div class="row">
        
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">Order Set</h4>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="d-block d-md-inline-block w-100">
                                <select class="form-control w-40" data-placeholder="- Select Per Page -" id="country_filter">
                                    <option value="">Select Country</option>
                                    <?php if(!empty($countries) && $countries!=""){
                                        foreach($countries as $each_country){ ?>
                                        <option value="<?=$each_country->country_id; ?>" <?php if(!empty($country) &&  $country !=""){
                                            if($country == $each_country->country_id){ echo 'selected'; }} ?>><?=ucfirst($each_country->country_name); ?></option>
                                        <?php }
                                    } ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <a href=""><button class="btn btn-outline-custom mt-0 right">Export Excel</button></a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-8">
                            <div class="d-block d-md-inline-block w-100">
                                <div class="search-sm d-inline-block float-md-left mr-1 mb-1 align-top w-100">
                                    <input class="form-control" id="txt_search" value="" placeholder="Search Table" id="searchDatatable01">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <!-- <div class="perpage_label">Per Page</div> -->
                            <select class="form-control w-60 right perpage" data-placeholder="- Select Per Page -" id="per_page_value">
                                <option value="">Select per page option</option>
                                <option value="20" >20</option>
                                <option value="50" >50</option>
                                <option value="100" >100</option>
                                <option value="500">500</option>
                                <option value="">All</option>
                            </select>
                        </div>
                    </div>
                    <div class="table-responsive" id="ajax_data">
                        <?php $this->load->view('admin/order_set_ajax'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- The Modal -->
<div class="modal fade update_plans_modal" id="">
    <div class="modal-dialog">
      <div class="modal-content">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Update Orders</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <!-- Modal body -->
        <form class="order_form" id="order_form" method="post">
            <div class="modal-body">
                <div class="form-group">
                    <label>Order</label>
                    <input type="number" class="form-control" name="o_order" id="o_order">
                </div>
                <div class="form-group">
                    <label>Best Seller</label>
                    <select class="form-control w-40 perpage" name="o_best_Seller" id="o_best_Seller">
                        <option value="">Select</option>
                        <option value="Y" >Yes</option>
                        <option value="N" >No</option>
                    </select>
                </div>
                <div class="form-group">
                    <label>Top Seller</label>
                    <select class="form-control w-40 perpage" name="o_top_Seller" id="o_top_Seller">
                        <option value="">Select</option>
                        <option value="Y" >Yes</option>
                        <option value="N" >No</option>
                    </select>
                </div>
                <div class="form-group">
                    <label>KYC Status</label>
                    <select class="form-control w-40 perpage" name="o_kyc_Status" id="o_kyc_Status">
                        <option value="">Select</option>
                        <option value="Y" >Yes</option>
                        <option value="N" >No</option>
                    </select>
                </div>
                <div class="form-group">
                    <label>Stock Value</label>
                    <input type="number" class="form-control" name="o_stock_value" id="o_stock_value">
                </div>
                <input type="hidden" id="o_id" name="o_id" value="">
            </div>
            
            <!-- Modal footer -->
            <div class="modal-footer">
            <button type="submit" class="btn btn-info">update</button>
            </div>
        </form>
      </div>
    </div>
</div>
<!-- Modal end -->
<?php $this->load->view('admin/footer'); ?>

<script type="text/javascript">
  
///////// PAGINATION SCRIPT START
    $("body").on("click",'ul.pagination li a.paginate_button',function(e)
    {
        e.preventDefault();

        if($(this).attr('href') && $(this).attr('href')!="#" && !$(this).hasClass("disabled"))
        {
            $('#pagination_url').val($(this).attr('href'));

            $('#pagination_page').val('');

            page_value = $(this).attr('page_number');

            if(page_value!="" && page_value!=undefined)
            {
                change_search_data("page",page_value)
            }

            page_update();
        }

        return false;
    });
function page_update()
{
    $.ajax({
        url: $('#pagination_url').val() + $('#pagination_page').val(),
        type: 'POST',
        data:{ 
            'request'                   : 'ajax', 
            'sort_by'                   : $('#pagination_sort_by').val(), 
            'sort_direction'            : $('#pagination_sort_direction').val(), 
            'per_page'                  : $('#per_page_value').val(),
            'search'                    : $.trim($('#txt_search').val()),
            'country'                    : $.trim($('#country_filter').val()),
        },
        beforeSend: function()
        {
            $(".main-loader").show();
        },      
        complete:function()
        {
            $(".main-loader").hide();
        },
        success: function( data )
        {
            $('#ajax_data').html(data);
            //$("#form_data").load(location.href + " #form_data");           
        },
    });
}
</script>
<script type="text/javascript">

  $(document).ready(function(){
  var base = $('#base_url').val();
              $('[data-toggle="tooltip"]').tooltip();

    $("a.sorting").each(function(){
        if($("#pagination_sort_by").val() == $(this).attr('sort-by') )
        {
            if($("#pagination_sort_direction").val() == 'asc' )
            {
                $(this).addClass('sort-asc');

                $(this).attr('sort-order','desc')
            }
            else if($("#pagination_sort_direction").val() == 'desc' )
            {
                $(this).addClass('sort-desc');

                $(this).attr('sort-order','asc')

            }
        }
    })
    //SEARCH SUBMIT BUTTON EVENT
    $("body").on("keyup", '#txt_search',function(e)
    { 
        $('#pagination_page').val(1);
        change_search_data("page",1);
        change_search_data('request', 'ajax');   
        change_search_data("search",$.trim($('#txt_search').val()));
             
        page_update();
        return false;
    });

    //country SUBMIT event
    $("body").on("change", '#country_filter',function(e)
    { 
        $('#pagination_page').val(1);
        change_search_data("page",1);
        change_search_data('request', 'ajax');   
        change_search_data("country",$.trim($('#country_filter').val()));
             
        page_update();
        return false;
    });
    //SORTING
        $("body").on("click",'a.sorting[sort-by]',function(e)
        {
            $('#pagination_sort_by').val($(this).attr("sort-by"))
            $('#pagination_sort_direction').val($(this).attr("sort-order"))
            $('#pagination_page').val(1);
            change_search_data("page",1)
            change_search_data("sort_direction",$('#pagination_sort_direction').val())
            change_search_data("sort_by",$('#pagination_sort_by').val())
            page_update();
            return false;
        });

          $("body").on("click",'#reset-btn',function(){
       
       window.location.href='<?php echo base_url(); ?>admin-tickets';
        return false;
      });
  });
</script>
<script>
    function get_order_data(id){
        var base = $('#base_url').val();
        $.ajax({
                url: base+'Home_controller/get_order_data',
                type:'post',
                data: {new_id:id},
                dataType: 'json',
                
                success: function(response){
                    if(response!=""){
                        var best_Seller = top_Seller = kyc_Sale = '<option value="">Select</option>';
                        if(response.pl_best_Seller != ""){
                            if(response.pl_best_Seller == 'Y'){
                            best_Seller += '<option value="Y" selected>Yes</option>';
                            best_Seller += '<option value="N">No</option>';
                            }else if(response.pl_best_Seller == 'N'){
                                best_Seller += '<option value="Y">Yes</option>';
                                best_Seller += '<option value="N" selected>No</option>';
                            }
                            $('#o_best_Seller').html(best_Seller);
                        }
                        
                        if(response.pl_top_seller != ""){
                            if(response.pl_top_seller == 'Y'){
                            top_Seller += '<option value="Y" selected>Yes</option>';
                            top_Seller += '<option value="N">No</option>';
                            }else if(response.pl_top_seller == 'N'){
                                top_Seller += '<option value="Y">Yes</option>';
                                top_Seller += '<option value="N" selected>No</option>';
                            }
                            $('#o_top_Seller ').html(top_Seller);
                        }
                        
                        if(response.pl_kyc_status != ""){
                            if(response.pl_kyc_status == 'Y'){
                            kyc_Sale += '<option value="Y" selected>Yes</option>';
                            kyc_Sale += '<option value="N">No</option>';
                            }else if(response.pl_kyc_status == 'N'){
                                kyc_Sale += '<option value="Y">Yes</option>';
                                kyc_Sale += '<option value="N" selected>No</option>';
                            }
                            $('#o_kyc_Status').html(kyc_Sale);
                        }
                        $('#o_id').val(response.pl_id);
                        $('#o_order').val(response.pl_order);
                        $('#o_stock_value').val(response.pl_stock_value);
                        
                    }else{
                    toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
        $('.update_plans_modal').modal('show');
    }
</script>
<script type="text/javascript">
  $(document).ready(function(){
    var base = $('#base_url').val();
    $('#order_form').validate({
        rules:{
            'o_order':{
                required: true
            }
        },
        messages:{
            'o_order':{
                required:'order is required!'
            }
        },
        submitHandler:function(form){
          
            var formdata = new FormData(form);
            $('#order_form')[0].reset();
            $.ajax({
                url: base+'Home_controller/update_order_data',
                type:'post',
                data: formdata,
                processData: false,
                contentType: false,
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('Order has been updated successfully','Success',{timeOut:5000});
                        $( '#order_form' ).each(function(){
                            this.reset();
                        });
                    
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
        
            });
            $('.update_plans_modal').modal('hide');
        }
    });
});
</script>  
