<?php $order = "desc"; if($sort_direction=='desc'){ $order ="asc"; }else{ $order ="desc"; } ?>
<table class="table custom_table">
    <thead class=" text-primary">
        <th>SrNo</th>
        <th>Plan Type</th>
        <th>P Code</th>
        <th>Plan Class</th>
        <th><a class="sorting" sort-by="pl_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Plan Name</a></th>
        <th>Supplier</th>
        <th><a class="sorting" sort-by="country_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Country</a></th>
        <th>Type</th>
        <th>Data</th>
        <th>Validity</th>
        <th>Rechargable</th>
        <th>Usages Policy</th>
        <th>Buying Cost</th>
        <th>Remarks</th>
        <th>Voice Minutes</th>
        <th>Top Seller</th>
        <th>Best Seller</th>
        <th>Best Value</th>
        <th>Stock Value</th>
        <th>Status</th>
        <th class="text-right">Action</th>
    </thead>
    <tbody>
        <?php if(!empty($data)){ 
          
          $i=1;
            foreach($data as $list){ ?>
                <tr>
                    <td><?=$i?></td>
                    <td>
                      <?php if($list['pl_prop_type'] == '1'){ echo "Local"; }else{ echo 'Roaming'; } ?>
                    </td>
                    <td>
                        <?=$list['pl_product_code']?>
                    </td>
                    <td>
                      <?php if($list['pl_class'] == '1'){ echo "Data"; }elseif($list['pl_class'] == '2'){ echo 'data and Voice'; }else{ echo "-"; } ?>
                    </td>
                    <td>
                        <?=ucfirst($list['pl_name'])?>
                    </td>
                    <td>
                    <?=ucfirst($list['sp_name'])?>
                    </td>
                    <td>
                        <?=ucfirst($list['country_name'])?>
                    </td>
                    <td>
                    <?php if($list['pl_plan_type'] == '1'){ echo "Traveller Plan"; }elseif($list['pl_plan_type'] == '2'){ echo 'Long Stay Plan'; }elseif($list['pl_plan_type'] == '3'){ echo 'Monthly Plan'; }else{ echo "-"; } ?>
                    </td>
                    <td>
                    <?php $data_allow_type = "";
                        if($list['pl_data_allow_type'] == '1'){
                          $data_allow_type = 'MB';
                        }elseif($list['pl_data_allow_type'] == '2'){
                          $data_allow_type = 'GB';
                        }
                        echo $list['pl_data_allowance']." ".$data_allow_type ?>
                        
                    </td>
                    <td>
                        <?php $validity_type = "";
                        if($list['pl_validity_type'] == '1'){
                          $validity_type = 'Days';
                        }elseif($list['pl_validity_type'] == '2'){
                          $validity_type = 'Months';
                        }elseif($list['pl_validity_type'] == '3'){
                          $validity_type = 'Years';
                        } 
                        echo $list['pl_validity']." ".$validity_type ?>
                    </td>
                    <td>
                      <?php if($list['pl_recharge'] == '1'){ echo "Rechargable"; }else{ echo 'Not Rechargable'; } ?>
                    </td>
                    <td>
                      <?php if($list['pl_policy'] == '1'){ echo "Yes"; }else{ echo 'No'; } ?>
                    </td>
                    <td>
                        <?=$list['pl_buying_cost']?>
                    </td>
                    <td>
                      <?=ucfirst($list['pl_remarks'])?>
                    </td>
                    <td>
                        <?php if($list['pl_voice_minutes'] > 0){echo $list['pl_voice_minutes']; }else{ echo '-'; }?>
                    </td>
                    <td>
                        <?php if($list['pl_top_seller'] == 'Y'){ echo 'Yes';}elseif($list['pl_top_seller'] = 'N'){echo 'No';}else{ echo "-";}?>
                    </td>
                    <td>
                        <?php if($list['pl_best_Seller'] == 'Y'){ echo 'Yes';}elseif($list['pl_best_Seller'] = 'N'){echo 'No';}else{ echo "-";}?>
                    </td>
                    <td>
                        <?php if($list['pl_best_value'] == 'Y'){ echo 'Yes';}elseif($list['pl_best_value'] = 'N'){echo 'No';}else{ echo "-";}?>
                    </td>
                    <td>
                        <?=$list['pl_stock_value']?>
                    </td>
                    <td>
                      <?php if($list['pl_status'] == '0'){ echo "<span class='activeB' onclick='change_status(".$list['pl_id'].")'>Active</span>"; }else{ echo "<span class='inactiveB' onclick='change_status(".$list['pl_id'].")'>Inactive</span>"; } ?>
                    </td>
                    <td class="text-right">
                        <a href="<?=base_url();?>admin-edit-plan/<?=$list['pl_id'];?>"><button class="btn btn-xs btn-primary btn-round edit_country" data-toggle="tooltip" data-placement="bottom" data-original-title="Edit Plan">Edit</button></a>
                        <button class="btn btn-xs btn-warning btn-round" onclick="delete_plan(<?php echo $list['pl_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Delete Plan">Delete</button>
                    </td>
                </tr>
            <?php $i++; }
        } ?>
    </tbody>
</table>

<!-- START PAGINATION -->
<div class="col-12 text-left">
        <?php if($total_records > 0) { ?>
          Showing <?php echo $from_records; ?> to <?php echo $to_records; ?> of <?php echo $total_records; ?>
        <?php } else echo '&nbsp'; ?>
      </div>
      <div class="col-12 text-right">
        <nav aria-label="Page navigation">
          <?php echo $pagination; ?> 
        </nav>
        <input type="hidden" id="pagination_url" value="<?php echo $paging_url; ?>" />
        <input type="hidden" id="pagination_page" value="<?php echo $page; ?>" />
        <input type="hidden" id="per_page_value" value="<?php echo $per_page; ?>" />
        <input type="hidden" id="pagination_sort_by" value="<?php echo $sort_by; ?>" />
        <input type="hidden" id="pagination_sort_direction" value="<?php echo $sort_direction; ?>" />

      </div>
      <!-- END PAGINATION --> 