<?php $this->load->view('admin/header'); ?>

<div class="content">
    
    <div class="row">
        <div class="col-md-6">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title"> Privacy Policy</h5>
                </div>
                <div class="card-body">
                    <?php $data = "";
                     if(isset($details) && $details !=""){
                        $data = $details->pp_details;
                    } ?>
                    <form method="post" id="add_new_terms_conditions" class="tooltip-label-right">
                        
                            <div class="form-group">
                                <label>Details</label>
                                <textarea name="data" id="data" class="form-control" rows="7">
                                    <?=$data?>
                                </textarea>
                            </div>
                        
                            <div class="">
                                <button type="submit" class="btn btn-warning btn-round">save</button>
                            </div>
                        
                    </form>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="card" id="">
                <div class="card-header">
                    <h5>Preview</h5>
                </div>
                <div class="card-body">
                    <?php  echo $data; ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>
<script src="https://cdn.ckeditor.com/4.20.1/standard/ckeditor.js"></script>
<script>
        CKEDITOR.replace( 'data' );
</script>
<script>
    
    $(document).ready(function(){
       
        //form submit
        var base = $('#base_url').val();
        $('#add_new_terms_conditions').validate({
            rules:{
                'data':{
                    required: true
                }
            },
            messages:{
                'data':{
                    required:'Please enter data!'
                }
            },
            submitHandler:function(form){
                for ( instance in CKEDITOR.instances ) {
                    CKEDITOR.instances[instance].updateElement();
                }
                var formdata = new FormData(form);
                
                $.ajax({
                    url: base+'Home_controller/save_privacypolicy',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('Data saved successfully','Success',{timeOut:5000});
                           
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });
    });

</script>