<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <div class="card col-md-12" id="">
        <div class="card-header">
                <h5 class="card-title"> Profile</h5>
            </div>
            <div class="card-body">
                <form method="post" id="change_password" class="tooltip-label-right" novalidate>
                    <div class="row">
                        <div class="col-md-8 pr-1">
                            <div class="form-group">
                                <label>Name</label>
                                <input type="text" name="user_name" class="form-control" placeholder="" value="">
                            </div>
                        </div>
                        <div class="col-md-8 pr-1">
                        <div class="form-group">
                                <label>Email / Username</label>
                                <input type="email" name="new_password" class="form-control" placeholder="" value="">
                            </div>
                        </div>
                        <div class="col-md-8 pr-1">
                            <div class="form-group">
                                <label>Profile Image</label>
                                <div class="input-group">
                                    <div class="custom-file">
                                        <input type="file" name="country_logo" class="custom-file-input" id="inputGroupFile01"
                                        aria-describedby="inputGroupFileAddon01">
                                        <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                       <button type="submit" class="btn btn-info btn-round">Update</button>
                        </div>
                    </div>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>
<script>
     
    $(document).ready(function(){
        
        //form submit
        var base = $('#base_url').val();
        $('#add_new_plan').validate({
            rules:{
                'p_name':{
                    required: true
                },
                'p_type':{
                    required: true
                },
                'p_policy':{
                    required: true
                },
                'p_recharge':{
                    required: true
                }
            },
            messages:{
                'p_name':{
                    required:'plan name is required!'
                },
                'p_type':{
                    required:'plan type is required!'
                },
                'p_policy':{
                    required:'plan policy is required!'
                },
                'p_recharge':{
                    required:'plan recharge is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#add_new_plan')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_new_plan',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New plan has been added successfully','Success',{timeOut:5000});
                            $( '#add_new_plan' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if(element.attr("type") == "radio"){
                    error.insertAfter(element.parent().parent());
                    //element.parent().addClass('error_border');
                }
            }
        });


        //edit plan
        $('#edit_plan').validate({
            rules:{
                'p_name':{
                    required: true
                },
                'p_type':{
                    required: true
                },
                'p_policy':{
                    required: true
                },
                'p_recharge':{
                    required: true
                }
            },
            messages:{
                'p_name':{
                    required:'plan name is required!'
                },
                'p_type':{
                    required:'plan type is required!'
                },
                'p_policy':{
                    required:'plan policy is required!'
                },
                'p_recharge':{
                    required:'plan recharge is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#edit_plan')[0].reset();
                $.ajax({
                    url: base+'Home_controller/edit_plan_by_id',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+'admin-plan';
                                }, 2000);
                            toastr.success('Plan has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_plan' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if(element.attr("type") == "radio"){
                    error.insertAfter(element.parent().parent());
                    //element.parent().addClass('error_border');
                }
            }
        });
    });
    
</script>