<?php $order = "desc"; if($sort_direction=='desc'){ $order ="asc"; }else{ $order ="desc"; } ?>
<table class="table custom_table">
    <thead class=" text-primary">
      <th><a class="sorting" sort-by="r_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Region</a></th>
      <th>Banner</th>
      <th>Index Page</th>
      <th>Color</th>
      <th class="text-right">Action</th>
    </thead>
    <tbody>
        
          <?php if($data !=""){ $banner = "";
            foreach($data as $list){ 
              $banner = $list->r_banner; ?>
              <tr>
                <td><?=$list->r_name?></td>
                <td><?php if( $banner !=""){ ?><img class="table_image" src="<?=base_url()?>assets/images/regions/<?=$banner?>"><?php } ?></td>
                <td><?php if($list->r_index_page == 'Y'){echo "YES";}else{ echo "NO";} ?></td>
                <td>
                  <span class="count-color-span">
                    <i class="fa fa-square fa-2x" style="color:<?=$list->r_color1;?>"></i>
                  </span> -
                  <span class="count-color-span">
                  <i class="fa fa-square fa-2x" style="color:<?=$list->r_color2;?>"></i>
                  </span>
                </td>
                <td class="text-right">
                    <button class="btn btn-xs btn-primary btn-round edit_region" onclick="get_region('edit',<?=$list->r_id?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Edit Region"><i class="fa fa-edit fa-2x"></i></button>
                    <button class="btn btn-xs btn-warning btn-round" onclick="delete_region(<?=$list->r_id?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Delete Region"><i class="fa fa-trash fa-2x"></i></button>
                </td>
              </tr>
            <?php }
          } ?>
        
       
    </tbody>
</table>

<!-- START PAGINATION -->
<div class="col-12 text-left">
        <?php if($total_records > 0) { ?>
          Showing <?php echo $from_records; ?> to <?php echo $to_records; ?> of <?php echo $total_records; ?>
        <?php } else echo '&nbsp'; ?>
      </div>
      <div class="col-12 text-right">
        <nav aria-label="Page navigation">
          <?php echo $pagination; ?> 
        </nav>
        <input type="hidden" id="pagination_url" value="<?php echo $paging_url; ?>" />
        <input type="hidden" id="pagination_page" value="<?php echo $page; ?>" />
        <input type="hidden" id="per_page_value" value="<?php echo $per_page; ?>" />
        <input type="hidden" id="pagination_sort_by" value="<?php echo $sort_by; ?>" />
        <input type="hidden" id="pagination_sort_direction" value="<?php echo $sort_direction; ?>" />

      </div>
      <!-- END PAGINATION --> 