<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <div class="card col-md-12" id="">
            <div class="card-header">
                <h5 class="card-title"> Settings</h5>
            </div>
            <div class="card-body">
                <form method="post" id="change_password" class="tooltip-label-right" >
                    <div class="row">
                        <div class="col-md-8 pr-1">
                            <div class="form-group">
                                <label>Old Password</label>
                                <input type="password" name="old_password" id="old_password" class="form-control" placeholder="" value="">
                            </div>
                        </div>
                        <div class="col-md-8 pr-1">
                        <div class="form-group">
                                <label>New Password</label>
                                <input type="password" name="new_password" id="new_password" class="form-control" placeholder="" value="">
                            </div>
                        </div>
                        <div class="col-md-8 pr-1">
                        <div class="form-group">
                                <label>Re-enter New Password</label>
                                <input type="password" name="renew_password" class="form-control" placeholder="" value="">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                       <button type="submit" class="btn btn-info btn-round">Update</button>
                        </div>
                    </div>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>
<script>
     
    $(document).ready(function(){
        
        //form submit
        var base = $('#base_url').val();
        $('#change_password').validate({
            rules:{
                'old_password':{
                    required: {
                        depends:function(){
                            $(this).val($.trim($(this).val()));
                            return true;
                        }
                    },
                    remote: {
                        url: "Login_controller/check_password",
                        type: "post",
                        async: false,
                        data: {
                        'id': function () { return $('#old_password').val(); }
                        }
                    }
                },
                'new_password':{
                    required: true,
                   // min:6
                },
                'renew_password':{
                    required: true,
                    equalTo: '#new_password'
                }
            },
            messages:{
                'old_password':{
                    required:'Old password is required!',
                    remote:'You have entered wrong password!'
                },
                'new_password':{
                    required:'New password is required!',
                    //min:'Please enter atleasr 6 digit password!'
                },
                'renew_password':{
                    required:'confirm password is required!',
                    equalTo: 'Entered password must match new password!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#change_password')[0].reset();
                $.ajax({
                    url: base+'Login_controller/update_settings',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+'admin-logout';
                                }, 2000);
                            toastr.success('Password has been successfully','Success',{timeOut:5000});
                            $( '#change_password' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

    });
    
</script>