<?php $order = "desc"; if($sort_direction=='desc'){ $order ="asc"; }else{ $order ="desc"; } ?>
<table class="table custom_table">
    <thead class=" text-primary">
        <th><a class="sorting" sort-by="t_id" sort-order="<?= $order ?>"  href="javascript:void(0)">Ticket ID</a></th>
        <th><a class="sorting" sort-by="cm_comp" sort-order="<?= $order ?>"  href="javascript:void(0)">Complaint</a></th>
        <th><a class="sorting" sort-by="sc_subComp" sort-order="<?= $order ?>"  href="javascript:void(0)">Sub Complaint</a></th>
        <th><a class="sorting" sort-by="t_esim_iccid" sort-order="<?= $order ?>"  href="javascript:void(0)">ESIM No./ICCID</a></th>
        <th><a class="sorting" sort-by="u_name" sort-order="<?= $order ?>"  href="javascript:void(0)">User Name</a></th>
        <th><a class="sorting" sort-by="t_createdOn" sort-order="<?= $order ?>"  href="javascript:void(0)">Created Date</a></th>
        <th><a class="sorting" sort-by="t_close_date" sort-order="<?= $order ?>"  href="javascript:void(0)">Close Date</a></th>
        <th><a class="sorting" sort-by="t_ticket_status" sort-order="<?= $order ?>"  href="javascript:void(0)">Status</a></th>
        <th>Action</th>
    </thead>
    <tbody>
        <?php if(!empty($data)){ $i=1;
            foreach($data as $list){ ?>
                <tr>
                    <td><?='ESIMZON100'.$list['t_id']?></td>
                    <td>
                        <?=ucfirst($list['cm_comp'])?>
                    </td>
                    <td>
                        <?=ucfirst($list['sc_subComp'])?>
                    </td>
                    <td>
                        <?=$list['t_esim_iccid']?>
                    </td>
                    <td>
                        <?=$list['u_name']?>
                    </td>
                    <td>
                        <?=date('d-m-y h:i',strtotime($list['t_createdOn']))?>
                    </td>
                    <td>
                        <?=date('d-m-y h:i',strtotime($list['t_close_date']))?>
                    </td>
                    <td>  
                        <?php if($list['t_ticket_status'] == 'Closed'){ 
                            $status = 'badge-success';
                        }else if($list['t_ticket_status'] == 'Open'){
                            $status = 'badge-info';
                        }else if($list['t_ticket_status'] == 'Cancelled'){
                            $status = 'badge-danger';
                        }else{
                            $status = 'badge-warning';
                        } ?>
                        <span class="badge <?=$status?>"><?=$list['t_ticket_status']?></span>
                    </td>
                    <td>
                        <a href="<?=base_url()?>admin-view-ticket/<?=$list['t_id']?>" class="btn btn-success btn-xs">
                            <i class="nc-icon nc-zoom-split"></i>   
                        </a>
                    </td>
                </tr>
            <?php }
        } ?>
    </tbody>
</table>

<!-- START PAGINATION -->
<div class="col-12 text-left">
        <?php if($total_records > 0) { ?>
          Showing <?php echo $from_records; ?> to <?php echo $to_records; ?> of <?php echo $total_records; ?>
        <?php } else echo '&nbsp'; ?>
      </div>
      <div class="col-12 text-right">
        <nav aria-label="Page navigation">
          <?php echo $pagination; ?> 
        </nav>
        <input type="hidden" id="pagination_url" value="<?php echo $paging_url; ?>" />
        <input type="hidden" id="pagination_page" value="<?php echo $page; ?>" />
        <input type="hidden" id="per_page_value" value="<?php echo $per_page; ?>" />
        <input type="hidden" id="pagination_sort_by" value="<?php echo $sort_by; ?>" />
        <input type="hidden" id="pagination_sort_direction" value="<?php echo $sort_direction; ?>" />

      </div>
      <!-- END PAGINATION --> 