<?php $this->load->view('admin/header'); ?>

<div class="content">
    <div class="row">
        <div class="col-md-12">
            <h4 class="left">Ticket Details</h4>
            <a href="<?=base_url();?>admin-tickets" class="btn btn-primary right mt-30">Token List</a>
        </div>
    </div>
    <div class="row">
        <div class="card col-md-12" id="">
        
            <div class="card-body mt-2">
                <form method="post" id="ticket_details" class="tooltip-label-right">
                    <input type="hidden" name="tid" id ="tid" value="<?= isset($details) && $details!="" ?  $details->t_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-7 pr-1">
                            <p><strong>Complaint :</strong> <?php if($details!= ""){ echo ucfirst($details->cm_comp);}?> </p>
                            <p><strong>Sub-Complaint :</strong> <?php if($details!= ""){ echo ucfirst($details->sc_subComp);}?> </p>
                            <p><strong>ESIM No. / ICCID :</strong> <?php if($details!= ""){ echo $details->t_esim_iccid;}?> </p>
                            <div class="form-group">
                                <label>Ticket Status</label>
                                <select class="form-control" name="ticket_status">
                                    <option value="">Select </option>
                                    <option value="Pending" <?php if($details !=""){ if($details->t_ticket_status == 'Pending'){ echo "selected"; }} ?>>Pending</option>
                                    <option value="Open" <?php if($details !=""){ if($details->t_ticket_status == 'Open'){ echo "selected"; }} ?>>Open</option>
                                    <option value="Cancelled" <?php if($details !=""){ if($details->t_ticket_status == 'Cancelled'){ echo "selected"; }} ?>>Cancelled</option>
                                    <option value="Closed" <?php if($details !=""){ if($details->t_ticket_status == 'Closed'){ echo "selected"; }} ?>>Closed</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Remarks</label>
                                <textarea class="form-control" name="admin_remarks" rows="4">
                                    <?php if($details != ""){ echo $details->t_admin_remarks; } ?>
                                </textarea>
                            </div>
                        </div>
                        <div class="col-md-5">
                            <p><strong>Customer Name :</strong> <?php if($details!= ""){ echo ucfirst($details->u_name);}?> </p>
                            <p><strong>Customer Email :</strong> <?php if($details!= ""){ echo ucfirst($details->u_email);}?> </p>
                            <p><strong>Customer Remarks :</strong> <?php if($details!= ""){ echo ucfirst($details->t_remarks);}?> </p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="w-100">
                            <button type="submit" class="btn btn-primary btn-round right">Update</button>
                        </div>
                    </div>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>

<script>
    
    $(document).ready(function(){
        
        //form submit
        var base = $('#base_url').val();
        $('#ticket_details').validate({
           
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#ticket_details')[0].reset();
                $.ajax({
                    url: base+'Home_controller/update_ticket_status',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('Ticket has been updated successfully','Success',{timeOut:5000});
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

        
    });
    

</script>