<?php $this->load->view('front/header'); ?>

<main id="main">
    <section id="" class="other-pages-banner">
        <div class="banner_image mobile-only">
            <img src="<?=base_url();?>assets/images/banner-img-06.png">
        </div>
        <div class="container other-pages-title" data-aos="fade-up">
            <div class="section-title pt-30">
                <h2>About</h2>
            </div>
        </div>
    </section>
    <section id="faq" class="faq">
        <div class="container" data-aos="fade-up">
            <div class="row">
                <div class="col-lg-6 pt-3 pt-lg-0 content" data-aos="fade-left" data-aos-delay="100">
                    <div class="about-content">
                        <h3 class="mb-3">ABOUT ESIMZON</h3>
                        <p class=""> At eSIMs World,we strongly believe that everyone should have access to the internet, 
                        no matter where they are in the world. Our mission is to provide instant data connectivity for all 
                        travellers worldwide.</p>
                        
                        <p class=""> Our eSIM store is the one stop shop for travellers to obtain over 250 eSIMs at the 
                        cheapest rates world over for all kinds of devices including smartphones, tablets or a PC. </p>
                        
                        <p class="mb-4">We believe that this will revolutionize the way people travel,
                        and we are committed to making it as easy and affordable as possible for everyone. </p>
                    </div>
                </div>
                <div class="col-lg-6 video-box align-self-baseline" data-aos="fade-right" data-aos-delay="100">
                    <img src="<?=base_url();?>assets/images/about-img.gif" class="img-fluid" alt="">
                </div>
            </div>
            <div class="row">
                <section class="tabs-wrapper faq">
                    <div class="tabs-container">
                        <div class="tabs-block">
                            <div id="tabs-section" class="tabs">
                                <ul class="tab-head">
                                    <li>
                                        <a href="#tab-1" class="tab-link active"> <span class="fa fa-bullseye icon-span"></span> <span class="tab-label">Mission</span></a>
                                    </li>
                                    <li>
                                        <a href="#tab-2" class="tab-link"> <span class="fa fa-user-circle-o icon-span"></span> <span class="tab-label">Team</span></a>
                                    </li>
                                    <li>
                                        <a href="#tab-3" class="tab-link"> <span class="fa fa-phone-square icon-span"></span> <span class="tab-label">Support</span></a>
                                    </li>
                                </ul>

                                <section id="tab-1" class="tab-body entry-content active active-content">
                                    <h2>Mission</h2>
                                    <p>Our mission is to provide instant data connectivity for all travellers worldwide. 
                                        Our eSIM store, provides travellers to obtain over 250 eSIMs at the cheapest rates world over for all kinds of 
                                        devices including smartphones, tablets or a PC. eSIMs are the future of travel SIM cards. 
                                        No more having to buy a new SIM card for every country you visit. No more having to pay high roaming rates. Just buy one eSIM from Sims Worldwide and you're good to go for your next trip!
                                    </p>
                                </section>

                                <section id="tab-2" class="tab-body entry-content">
                                    <h2>Team</h2>
                                    <p>Our team is a diverse and skilled group of individuals who are passionate about making international travel more seamless and convenient. We are constantly striving to innovate and offer our customers the best possible experience. 
                                        Whether you are looking for data connectivity in Europe, Asia, Africa or the Americas, we have you covered. We offer a wide range of eSIMs that can be used in over 190 countries worldwide. 
                                        If you are looking for a hassle-free and affordable way to stay connected while travelling, then look no further – our team is here to help!
                                    </p>
                                </section>

                                <section id="tab-3" class="tab-body entry-content">
                                    <h2>Support</h2>
                                    <p>We offer 24/7 customer support to help with any questions or problems you might have. Our customer support team is available to help you 24 hours a day, 7 days a week. We offer a variety of ways to get in touch with us, including FAQs, How-To Guides, and more.</p>
                                </section>

                                
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </section>
</main>

<?php $this->load->view('front/footer'); ?>
<script>
    
( function( $ ) {
	// Variables
	const $tabLink = $( '#tabs-section .tab-link' );
	const $tabBody = $( '#tabs-section .tab-body' );
	let timerOpacity;

	// Toggle Class
	const init = () => {
		// Menu Click
		$tabLink.off( 'click' ).on( 'click', function( e ) {
			// Prevent Default
			e.preventDefault();
			e.stopPropagation();

			// Clear Timers
			window.clearTimeout( timerOpacity );

			// Toggle Class Logic
			// Remove Active Classes
			$tabLink.removeClass( 'active ' );
			$tabBody.removeClass( 'active ' );
			$tabBody.removeClass( 'active-content' );

			// Add Active Classes
			$( this ).addClass( 'active' );
			$( $( this ).attr( 'href' ) ).addClass( 'active' );

			// Opacity Transition Class
			timerOpacity = setTimeout( () => {
				$( $( this ).attr( 'href' ) ).addClass( 'active-content' );
			}, 50 );
		} );
	};

	// Document Ready
	$( function() {
		init();
	} );
}( jQuery ) );
</script>