<?php $this->load->view('front/header'); ?>

<main id="main">
  <section id="" class="other-pages-banner">
    <div class="banner_image mobile-only">
        <img src="<?=base_url();?>assets/images/banner-img-06.png">
    </div>
    <div class="container other-pages-title" data-aos="fade-up">
        <div class="section-title pt-30">
            <h2>Frequently Asked Questions</h2>
        </div>
    </div>
  </section>
  <section id="faq" class="faq section-bg">
    <div class="container" data-aos="fade-up">
      
        <div class="faq-list">
          <ul>
            <li data-aos="fade-up">
               <a data-bs-toggle="collapse" class="collapse" data-bs-target="#faq-list-1">
               <i class="bx bx-help-circle icon-help"></i>
              What is eSim?<i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
              <div id="faq-list-1" class="collapse show" data-bs-parent=".faq-list">
                <p>
                eSIM is the virtual SIM card taking the tech world by storm. An eSIM is a small chip located on the inside of your cell phone that allows you to connect to the internet abroad at a cheap price. You just need to buy a data plan, scan a QR code and activate the eSIM to get online. Unlike a traditional SIM, you do not need to insert the card into your device. The whole process can be done online from your phone.
                </p>
              </div>
            </li>

            <li data-aos="fade-up" data-aos-delay="100">
               <a data-bs-toggle="collapse" data-bs-target="#faq-list-2" class="collapsed">
               <i class="bx bx-help-circle icon-help"></i> What is the benefits of eSim? <i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
              <div id="faq-list-2" class="collapse" data-bs-parent=".faq-list">
                <p>
                With an eSIM compatible mobile device, you can get data connectivity wherever you are and you’ll get connected to the Internet within minutes.


                </p>
              </div>
            </li>

            <li data-aos="fade-up" data-aos-delay="200">
              <a data-bs-toggle="collapse" data-bs-target="#faq-list-3" class="collapsed"><i class="bx bx-help-circle icon-help"></i> How long my eSim is valid? <i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
              <div id="faq-list-3" class="collapse" data-bs-parent=".faq-list">
                <p>
                It depends on the bundle you have purchased
                </p>
              </div>
            </li>

            <li data-aos="fade-up" data-aos-delay="300">
              <a data-bs-toggle="collapse" data-bs-target="#faq-list-4" class="collapsed"> <i class="bx bx-help-circle icon-help"></i> Which Handset models have eSim capability?<i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
              <div id="faq-list-4" class="collapse" data-bs-parent=".faq-list">
                <p>Check device capability (link).</p>
              </div>
            </li>

            <li data-aos="fade-up" data-aos-delay="400">
              <a data-bs-toggle="collapse" data-bs-target="#faq-list-5" class="collapsed"> <i class="bx bx-help-circle icon-help"></i>
              How can I install an eSim on my IOS device?<i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
              <div id="faq-list-5" class="collapse" data-bs-parent=".faq-list">
                <p>
                Option 1 - By scanning the eSIM QR Code To scan the QR Code and set up your eSIM, please follow these steps: Go to My eSIMs to find your QR code via the app or the website. Go to Settings on your device. Go to Cellular/Mobile. Add Cellular/Mobile Plan. Scan your eSIM QR Code (open on another device) and enter the 4-digit confirmation code when prompted Turn on your eSimzon eSIM under Cellular/Mobile Plan Select your eSIM for Cellular/Mobile data Enable Data Roaming (Please turn off your primary line to avoid roaming charges from your carrier provider when overseas) Set up an APN (access point name) on your device if required. If the APN settings are required for your eSIM, you can find the APN details in the eSIM installation details. Please note that different eSIMs may require different types of APN. You can learn your eSIM’s APN by going to the Manual or QR Installation page on your eSimzon account. 
                In case the APN is not available, it means that the eSIM's APN is automatically configured.
                </p>
              </div>
            </li>
            <li data-aos="fade-up" data-aos-delay="400">
              <a data-bs-toggle="collapse" data-bs-target="#faq-list-5" class="collapsed"> <i class="bx bx-help-circle icon-help"></i>
              How to change my APN settings?<i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
              <div id="faq-list-5" class="collapse" data-bs-parent=".faq-list">
                
              <p class="mb-2"><strong>On iOS:</strong></p>
                <p>Go to Settings on your device</p>
                <p>Go to Cellular/Mobile Data</p>
                <p>Select your eSIM under Cellular/Mobile Data Plans</p>
                <p>Go to Cellular/Mobile Data Network</p>
                <p>Type the new APN settings in the Cellular/Mobile Data APN field as written in the eSIM installation details (all lower case, all one word)
You can leave the other fields blank</p>

                 <p class="mb-2"><strong>On Android:</strong></p>
                
                  <p>Go to Settings on your device</p>
                  <p>Go to the Network & Internet section</p>
                  <p>Go to Mobile Networks</p>
                  <p>Go to Access Point Names</p>
                  <p>Type the new APN settings as written in the eSIM installation details (all lower case, all one word)
You can leave the other fields blank</p>
                
              </div>
            </li>
          </ul>
        </div>
    </div>
  </section>
</main>

<?php $this->load->view('front/footer'); ?>