<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>ESIMZON - Index</title>
    <meta content="" name="description">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="<?=base_url();?>assets/images/icon.png" rel="icon">

    <!-- Google Fonts -->
    <!-- <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet"> -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Mulish:ital,wght@0,200..1000;1,200..1000&display=swap" rel="stylesheet">
    <!-- Vendor CSS Files -->
    <link href="<?=base_url();?>assets/vendor/aos/aos.css" rel="stylesheet">
    
    <link href="<?=base_url();?>assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?=base_url();?>assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
    <link href="<?=base_url();?>assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link href="<?=base_url();?>assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
    <link href="<?=base_url();?>assets/vendor/remixicon/remixicon.css" rel="stylesheet">
    <link href="<?=base_url();?>assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">
    <link rel="stylesheet" href="<?=base_url();?>assets/font-awesome/css/font-awesome.min.css">
    <link rel="stylesheet" href="<?php echo base_url(); ?>assets/css/toastr.min.css" />
    <link rel="stylesheet" href="https://cdn.ckeditor.com/ckeditor5/43.0.0/ckeditor5.css" />
    <!-- Template Main CSS File -->
    <link href="<?=base_url();?>assets/banner-slider/style.css" rel="stylesheet">
    <link href="<?=base_url();?>assets/css/style_front.css" rel="stylesheet">
    <script src="<?=base_url();?>assets/js/core/jquery.min.js"></script>
    <script src="<?=base_url();?>assets/js/core/bootstrap.min.js"></script>
    <script src="<?php echo base_url(); ?>assets/js/jquery.validate/jquery.validate.min.js"></script>
    <script src="<?php echo base_url(); ?>assets/js/jquery.validate/additional-methods.min.js"></script> 
    <script src="<?php echo base_url(); ?>assets/js/toastr.min.js"></script>
    <script src="https://cdn.canvasjs.com/ga/canvasjs.min.js"></script>
    <script src="<?php echo base_url(); ?>assets/banner-slider/script.js"></script>
    <script src="<?php echo base_url(); ?>assets/js/custom.js"></script>
</head>

<body>
<?php
if ($this->session->userdata('id')!="") {
    $cart = $this->Front_model->getCartCount();
}else{
    $cart = "0";
} 
 ?>
  <!-- ======= Header ======= -->
    <header id="header" class="fixed-top">
        <div class="container d-flex align-items-center justify-content-between">

        <a href="<?=base_url();?>index" class="logo">
           
        <img src="<?=base_url();?>assets/images/logo.png" alt="" class="img-fluid"></a>

        <nav id="navbar" class="navbar">
            <ul>
                <!-- <li class="dropdown active"><a href="#"><span>Partner with Us</span> <i class="bi bi-chevron-down"></i></a>
                    <ul>
                    <li><a href="#">Partner Hub</a></li>
                    <li><a href="#">Affiliate Partner</a></li>
                    <li><a href="#">API Partner</a></li>
                    </ul>
                </li> -->
            <li><a class="nav-link scrollto" href="<?=base_url();?>about">About Us</a></li>
            <li><a class="nav-link scrollto" href="<?=base_url();?>contact">Contact</a></li>
            <li><a class="nav-link scrollto" href="<?=base_url()?>blog">Blog</a></li>
            <?php if(!empty($this->session->userdata('id'))){ ?>
                <?php if($this->session->userdata('user_type') == '0'){ ?>
                <li><a class="nav-link scrollto" href="<?=base_url();?>cart"><i class="bx bx-cart font-20"></i><span class="cart_count"><?=$cart?></span></a></li>    
                <?php } ?>
                <li class="dropdown active"><a href="#"><span><?php echo ucfirst($this->session->userdata('user_name')); ?></span> <i class="bi bi-chevron-down"></i></a>
                    <ul>
                    <?php if($this->session->userdata('user_type') == '0'){ ?> 
                        <li><a href="<?=base_url()?>profile">Profile</a></li>
                        <!-- <li><a href="<?=base_url()?>profile#myesims" class="user_profile_links" id="myesims">My esims</a></li>
                        <li><a href="<?=base_url()?>profile#history" class="user_profile_links" id="myesims">Order History</a></li>
                        <li><a href="<?=base_url()?>profile#tickets" >Tickets</a></li> -->
                        <?php } ?>
                        <li><a href="<?=base_url()?>logout">Logout</a></li>
                    </ul>
                </li> 
                
                <?php }else{ ?>
                 <li><a class="nav-link" id="openloginmodal" href="javascript:void(0);">Login</a></li>
                 <li><a class="nav-link scrollto" href="javascript:void(0);" id="openregistermodal">Signup</a></li>
            <?php } ?>
           
           
            </ul>
            <i class="bi bi-list mobile-nav-toggle"></i>
        </nav><!-- .navbar -->

        </div>
    </header><!-- End Header -->