<?php $this->load->view('front/header'); ?>
<div class="" id="main">
    <section>
    <div class="container h-100">
        <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-lg-12 col-xl-11">
            <div class="card text-black" style="border-radius: 25px;">
            <div class="card-body p-md-5">
                <div class="row justify-content-center">
                <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">

                    <p class="text-center h1 fw-bold mb-5 mx-1 mx-md-4 mt-4">Sign In</p>

                    <form class="mx-1 mx-md-4" id="signupform" method="post">
                        
                        <div class="d-flex flex-row align-items-center mb-4">
                            <i class="fa fa-envelope fa-lg me-3 fa-fw"></i> 
                            <div class="form-outline flex-fill mb-0">
                            <input type="email" name="user_email" placeholder="Enter email" id="" class="form-control" required />
                            </div>
                        </div>

                        <div class="d-flex flex-row align-items-center mb-4">
                            <i class="fa fa-lock fa-lg me-3 fa-fw"></i>
                            <div class="form-outline flex-fill mb-0">
                                <input type="password" name="user_password" id="" class="form-control" required />
                            </div>
                        </div>

                        
                        <div class="d-flex justify-content-center mx-4 mb-3 mb-lg-4">
                            <button type="submit" name="login" value="login" class="btn btn-info btn-lg">Sign In</button>
                        </div>

                    </form>

                </div>
                <div class="col-md-10 col-lg-6 col-xl-7 d-flex align-items-center order-1 order-lg-2">

                    <img src="<?=base_url()?>assets/images/signup.png" class="img-fluid" alt="Signup image">

                </div>
                </div>
            </div>
            </div>
        </div>
        </div>
    </div>
    </section>
</div>
<input type="hidden" id="base_url" value="<?=base_url()?>">
<?php $this->load->view('front/footer'); ?>

<script>
      $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#signinform').validate({
            rules:{
                
                'user_email':{
                    required: true
                },
                'user_password':{
                    required: true
                },
            },
            messages:{
               
                'user_email':{
                    required:'Email Address is required!'
                },
                
                'user_password':{
                    required:'Password is required!'
                },
            },
            submitHandler:function(form){
                form.submit();
                // var formdata = new FormData(form);
                // $('#signinform')[0].reset();
                // $.ajax({
                //     url: base+'Front_controller/validate_user',
                //     type:'post',
                //     data: formdata,
                //     processData: false,
                //     contentType: false,
                //     dataType: 'json',
                //     success: function(response){
                //         if(response==true){
                //             setTimeout(function(){
                //                 window.location.href = base+'profile';
                //                 }, 2000);
                //             toastr.success('You are logged in successfully','Success',{timeOut:5000});
                //             $( '#signinform' ).each(function(){
                //                 this.reset();
                //             });
                        
                //         }else{
                //             toastr.error('Please try again later','Failed',{timeOut:5000});
                //         }
                //     }
            
                // });
            }
        });

    });
</script>