<?php $this->load->view('front/header'); ?>

<main id="main">
    <section id="" class="other-pages-banner">
        <div class="banner_image mobile-only">
            <img src="<?=base_url();?>assets/images/banner-img-06.png">
        </div>
        <div class="container other-pages-title" data-aos="fade-up">
            <div class="section-title pt-30">
                <h2>Partner with us</h2>
            </div>
        </div>
    </section>
    <section id="contact_page" class="contact_page">
        <div class="container" data-aos="fade-up">
            <div class="row">
                <!-- <div class="col-lg-2 video-box align-self-baseline" data-aos="fade-right" data-aos-delay="100">
                    <img src="<?=base_url();?>assets/images/contact-page.gif" class="img-fluid" alt="">
                </div> -->
                <div class="col-lg-2"></div>
                <div class="col-lg-8 mt-4 pt-3 pt-lg-0 content" data-aos="fade-left" data-aos-delay="100">
                   <div class="contact-form">
                    <div class="title partner_title">Thank you for your interest in teaming up with us</div>
                        <form method="post" role="form" id="enquiry_form">
                            <div class="row gy-2 gx-md-3">
                                <div class="col-12 form-group mb-1">
                                    <input type="text" name="company_name" class="form-control" id="company_name" placeholder="Company Name">
                                </div>
                                <div class="col-12 form-group mb-1">
                                    <input type="url" name="website" class="form-control" id="website" placeholder="Website">
                                </div>
                                <div class="col-12 form-group mb-1">
                                    <input type="text" name="country" class="form-control" id="country" placeholder="Country" required>
                                </div>
                                <div class="col-12 form-group mb-1">
                                    <input type="text" name="contact_name" class="form-control" id="contact_name" placeholder="Contact Person" required>
                                </div>
                                <div class="col-12 form-group mb-1">
                                    <input type="email" class="form-control" name="email" id="email" placeholder="Email" required>
                                </div>
                                <div class="col-12 form-group mb-1">
                                    <input type="text" class="form-control" name="contactno" id="contactno" placeholder="Contact No" required>
                                </div>
                                <div class="form-group col-12 mb-1">
                                    <textarea class="form-control" name="info" rows="5" placeholder="More Information"></textarea>
                                </div>
                                <div class="form-group col-12 mb-1">
                                    <input type="checkbox" name="policy" id="policy"> 
                                    <span class="font_12px">By registering, you agree our Terms & Conditions and Privacy Policy. Do note that we will not share 
                                        your personal information with anyone outside of our company, and we hate spam too, so you'll never get
                                         spam emails from us.</span>
                                </div>
                                <!-- <div class="my-3 col-12">
                                    <div class="loading">Loading</div>
                                    <div class="error-message"></div>
                                    <div class="sent-message">Your message has been sent. Thank you!</div>
                                </div> -->
                                <div class="text-center col-12"><button type="submit" class="w-100 btn btn-custom">Submit</button></div>
                            </div>
                        </form>
                   </div>
                </div>
                <div class="col-lg-2"></div>
            </div>
        </div>
    </section>
    <input type="hidden" name="base" id="base_url" value="<?=base_url();?>">
</main>

<?php $this->load->view('front/footer'); ?>
<script type="text/javascript">
    $(document).ready(function() {
        $('#contactno').on('keypress',function(e){
          if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) { return false; }
        });
    });
</script>
<script type="text/javascript">
    $(document).ready(function() { 
        $('#name,#subject').on('keypress',function(evt){ //alphanumeric only
            evt = (evt) ? evt : window.event;
            var key = (evt.which) ? evt.which : event.keyCode;
            if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
            { 
                return   false; 
            }else{
                return true;
            }
        });

    });
</script>
<script>
    $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#enquiry_form').validate({
            rules:{
                'company_name':{
                    required: true
                },
                'website':{
                    required: true
                },
                'country':{
                    required: true
                },
                'contact_name':{
                    required: true
                },
                'email':{
                    required: true
                },
                'contactno':{
                    required: true
                },
                'policy':{
                    required: true
                }
            },
            messages:{
                'company_name':{
                    required:'Company name is required!'
                },
                'website':{
                    required:'Website is required!'
                },
                'country':{
                    required:'Country is required!'
                },
                'contact_name':{
                    required:'Contact name is required!'
                },
                'email':{
                    required:'Email is required!'
                },
                'contactno':{
                    required:'Contact number is required!'
                },
                'policy':{
                    required:'Please check terms and conditions!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#enquiry_form')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_partner_enquiry',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            // setTimeout(function(){
                            //     window.location.reload();
                            //     }, 2000);
                            toastr.success('Thank you for reaching us, we will get back to you soon...','Success',{timeOut:5000});
                            $('#enquiry_form').each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });
    });
</script>