<?php $this->load->view('front/header'); ?>
<div class="" id="main">
    <section>
    <div class="container h-100">
        <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-lg-12 col-xl-11">
            <div class="card text-black" style="border-radius: 25px;">
            <div class="card-body p-md-5">
                <div class="row justify-content-center">
                <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">
                    <p class="text-center h1 fw-bold mb-5 mx-1 mx-md-4 mt-4">Sign up</p>
                    
                    <form class="mx-1 mx-md-4" id="signupform" method="post" enctype="multipart/form-data">
                        <div class="d-flex flex-row align-items-center mb-4">
                            <i class="fa fa-user fa-lg me-3 fa-fw"></i> 
                            <div class="form-outline flex-fill mb-0">
                            <input type="text" id="user_name" name="user_name" placeholder="Enter Name" class="form-control" required />
                            </div>
                        </div>

                        <div class="d-flex flex-row align-items-center mb-4">
                            <i class="fa fa-envelope fa-lg me-3 fa-fw"></i> 
                            <div class="form-outline flex-fill mb-0">
                            <input type="email" name="user_email" placeholder="Enter email" id="" class="form-control" required />
                            </div>
                        </div>

                        <div class="d-flex flex-row align-items-center mb-4">
                            <i class="fa fa-phone fa-lg me-3 fa-fw"></i> 
                            <div class="form-outline flex-fill mb-0">
                            <input type="text" name="user_contact" placeholder="Enter Contact No." id="user_contact" class="form-control" required />
                            </div>
                        </div>
                        <div class="d-flex flex-row align-items-center mb-4 ml-45">

                            
                            <div class="form-check form-check-inline">
                                <input class="form-check-input"  name="user_type" type="radio" id="femaleGender"
                                    value="0" checked />
                                <label class="form-check-label" for="femaleGender">User</label>
                            </div>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" name="user_type" type="radio" id="maleGender"
                                    value="1" />
                                <label class="form-check-label" for="maleGender">Partner</label>
                            </div>
                        </div>

                        <div class="d-flex flex-row align-items-center mb-4">
                            <i class="fa fa-lock fa-lg me-3 fa-fw"></i>
                            <div class="form-outline flex-fill mb-0">
                                <input type="password" name="user_password" id="" class="form-control" required />
                            </div>
                        </div>

                        <div class="d-flex flex-row align-items-center mb-4">
                            <i class="fa fa-lock fa-lg me-3 fa-fw"></i>
                            <div class="form-outline flex-fill mb-0">
                                <input type="file" name="user_profile" id="" class="form-control" />
                            </div>
                        </div>
                        
                        <div class="d-flex justify-content-center mx-4 mb-3 mb-lg-4">
                            <button type="submit" class="btn btn-info btn-lg">Register</button>
                        </div>

                    </form>

                </div>
                <div class="col-md-10 col-lg-6 col-xl-7 d-flex align-items-center order-1 order-lg-2">

                    <img src="<?=base_url()?>assets/images/signup.png" class="img-fluid" alt="Signup image">

                </div>
                </div>
            </div>
            </div>
        </div>
        </div>
    </div>
    </section>
</div>
<input type="hidden" id="base_url" value="<?=base_url()?>">
<?php $this->load->view('front/footer'); ?>
<script type="text/javascript">
  $(document).ready(function() {
      $('#user_contact').on('keypress',function(e){
          if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) { return false; }
      });
  });
</script>
<script type="text/javascript">
    $(document).ready(function() { 
      $('#user_name').on('keypress',function(evt){ //alphanumeric only
        evt = (evt) ? evt : window.event;
        var key = (evt.which) ? evt.which : event.keyCode;
         if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
          { 
              return   false; 
          }else{
            return true;
          }
        });

      });
</script>
<script>
      $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#signupform').validate({
            rules:{
                'user_name':{
                    required: true
                },
                'user_email':{
                    required: true
                },
                'user_contact':{
                    required: true
                },
                'user_type':{
                    required:true
                },
                'user_password':{
                    required: true
                },
                'user_profile':{
                    extension: 'png|jpg|jpeg|gif'
                }
            },
            messages:{
                'user_name':{
                    required:'User name is required!'
                },
                
                'user_email':{
                    required:'Email Address is required!'
                },
                'user_contact':{
                    required: 'Phone number is required!'
                },
                'user_type':{
                    required: 'User type is required!'
                },
                'user_password':{
                    required:'Password is required!'
                },
                'user_profile':{
                    extension: 'Only PNG,JPG,JPEG,GIF type file is allowed!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#signupform')[0].reset();
                $.ajax({
                    url: base+'Front_controller/add_new_user',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('Your account has been created successfully','Success',{timeOut:5000});
                            $( '#signupform' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

       
    });
</script>