var cards = $('#card-slider .slider-item').toArray();

startAnim(cards);
  
function startAnim(array){
    if(array.length >= 4 ) {
        gsap.fromTo(array[0], 0.5, {x:0, y: 0, opacity:0.75}, {x:0, y: -120, opacity:0, zIndex: 0, delay:0.03, ease: Cubic.easeInOut, onComplete: sortArray(array)});

        gsap.fromTo(array[1], 0.5, {x:79, y: 125, opacity:1, zIndex: 1}, {x:0, y: 0, opacity:0.75, zIndex: 0, boxShadow: '-5px 8px 8px 0 rgba(82,89,129,0.05)', ease: Cubic.easeInOut});

        gsap.to(array[2], 0.5, {
            bezier:{
                values: [
                    {x:0, y:250}, 
                    {x:65, y:200}, 
                    {x:79, y:125}
                ],
                autoRotate: true // Optional
            }, 
            boxShadow: '-5px 8px 8px 0 rgba(82,89,129,0.05)', 
            zIndex: 1, 
            opacity: 1, 
            ease: Cubic.easeInOut
        });

        gsap.fromTo(array[3], 0.5, {x:0, y:400, opacity: 0, zIndex: 0}, {x:0, y:250, opacity: 0.75, zIndex: 0, ease: Cubic.easeInOut}, );
    } else {
        $('#card-slider').append('<p>Sorry, carousel should contain more than 3 slides</p>')
    }
}

function sortArray(array) {
    clearTimeout(delay);
    var delay = setTimeout(function(){
        var firstElem = array.shift();
        array.push(firstElem);
        return startAnim(array); 
    },3000)
}