<?php

class Login_controller extends CI_Controller{

    public function __construct()
    {
        parent::__construct();
        
        /*cache control*/
        $this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
        $this->output->set_header('Pragma: no-cache');
    }

    public function index() {
        if(isset($this->session->userdata['userID']))
        {
            redirect('admin-index');
        }
        if($this->input->post('login')=="login"){ 
            if($this->input->post('username')!="" && $this->input->post('password')!=""){
                $user_detail = $this->Login_model->check_user();
                if(isset($user_detail) && $user_detail!=""){ 
                    
                    $this->session->set_flashdata('Success',"Login successful!."); 
                    redirect('admin-index');
                    
                }else{ 
                    
                    $this->session->set_flashdata('Error',"Username or password doesn't match Failed. Please try again later!.");
                    redirect(base_url().'admin-auth');
                }
            }else{ 
                $this->session->set_flashdata('Error',"Please try again later!.");
                redirect(base_url().'admin-auth');
            }
        }else{
            $this->load->view('admin/login');
        }
        
    }

    public function logout(){
       
        if($this->session->userdata('userID')!=""){ 
            
            $id = $this->session->userdata('userID');
            $res = "";
            
            $data = array('ad_log_status'=>'0');
            $this->db->where('ad_id',$id);
            $res = $this->db->update('admin',$data);
        
            if($res){ 
                $result = $this->session->sess_destroy();
                if($result ==""){
                    $this->session->set_flashdata('Success','You are Logout successfully.');
                        redirect(base_url().'admin-auth');
                }else{
                        $this->session->set_flashdata('Error','An error occured. Please try again.');
                        redirect($_SERVER['HTTP_REFERER']);
                }
            
            }else{
                redirect($_SERVER['HTTP_REFERER']);
            } 
        }else{
                redirect(base_url().'admin-auth');
            }
    }
    
    public function settings(){
        $this->load->view('admin/settings');
    }

    public function check_password(){
        $response = $this->Login_model->check_password();
        echo json_encode($response);
    }
    public function update_settings(){
        $response = $this->Login_model->update_settings();
        echo json_encode($response);
    }

    public function profile(){
        $this->load->view('admin/profile');
    }
}

    
?>