<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Paypal extends CI_Controller {

    public function __construct() {
        parent::__construct();
        
        $this->load->library('Paypal');  // Load the PayPal library
    }

    // public function index() {
    //     // Load a view or process form to initiate payment
    //     $this->load->view('paypal_view');  // Create this view
    // }

    public function create_payment() { 
        $amount = 10;  // Get amount from form
        $payment = $this->Paypal->createPayment($amount);

        if (isset($payment['links'])) {
            foreach ($payment['links'] as $link) {
                if ($link['rel'] == 'approval_url') {
                    redirect($link['href']);  // Redirect to PayPal for approval
                }
            }
        } else {
            // Handle payment error
            echo "Payment creation failed.";
        }
    }

    public function success() {
        // Handle successful payment here
        echo "Payment was successful!";
    }

    public function cancel() {
        // Handle payment cancellation here
        echo "Payment was cancelled!";
    }
}
?>
