<?php
date_default_timezone_set('Asia/Kolkata');

class User_controller extends My_Controller{

    

    function __construct()
    {
        parent::__construct();
		$this->page_segment = 2;
        $this->per_page = 100;
        $this->per_page_option = array(20=>20,50=>50, 100=>100, 500=>500); 
       
        $this->load->helper('common_helper'); 
        if ($this->session->userdata('id')=="") {
            redirect(base_url('logout'));
        }     
    }

    public function index(){
        $id = $this->session->userdata('id');
        $data['user_details'] = "";
        if($id !=""){
            $data['user_details'] = $this->User_model->getUserDetails($id); 
            $data['tickets'] = $this->User_model->getAllUserTickets();
            $data['myesims'] = $this->User_model->getMyesims(); 
            $data['history'] = $this->User_model->getOrderhistory();
        }
        $data['complaint_list'] = $this->Home_model->getcomplaintsList();
        $this->load->view('front/user/profile',$data);
    }

    public function update_user_profile(){
        $uploadedImage = "";
        if(!empty($_FILES['user_profile_pic']['name'])){
                
                $config['upload_path']      = "assets/images/users";
                $config['allowed_types']    = "png|jpg|jpeg|gif|svg";
                $config['encrypt_name']     =  true;
                $config['overwrite']        =  TRUE;
             
                $this->load->library('upload', $config);
                $this->upload->initialize($config);
                if(!$this->upload->do_upload('user_profile_pic'))
                    {
                        $error  = array('error'  => $this->upload->display_errors());
                    }
                    else
                    {
                        $uploadedImage  = $this->upload->data('file_name');
                        //echo "ok"; print_r($uploadedImage);die;
                    }
        }
        $res = $this->User_model->update_user_profile($uploadedImage);
        echo json_encode($res);
    }

    public function add_ticket(){
        $res = $this->User_model->add_ticket();
        echo json_encode($res);
    }

    
}