<div class="card-header">
<h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Affiliate" : "Add Affiliate" ?></h5>
</div>
<div class="card-body">
<form method="post" id="<?= isset($type) && $type !=="" ? "edit_affiliate" : "add_new_affiliate" ?>" class="tooltip-label-right" novalidate>
<input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->af_id : "" ?>">   
<div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label>Affiliate Name</label>
                <input type="text" class="form-control" name="af_name" id="af_name" placeholder="Enter affiliate name.." value="<?php if(!empty($details) && $details !=""){ echo ucfirst($details->af_name); } ?>" required>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label>Email</label>
                <input type="email" class="form-control" name="af_email" id="af_email" placeholder="Enter email.." value="<?php if(!empty($details) && $details !=""){ echo $details->af_email; } ?>" required>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label>Reference</label>
                <input type="text" class="form-control" name="af_reference" id="af_reference" placeholder="Enter reference.." value="<?php if(!empty($details) && $details !=""){ echo $details->af_reference; } ?>" required>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="update ml-auto mr-auto">
        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round" id="" name="update" value="update">Update</button>' : '<button type="submit" class="btn btn-primary btn-round" id="" name="submit" value="submit">Save</button>' ?>  
        </div>
    </div>
</form>
</div>
</div>
<input type="hidden" id="base_url" value="<?=base_url();?>">

<script type="text/javascript">
$(document).ready(function() { 
    $('#af_name,#af_reference').on('keypress',function(evt){ //alphanumeric only
    evt = (evt) ? evt : window.event;
    var key = (evt.which) ? evt.which : event.keyCode;
    if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
    { 
        return   false; 
    }else{
        return true;
    }
    });

});
</script>
<script type="text/javascript">
$(document).ready(function(){
var base = $('#base_url').val();
    $('#add_new_affiliate').validate({
        rules:{
            'af_name':{
                required: true
            },
            'af_email':{
                required: true
            }
        },
        messages:{
            'af_name':{
                required: "Please enter affiliate name."
            },
            'af_email':{
                required: "Please enter affiliate email."
            }
        },
        submitHandler:function(form){

            var formdata = new FormData(form);
            $('#add_new_affiliate')[0].reset();
            $.ajax({
                url: base+'Home_controller/add_affiliate',
                type:'post',
                data: formdata,
                processData: false,
                contentType: false,
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('New affiliate has been added successfully','Success',{timeOut:5000});
                        $( '#add_new_affiliate' ).each(function(){
                            this.reset();
                        });
                    
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
        }
    });
});
</script>
<script type="text/javascript">
$(document).ready(function(){
    $('#edit_affiliate').validate({
        rules:{
            'af_name':{
                required: true
            },
            'af_email':{
                required: true
            }
        },
        messages:{
            'af_name':{
                required: "Please enter affiliate name."
            },
            'af_email':{
                required: "Please enter affiliate email."
            }
        },
        submitHandler:function(form){

            var formdata = new FormData(form);
            $('#edit_affiliate')[0].reset();
            $.ajax({
                url: base+'Home_controller/add_affiliate',
                type:'post',
                data: formdata,
                processData: false,
                contentType: false,
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('affiliate has been updated successfully','Success',{timeOut:5000});
                        $( '#edit_affiliate' ).each(function(){
                            this.reset();
                        });
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });

        }
    });
});
</script>