<?php $this->load->view('admin/header'); ?>

<div class="content">
    <div class="row">
        <div class="col-md-12">
            <h4 class="left"><?= isset($type) && $type !=="" ? "Edit coupon" : "Add coupon" ?> Details</h4>
            <a href="<?=base_url();?>admin-coupon" class="btn btn-primary right mt-30">coupon List</a>
        </div>
    </div>
    <div class="row">
        <div class="card col-md-12" id="">
        <div class="card-header">
                <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit coupon" : "Add coupon" ?></h5>
            </div>
            <div class="card-body">
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_coupon" : "add_new_coupon" ?>" class="tooltip-label-right" enctype="multipart/form-data" novalidate>
                    <input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->co_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Affiliate</label>
                                <select class="form-control" name="co_affiliate" id="co_affiliate">
                                    <option value="">Select affiliate</option>
                                    <?php if(isset($affiliates) && $affiliates != ""){
                                        foreach($affiliates as $affiliate){ ?>
                                        <option value="<?php if($affiliate->af_id !=""){ echo $affiliate->af_id; } ?>" <?php if( isset($details) && $details !=""){ if($details->co_affiliate_id == $affiliate->af_id){ echo 'selected'; }} ?>>
                                            <?=ucfirst($affiliate->af_name); ?>
                                        </option>
                                       <?php }
                                    } ?>
                                    
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group" id="request_types">
                                <label>Would you like to create this coupon for all the plans or for a specific country/region plan?</label>
                                    <label class="container">
                                        <input type="radio" name="request_type" value="1" class="check_request_type">
                                        <span class="checkmark"></span>
                                        Across all the Countries/Plans
                                    </label>
                                    <label class="container">
                                        <input type="radio" name="request_type" value="2" class="check_request_type">
                                        <span class="checkmark"></span>
                                        All Plans of One Country
                                    </label>
                                    <label class="container">
                                        <input type="radio" name="request_type" value="3" class="check_request_type">
                                        <span class="checkmark"></span>
                                        All Plans of One Region
                                    </label>
                                    <label class="container">
                                        <input type="radio" name="request_type" value="4" class="check_request_type">
                                        <span class="checkmark"></span>
                                        Selective Plans of One Country
                                    </label>
                                    <label class="container">
                                        <input type="radio" name="request_type" value="5" class="check_request_type">
                                        <span class="checkmark"></span>
                                        Selective Plans of One Region
                                    </label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group hide" id="display_country">
                                <label>Country</label>
                                <select class="form-control" name="co_country" id="co_country">
                                    <option value="">Select country</option>
                                    <?php if(isset($countries) && $countries != ""){
                                        foreach($countries as $country){ ?>
                                        <option value="<?php if($country->country_id !=""){ echo $country->country_id; } ?>" <?php if( isset($details) && $details !=""){ if($details->co_country_id == $country->country_id){ echo 'selected'; }} ?>>
                                            <?=ucfirst($country->country_name); ?>
                                        </option>
                                       <?php }
                                    } ?>
                                </select>
                            </div>
                            <div class="form-group hide" id="display_region">
                                <label>Region</label>
                                <select class="form-control" name="co_region" id="co_region">
                                    <option value="">Select region</option>
                                    <?php if(isset($regions) && $regions != ""){
                                        foreach($regions as $region){ ?>
                                        <option value="<?php if($region->r_id !=""){ echo $region->r_id; } ?>" <?php if( isset($details) && $details !=""){ if($details->co_region_id == $region->r_id){ echo 'selected'; }} ?>>
                                            <?=ucfirst($region->r_name); ?>
                                        </option>
                                       <?php }
                                    } ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group hide" id="display_plans">
                                <label>Plan</label>
                                <select class="form-control" name="co_plan" id="multiple-checkboxes" >
                                    <option value="">Select plan</option>
                                    <?php if(isset($details) && $details != ""){ ?>
                                       
                                        <option value="<?php if($details->co_plan_id !=""){ echo $affiliate->co_plan_id; } ?>" selected>
                                            <?=ucfirst($details->pl_name); ?>
                                        </option>
                                       <?php 
                                    } ?>
                                    
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Coupon Code</label>
                                <input type="text" name="co_code" class="form-control" placeholder="Enter coupon code" value="<?php if(!empty($details) && $details !=""){
                                            if($details->co_code !=""){ echo $details->co_code; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Discount Percent</label>
                                <input type="text" name="co_discount_percent" class="form-control" placeholder="Enter discount percent" value="<?php if(!empty($details) && $details !=""){
                                            if($details->co_discount_percent !=""){ echo $details->co_discount_percent; }} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Issue Date</label>
                                <input type="text" name="co_issue_date" class="form-control datepicker" placeholder="Enter issue date" value="<?php if(!empty($details) && $details !=""){
                                            if($details->co_issue_date !=""){ echo date('d-m-Y',strtotime($details->co_issue_date)); }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Expiry Date</label>
                                <input type="text" name="co_expiry_date" class="form-control datepicker" placeholder="Enter expiry date" value="<?php if(!empty($details) && $details !=""){
                                            if($details->co_expiry_date !=""){ echo date('d-m-Y',strtotime($details->co_expiry_date)); }} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="w-100">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round right">Update</button>' : '<button type="submit" class="btn btn-primary btn-round right">Save</button>' ?>  
                        </div>
                    </div>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>
<link rel="stylesheet" href="<?=base_url();?>assets/css/multiselect.css">
<script src="<?=base_url();?>assets/js/multiselect.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
        

        $('#request_types').hide();
        $(document).on('change','#co_affiliate',function(){
            $('#request_types').show();
        });

        $(document).on('change','.check_request_type',function(){
            var checked_id = $(this).val();
            if(checked_id == 1){ 
                if($('#display_country').not('.hide')){
                    $('#display_country').addClass('hide');
                }

                if($('#display_region').not('.hide')){
                    $('#display_region').addClass('hide');
                }

                if($('#display_plans').not('.hide')){
                    $('#display_plans').addClass('hide');
                }
            }else if(checked_id == 2){
                if($('#display_country').hasClass('hide')){
                    $('#display_country').removeClass('hide');
                }
                if($('#display_region').not('.hide')){
                    $('#display_region').addClass('hide');
                }

                if($('#display_plans').not('.hide')){
                    $('#display_plans').addClass('hide');
                }
            }else if(checked_id == 3){
                if($('#display_country').not('.hide')){
                    $('#display_country').addClass('hide');
                }
                if($('#display_region').hasClass('hide')){
                    $('#display_region').removeClass('hide');
                }

                if($('#display_plans').not('.hide')){
                    $('#display_plans').addClass('hide');
                }
            }else if(checked_id == 4){
                if($('#display_country').hasClass('hide')){
                    $('#display_country').removeClass('hide');
                }

                if($('#display_region').not('.hide')){
                    $('#display_region').addClass('hide');
                }

                if($('#display_plans').hasClass('hide')){
                    $('#display_plans').removeClass('hide');
                }
            }else if(checked_id == 5){
                if($('#display_country').not('.hide')){
                    $('#display_country').addClass('hide');
                }

                if($('#display_region').hasClass('hide')){
                    $('#display_region').removeClass('hide');
                }

                if($('#display_plans').hasClass('hide')){
                    $('#display_plans').removeClass('hide');
                }
            }else{
                if($('#display_country').not('.hide')){
                    $('#display_country').addClass('hide');
                }

                if($('#display_region').not('.hide')){
                    $('#display_region').addClass('hide');
                }

                if($('#display_plans').not('.hide')){
                    $('#display_plans').addClass('hide');
                }
            }
        });

        
        // $('select[multiple]').multiselect({
        //     includeSelectAllOption: true,
        //     enableFiltering:true
        // });
    });
</script>
<script>
    $(document).ready(function(){
        var base = $('#base_url').val();
        //get plans by country
        $(document).on('change','#co_country',function(){
            var id = $(this).val();
            var str ="<option value=''>Select</option>";
            $.ajax({
                    url: base+'Home_controller/get_plan_by_country',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].pl_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].pl_id+'">'+u_str+'</option>';
                            }
                        }
                        $('#multiple-checkboxes').html(str);
                    }
            
                });
        });

        //get plans by region
        $(document).on('change','#co_region',function(){
            var id = $(this).val();
            var str ="<option value=''>Select</option>";
            $.ajax({
                    url: base+'Home_controller/get_plan_by_region',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].pl_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                            str+= '<option value="'+response[i].pl_id+'"><input type="checkobx" value="'+response[i].pl_id+'" name="plans[]">'+u_str+'</option>';
                            }
                        }
                        $('#multiple-checkboxes').html(str);
                    }
            
                });
        });
    });
</script>
<script>
    
    $(document).ready(function(){
        
        //form submit
        var base = $('#base_url').val();
        $('#add_new_coupon').validate({
            rules:{
                'co_affiliate':{
                    required: true 
                },
                'request_type':{
                    required: true 
                },
                'co_code':{
                    required: true 
                },
                'co_discount_percent':{
                    required: true 
                },
                'co_issue_date':{
                    required: true
                },
                'co_expiry_date':{
                    required: true
                }
            },
            messages:{
                'co_affiliate':{
                    required:'Affiliate is required!'
                },
                'request_type ':{
                    required:'Please select any one!'
                },
                'co_code':{
                    required:'Coupon code is required!'
                },
                'co_discount_percent':{
                    required:'Discount % is required!'
                },
                'co_issue_date':{
                    required:'Issue date is required!'
                },
                'co_expiry_date':{
                    required: 'Expiry date is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#add_new_coupon')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_new_coupon',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New coupon has been added successfully','Success',{timeOut:5000});
                            $( '#add_new_coupon' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

        $('#edit_coupon').validate({
            rules:{
                'co_affiliate':{
                    required: true 
                },
                'request_type':{
                    required: true 
                },
                'co_code':{
                    required: true 
                },
                'co_discount_percent':{
                    required: true 
                },
                'co_issue_date':{
                    required: true
                },
                'co_expiry_date':{
                    required: true
                }
            },
            messages:{
                'co_affiliate':{
                    required:'Affiliate is required!'
                },
                'request_type ':{
                    required:'Please select any one!'
                },
                'co_code':{
                    required:'Coupon code is required!'
                },
                'co_discount_percent':{
                    required:'Discount % is required!'
                },
                'co_issue_date':{
                    required:'Issue date is required!'
                },
                'co_expiry_date':{
                    required: 'Expiry date is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#edit_coupon')[0].reset();
                $.ajax({
                    url: base+'Home_controller/edit_new_coupon',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+"admin-coupon";
                                }, 2000);
                            toastr.success('coupon has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_coupon' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });
    });
    

</script>