<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <div class="col-md-12">
            <h4 class="left"><?= isset($details) && $details !=="" ? "Edit Offer" : "Add Offer" ?> </h4>
            <a href="<?=base_url();?>admin-offers" class="btn btn-primary right mt-30">Offers List</a>
        </div>
    </div>
   
    <?php //echo '<pre>'; print_r($details);die; ?>
    <div class="row">
        <div class="card col-md-12" id="">
            <div class="card-header">
                <h5 class="card-title"> <?= isset($details) && $details !=="" ? "Edit Offer" : "Add Offer" ?></h5>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <form method="post" id="<?= isset($details) && $details !=="" ? "edit_offer" : "add_offer" ?>" class="tooltip-label-right" enctype="multipart/form-data" novalidate>
                            <input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->pl_id : "" ?>">   
                            <div class="col-md-7">
                                <div class="form-group">
                                    <label>Property Type</label>
                                    <div class="row">
                                        <label class="container custom-checkbox <?php if(!empty($details) && $details !=""){
                                                if($details->pl_prop_type !=""){if($details->pl_prop_type =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>">Local
                                            <input type="radio" name="p_type_local" value="1" <?php if(!empty($details) && $details !=""){
                                                if($details->pl_prop_type !=""){if($details->pl_prop_type =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>>
                                        </label>
                                        <label class="container custom-checkbox <?php if(!empty($details) && $details !=""){
                                                if($details->pl_prop_type !=""){if($details->pl_prop_type =="2"){ echo 'checked'; }}} ?>">Roaming
                                            <input type="radio" name="p_type_local" value="2" <?php if(!empty($details) && $details !=""){
                                                if($details->pl_prop_type !=""){if($details->pl_prop_type =="2"){ echo 'checked'; }}} ?>>
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-7 pr-1">
                                    <div class="form-group">
                                        <label>Select Plan</label>
                                        <select name="plan_name" class="form-control" id="plan_name">
                                            <option value="">Select </option>
                                            <?php if(isset($plans) && $plans !=""){
                                                foreach($plans as $each_plan){ ?>
                                                    <option value="<?=$each_plan->pl_id;?>" <?php if($details!=""){ if($details->pl_id == $each_plan->pl_id){ echo 'selected'; }} ?>><?=ucfirst($each_plan->pl_name);?></option>
                                                <?php }
                                            } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-7 pr-1">
                                    <div class="form-group">
                                        <label>Show on Banner</label>
                                        <select class="form-control" name="show_on_banner">
                                            <option value="">Select</option>
                                            <option value="1" <?php if($details!=""){ if($details->pl_banner_status == '1'){ echo 'selected';}} ?>>Yes</option>
                                            <option value="0" <?php if($details!=""){ if($details->pl_banner_status == '0'){ echo 'selected';}} ?>>No</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-7 pr-1">
                                    <div class="form-group">
                                        <label>Offer Price</label>
                                        <input type="text" name="offer_price" class="form-control" placeholder="Enter offer price" value="<?php if($details!=""){ if($details->pl_offer_price !=""){ echo $details->pl_offer_price; }} ?>">
                                    </div>
                                </div>
                            </div>
                            
                            <div class="row">
                                <div class="update ml-auto mr-auto">
                                <?= isset($details) && $details !=="" ? '<button type="submit" class="btn btn-warning btn-round">Update</button>' : '<button type="submit" class="btn btn-primary btn-round">Save</button>' ?>  
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>

<script type="text/javascript">
    $(document).ready(function() { 
        var base = $('#base_url').val();
        $('#roaming_region').hide();
        
            var id = $('.custom-checkbox input:checked').val();
            getplans(id);
        
        $(document).on('change','.custom-checkbox input',function(){
            var id = $(this).val();
            $('.custom-checkbox').removeClass('checked');
            if($(this).is(':checked')){
                $(this).parent('.custom-checkbox').addClass('checked');
            }else{
                $(this).parent('.custom-checkbox').removeClass('checked');
            }
            if(id == 1){
                $('#roaming_region').hide();
                $('#local_country').show();
            }else if(id== 2){
                $('#roaming_region').show();
                $('#local_country').hide();
            }
            getplans(id);
            
        });

    });
    function getplans(id){
            
        var base = $('#base_url').val();
        var str ="<option value=''>Select</option>";
        var pl_id = "<?php echo $this->uri->segment(2) ?>";
            $.ajax({
                url: base+'Home_controller/getPlanListByPropertyType',
                type:'post',
                data: {id:id},
                dataType: 'json',
                success: function(response){
                   
                    if(response!=""){
                        for(var i=0;i<response.length;i++){
                            var u_str = response[i].pl_name.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                return letter.toUpperCase();
                        });
                        var status = '';
                        if(pl_id != ""){
                            if(pl_id == response[i].pl_id){
                                status = 'selected';
                            }
                        }
                            str+= '<option value="'+response[i].pl_id+'" '+status+'>'+u_str+'</option>';
                        }
                    }
                    $('#plan_name').html(str);
                }
        
            });
    }
</script>
<script>
    
    $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#add_offer').validate({
            rules:{
                'plan_name':{
                    required: true
                },
                'show_on_banner':{
                    required: true
                },
                'offer_price':{
                    required: true
                }
            },
            messages:{
                'plan_name':{
                    required:'Plan name is required!'
                },
                'show_on_banner':{
                    required:'Please select plan banner status!'
                },
                'offer_price':{
                    required: 'Please enter offer price!'
                }
            },
            submitHandler:function(form){ 
            
                var formdata = new FormData(form);
                $.ajax({
                    url: base+'Home_controller/add_offer_data',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New offer has been added successfully','Success',{timeOut:5000});
                            $( '#add_offer' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

        $('#edit_offer').validate({
            rules:{
                'plan_name':{
                    required: true
                },
                'show_on_banner':{
                    required: true
                },
                'offer_price':{
                    required: true
                }
            },
            messages:{
                'plan_name':{
                    required:'Plan name is required!'
                },
                'show_on_banner':{
                    required:'Please select plan banner status!'
                },
                'offer_price':{
                    required: 'Please enter offer price!'
                }
            },
            submitHandler:function(form){ 
            
                var formdata = new FormData(form);
                $.ajax({
                    url: base+'Home_controller/add_offer_data',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('Offer has been updated successfully','Success',{timeOut:5000});
                           
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });
    });
    

</script>