<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <div class="col-md-12">
            <!-- <h4 class="left"><?= isset($type) && $type !=="" ? "Edit Partner" : "Add Partner" ?> Details</h4> -->
            <a href="<?=base_url();?>admin-partner" class="btn btn-primary right mt-30">Partner List</a>
        </div>
    </div>
    <div class="row">
        <div class="card col-md-12" id="">
        <div class="card-header">
                <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Partner" : "Add Partner" ?></h5>
            </div>
            <div class="card-body">
                
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_partner" : "add_new_partner" ?>" class="tooltip-label-right" enctype="multipart/form-data" novalidate>
                    <input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->pt_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Company Name</label>
                                <input type="text" name="pt_company_name" class="form-control" placeholder="Enter company name" value="<?php if(!empty($details) && $details !=""){
                                            if($details->pt_company_name !=""){ echo $details->pt_company_name; }}else if(!empty($enquiry) && $enquiry !=""){ if($enquiry->pe_company_name != ""){echo $enquiry->pe_company_name;}} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>SPOC</label>
                                <input type="text" name="pt_spoc" id="pt_spoc" class="form-control" placeholder="Enter SPOC" value="<?php if(!empty($details) && $details !=""){
                                            if($details->pt_spoc !=""){ echo $details->pt_spoc; }} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Phone Number</label>
                                <input type="text" name="pt_phone" class="form-control" placeholder="Enter phone number" value="<?php if(!empty($details) && $details !=""){
                                            if($details->pt_phone !=""){ echo $details->pt_phone; }}else if(!empty($enquiry) && $enquiry !=""){ if($enquiry->pe_contactno != ""){echo $enquiry->pe_contactno;}} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Email Id</label>
                                <input type="email" name="pt_email" class="form-control" placeholder="Enter email id" value="<?php if(!empty($details) && $details !=""){
                                            if($details->pt_email !=""){ echo $details->pt_email; }}else if(!empty($enquiry) && $enquiry !=""){ if($enquiry->pe_email != ""){echo $enquiry->pe_email;}} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Address</label>
                                <textarea name="pt_address" class="form-control" rows="2" id=""><?php if(!empty($details) && $details !=""){
                                            if($details->pt_address !=""){ echo $details->pt_address; }} ?>
                                </textarea>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Website</label>
                                <input type="url" name="pt_website" class="form-control" placeholder="Enter website" value="<?php if(!empty($details) && $details !=""){
                                            if($details->pt_website !=""){ echo $details->pt_website; }}else if(!empty($enquiry) && $enquiry !=""){ if($enquiry->pe_website != ""){echo $enquiry->pe_website;}} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                    <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Markup Discount (%) </label>
                                <input type="number" name="pt_discount" class="form-control" placeholder="Enter SPOC" value="<?php if(!empty($details) && $details !=""){
                                            if($details->pt_discount !=""){ echo $details->pt_discount; }} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round">Update</button>' : '<button type="submit" class="btn btn-primary btn-round">Save</button>' ?>  
                        </div>
                    </div>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>
<script type="text/javascript">
  $(document).ready(function() {
      $('#sp_phoneno').on('keypress',function(e){
          if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) { return false; }
      });
  });
</script>
<script type="text/javascript">
    $(document).ready(function() { 
        $('#sp_name,#sp_contactPerson').on('keypress',function(evt){ //alphanumeric only
            evt = (evt) ? evt : window.event;
            var key = (evt.which) ? evt.which : event.keyCode;
            if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
            { 
                return   false; 
            }else{
                return true;
            }
        });

    });
</script>
<script>
    
    $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#add_new_partner').validate({
            rules:{
                'pt_company_name':{
                    required: true
                },
                'pt_spoc':{
                    required: true
                },
                'pt_phone':{
                    required: true
                },
                'pt_email':{
                    required: true
                }
            },
            messages:{
                'pt_company_name':{
                    required:'Company name is required!'
                },
                'pt_spoc':{
                    required:'SPOC is required!'
                },
                'pt_phone':{
                    required:'Phone number is required!'
                },
                'pt_email':{
                    required:'Email Address is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#add_new_partner')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_new_partner',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New partner has been added successfully','Success',{timeOut:5000});
                            $( '#add_new_supplier' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

        $('#edit_partner').validate({
            rules:{
                'pt_company_name':{
                    required: true
                },
                'pt_spoc':{
                    required: true
                },
                'pt_phone':{
                    required: true
                },
                'pt_email':{
                    required: true
                }
            },
            messages:{
                'pt_company_name':{
                    required:'Company name is required!'
                },
                'pt_spoc':{
                    required:'SPOC is required!'
                },
                'pt_phone':{
                    required:'Phone number is required!'
                },
                'pt_email':{
                    required:'Email Address is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#edit_partner')[0].reset();
                $.ajax({
                    url: base+'Home_controller/edit_new_partner',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+"admin-partner";
                                }, 2000);
                            toastr.success('Partner has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_partner' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if(element.attr("type") == "radio"){
                    error.insertAfter(element.parent().parent());
                }
                if(element.attr("type") == "file"){ 
                    error.insertAfter(element.parent().parent());
                }
            }
        });
    });
    
$(document).ready(function(){
  $('#inputGroupFile01').on('change',function(){
      //get the file name
      var fileName = $(this).val();
      $(this).next('.custom-file-label').html(fileName);
  });
});
</script>