<div class="card-header">
    <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Region" : "Add Region" ?></h5>
</div>
<div class="card-body">
    <form class="forms-sample tooltip-label-right" method="post" id="<?= isset($type) && $type !=="" ? "edit_region" : "add_new_region" ?>" enctype="multipart/form-data" novalidate>
        <div class="form-group">
            <label>Region Name</label>
            <input type="text" name="r_name" id="r_name" class="form-control" placeholder="Region" value="<?= isset($region) && $region!="" ?  $region->r_name : "" ?>">
            <input type="hidden" name="id" id ="id" value="<?= isset($region) && $region!="" ?  $region->r_id : "" ?>">
        </div>
        <div class="form-group">
            <label>Logo</label>
            <input type="file" name="region_banner" id="region_banner" class="file-upload-default">
            <div class="input-group col-xs-12">
                <input type="text" class="form-control file-upload-info" placeholder="Upload Image">
                <span class="input-group-append">
                <button class="file-upload-browse btn btn-primary" type="button">Upload</button>
                </span>
            </div>
        </div>
        <div class="form-group">
            <label for="exampleSelectGender">Show On Index Page</label>
            <select class="form-control" id="exampleSelectGender" name="r_index_page">
                <option value="">-- Select --</option>
                <option value="Y" <?php if(isset($region) && $region!=""){ if($region->r_index_page == "Y"){ echo 'selected';}} ?>>Yes</option>
                <option value="N" <?php if(isset($region) && $region!=""){ if($region->r_index_page == "N"){ echo 'selected';}} ?>>No</option>
            </select>
        </div>
        <div class="row">
            <div class="col-md-8">
            <?php if(isset($region) && $region!=""){ if($region->r_banner != ""){ ?>
                    <div class="uploaded_logo">
                        <input type="hidden" name="prev_banner" value="<?php if(isset($region) && $region!=""){ if($region->r_banner != ""){ echo $region->r_banner;}} ?>">
                        <img src="<?=base_url();?>assets/images/regions/<?=$region->r_banner;?>" class="flag_img">
                    </div>
                <?php } } ?>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label>Plan Cards Background Color </label>
                <div class="row">
                    <div class="col-md-6">
                        <label>Color 1 </label>
                        <input type="color" class="form-control color-input" name="r_color1" id="country_color1" value="<?php if(!empty($region) && $region !=""){ echo $region->r_color1; } ?>" required>
                    </div>
                    <div class="col-md-6">
                        <label>Color 2</label>
                        <input type="color" class="form-control color-input" name="r_color2" id="country_color2" value="<?php if(!empty($region) && $region !=""){ echo $region->r_color2; } ?>" required>
                    </div>
                </div>
            </div>
        </div>
        <button type="submit" class="btn btn-primary mr-2">Submit</button>
    </form>
</div>
<input type="hidden" id="base_url" value="<?=base_url();?>">
<script type="text/javascript">
    $(document).ready(function() { 
      $('#r_name').on('keypress',function(evt){ //alphanumeric only
        evt = (evt) ? evt : window.event;
        var key = (evt.which) ? evt.which : event.keyCode;
         if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
          { 
              return   false; 
          }else{
            return true;
          }
        });

      });
</script>
<script src="<?=base_url();?>assets/js/file-upload.js"></script>
<script type="text/javascript">
  $(document).ready(function(){
    var base = $('#base_url').val();
    $('#add_new_region').validate({
        rules:{
            'r_name':{
                required: {
                    depends:function(){
                        $(this).val($.trim($(this).val()));
                        return true;
                    }
                }
            },
            'region_banner':{
                extension: "png|jpg|jpeg|bmp|webp"
            }
        },
        messages:{
            'r_name':{
                required:'Region is required!'
            },
            'region_banner':{
                extension: 'Only png, jpg, jpeg, bmp, webp type files are allowed'
            }
        },
        submitHandler:function(form){
          
            var formdata = new FormData(form);
            $('#add_new_region')[0].reset();
            $.ajax({
                url: base+'Home_controller/add_region',
                type:'post',
                data: formdata,
                processData: false,
                contentType: false,
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('New region has been added successfully','Success',{timeOut:5000});
                        $( '#add_new_region' ).each(function(){
                            this.reset();
                        });
                    
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
        
            });
        }
    });
});
</script>  
<script type="text/javascript">
  $(document).ready(function(){
    var base = $('#base_url').val();
    $('#edit_region').validate({
        rules:{
            'r_name':{
                required: {
                    depends:function(){
                        $(this).val($.trim($(this).val()));
                        return true;
                    }
                }
            },
            'region_banner':{
                extension: "png|jpg|jpeg|bmp|webp"
            }
        },
        messages:{
            'r_name':{
                required:'Region is required!'
            },
            'region_banner':{
                extension: 'Only png, jpg, jpeg, bmp, webp type files are allowed'
            }
        },
        submitHandler:function(form){
          
            var formdata = new FormData(form);
            $('#edit_region')[0].reset();
            $.ajax({
                url: base+'Home_controller/add_region',
                type:'post',
                data: formdata,
                processData: false,
                contentType: false,
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        setTimeout(function(){
                            window.location.reload();
                            }, 2000);
                        toastr.success('Region has been updated successfully','Success',{timeOut:5000});
                        $( '#edit_region' ).each(function(){
                            this.reset();
                        });
                    
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
        
            });
        }
    });
});
</script>  
