<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <div class="col-md-12">
            <h4 class="left"><?= isset($type) && $type !=="" ? "Edit Supplier" : "Add Supplier" ?> Details</h4>
            <a href="<?=base_url();?>admin-supplier" class="btn btn-primary right mt-30">Supplier List</a>
        </div>
    </div>
    <div class="row">
        <div class="card col-md-12" id="">
        <div class="card-header">
                <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Supplier" : "Add Supplier" ?></h5>
            </div>
            <div class="card-body">
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_supplier" : "add_new_supplier" ?>" class="tooltip-label-right" enctype="multipart/form-data" novalidate>
                    <input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->sp_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Type</label>
                                <div class="row">
                                    <label class="container custom-checkbox <?php if(!empty($details) && $details !=""){
                                            if($details->sp_type !=""){if($details->sp_type =="1"){ echo 'checked'; }}}else{ echo 'checked'; } ?>">Local
                                        <input type="radio" name="sp_type" value="1" <?php if(!empty($details) && $details !=""){
                                            if($details->sp_type !=""){if($details->sp_type =="1"){ echo 'checked'; }}}else{ echo 'checked'; } ?>>
                                        
                                    </label>
                                    <label class="container custom-checkbox <?php if(!empty($details) && $details !=""){
                                            if($details->sp_type !=""){if($details->sp_type =="2"){ echo 'checked'; }}} ?>">Roaming
                                        <input type="radio" name="sp_type" value="2" <?php if(!empty($details) && $details !=""){
                                            if($details->sp_type !=""){if($details->sp_type =="2"){ echo 'checked'; }}} ?>>
                                        
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Country</label>
                                <select class="form-control js-example-basic-single w-100" name="sp_country">
                                    <option>Select country</option>
                                    <?php if(!empty($countries) && $countries!=""){
                                        foreach($countries as $country){ ?>
                                        <option value="<?=$country->country_id; ?>" <?php if(!empty($details) && $details !=""){
                                            if($details->sp_country !=""){ if($details->sp_country == $country->country_id){ echo 'selected'; }}} ?>><?=$country->country_name; ?></option>
                                        <?php }
                                    } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Supplier Name</label>
                                <input type="text" name="sp_name" class="form-control" placeholder="Enter supplier name" value="<?php if(!empty($details) && $details !=""){
                                            if($details->sp_name !=""){ echo $details->sp_name; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Address</label>
                                <textarea name="sp_address" class="form-control" rows="2" id=""><?php if(!empty($details) && $details !=""){
                                            if($details->sp_address !=""){ echo $details->sp_address; }} ?>
                                </textarea>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Contact Person</label>
                                <input type="text" name="sp_contactPerson" class="form-control" placeholder="Enter contact person" value="<?php if(!empty($details) && $details !=""){
                                            if($details->sp_contactPerson !=""){ echo $details->sp_contactPerson; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Email Id</label>
                                <input type="text" name="sp_email" class="form-control" placeholder="Enter email id" value="<?php if(!empty($details) && $details !=""){
                                            if($details->sp_email !=""){ echo $details->sp_email; }} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Phone Number</label>
                                <input type="text" name="sp_phoneno" class="form-control" placeholder="Enter phone number" minlength="10" maxlength="12" value="<?php if(!empty($details) && $details !=""){
                                            if($details->sp_phoneno !=""){ echo $details->sp_phoneno; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Buffer Stock</label>
                                <input type="text" name="sp_bufferstock" class="form-control" placeholder="Enter buffe stock" value="<?php if(!empty($details) && $details !=""){
                                            if($details->sp_bufferstock !=""){ echo $details->sp_bufferstock; }} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Currency</label>
                                <select class="form-control" name="sp_currency">
                                    <option vlaue="">Select currency</option>
                                    <option vlaue="$" <?php if(isset($details) && $details !=""){ if($details->sp_currency == '$'){ echo 'selected'; }} ?>>$</option>
                                    <option vlaue="INR" <?php if(isset($details) && $details !=""){ if($details->sp_currency == 'INR'){ echo 'selected'; }} ?>>INR</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>CDR API</label>
                                <input type="file" name="sp_cdrapi" id="sp_cdrapi" class="file-upload-default">
                                <div class="input-group col-xs-12">
                                    <input type="text" class="form-control file-upload-info" placeholder="Upload Image">
                                    <span class="input-group-append">
                                    <button class="file-upload-browse btn btn-primary" type="button">Upload</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="update ml-auto mr-auto">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round">Update</button>' : '<button type="submit" class="btn btn-primary btn-round">Save</button>' ?>  
                        </div>
                    </div>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>
<script src="<?=base_url();?>assets/js/file-upload.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
        if ($(".js-example-basic-single").length) {
            $(".js-example-basic-single").select2();
        }
        $('#sp_phoneno').on('keypress',function(e){
            if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) { return false; }
        });
    });
</script>
<script type="text/javascript">
    $(document).ready(function() { 
      $('#sp_name,#sp_contactPerson').on('keypress',function(evt){ //alphanumeric only
        evt = (evt) ? evt : window.event;
        var key = (evt.which) ? evt.which : event.keyCode;
         if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
          { 
              return   false; 
          }else{
            return true;
          }
        });

      });
</script>
<script>
    
    $(document).ready(function(){
        $(document).on('change','.custom-checkbox input',function(){
            $('.custom-checkbox').removeClass('checked');
            if($(this).is(':checked')){
                $(this).parent('.custom-checkbox').addClass('checked');
            }else{
                $(this).parent('.custom-checkbox').removeClass('checked');
            }
        });

        //form submit
        var base = $('#base_url').val();
        $('#add_new_supplier').validate({
            rules:{
                'sp_name':{
                    required: true
                },
                'sp_cdrapi':{
                    extension: 'pdf|png|doc|docx|jpg|jpeg'
                }
            },
            messages:{
                'sp_name':{
                    required:'supplier name is required!'
                },
                'sp_cdrapi':{
                    extension: 'Only pdf, png , doc, docx, jpg, jpeg type file is allowed!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#add_new_supplier')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_new_supplier',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New supplier has been added successfully','Success',{timeOut:5000});
                            $( '#add_new_supplier' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

        $('#edit_supplier').validate({
            rules:{
                'sp_name':{
                    required: true
                },
                'sp_cdrapi':{
                    extension: 'pdf|png|doc|docx|jpg|jpeg'
                }
            },
            messages:{
                'sp_name':{
                    required:'supplier name is required!'
                },
                'sp_cdrapi':{
                    extension: 'Only pdf, png , doc, docx, jpg, jpeg type file is allowed!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#edit_supplier')[0].reset();
                $.ajax({
                    url: base+'Home_controller/edit_new_supplier',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+"admin-supplier";
                                }, 2000);
                            toastr.success('Supplier has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_supplier' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if(element.attr("type") == "radio"){
                    error.insertAfter(element.parent().parent());
                }
                if(element.attr("type") == "file"){
                    error.insertAfter(element.parent().parent());
                }
            }
        });
    });
    
$(document).ready(function(){
  $('#inputGroupFile01').on('change',function(){
      //get the file name
      var fileName = $(this).val();
      //replace the "Choose a file" label
      $(this).next('.custom-file-label').html(fileName);
  });
});
</script>