<?php $order = "desc"; if($sort_direction=='desc'){ $order ="asc"; }else{ $order ="desc"; } ?>
<table class="table custom_table">
    <thead class=" text-primary">
       
        <th><a class="sorting" sort-by="af_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Affiliate Name</a></th>
        <th><a class="sorting" sort-by="co_code" sort-order="<?= $order ?>"  href="javascript:void(0)">Coupon Code</a></th>
        <th>Coupon Specification</th>
        <th><a class="sorting" sort-by="country_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Country</a></th>
        <th><a class="sorting" sort-by="r_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Region</a></th>
        <th><a class="sorting" sort-by="pl_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Plan</a></th>
        <th><a class="sorting" sort-by="co_discount_percent" sort-order="<?= $order ?>"  href="javascript:void(0)">Discount Percent</a></th>
        <th><a class="sorting" sort-by="co_issue_date" sort-order="<?= $order ?>"  href="javascript:void(0)">Issue Date</a></th>
        <th><a class="sorting" sort-by="co_expiry_date" sort-order="<?= $order ?>"  href="javascript:void(0)">Expiry Date</a></th>
        <th>Status</th>
        <th class="text-right">Action</th>
    </thead>
    <tbody>
        <?php if(!empty($data)){ 
            foreach($data as $list){ $specification = "-";
                if($list['co_specification'] == '1'){
                    $specification = 'All';
                }elseif($list['co_specification'] == '2'){ 
                    $specification = 'Country';
                }elseif($list['co_specification'] == '3'){ 
                    $specification = 'Region';
                }elseif($list['co_specification'] == '4'){ 
                    $specification = 'Specific plans of Country';
                }elseif($list['co_specification'] == '5'){ 
                    $specification = 'Specific plans of Region';
                }?>
                <tr>
                    <td>
                        <?=ucfirst($list['af_name'])?>
                    </td>
                    <td>
                        <?=$list['co_code']?>
                    </td>
                    <td>
                        <?=$specification?>
                    </td>
                    <td>
                        <?php if($list['country_name'] !=""){echo $list['country_name'];}else{ echo '-';}?>
                    </td>
                    <td>
                    <?php if($list['r_name'] !=""){echo $list['r_name'];}else{ echo '-';}?>
                    </td>
                    <td>
                    <?php if($list['pl_name'] !=""){echo $list['pl_name'];}else{ echo '-';}?>
                    </td>
                    <td>
                        <?=$list['co_discount_percent']?>
                    </td>
                    </td>
                    <td>
                        <?=$list['co_issue_date']?>
                    </td>
                    <td>
                        <?=$list['co_expiry_date']?>
                    </td>
                    <td>
                      <?php if($list['co_status'] == '0'){ echo "<span class='activeB' onclick='change_status(".$list['co_id'].")'>Active</span>"; }else{ echo "<span class='inactiveB' onclick='change_status(".$list['co_id'].")'>Inactive</span>"; } ?>
                    </td>
                    <td class="text-right">
                        <!-- <a href="<?=base_url();?>admin-edit-coupon/<?=$list['co_id'];?>"><button class="btn btn-xs btn-primary btn-round edit_country" data-toggle="tooltip" data-placement="bottom" data-original-title="Edit coupon">Edit</button></a> -->
                        <button class="btn btn-xs btn-warning btn-round" onclick="delete_coupon(<?php echo $list['co_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Delete coupon">Delete</button>
                    </td>
                </tr>
            <?php }
        } ?>
    </tbody>
</table>

<!-- START PAGINATION -->
<div class="col-12 text-left">
        <?php if($total_records > 0) { ?>
          Showing <?php echo $from_records; ?> to <?php echo $to_records; ?> of <?php echo $total_records; ?>
        <?php } else echo '&nbsp'; ?>
      </div>
      <div class="col-12 text-right">
        <nav aria-label="Page navigation">
          <?php echo $pagination; ?> 
        </nav>
        <input type="hidden" id="pagination_url" value="<?php echo $paging_url; ?>" />
        <input type="hidden" id="pagination_page" value="<?php echo $page; ?>" />
        <input type="hidden" id="per_page_value" value="<?php echo $per_page; ?>" />
        <input type="hidden" id="pagination_sort_by" value="<?php echo $sort_by; ?>" />
        <input type="hidden" id="pagination_sort_direction" value="<?php echo $sort_direction; ?>" />

      </div>
      <!-- END PAGINATION --> 