<?php $this->load->view('admin/header'); ?>
<div class="content">
    <!-- <div class="row">
        <div class="col-md-12">
            <h4 class="left"><?= isset($type) && $type !=="" ? "Edit Offline Customer" : "Create Offline Customer" ?> Details</h4>
             <a href="<?=base_url();?>admin-partner" class="btn btn-primary right mt-30">Partner List</a> 
        </div>
    </div> -->
    <div class="row">
        <div class="card col-md-12" id="">
        <div class="card-header">
                <h5 class="card-title"> <?= isset($type) && $type !=="" ? "Edit Offline Customer" : "Create Offline Customer" ?></h5>
            </div>
            <div class="card-body">
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_offline_customer" : "add_new_offline_customer" ?>" class="tooltip-label-right" novalidate>
                    <input type="hidden" name="cid" id ="cid" value="<?= isset($details) && $details!="" ?  $details->oc_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>First Name</label>
                                <input type="text" name="oc_first_name" id="oc_first_name" class="form-control" placeholder="Enter first name" value="<?php if(!empty($details) && $details !=""){
                                            if($details->oc_first_name !=""){ echo $details->oc_first_name; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Last Name</label>
                                <input type="text" name="oc_last_name" id="oc_last_name" class="form-control" placeholder="Enter last name" value="<?php if(!empty($details) && $details !=""){
                                            if($details->oc_last_name !=""){ echo $details->oc_last_name; }} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Contact Number</label>
                                <input type="text" name="oc_contact" class="form-control" id="oc_contact" placeholder="Enter contact number" value="<?php if(!empty($details) && $details !=""){
                                            if($details->oc_contact !=""){ echo $details->oc_contact; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Username</label>
                                <input type="email" name="oc_email" class="form-control" placeholder="Enter email id" value="<?php if(!empty($details) && $details !=""){
                                            if($details->oc_email !=""){ echo $details->oc_email; }} ?>">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Address</label>
                                <textarea name="oc_address" class="form-control" rows="2" id=""><?php if(!empty($details) && $details !=""){
                                            if($details->oc_address !=""){ echo $details->oc_address; }} ?>
                                </textarea>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Source</label>
                                <input type="text" name="oc_source" class="form-control" placeholder="Enter source" value="<?php if(!empty($details) && $details !=""){
                                            if($details->oc_source !=""){ echo $details->oc_source; }} ?>">
                            </div>
                        </div>
                    </div>
                    
                    <div class="row">
                        <div class="w-100 text-right">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round">Update</button>' : '<button type="submit" class="btn btn-primary btn-round">Save</button>' ?>  
                        </div>
                    </div>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>
<script type="text/javascript">
  $(document).ready(function() {
      $('#oc_contact').on('keypress',function(e){
          if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) { return false; }
      });
  });
</script>
<script type="text/javascript">
    $(document).ready(function() { 
      $('#oc_first_name,#oc_last_name').on('keypress',function(evt){ //alphanumeric only
        evt = (evt) ? evt : window.event;
        var key = (evt.which) ? evt.which : event.keyCode;
         if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
          { 
              return   false; 
          }else{
            return true;
          }
        });

      });
</script>
<script>
    
    $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#add_new_offline_customer').validate({
            rules:{
                'oc_first_name':{
                    required: true
                },
                'oc_last_name':{
                    required: true
                },
                'oc_contact':{
                    required: true
                },
                'oc_email':{
                    required: true
                }
            },
            messages:{
                'oc_first_name':{
                    required:'First name is required!'
                },
                'oc_last_name':{
                    required:'Last name is required!'
                },
                'oc_contact':{
                    required:'Contact number is required!'
                },
                'oc_email':{
                    required:'Email Address is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                
                $.ajax({
                    url: base+'Home_controller/add_new_offline_customer',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('New customer has been added successfully','Success',{timeOut:5000});
                           
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

        $('#edit_partner').validate({
            rules:{
                'pt_company_name':{
                    required: true
                },
                'pt_spoc':{
                    required: true
                },
                'pt_phone':{
                    required: true
                },
                'pt_email':{
                    required: true
                },
                'pt_logo':{
                    extension: 'png|jpg|jpeg|gif'
                }
            },
            messages:{
                'pt_company_name':{
                    required:'Company name is required!'
                },
                'pt_spoc':{
                    required:'SPOC is required!'
                },
                'pt_phone':{
                    required:'Phone number is required!'
                },
                'pt_email':{
                    required:'Email Address is required!'
                },
                'pt_logo':{
                    extension: 'Only PNG,JPG,JPEG,GIF type file is allowed!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#edit_partner')[0].reset();
                $.ajax({
                    url: base+'Home_controller/edit_new_partner',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+"admin-partner";
                                }, 2000);
                            toastr.success('Partner has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_partner' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if(element.attr("type") == "radio"){
                    error.insertAfter(element.parent().parent());
                }
                if(element.attr("type") == "file"){ 
                    error.insertAfter(element.parent().parent());
                }
            }
        });
    });
    
$(document).ready(function(){
  $('#inputGroupFile01').on('change',function(){
      //get the file name
      var fileName = $(this).val();
      $(this).next('.custom-file-label').html(fileName);
  });
});
</script>