<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <div class="col-md-12">
            <h4 class="left"><?= isset($type) && $type !=="" ? "Edit Plan" : "Add Plan" ?> </h4>
            <a href="<?=base_url();?>admin-plan" class="btn btn-primary right mt-30">Plans</a>
        </div>
    </div>
    <div class="row">
        <div class="card col-md-12" id="">
       
            <div class="card-body">
                <form method="post" id="<?= isset($type) && $type !=="" ? "edit_plan" : "add_plan_online" ?>" class="tooltip-label-right" novalidate>
                    <input type="hidden" name="cid" id ="cid" value="<?= isset($plan_details) && $plan_details!="" ?  $plan_details->pl_id : "" ?>">   
                    <div class="row">
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Property Type</label>
                                <div class="row">
                                    <label class="container custom-checkbox p_type <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_prop_type !=""){if($plan_details->pl_prop_type =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>">Local
                                        <input type="radio" name="p_type" value="1" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_prop_type !=""){if($plan_details->pl_prop_type =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>>
                                    </label>
                                    <label class="container custom-checkbox p_type <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_prop_type !=""){if($plan_details->pl_prop_type =="2"){ echo 'checked'; }}} ?>">Roaming
                                        <input type="radio" name="p_type" value="2" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_prop_type !=""){if($plan_details->pl_prop_type =="2"){ echo 'checked'; }}} ?>>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Local Breakouts</label>
                                <select name="p_local_breakouts" class="form-control">
                                    <option value="">Select </option>
                                    <option value="1" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_local_breakouts == "1"){ echo 'selected';}}?>>Yes</option>
                                    <option value="2" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_local_breakouts == "2"){ echo 'selected';}}?>>No</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Plan Class</label>
                                <select name="p_class" class="form-control" id="p_class">
                                    <option value="">Select </option>
                                    <option value="1" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_class == "1"){ echo 'selected';}}?>>Data</option>
                                    <option value="2" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_class == "2"){ echo 'selected';}}?>>Data and Voice</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1" id="p_voice_minutes">
                            <div class="form-group">
                                <label>Voice Minutes</label>
                               <input type="text" name="p_voice_minutes" class="form-control" placeholder="" value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_voice_minutes !=""){ echo $plan_details->pl_voice_minutes; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Plan Name</label>
                               <input type="text" name="p_name" class="form-control" placeholder="" value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_name !=""){ echo $plan_details->pl_name; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Plan Source</label>
                                <select name="p_source" class="form-control">
                                    <option value="">Select </option>
                                    <option value="1" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_source == "1"){ echo 'selected';}}?>>In House</option>
                                    <option value="2" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_source == "2"){ echo 'selected';}}?>>After Sale Activation</option>
                                    <option value="3" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_source == "3"){ echo 'selected';}}?>>Through API</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Guidelines</label>
                                <select name="p_guidelines" class="form-control">
                                    <option value="">Select </option>
                                    <?php if(isset($guidelines) && $guidelines !=""){
                                        foreach($guidelines as $each_guideline){
                                         ?>
                                        <option value="<?=$each_guideline->gd_id?>" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_guidelines == $each_guideline->gd_id){ echo 'selected';}}?>><?=ucfirst($each_guideline->gd_title)?></option>
                                    <?php }
                                    }?>
                                </select>
                            </div>
                        </div>
                    
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Plan Type</label>
                                <select name="p_plan_type" class="form-control">
                                    <option value="">Select </option>
                                    <option value="1" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_plan_type == "1"){ echo 'selected';}}?>>Traveller Plan</option>
                                    <option value="2" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_plan_type == "2"){ echo 'selected';}}?>>Long Stay Plan</option>
                                    <option value="3" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_plan_type == "3"){ echo 'selected';}}?>>Monthly Plan</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Plus And Monthly Plan</label>
                                <select name="p_plus_monthly" class="form-control">
                                    <option value="">Select </option>
                                    <option value="1" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_plus_monthly == "1"){ echo 'selected';}}?>>Family Plan</option>
                                    <option value="2" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_plus_monthly == "2"){ echo 'selected';}}?>>Student Monthly plan </option>
                                    <option value="3" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_plus_monthly == "3"){ echo 'selected';}}?>>Individual Plan</option>
                                    <option value="4" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_plus_monthly == "4"){ echo 'selected';}}?>>Individual Monthly Plan</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Operator Type</label>
                                <select name="p_operator_type" class="form-control">
                                    <option value="">Select </option>
                                    <option value="1" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_operator_type == "1"){ echo 'selected';}}?>>Pay Per GB</option>
                                    <option value="2" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_operator_type == "2"){ echo 'selected';}}?>>Pay Per MB</option>
                                    <option value="3" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_operator_type == "3"){ echo 'selected';}}?>>Bundled</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Supplier</label>
                                <select name="p_supplier" class="form-control">
                                    <option value="">Select </option>
                                    <?php if(isset($suppliers) && $suppliers !=""){
                                        foreach($suppliers as $each_supplier){
                                         ?>
                                        <option value="<?=$each_supplier->sp_id?>" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_supplier == $each_supplier->sp_id){ echo 'selected';}}?>>
                                            <?=ucfirst($each_supplier->sp_name)?>
                                        </option>
                                    <?php }
                                    }?>
                                </select>
                            </div>
                        </div>
                    
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Price Per GB</label>
                                <input type="text" class="form-control" name="p_price_per_gb" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_price_per_gb !=""){ echo $plan_details->pl_price_per_gb; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Price Per MB</label>
                                <input type="text" class="form-control" name="p_price_per_mb" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_price_per_mb !=""){ echo $plan_details->pl_price_per_mb; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Product Code (Vendor Product code)</label>
                                <input type="text" class="form-control" name="p_product_code" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_product_code !=""){ echo $plan_details->pl_product_code; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Capacity Info</label>
                                <input type="text" class="form-control" name="p_capacity_info" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_capacity_info !=""){ echo $plan_details->pl_capacity_info; }} ?>">
                            </div>
                        </div>
                    
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Plan Validity Type</label>
                                <select name="p_validity_type" class="form-control">
                                    <option value="">Select </option>
                                    <option value="1" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_validity_type == "1"){ echo 'selected';}}?>>Days</option>
                                    <option value="2" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_validity_type == "2"){ echo 'selected';}}?>>Month</option>
                                    <option value="3" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_validity_type == "3"){ echo 'selected';}}?>>Year</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Plan Validity</label>
                                <input type="text" class="form-control" name="p_validity" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_validity !=""){ echo $plan_details->pl_validity; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Data Allowlance</label>
                                <div class="input-group">
                                    <input type="text" name="p_data_allowance" class="form-control error_placement" value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_data_allowance !=""){ echo $plan_details->pl_data_allowance; }} ?>">
                                    <div class="input-group-append">
                                        <select class="form-control error_placement" name="p_data_allow_type" id="data_allowance_type">
                                            <option value="">Select</option>
                                            <option value="MB" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_data_allow_type == "MB"){ echo 'selected';}}?>>MB</option>
                                            <option value="GB" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_data_allow_type == "GB"){ echo 'selected';}}?>>GB</option>
                                        </select>
                                    </div>
                                    <div class="input-group-append">
                                        <select class="form-control error_placement add_on_select" name="p_data_allow_validity_type" id="data_allowance_validity">
                                            <option value="">Select</option>
                                            <option value="1" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_data_allow_validity_type == "1"){ echo 'selected';}}?>>NA</option>
                                            <option value="2" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_data_allow_validity_type == "2"){ echo 'selected';}}?>>Daily</option>
                                            <option value="3" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_data_allow_validity_type == "3"){ echo 'selected';}}?>>Monthly</option>
                                            <option value="4" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_data_allow_validity_type == "4"){ echo 'selected';}}?>>Yearly</option>
                                            <option value="5" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_data_allow_validity_type == "5"){ echo 'selected';}}?>>Unlimited</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Buying Cost</label>
                                <div class="input-group">
                                    <input type="text" name="p_buying_cost" class="form-control error_placement" value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_buying_cost !=""){ echo $plan_details->pl_buying_cost; }} ?>">
                                    <div class="input-group-append">
                                        <select class="form-control add_on_select" name="p_buying_cost_currency">
                                            <option value="">Select</option>
                                            <option value="1" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_buying_cost_currency == "1"){ echo 'selected';}}?>>$</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Stock Value</label>
                                <input type="text" class="form-control" name="p_stock_value" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_stock_value !=""){ echo $plan_details->pl_stock_value; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Minimum Stock Value</label>
                                <input type="text" class="form-control" name="p_min_cart_value" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_min_cart_value !=""){ echo $plan_details->pl_min_cart_value; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Maximum Stock Value</label>
                                <input type="text" class="form-control" name="p_max_cart_value" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_max_cart_value !=""){ echo $plan_details->pl_max_cart_value; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>For usages Policy</label>
                                <div class="row">
                                    <label class="container custom-checkbox p_policy <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_policy !=""){if($plan_details->pl_policy =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>">Yes
                                        <input type="radio" name="p_policy" value="1" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_policy !=""){if($plan_details->pl_policy =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>>
                                    </label>
                                    <label class="container custom-checkbox p_policy <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_policy !=""){if($plan_details->pl_policy =="2"){ echo 'checked'; }}} ?>">No
                                        <input type="radio" name="p_policy" value="2" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_policy !=""){if($plan_details->pl_policy =="2"){ echo 'checked'; }}} ?>>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Recharge</label>
                                <div class="row">
                                    <label class="container custom-checkbox p_recharge <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_recharge !=""){if($plan_details->pl_recharge =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>">Rechargable
                                        <input type="radio" name="p_recharge" value="1" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_recharge !=""){if($plan_details->pl_recharge =="1"){ echo 'checked'; }}}else{ echo 'checked';} ?>>
                                    </label>
                                    <label class="container custom-checkbox p_recharge <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_recharge !=""){if($plan_details->pl_recharge =="2"){ echo 'checked'; }}} ?>">Not Rechargable
                                        <input type="radio" name="p_recharge" value="2" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_recharge !=""){if($plan_details->pl_recharge =="2"){ echo 'checked'; }}} ?>>
                                    </label>
                                </div>
                            </div>
                        </div>
                    
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Country</label>
                                <select class="form-control" name="p_country">
                                    <option value="">Select country</option>
                                    <?php if(!empty($countries) && $countries!=""){
                                        foreach($countries as $country){ ?>
                                        <option value="<?=$country->country_id; ?>" <?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_country !=""){if($plan_details->pl_country == $country->country_id){ echo 'selected'; }}} ?>><?=ucfirst($country->country_name); ?></option>
                                        <?php }
                                    } ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Top Seller</label>
                                <select class="form-control" name="p_top_seller">
                                    <option value="">Select</option>
                                    <option value="Y" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_top_seller == "Y"){ echo 'selected';}}?>>Yes</option>
                                    <option value="N" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_top_seller == "N"){ echo 'selected';}}?>>No</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Best Seller</label>
                                <select class="form-control" name="p_best_seller">
                                    <option value="">Select</option>
                                        <option value="Y" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_best_Seller == "Y"){ echo 'selected';}}?>>Yes</option>
                                        <option value="N" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_best_Seller == "N"){ echo 'selected';}}?>>No</option>
                                    </select>
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Best Value</label>
                                <select class="form-control" name="p_best_value">
                                    <option value="">Select</option>
                                    <option value="Y" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_best_value == "Y"){ echo 'selected';}}?>>Yes</option>
                                    <option value="N" <?php if(isset($plan_details) && $plan_details!=""){ if($plan_details->pl_best_value == "N"){ echo 'selected';}}?>>No</option>
                                </select>
                            </div>
                        </div>
                    
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Min Quantity</label>
                                <input type="text" class="form-control" name="p_min_quantity" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_min_quantity !=""){ echo $plan_details->pl_min_quantity; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>Max Quantity</label>
                                <input type="text" class="form-control" name="p_max_quantity" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_max_quantity !=""){ echo $plan_details->pl_max_quantity; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>MCC</label>
                                <input type="text" class="form-control" name="p_mcc" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_mcc !=""){ echo $plan_details->pl_mcc; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-3 pr-1">
                            <div class="form-group">
                                <label>MNC</label>
                                <input type="text" class="form-control" name="p_mnc" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_mnc !=""){ echo $plan_details->pl_mnc; }} ?>">
                            </div>
                        </div>
                    
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Plan Conditions</label>
                                <input type="text" class="form-control" name="p_condition" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_plan_conditions !=""){ echo $plan_details->pl_plan_conditions; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Features (Esims POP)</label>
                                <input type="text" class="form-control" name="p_features" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_features !=""){ echo $plan_details->pl_features; }} ?>">
                            </div>
                        </div>
                    
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>APN</label>
                                <input type="text" class="form-control" name="p_apn" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_apn !=""){ echo $plan_details->pl_apn; }} ?>">
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Throttle Speed</label>
                                <input type="text" class="form-control" name="p_throttle_speed" placeholder=""  value="<?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_speed !=""){ echo $plan_details->pl_speed; }} ?>">
                            </div>
                        </div>
                    
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Remarks</label>
                                <textarea name="editor2" class="form-control" rows="4" id=""><?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_remarks !=""){ echo $plan_details->pl_remarks; }} ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6 pr-1">
                            <div class="form-group">
                                <label>Additional Information</label>
                                <textarea name="editor1" class="" id="editor"><?php if(!empty($plan_details) && $plan_details !=""){
                                            if($plan_details->pl_info !=""){ echo $plan_details->pl_info; }} ?></textarea>
                            </div>
                        </div>
                            
                        <div class="update ml-auto mr-auto">
                            <input type="hidden" name="p_form_type" value="2">
                        <?= isset($type) && $type !=="" ? '<button type="submit" class="btn btn-warning btn-round">Update</button>' : '<button type="submit" class="btn btn-primary btn-round">Save</button>' ?>  
                        </div>
                    </div>
                </form>
              </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>

<script>
    $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#add_plan_online').validate({
            rules:{
                'p_name':{
                    required: true
                },
                'p_source':{
                    required: true
                },
                'p_supplier':{
                    required: true
                },
                'p_validity_type':{
                    required: true
                },
                'p_validity':{
                    required: true
                },
                'p_data_allowance':{
                    required: true
                },
                'p_data_allow_type':{
                    required: true
                },
                'p_data_allow_validity_type':{
                    required: true
                },
                'p_buying_cost':{
                    required: true
                },
                'p_buying_cost_currency':{
                    required: true
                }

            },
            messages:{
                'p_name':{
                    required:'plan name is required!'
                },
                'p_source':{
                    required:'plan source is required!'
                },
                'p_supplier':{
                    required:'plan supplier is required!'
                },
                'p_validity_type':{
                    required:'plan validity type is required!'
                },
                'p_validity':{
                    required:'plan validity is required!'
                },
                'p_data_allowance':{
                    required:'plan data allowance is required!'
                },
                'p_data_allow_type':{
                    required:'plan data allowance type is required!'
                },
                'p_data_allow_validity_type':{
                    required:'plan data allowance validity type is required!'
                },
                'p_buying_cost':{
                    required:'plan buying cost is required!'
                },
                'p_buying_cost_currency':{
                    required:'plan buying cost currency is required!'
                }

            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#add_plan_online')[0].reset();
               
                $.ajax({
                    url: base+'Home_controller/add_new_plan',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+'admin-plan';
                                }, 2000);
                            toastr.success('New plan has been added successfully','Success',{timeOut:5000});
                            $( '#add_plan_online' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if($('.error').hasClass('error_placement')){
                    error.insertAfter(element.parent().parent());
                }else{
                    error.insertAfter(element);
                }

                
            }
        });


        //edit plan        
        $('#edit_plan').validate({
            rules:{
                'p_name':{
                    required: true
                },
                'p_source':{
                    required: true
                },
                'p_supplier':{
                    required: true
                },
                'p_validity_type':{
                    required: true
                },
                'p_validity':{
                    required: true
                },
                'p_data_allowance':{
                    required: true
                },
                'p_data_allow_type':{
                    required: true
                },
                'p_data_allow_validity_type':{
                    required: true
                },
                'p_buying_cost':{
                    required: true
                },
                'p_buying_cost_currency':{
                    required: true
                }

            },
            messages:{
                'p_name':{
                    required:'plan name is required!'
                },
                'p_source':{
                    required:'plan source is required!'
                },
                'p_supplier':{
                    required:'plan supplier is required!'
                },
                'p_validity_type':{
                    required:'plan validity type is required!'
                },
                'p_validity':{
                    required:'plan validity is required!'
                },
                'p_data_allowance':{
                    required:'plan data allowance is required!'
                },
                'p_data_allow_type':{
                    required:'plan data allowance type is required!'
                },
                'p_data_allow_validity_type':{
                    required:'plan data allowance validity type is required!'
                },
                'p_buying_cost':{
                    required:'plan buying cost is required!'
                },
                'p_buying_cost_currency':{
                    required:'plan buying cost currency is required!'
                }

            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#edit_plan')[0].reset();
                $.ajax({
                    url: base+'Home_controller/edit_plan_by_id',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.href = base+'admin-plan';
                                }, 2000);
                            toastr.success('Plan has been updated successfully','Success',{timeOut:5000});
                            $( '#edit_plan' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            },
            errorPlacement: function (error, element) { 
                if($('.error').hasClass('error_placement')){
                    error.insertAfter(element.parent().parent());
                }else{
                    error.insertAfter(element);
                }

                
            }
        });
    });
    
</script>
<script src="https://cdn.ckeditor.com/4.20.1/standard/ckeditor.js"></script>
<script>
        CKEDITOR.replace( 'editor1' );
        CKEDITOR.replace( 'editor2' );
    $(document).ready(function(){
        $(document).on('change','.custom-checkbox.p_policy input',function(){
            $('.custom-checkbox.p_policy').removeClass('checked');
            if($(this).is(':checked')){
                $(this).parent('.custom-checkbox.p_policy').addClass('checked');
            }else{
                $(this).parent('.custom-checkbox.p_policy').removeClass('checked');
            }
        });

        $(document).on('change','.custom-checkbox.p_type input',function(){
            $('.custom-checkbox.p_type').removeClass('checked');
            if($(this).is(':checked')){
                $(this).parent('.custom-checkbox.p_type').addClass('checked');
            }else{
                $(this).parent('.custom-checkbox.p_type').removeClass('checked');
            }
        });

        $(document).on('change','.custom-checkbox.p_recharge input',function(){
            $('.custom-checkbox.p_recharge').removeClass('checked');
            if($(this).is(':checked')){
                $(this).parent('.custom-checkbox.p_recharge').addClass('checked');
            }else{
                $(this).parent('.custom-checkbox.p_recharge').removeClass('checked');
            }
        });
    });

</script>
<script>
    $(document).ready(function(){
        $('#p_voice_minutes').hide();
        $('#p_class').on('change',function(){
            var $val = $(this).val();
            if($val == 2){
                $('#p_voice_minutes').show();
            }else{
                $('#p_voice_minutes').hide();
            }
        });
    });
</script>