<?php $this->load->view('admin/header'); ?>

<div class="content">
    
    <div class="row">
        <div class="col-md-6">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title"> Index Banner Image</h5>
                </div>
                <div class="card-body">
                    <?php $data = "";
                    if(isset($details) && $details !=""){
                        $data = $details->bn_image;
                    } ?>
                    <form method="post" id="index_banner_form" class="tooltip-label-right" enctype="multipart/form-data">
                        <div class="form-group">
                            <label>Banner Image</label>
                            <div class="input-group">
                                <div class="custom-file">
                                    <input type="file" name="index_banner" class="custom-file-input" id="index_banner"
                                    aria-describedby="inputGroupFileAddon01">
                                    <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
                                </div>
                            </div>
                        </div>
                        <div class="">
                            <button type="submit" class="btn btn-warning btn-round">save</button>
                        </div>
                        
                    </form>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="card" id="">
                <div class="card-header">
                    <h5>Preview</h5>
                </div>
                <div class="card-body p-4">
                    <img src="<?=base_url();?>assets/images/banner/<?=$data;?>" class="flag_img">
                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->load->view('admin/footer'); ?>

<script>
    
    $(document).ready(function(){
       
        //form submit
        var base = $('#base_url').val();
        $('#index_banner_form').validate({
            rules:{
                'index_banner':{
                    required: true
                }
            },
            messages:{
                'index_banner':{
                    required:'Please enter data!'
                }
            },
            submitHandler:function(form){
                
                var formdata = new FormData(form);
                
                $.ajax({
                    url: base+'Home_controller/save_index_banner',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                window.location.reload();
                                }, 2000);
                            toastr.success('Data saved successfully','Success',{timeOut:5000});
                           
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });
    });

</script>