<?php $this->load->view('admin/header'); ?>
<div class="content">
    <div class="row">
        <!-- <h4>Website Inventory Report</h4>
         -->
    </div>
    <div class="row">
        
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">Inventory Quick Tool</h4>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="d-block d-md-inline-block w-100">
                                <select class="form-control w-40 " id="plan_search">
                                    <option value="">Select plan</option>
                                   <?php if(!empty($plans) && $plans !=""){
                                    foreach($plans as $each_plan){ ?>
                                        <option value="<?=$each_plan->pl_id;?>"><?=$each_plan->pl_name;?></option>
                                    <?php }
                                   } ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <a href="<?=base_url();?>Home_controller/export_inventory_data" target="_blank"><button class="btn btn-outline-custom mt-0 right">Export Excel</button></a>
                            <a href="<?=base_url();?>admin-add-inventory"><button class="btn btn-custom mt-0 btn-border right">Add Inventory</button></a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-8">
                            <div class="d-block d-md-inline-block w-100">
                                <div class="search-sm d-inline-block float-md-left mr-1 mb-1 align-top w-100">
                                    <input class="form-control" id="txt_search" value="" placeholder="Search Table" id="searchDatatable01">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <!-- <div class="perpage_label">Per Page</div> -->
                            <select class="form-control w-60 right perpage" data-placeholder="- Select Per Page -" id="per_page_value">
                                <option value="">Select per page option</option>
                                <option value="20" >20</option>
                                <option value="50" >50</option>
                                <option value="100" >100</option>
                                <option value="500">500</option>
                                <option value="">All</option>
                            </select>
                        </div>
                    </div>
                    <div class="table-responsive" id="ajax_data">
                        <?php $this->load->view('admin/inventory_quick_tool_ajax'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- The Modal -->
<div class="modal fade inventory_remark" id="">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
            <h4 class="modal-title">Update Remarks</h4>
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            
            <!-- Modal body -->
            <form class="update_remark_form" id="update_remark_form" method="post">
                <div class="modal-body">
                    <div class="form-group">
                        <label>Remark</label>
                        <textarea class="form-control" name="i_remarks" id="i_remarks"></textarea>
                    </div>
                    <input type="hidden" id="i_id" name="i_id" value="">
                </div>
                
                <!-- Modal footer -->
                <div class="modal-footer">
                <button type="submit" class="btn btn-info">update</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- Modal end -->
 <!-- The Modal -->
<div class="modal fade inventory_selling_price" id="">
    <div class="modal-dialog">
        <div class="modal-content">
        
            <!-- Modal Header -->
            <div class="modal-header">
            <h4 class="modal-title">Update Selling Price</h4>
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            
            <!-- Modal body -->
            <form class="update_inventory_selling_price_form" id="update_inventory_selling_price_form" method="post">
                <div class="modal-body">
                    <div class="form-group">
                        <label>Plan Name</label>
                        <input type="text" class="form-control" name="i_plan_name" id="i_plan_name" disabled>
                    </div>
                    <div class="form-group">
                        <label>Selling Price</label>
                        <input type="text" class="form-control" name="i_selling_price" id="i_selling_price">
                    </div>
                    <input type="hidden" id="i_inv_id" name="i_inv_id" value="">
                </div>
                
                <!-- Modal footer -->
                <div class="modal-footer">
                <button type="submit" class="btn btn-info">update</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- Modal end -->
<?php $this->load->view('admin/footer'); ?>

<script type="text/javascript">
  
///////// PAGINATION SCRIPT START
    $("body").on("click",'ul.pagination li a.paginate_button',function(e)
    {
        e.preventDefault();

        if($(this).attr('href') && $(this).attr('href')!="#" && !$(this).hasClass("disabled"))
        {
            $('#pagination_url').val($(this).attr('href'));

            $('#pagination_page').val('');

            page_value = $(this).attr('page_number');

            if(page_value!="" && page_value!=undefined)
            {
                change_search_data("page",page_value)
            }

            page_update();
        }

        return false;
    });
function page_update()
{
    $.ajax({
        url: $('#pagination_url').val() + $('#pagination_page').val(),
        type: 'POST',
        data:{ 
            'request'                   : 'ajax', 
            'sort_by'                   : $('#pagination_sort_by').val(), 
            'sort_direction'            : $('#pagination_sort_direction').val(), 
            'per_page'                  : $('#per_page_value').val(),
            'search'                    : $.trim($('#txt_search').val()),
            'plan'                      : $.trim($('#plan_search').val()),
        },
        beforeSend: function()
        {
            $(".main-loader").show();
        },      
        complete:function()
        {
            $(".main-loader").hide();
        },
        success: function( data )
        {
            $('#ajax_data').html(data);
            //$("#form_data").load(location.href + " #form_data");           
        },
    });
}
</script>
<script type="text/javascript">

  $(document).ready(function(){
  var base = $('#base_url').val();
              $('[data-toggle="tooltip"]').tooltip();

    $("a.sorting").each(function(){
        if($("#pagination_sort_by").val() == $(this).attr('sort-by') )
        {
            if($("#pagination_sort_direction").val() == 'asc' )
            {
                $(this).addClass('sort-asc');

                $(this).attr('sort-order','desc')
            }
            else if($("#pagination_sort_direction").val() == 'desc' )
            {
                $(this).addClass('sort-desc');

                $(this).attr('sort-order','asc')

            }
        }
    })
    //SEARCH SUBMIT BUTTON EVENT
    $("body").on("keyup", '#txt_search',function(e)
    { 
        $('#pagination_page').val(1);
        change_search_data("page",1);
        change_search_data('request', 'ajax');   
        change_search_data("search",$.trim($('#txt_search').val()));
        page_update();
        return false;
    });
     //SEARCH SUBMIT BUTTON EVENT
     $("body").on("change", '#plan_search',function(e)
    { 
        $('#pagination_page').val(1);
        change_search_data("page",1);
        change_search_data('request', 'ajax'); 
        change_search_data("plan",$.trim($('#plan_search').val()));     
        page_update();
        return false;
    });
    //SORTING
        $("body").on("click",'a.sorting[sort-by]',function(e)
        {
            $('#pagination_sort_by').val($(this).attr("sort-by"))
            $('#pagination_sort_direction').val($(this).attr("sort-order"))
            $('#pagination_page').val(1);
            change_search_data("page",1)
            change_search_data("sort_direction",$('#pagination_sort_direction').val())
            change_search_data("sort_by",$('#pagination_sort_by').val())
            page_update();
            return false;
        });

          $("body").on("click",'#reset-btn',function(){
       
       window.location.href='<?php echo base_url(); ?>admin-inventory-quick-tool';
        return false;
      });
  });
</script>
<script>
    function change_esim_status(id){
        alert(id);
    }

    function update_remarks(id){
        var new_id = id;
        var base = $('#base_url').val();
        $.ajax({
                url: base+'Home_controller/get_inventory_remarks',
                type:'post',
                data: {new_id:new_id},
                dataType: 'json',
                success: function(response){
                    if(response){
                        $('#i_remarks').val(response.i_remarks);
                        $('#i_id').val(id);
                        //toastr.success('Your remarks has been changed successfully','Success',{timeOut:5000});
                        $('.inventory_remark').modal('show');
                    }else{
                        //toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
    }
</script>
<script type="text/javascript">
    $(document).ready(function(){
        var base = $('#base_url').val();
            $('#update_remark_form').validate({
                rules:{
                    'i_remarks':{
                        required: true
                    }
                },
                messages:{
                    'i_remarks':{
                        required:'remark is required!'
                    }
                },
                submitHandler:function(form){
                
                    var formdata = new FormData(form);
                    $('#update_remark_form')[0].reset();
                    $.ajax({
                        url: base+'Home_controller/update_inventory_remarks',
                        type:'post',
                        data: formdata,
                        processData: false,
                        contentType: false,
                        dataType: 'json',
                        success: function(response){
                            if(response==true){
                                setTimeout(function(){
                                    window.location.reload();
                                    }, 2000);
                                toastr.success('Remark has been updated successfully','Success',{timeOut:5000});
                                $( '#update_remark_form' ).each(function(){
                                    this.reset();
                                });
                            
                            }else{
                                toastr.error('Please try again later','Failed',{timeOut:5000});
                            }
                        }
                
                    });
                    $('.inventory_remark').modal('hide');
                }
            });
    });
</script>  
<script>
    function update_selling_price(id){
        var new_id = id;
        var base = $('#base_url').val();
        $.ajax({
                url: base+'Home_controller/get_selling_price',
                type:'post',
                data: {new_id:new_id},
                dataType: 'json',
                success: function(response){
                    if(response){
                        $('#i_selling_price').val(response.i_selling_price);
                        $('#i_plan_name').val(response.pl_name);
                        $('#i_inv_id').val(id);
                        //toastr.success('Your remarks has been changed successfully','Success',{timeOut:5000});
                        $('.inventory_selling_price').modal('show');
                    }else{
                        //toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
    }
</script>
<script type="text/javascript">
    $(document).ready(function(){
        var base = $('#base_url').val();
            $('#update_inventory_selling_price_form').validate({
                rules:{
                    'i_remarks':{
                        required: true
                    }
                },
                messages:{
                    'i_remarks':{
                        required:'remark is required!'
                    }
                },
                submitHandler:function(form){
                
                    var formdata = new FormData(form);
                    $('#update_inventory_selling_price_form')[0].reset();
                    $.ajax({
                        url: base+'Home_controller/update_inventory_selling_price',
                        type:'post',
                        data: formdata,
                        processData: false,
                        contentType: false,
                        dataType: 'json',
                        success: function(response){
                            if(response==true){
                                setTimeout(function(){
                                    window.location.reload();
                                    }, 2000);
                                toastr.success('Selling price has been updated successfully','Success',{timeOut:5000});
                                $( '#update_inventory_selling_price_form' ).each(function(){
                                    this.reset();
                                });
                            
                            }else{
                                toastr.error('Please try again later','Failed',{timeOut:5000});
                            }
                        }
                
                    });
                    $('.inventory_selling_price').modal('hide');
                }
            });
    });
</script> 
<script type="text/javascript">
function change_status(id){
    var new_id = id;
    var base = $('#base_url').val();
    if(confirm('Do you really want to perform this action ?')){
        $.ajax({
                url: base+'Home_controller/change_inventory_stock_status',
                type:'post',
                data: {new_id:new_id},
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        toastr.success('Stock status has been changed successfully','Success',{timeOut:5000});
                        page_update();
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
    }
}
</script>
<script type="text/javascript">
function delete_inventory(id){
    var new_id = id;
    var base = $('#base_url').val();
    if(confirm('Do you really want to perform this action ?')){
        $.ajax({
                url: base+'Home_controller/delete_inventory',
                type:'post',
                data: {new_id:new_id},
                dataType: 'json',
                success: function(response){
                    if(response==true){
                        toastr.success('inventory has been changed successfully','Success',{timeOut:5000});
                        page_update();
                    }else{
                        toastr.error('Please try again later','Failed',{timeOut:5000});
                    }
                }
            });
    }
}
</script>