<?php //$order = "desc"; if($sort_direction=='desc'){ $order ="asc"; }else{ $order ="desc"; } ?>
<table class="table custom_table">
    <thead class=" text-primary">
        <th>SNo.</th>
        <th>Supplier Name</th>
        <th>Geography</th>
        <th><a class="sorting" sort-by="pl_name" sort-order=""  href="javascript:void(0)">Plan Name</a></th>
        <!-- <th>PIN</th> -->
        <th>Activation Code</th>
        <!-- <th>ICCID</th> -->
        <th>Buying Cost</th>
        <th>Selling Cost</th>
        <!-- <th>Start Date</th> -->
        <!-- <th>End Date</th> -->
        <th>Stock Status</th>
        <th>Status</th>
        <th>Action</th>
    </thead>
    <tbody>
        <?php if(!empty($data) && $data !=""){ $i = 1;
            foreach($data as $each_inv){ 
                if($each_inv['pl_prop_type'] == '1'){ $geography = ucfirst($each_inv['country_name']);}else{ $geography = ucfirst($each_inv['r_name']);}
                
                if($each_inv['i_code_available_status'] == 'Y'){
                    $status = 'success';
                    $status_content = 'Available';

                }else if($each_inv['i_code_available_status'] == 'S'){
                    $status = 'warning';
                    $status_content = 'Sold';
                }else if($each_inv['i_code_available_status'] == 'T'){
                    $status = 'secondary';
                    $status_content = 'Transferred';
                }else{
                    $status = 'danger';
                    $status_content = 'Not Available';
                    
                } ?>
           <tr class="tr_<?=$status?>">
                <td><?=$i?></td>
                <td><?=ucfirst($each_inv['sp_name']);?></td>
                <td><?=$geography?></td>
                <td><?=ucfirst($each_inv['pl_name']);?></td>
                <!-- <td><?=$each_inv['i_sim_pin'];?></td> -->
                <td><?=$each_inv['i_activation_code'];?></td>
                <!-- <td><?=$each_inv['i_iccid'];?></td> -->
                <td><?=$each_inv['pl_buying_cost'];?></td>
                <td><?=$each_inv['i_selling_price'];?></td>
                <!-- <td><?=date('d-m-Y',strtotime($each_inv['i_created_date']));?></td> -->
                <!-- <td><?=date('d-m-Y',strtotime($each_inv['i_created_date']));?></td> -->
                <td>
                    <?php if($each_inv['i_stock_status'] == '0'){ echo "<span class='activeB' onclick='change_status(".$each_inv['i_id'].")'>Active</span>"; }else{ echo "<span class='inactiveB' onclick='change_status(".$each_inv['i_id'].")'>Inactive</span>"; } ?>
                </td>
                <td>
                    <?php echo '<span class="badge badge-'.$status.'">'.$status_content.'</span>'; ?>
                </td>
                <td>
                    <div class="nav-item btn-rotate dropdown">
                        <a class="nav-link list-drp dropdown-toggle" href="" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                            <!-- <a class="dropdown-item" href="javascript:void(0);" onclick="change_esim_status(<?php echo $each_inv['i_id']; ?>);">Change eSim Status</a> -->
                            <a class="dropdown-item" href="javascript:void(0);" onclick="update_remarks(<?php echo $each_inv['i_id']; ?>);">Remark</a>
                            <a class="dropdown-item" href="javascript:void(0);" onclick="update_selling_price(<?php echo $each_inv['i_id']; ?>);">Edit Price</a>
                            <a class="dropdown-item" href="<?=base_url();?>admin-add-inventory/<?=$each_inv['i_id'];?>">Edit </a>
                            <a class="dropdown-item" href="javascript:void(0);" onclick="delete_inventory(<?php echo $each_inv['i_id']; ?>);">Delete</a>
                        </div>
                    </div>
                </td>
            </tr>
            <?php $i++; }
        } ?>
    </tbody>
</table>

<!-- START PAGINATION -->
    <div class="col-12 text-left">
        <?php if($total_records > 0) { ?>
          Showing <?php echo $from_records; ?> to <?php echo $to_records; ?> of <?php echo $total_records; ?>
        <?php } else echo '&nbsp'; ?>
    </div>
    <div class="col-12 text-right">
        <nav aria-label="Page navigation">
          <?php echo $pagination; ?> 
        </nav>
        <input type="hidden" id="pagination_url" value="<?php echo $paging_url; ?>" />
        <input type="hidden" id="pagination_page" value="<?php echo $page; ?>" />
        <input type="hidden" id="per_page_value" value="<?php echo $per_page; ?>" />
        <input type="hidden" id="pagination_sort_by" value="<?php echo $sort_by; ?>" />
        <input type="hidden" id="pagination_sort_direction" value="<?php echo $sort_direction; ?>" />

    </div>
    <!-- END PAGINATION --> 