<!DOCTYPE html>
<html lang="en">

    <head>
    <meta charset="utf-8" />
    <link rel="apple-touch-icon" sizes="76x76" href="<?=base_url();?>assets/img/apple-icon.png">
    <link rel="icon" type="image/png" href="<?=base_url();?>assets/img/favicon.png">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>
    Esimzon
    </title>
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />
    <!--     Fonts and icons     -->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet">
    <!-- CSS Files -->
    <link href="<?=base_url();?>assets/css/bootstrap.min.css" rel="stylesheet" />
    <link href="<?=base_url();?>assets/css/paper-dashboard.css?v=2.0.1" rel="stylesheet" />

    <link href="<?=base_url();?>assets/css/style.css" rel="stylesheet" />
    <link rel="stylesheet" href="<?php echo base_url(); ?>assets/css/toastr.min.css" />

    <script src="<?=base_url();?>assets/js/core/jquery.min.js"></script>
    <script src="<?php echo base_url(); ?>assets/js/jquery.validate/jquery.validate.min.js"></script>
    <script src="<?php echo base_url(); ?>assets/js/jquery.validate/additional-methods.min.js"></script> 

    <script src="<?php echo base_url(); ?>assets/js/toastr.min.js"></script>
    <script src="<?php echo base_url(); ?>assets/js/custom.js"></script>
    <script src="<?=base_url();?>assets/js/core/popper.min.js"></script>
        <script src="<?=base_url();?>assets/js/core/bootstrap.min.js"></script>

    </head>
    <body>
        <section>
            <div class="row m-0">
                <div class="col-md-6 m-0 p-0">
                    <img src="<?=base_url()?>assets/images/login-bg.jpg" class="login-page-banner">
                </div>
                <div class="col-md-6">
                    <div class="container">
                        <div class="login-form">
                            <img src="<?=base_url()?>assets/images/logo.png" class="mb-4">
                            <p>Please enter your login details here</p>
                            <form id="login_form" method="post">
                                <div class="form-group">
                                    <input type="text" name="username" class="form-control w-70" placeholder="Enter username">
                                </div>
                                <div class="form-group">
                                    <input type="password" name="password" class="form-control w-70" placeholder="Enter password">
                                </div>
                                <button type="submit" class="btn btn-lg w-70 btn-custom" name="login" value="login">Sign In</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <script>
            $('#login_form').validate({
                rules: {
                    username: {
                        required: true,
                    },
                    password: {
                        required: true,
                        minlength: 4,
                    }
                },
                messages: {
                    username: {
                        required: 'Please enter email id',
                    },
                    password: {
                        required: 'Please enter password',
                        minlength: 'Password must be at least 4 characters long'
                    }
                },
                submitHandler: function(form) {
                    form.submit();
                }
            });
        </script>
    </body>

</html>

