<?php $order = "desc"; if($sort_direction=='desc'){ $order ="asc"; }else{ $order ="desc"; } ?>
<table class="table custom_table">
    <thead class=" text-primary">
       
        <th><a class="sorting" sort-by="pl_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Plan Name</a></th>
        <th><a class="sorting" sort-by="pl_banner_status" sort-order="<?= $order ?>"  href="javascript:void(0)">Show on Banner</a></th>
        <th><a class="sorting" sort-by="pl_offer_price" sort-order="<?= $order ?>"  href="javascript:void(0)">Offer Price</a></th>
        <th class="text-right">Action</th>
    </thead>
    <tbody>
        <?php if(!empty($data)){ 
            foreach($data as $list){ ?>
                <tr>
                    <td>
                        <?=ucfirst($list['pl_name'])?>
                    </td>
                    <td>
                        <?php if($list['pl_banner_status'] == '1'){
                            echo '<span class="badge badge-success">Yes</span>';
                        }else{
                            echo '<span class="badge badge-danger">No</span>';
                        } ?>
                    </td>
                    <td>
                        <?=$list['pl_offer_price']?>
                    </td>
                    <td>
                        <a href="<?=base_url();?>admin-add-offer/<?=$list['pl_id'];?>"><button class="btn btn-xs btn-primary btn-round edit_country" data-toggle="tooltip" data-placement="bottom" data-original-title="Edit offer"><i class="fa fa-pencil-square-o"></i></button></a>
                        <button class="btn btn-xs btn-warning btn-round" onclick="delete_offer(<?php echo $list['pl_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Delete offer"><i class="fa fa-trash"></i></button>
                    </td>
                </tr>
            <?php }
        } ?>
    </tbody>
</table>

<!-- START PAGINATION -->
<div class="col-12 text-left">
        <?php if($total_records > 0) { ?>
          Showing <?php echo $from_records; ?> to <?php echo $to_records; ?> of <?php echo $total_records; ?>
        <?php } else echo '&nbsp'; ?>
      </div>
      <div class="col-12 text-right">
        <nav aria-label="Page navigation">
          <?php echo $pagination; ?> 
        </nav>
        <input type="hidden" id="pagination_url" value="<?php echo $paging_url; ?>" />
        <input type="hidden" id="pagination_page" value="<?php echo $page; ?>" />
        <input type="hidden" id="per_page_value" value="<?php echo $per_page; ?>" />
        <input type="hidden" id="pagination_sort_by" value="<?php echo $sort_by; ?>" />
        <input type="hidden" id="pagination_sort_direction" value="<?php echo $sort_direction; ?>" />

      </div>
      <!-- END PAGINATION --> 