<?php $order = "desc"; if($sort_direction=='desc'){ $order ="asc"; }else{ $order ="desc"; } ?>
<table class="table custom_table">
    <thead class=" text-primary">
        <th>SrNo</th>
        <th><a class="sorting" sort-by="pt_company_name" sort-order="<?= $order ?>"  href="javascript:void(0)">Company Name</a></th>
        <th><a class="sorting" sort-by="pt_spoc" sort-order="<?= $order ?>"  href="javascript:void(0)">SPOC</a></th>
        <th><a class="sorting" sort-by="pt_phone" sort-order="<?= $order ?>"  href="javascript:void(0)">Phone No.</a></th>
        <th><a class="sorting" sort-by="pt_email" sort-order="<?= $order ?>"  href="javascript:void(0)">Email</a></th>
        <th><a class="sorting" sort-by="pt_discount" sort-order="<?= $order ?>"  href="javascript:void(0)">Markup Discount</a></th>
        <th>Status</th>
        <th class="text-right">Action</th>
    </thead>
    <tbody>
        <?php if(!empty($data)){ $i = 1;
            foreach($data as $list){ ?>
                <tr>
                    <td><?=$i?></td>
                    <td>
                        <?=ucfirst($list['pt_company_name'])?>
                    </td>
                    <td>
                        <?=ucfirst($list['pt_spoc'])?>
                    </td>
                    <td>
                        <?=$list['pt_phone']?>
                    </td>
                    <td>
                        <?=$list['pt_email']?>
                    </td>
                    <td>
                        <?=$list['pt_discount']?>
                    </td>
                    <td>
                      <?php if($list['pt_status'] == '0'){ echo "<span class='activeB'>Active</span>"; }else{ echo "<span class='inactiveB'>Inactive</span>"; } ?>
                    </td>
                    <td class="text-right">
                        <a href="<?=base_url();?>admin-edit-partner/<?=$list['pt_id'];?>"><button class="btn btn-xs btn-primary btn-round edit_country" data-toggle="tooltip" data-placement="bottom" data-original-title="Edit partner"><i class="fa fa-pencil-square-o"></i></button></a>
                        <button class="btn btn-xs btn-warning btn-round" onclick="delete_partner(<?php echo $list['pt_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Delete partner"><i class="fa fa-trash"></i></button>
                        <button class="btn btn-xs btn-info btn-round" onclick="transfer_inventory(<?php echo $list['pt_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="Transfer Inventory"><i class="fa fa-random"></i></button>
                        <button class="btn btn-xs btn-danger btn-round" onclick="view_inventory(<?php echo $list['pt_id']; ?>)" data-toggle="tooltip" data-placement="bottom" data-original-title="View inventories"><i class="fa fa-database"></i></button>
                    </td>
                </tr>
            <?php $i++; }
        } ?>
    </tbody>
</table>

<!-- START PAGINATION -->
<div class="col-12 text-left">
        <?php if($total_records > 0) { ?>
          Showing <?php echo $from_records; ?> to <?php echo $to_records; ?> of <?php echo $total_records; ?>
        <?php } else echo '&nbsp'; ?>
      </div>
      <div class="col-12 text-right">
        <nav aria-label="Page navigation">
          <?php echo $pagination; ?> 
        </nav>
        <input type="hidden" id="pagination_url" value="<?php echo $paging_url; ?>" />
        <input type="hidden" id="pagination_page" value="<?php echo $page; ?>" />
        <input type="hidden" id="per_page_value" value="<?php echo $per_page; ?>" />
        <input type="hidden" id="pagination_sort_by" value="<?php echo $sort_by; ?>" />
        <input type="hidden" id="pagination_sort_direction" value="<?php echo $sort_direction; ?>" />

      </div>
      <!-- END PAGINATION --> 