<?php $this->load->view('front/header'); ?>

<main id="main">
    <!-- <section id="" class="other-pages-banner">
        <div class="container" data-aos="fade-up">
            <div class="section-title pt-30">
                <h2>About</h2>
            </div>
        </div>
    </section> -->
    <section id="" class="">
        <div class="container" data-aos="fade-up">
            <div class="row">
                <div class="section-title pt-30">
                    <h2>Shopping Cart</h2>
                </div>
                <div class="cart-container">
                    <div class="cart-container-title">
                        <div class="each-container-title each-cart-title-product">Products</div>
                        <div class="each-container-title each-cart-title-price">Price</div>
                        <div class="each-container-title each-cart-title-quantity">Quantity</div>
                        <div class="each-container-title each-cart-title-total">Total</div>
                    </div>
					<?php $subtotal = 0; 
					
					if($cart_list!= ""){ 
						
						foreach($cart_list as $each_cart_list){ ?>
							<div class="cart-container-data">
								<div class="each-container-data each-cart-product">
									
									<div>
										<img src="<?=base_url().$each_cart_list['geo_logo'];?>" class="country_img"> 
									</div>
									<div class="product-info">
										<div><?php echo $each_cart_list['name']; ?></div>
										<div><?=ucfirst($each_cart_list['geo_name']);?></div>
										<div>Data: <?=$each_cart_list['data']?></div>
										<?php if($each_cart_list['voice'] > 0){
											echo "<div>Voice: ".$each_cart_list['voice']."</div>";
										} ?>
									</div>
								</div>
								<div class="each-container-data each-cart-price" id="product_price_<?=$each_cart_list['id'];?>" data-value = "<?=$each_cart_list['price'];?>">$<?=$each_cart_list['price'];?></div>
								<div class="each-container-data each-cart-quantity">
									<div class="qty-input">
										<button class="addSubServices" data-operation ="1" type="button" data-id="<?=$each_cart_list['id'];?>">-</button>
										<input class="input-type-count" type="number" name="product-qty" min="1" max="5" value="1" data-id="<?=$each_cart_list['id'];?>" data-plan-cost = "<?=$each_cart_list['price'];?>">
										<button class="addSubServices" data-operation ="2" type="button" data-id="<?=$each_cart_list['id'];?>">+</button>
									</div>
									<div class="remove-product"><a href="javascript:void(0);" onclick="remove_product(<?=$each_cart_list['id'];?>);">Remove</a></div>
								</div>
								<input type="hidden" class="total_price_hidden" id="total_price_hidden<?=$each_cart_list['id'];?>" value="<?=$each_cart_list['price']*$each_cart_list['quantity'];?>">
								<div class="each-container-data each-cart-total total_price" id="total_price_<?=$each_cart_list['id'];?>" data-id="<?=$each_cart_list['id'];?>">$<?=$each_cart_list['price']*$each_cart_list['quantity'];?></div>
							</div>
						<?php 
						$eachprice = $each_cart_list['price']*$each_cart_list['quantity'];
						$subtotal = $subtotal + $eachprice;
						}
					}else{
						echo "<h3 class='text-center mt-3 pt-3'>Your cart is empty!</h3>";
					} ?>
				</div>
				<?php if(count($cart_list) > 0 ){  ?>
					<div class="cart-subtotal mt-3 text-right">
                    SUBTOTAL:<span class="" id="subTotal"> $<?=$subtotal?></span>
                </div>
                <div class="checkout mt-3 text-right">
                    <a href="javascript:void(0);" id="addtocheckout" class="checkout-button">Checkout</a>
                </div>
				<?php } ?>
                
				<!-- <div class="checkout text-right">
                    <a href="#" class="checkout-button-2">
						<image src="<?=base_url();?>assets/images/paypal.png">
					</a>
                </div> -->
            </div>
        </div>
    </section>
</main>
<?php $this->load->view('front/footer'); ?>
<input type="hidden" id="base_url" value="<?=base_url();?>">
<script>
	$(document).ready(function () {
    var newArr = new Array();
    //increament/decrement product count
    $(document).on('click', '.addSubServices', function () {

        var id = $(this).attr('data-id');
        var operation = $(this).attr('data-operation');
        var inpId = $(this).parent().find('input.input-type-count').attr('data-id');
        var count = $(this).parent().find('input.input-type-count').val();
		
        if (id == inpId) {
			
            if (operation == 1) {
                if(count > 0){
                    count--;
                }else{
					$this.attr("disabled", true);
				}
                
            } else {
				if(count < 5){
					count++;
				}else{
					toastr.info('You cannot select more than 5 plans');
				}
                
            }

        }

        $(this).parent().find('input.input-type-count').val(count);
        $(this).parent().find('input.input-type-count').trigger("change");
    });


    $(document).on('change', 'input.input-type-count', function () { 
		
        var totalPrice = 0;
        var tempArr = {};

        var id = $(this).attr('data-id');
        var price = $(this).attr('data-plan-cost');
        var cnt = $(this).val();
		if(id > 0){
			update_cart(id,price,cnt);
		}
		
		var newPrice = parseFloat(cnt)*parseFloat(price);
		$(document).find('#total_price_hidden'+id).val(newPrice);
		$(document).find('#total_price_'+id).html("$"+newPrice);
		var subtotal = 0;
		var titles = $('.total_price_hidden').map(function(idx, elem) {
			return $(elem).val();
		}).get();

		for (var i = 0; i < titles.length; i++) {
			subtotal += titles[i] << 0;
		}
  		
		$(document).find('#subTotal').html("$"+subtotal);
    });

});

function update_cart(id,price,cnt){
	var base = $('#base_url').val();
		if(id !=""){
			$.ajax({
                url: base+'Front_controller/update_cart',
                type:'post',
                data: {id:id, price:price, cnt:cnt},
                dataType: 'json',
                success: function(response){
					return response;
                }
            });
		}
}
</script>
<script>
	function remove_product(id){
		var base = $('#base_url').val();
		if(id !=""){
			$.ajax({
                url: base+'Front_controller/remove_product_from_cart',
                type:'post',
                data: {id:id},
                dataType: 'html',
                success: function(response){
					console.log(response);
                    if(response=='true'){
						window.location.reload();
                    }
                }
            });
		}
	}
</script>
<script>
	$(document).ready(function(){
		var base = $('#base_url').val();
		$(document).on('click','#addtocheckout',function(){
			var pl_id = 0;
			
			$.ajax({
				url: base+'Payment_controller/addtocheckout',
				type:'post',
				dataType:'json',
				data: {pl_id:pl_id},
				success:function(response){
					if(response==true){
						window.location.href = base+'checkout';
					}
				} 
			});
		
		});
	});
</script>