<?php $this->load->view('front/header'); ?>

<main id="main">
    <section id="" class="other-pages-banner">
        <div class="banner_image mobile-only">
            <img src="<?=base_url();?>assets/images/banner-img-06.png">
        </div>
        <div class="container other-pages-title" data-aos="fade-up">
            <div class="section-title pt-30">
                <h2>Contact</h2>
            </div>
        </div>
    </section>
    <section id="contact_page" class="contact_page">
        <div class="container" data-aos="fade-up">
            <div class="row">
                <div class="col-lg-6 video-box align-self-baseline" data-aos="fade-right" data-aos-delay="100">
                    <img src="<?=base_url();?>assets/images/contact-page.gif" class="img-fluid" alt="">
                </div>

                <div class="col-lg-6 mt-4 pt-3 pt-lg-0 content" data-aos="fade-left" data-aos-delay="100">
                   <div class="contact-form">
                    <div class="title">Get in touch with us!</div>
                        <form method="post" role="form" class="php-email-form" id="contact_form">
                            <div class="row gy-2 gx-md-3">
                                <div class="col-12 form-group mb-1">
                                    <input type="text" name="name" class="form-control" id="name" placeholder="Your Name" required>
                                </div>
                                <div class="col-12 form-group mb-1">
                                    <input type="email" class="form-control" name="email" id="email" placeholder="Your Email" required>
                                </div>
                                <div class="col-12 form-group mb-1">
                                    <input type="text" class="form-control" name="contactno" id="contactno" placeholder="Your Contact no" required>
                                </div>
                                <div class="form-group col-12 mb-1">
                                    <input type="text" class="form-control" name="subject" id="subject" placeholder="Subject" required>
                                </div>
                                <div class="form-group col-12 mb-1">
                                    <textarea class="form-control" name="message" rows="5" placeholder="Message"></textarea>
                                </div>
                                <div class="text-center col-12">
                                    <button type="submit" class="w-100 btn btn-custom">Send Message</button>
                                </div>
                            </div>
                        </form>
                   </div>
                </div>
            </div>
        </div>
    </section>
    <input type="hidden" name="base" id="base_url" value="<?=base_url();?>">
</main>

<?php $this->load->view('front/footer'); ?>
<script type="text/javascript">
  $(document).ready(function() {
      $('#contactno').on('keypress',function(e){
          if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) { return false; }
      });
  });
</script>
<script type="text/javascript">
    $(document).ready(function() { 
        $('#name,#subject').on('keypress',function(evt){ //alphanumeric only
            evt = (evt) ? evt : window.event;
            var key = (evt.which) ? evt.which : event.keyCode;
            if((key > 32 && key < 48) || (key> 57 && key< 65) || (key> 90 && key< 97))
            { 
                return   false; 
            }else{
                return true;
            }
        });

    });
</script>
<script>
    $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#contact_form').validate({
            rules:{
                'name':{
                    required: true
                },
                'email':{
                    required: true
                },
                'contactno':{
                    required: true
                },
                'subject':{
                    required: true
                }
            },
            messages:{
                'name':{
                    required:'Name is required!'
                },
                'email':{
                    required:'Email is required!'
                },
                'contactno':{
                    required:'Contact number is required!'
                },
                'subject':{
                    required:'Subject is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#contact_form')[0].reset();
                $.ajax({
                    url: base+'Home_controller/add_contact',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            // setTimeout(function(){
                            //     window.location.reload();
                            //     }, 2000);
                            toastr.success('Thank you for contacting us, we will get back to you soon...','Success',{timeOut:5000});
                            $('#contact_form').each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });
    });
</script>