<?php $this->load->view('front/header'); ?>

<main id="main">
    <section id="" class="section-bg">
        <div class="container" data-aos="fade-up">
            <div class="card country-details-card">
                <div class="row">
                    <h3 class="Text-left mb-4"><?php if($geo_details != ""){ echo $geo_details['name'];} ?> <span>
                    <?php if($geo_details != ""){ ?><img src="<?=base_url().$geo_details['banner']; ?>" class="country_img"><?php } ?> </span></h3>
                    <div class="col-lg-12 align-self-baseline" data-aos="fade-up" data-aos-delay="100">
                        <ul id="tabs" class="nav nav-tabs">
                            <li class="nav-item"><a href="" data-target="#home1" data-toggle="tab" class="nav-link country_data small text-uppercase active">All Plans</a></li>
                            <li class="nav-item"><a href="" data-target="#profile1" data-toggle="tab" class="nav-link country_data small text-uppercase">Data only plans</a></li>
                            <li class="nav-item"><a href="" data-target="#messages1" data-toggle="tab" class="nav-link country_data small text-uppercase">Voice + Data Plans</a></li>
                        </ul>
                        <br>
                        <?php if($geo_details != ""){
                            if($geo_details['color1'] != ""){
                                $color1 =  $geo_details['color1'];
                            }else { $color1 = "";}
                            if($geo_details['color2'] != ""){
                                $color2 =  $geo_details['color2'];
                            }else { $color2 = "";}
                        }
                         ?>
                        <div id="tabsContent" class="tab-content">
                            <div id="home1" class="tab-pane fade active show">
                                <div class="plans-list">
                                    <?php if($esims !="" && sizeof($esims) > 0){
                                        foreach($esims as $each_esim){ ?>
                                            <label class="each-plan-container <?php if($each_esim['inv_status'] == 'out_of_stock'){ echo $each_esim['inv_status'];} ?>" 
                                                data-id="<?=$each_esim['pl_id'];?>" data-invent-id="<?=$each_esim['id'];?>" 
                                                data-activation-date-status="<?=$each_esim['pl_need_activation_date'];?>" data-kyc-status="<?=$each_esim['pl_kyc_status'];?>"
                                                style="background:linear-gradient(90deg, <?=$color1;?> 0px, <?=$color2;?>)">
                                                <?php if($each_esim['pl_best_Seller'] == 'Y') { ?><span class="best-seller-img"><img src="<?=base_url();?>assets/images/crown.png"><span>Best Seller</span></span><?php } ?>
                                                <?php if($each_esim['pl_top_seller'] == 'Y') { ?><span class="top-seller-img"><img src="<?=base_url();?>assets/images/crown.png"><span>Top Seller</span></span><?php } ?>
                                                <div class="overlay"><span>Out Of Stock</span></div>
                                                <input type="radio" value="<?=$each_esim['pl_id'];?>" class="" name="plan-name">
                                                <div class="plan_data_div mt-2">
                                                    <?php if(strlen($each_esim['pl_name']) > 20){
                                                        $planName  = ucfirst(substr($each_esim['pl_name'],0,20))."...";
                                                    }else{
                                                        $planName  = ucfirst($each_esim['pl_name']);
                                                    } ?>
                                                    <h6 class="mb-3"><strong><?=$planName;?></strong></h6>
                                                    <span class="left">
                                                        <img src="<?=base_url();?>assets/images/signal.png" class="mr-2"> Data
                                                    </span>
                                                    <span class="right plan_data_value">
                                                        <?php if($each_esim['pl_data_allow_validity_type'] == 5){
                                                            echo 'Unlimited';
                                                        }else{
                                                            echo $each_esim['pl_data_allowance'];
                                                            if($each_esim['pl_data_allow_type'] == '1'){
                                                                echo 'MB';
                                                            }else{
                                                                echo 'GB';
                                                            }
                                                        }  ?>
                                                    </span>
                                                </div> 
                                                <?php //if($each_esim['pl_class'] == "2"){ ?> 
                                                <div class="plan_data_div">
                                                    <span class="left">
                                                    <img src="<?=base_url();?>assets/images/call.png" class="mr-2"> Voice
                                                    </span>
                                                    <span class="right ">
                                                        <?php if($each_esim['pl_voice_minutes'] !="" && $each_esim['pl_voice_minutes'] > 0){ echo $each_esim['pl_voice_minutes']." Mins";}else {
                                                            echo "-";
                                                        } ?>
                                                    </span>
                                                </div> 
                                                <?php //} ?>
                                                <div class="plan_data_div">
                                                    <span class="left">
                                                        <img src="<?=base_url();?>assets/images/calendar.png" class="mr-2">  Validity
                                                    </span>
                                                    <span class="right">
                                                        <?php echo $each_esim['pl_validity']; ?> 
                                                        <?php if($each_esim['pl_validity_type'] == '1'){
                                                            echo 'Days';
                                                        }else if($each_esim['pl_validity_type'] == '2'){
                                                            echo 'Months';
                                                        }else{
                                                            echo 'Years';
                                                        } ?>
                                                    </span>
                                                </div>
                                                <div class="price text-center mb-2"><?php if($each_esim['pl_buying_cost_currency'] == '1'){ echo '$'; } ?> 
                                                <?php  echo $each_esim['selling_price']; ?> </div>
                                            </label>
                                    <?php } }else{ ?>
                                        <h5> No plans found yet!</h5>
                                    <?php  } ?>
                                </div>
                            </div>
                            <div id="profile1" class="tab-pane fade">
                                <div class="plans-list">
                                    <?php if($esims !="" && sizeof($esims) > 0){
                                        foreach($esims as $each_esim){ 
                                            if($each_esim['pl_class'] == "1"){ ?>
                                            <label class="each-plan-container <?php if($each_esim['inv_status'] == 'out_of_stock'){ echo $each_esim['inv_status'];} ?>" 
                                                data-id="<?=$each_esim['pl_id'];?>" data-invent-id="<?=$each_esim['id'];?>" 
                                                data-activation-date-status="<?=$each_esim['pl_need_activation_date'];?>" data-kyc-status="<?=$each_esim['pl_kyc_status'];?>"
                                                style="background:linear-gradient(90deg, <?=$color1;?> 0px, <?=$color2;?>)">
                                                <div class="overlay"><span>Out Of Stock</span></div>
                                                <input type="radio" value="<?=$each_esim['pl_id'];?>" class="" name="plan-name">
                                                <div class="plan_data_div mt-2">
                                                    <?php if(strlen($each_esim['pl_name']) > 20){
                                                        $planName  = ucfirst(substr($each_esim['pl_name'],0,20))."...";
                                                    }else{
                                                        $planName  = ucfirst($each_esim['pl_name']);
                                                    } ?>
                                                    <h6 class="mb-3"><strong><?=$planName;?></strong></h6>
                                                    <span class="left">
                                                        <img src="<?=base_url();?>assets/images/signal.png" class="mr-2"> Data
                                                    </span>
                                                    <span class="right ">
                                                        <?php if($each_esim['pl_data_allow_validity_type'] == 5){
                                                            echo 'Unlimited';
                                                        }else{
                                                            echo $each_esim['pl_data_allowance'];
                                                            if($each_esim['pl_data_allow_type'] == '1'){
                                                                echo 'MB';
                                                            }else{
                                                                echo 'GB';
                                                            }
                                                        }  ?>
                                                    </span>
                                                </div> 
                                                <div class="plan_data_div">
                                                    <span class="left">
                                                        <img src="<?=base_url();?>assets/images/calendar.png" class="mr-2">  Validity
                                                    </span>
                                                    <span class="right ">
                                                        <?php echo $each_esim['pl_validity']; ?> 
                                                        <?php if($each_esim['pl_validity_type'] == '1'){
                                                            echo 'Days';
                                                        }else if($each_esim['pl_validity_type'] == '2'){
                                                            echo 'Months';
                                                        }else{
                                                            echo 'Years';
                                                        } ?>
                                                    </span>
                                                </div>
                                                <div class="price text-center mb-2"><?php if($each_esim['pl_buying_cost_currency'] == '1'){ echo '$'; } ?> 
                                                <?php  echo $each_esim['selling_price']; ?> </div>
                                            </label>
                                    <?php }} }else{ ?>
                                        <h5> No plans found yet!</h5>
                                    <?php  } ?>
                                </div>
                            </div>
                            <div id="messages1" class="tab-pane fade">
                                <div class="plans-list">
                                <?php if($esims !="" && sizeof($esims) > 0){
                                        foreach($esims as $each_esim){ 
                                            if($each_esim['pl_class'] == "2"){ ?>
                                                <label class="each-plan-container <?php if($each_esim['inv_status'] == 'out_of_stock'){ echo $each_esim['inv_status'];} ?>" 
                                                data-id="<?=$each_esim['pl_id'];?>" data-invent-id="<?=$each_esim['id'];?>" 
                                                data-activation-date-status="<?=$each_esim['pl_need_activation_date'];?>" data-kyc-status="<?=$each_esim['pl_kyc_status'];?>"
                                                style="background:linear-gradient(90deg, <?=$color1;?> 0px, <?=$color2;?>)">
                                                <div class="overlay"><span>Out Of Stock</span></div>
                                                <input type="radio" value="<?=$each_esim['pl_id'];?>" class="" name="plan-name">
                                                <div class="plan_data_div mt-2">
                                                    <?php if(strlen($each_esim['pl_name']) > 20){
                                                        $planName  = ucfirst(substr($each_esim['pl_name'],0,20))."...";
                                                    }else{
                                                        $planName  = ucfirst($each_esim['pl_name']);
                                                    } ?>
                                                    <h6 class="mb-3"><strong><?=$planName;?></strong></h6>
                                                    <span class="left">
                                                        <img src="<?=base_url();?>assets/images/signal.png" class="mr-2"> Data
                                                    </span>
                                                    <span class="right plan_data_value">
                                                        <?php if($each_esim['pl_data_allow_validity_type'] == 5){
                                                            echo 'Unlimited';
                                                        }else{
                                                            echo $each_esim['pl_data_allowance'];
                                                            if($each_esim['pl_data_allow_type'] == '1'){
                                                                echo 'MB';
                                                            }else{
                                                                echo 'GB';
                                                            }
                                                        }  ?>
                                                    </span>
                                                </div>
                                                <div class="plan_data_div">
                                                    <span class="left">
                                                    <img src="<?=base_url();?>assets/images/call.png" class="mr-2"> Voice
                                                    </span>
                                                    <span class="right plan_data_value">
                                                        <?php if($each_esim['pl_voice_minutes'] !="" && $each_esim['pl_voice_minutes'] > 0){ echo $each_esim['pl_voice_minutes']." Mins";}else {
                                                            echo "-";
                                                        } ?>
                                                    </span>
                                                </div> 
                                                <div class="plan_data_div">
                                                    <span class="left">
                                                        <img src="<?=base_url();?>assets/images/calendar.png" class="mr-2">  Validity
                                                    </span>
                                                    <span class="right plan_data_value">
                                                        <?php echo $each_esim['pl_validity']; ?> 
                                                        <?php if($each_esim['pl_validity_type'] == '1'){
                                                            echo 'Days';
                                                        }else if($each_esim['pl_validity_type'] == '2'){
                                                            echo 'Months';
                                                        }else{
                                                            echo 'Years';
                                                        } ?>
                                                    </span>
                                                </div>
                                                <div class="price text-center mb-2"><?php if($each_esim['pl_buying_cost_currency'] == '1'){ echo '$'; } ?> 
                                                <?php  echo $each_esim['selling_price']; ?> </div>
                                            </label>
                                            <?php } } }else{ ?>
                                        <h5> No plans found yet!</h5>
                                    <?php  } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12 mt-4 mb-4 pb-2 align-self-baseline">
                        <ul class="nav nav-tabs">
                            <li class="active custom-tab-list"><a data-toggle="tab" href="#home">Plan Description</a></li>
                        </ul>
                        <div class="tab-content custom-tab-content">
                            <div id="home" class="tab-pane in active">
                            -  
                            </div>
                        </div>
                        
                        
                        <div id="after_login">
                            <a href="javascript:void(0);" id="addToCart"><button class="btn btn-info mb-2">Add to cart</button></a>
                            <a href="javascript:void(0);" id="buyNow"><button class="btn btn-success mb-2">Buy Now</button></a>
                        </div>
                        <div id="before_login">
                            <a href="javascript:void(0);" id="detailsLoginModel"><button class="btn btn-custom-01 mb-2">Login to purchase</button></a>
                            <a href="javascript:void(0);" class="ml-2" id="loginAsGuest"><button class="btn btn-custom-02">Continue as a guest</button></a>
                        </div>
                           
                        <div id="guestForm" class="mt-4 pt-2">
                            <form id="loginasguestform" method="post">
                                <div class="row">
                                    <div class="form-group col-md-5 mb-1">
                                        <input type="email" name="guest_email" id="guest_email" placeholder="Enter email address" class="form-control">
                                    </div>
                                    <div class="form-group col-md-5 mb-2">
                                        <input type="email" name="guest_confirm_email" id="guest_confirm_email" placeholder="Confirm email address" class="form-control">
                                    </div>
                                    <div class="col-md-2 mb-1">
                                        <input type="hidden" name="user_type" value="1">
                                        <button type="submit" class="btn btn-custom-01 padding-unset-10">Login As Guest</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<input type="hidden" id="session_id" value="<?= $this->session->userdata('id');?>">
</main>
<!-- ------- KYC Status update modal ------ -->
<div class="modal fade" id="kyc_statusModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Plan Details</h5>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form method="post" enctype="multipart/form-data" id="upload_documents_form">
                <div class="modal-body">
                    <div id="kyc_form">
                        <div class="form-group">
                            <label>Select KYC Type </label>
                            <select class="form-control" name="kyc_type">
                                <option value="">Select</option>
                                <option value="1">Student KYC</option>
                                <option value="2">User KYC</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Select Document Type </label>
                            <select class="form-control" name="doc_type">
                                <option value="">Select</option>
                                <option value="1">Passport</option>
                                <option value="2">Driving License</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Document</label>
                            <input type="file" class="form-control" name="document_file">
                        </div>
                    </div>
                    <div id="pl_activation_date_form">
                        <div class="form-group">
                            <label>Activation Date</label>
                        <input type="date" class="form-control" name="activation_date">
                        </div>
                    </div>
                    <input type="hidden" name="planID" id="PlanID" value="">
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Save </button>
                </div>
            </form>
        </div>
    </div>
</div>


<?php $this->load->view('front/footer_country_details'); ?><script>
    $(document).ready(function(){
        var session = $('#session_id').val();
        
        if(session != "" && session > 0){
            $('#after_login').show();
            $('#before_login').hide();
        }else{
            $('#after_login').hide();
            $('#before_login').show();
        }
    });
</script>

<script>
    $(document).ready(function(){
        var base = $('#base_url').val();
        $('#guestForm').hide();
        $(document).on('change','.each-plan-container input',function(){
            $('.each-plan-container').removeClass('checked');
            if(!$(this).parent('.each-plan-container').hasClass('out_of_stock')){
                if($(this).is(':checked')){
                    $(this).parent('.each-plan-container').addClass('checked');
                    var id = $(this).val();
                    if(id != ""){
                        // get plan description
                    
                            var base = $('#base_url').val();
                            $.ajax({
                                url: base+'Front_controller/getPlanDescription',
                                type:'post',
                                dataType:'json',
                                data: {id:id},
                                success:function(response){
                                    if(response!= ""){
                                        if(response.pl_info != ""){
                                            $('#home').html(response.pl_info);
                                        }else{
                                            $('#home').html("-");
                                        }
                                        
                                    }
                                } 
                            });
                    
                    }
                }else{
                    $(this).parent('.each-plan-container').removeClass('checked');
                }
            }
        });
        $(document).on('click','#detailsLoginModel',function(){
          $('#loginModal').modal('show');
        });

        // add to cart functionality 
        $(document).on('click','#addToCart',function(){
            var pl_id = $(document).find('.each-plan-container.checked').attr('data-id');
            var inv_id = $(document).find('.each-plan-container.checked').attr('data-invent-id');
           
            if(pl_id != "" && pl_id !=null){
                var kyc_status = $(document).find('.each-plan-container.checked').attr('data-kyc-status');
                var activation_date = $(document).find('.each-plan-container.checked').attr('data-activation-date-status');;
                if(kyc_status == 'Y' || activation_date == 'Y'){
                    $('#PlanID').val(pl_id);

                    if(kyc_status == 'Y'){
                        $('#kyc_form').show();
                    }else{
                        $('#kyc_form').hide(); 
                    }

                    if(activation_date == 'Y'){
                        $('#pl_activation_date_form').show();
                    }else{
                        $('#pl_activation_date_form').hide(); 
                    }

                    $('#kyc_statusModal').modal('show');
                    
                    $('#upload_documents_form').validate({
                        rules:{
                            'kyc_type':{
                                required: true 
                            },
                            'doc_type':{
                                required: true 
                            },
                            'document_file':{
                                required: true,
                                extension: 'jpeg|jpg|png|bmp|webp|svg|gif'
                            },
                            'activation_date':{
                                required: true
                            }
                        },
                        messages:{
                            'kyc_type':{
                                required: 'Please select KYC type!' 
                            },
                            'doc_type':{
                                required:'Please select document type!'
                            },
                            'document_file':{
                                required:'Please upload document!',
                                extension: 'Only jpeg|jpg|png|bmp|webp|svg|gif type of extension are allowed!'
                            },
                            'activation_date':{
                                required: 'Please enter activation date!'
                            }
                        },
                        submitHandler:function(form){
                           
                            var formdata = new FormData(form);
                            var activation_date = $('input[name="activation_date"]').val();
                            
                            $('#upload_documents_form')[0].reset();
                            $.ajax({
                                url: base+'Payment_controller/upload_documents',
                                type:'post',
                                data: formdata,
                                processData: false,
                                contentType: false,
                                dataType: 'json',
                                success: function(response){
                                    if(response==true){
                                        // go to function add to cart
                                        toastr.success('Documents uploaded successfully','Success',{timeOut:5000});
                                        $('#kyc_statusModal').modal('hide');
                                        callAjaxFunctionCart(pl_id,inv_id,activation_date);
                                    }else{
                                        toastr.error('Please try again later','Failed',{timeOut:5000});
                                    }
                                }
                        
                            });
                        }
                    });
                }else{
                    callAjaxFunctionCart(pl_id,inv_id,"");
                }
            }else{
                toastr.info('Please select data package','Message');
            }
            
        });

        function callAjaxFunctionCart(pl_id,inv_id,activation_date){
            $.ajax({
                        url: base+'Front_controller/addtocart',
                        type:'post',
                        dataType:'json',
                        data: {pl_id:pl_id, inv_id:inv_id,activation_date:activation_date},
                        success:function(response){
                            if(response==true){
                                window.location.href = base+'cart';
                            }
                        } 
                });
        }

        //Buy Now
        $(document).on('click','#buyNow',function(){
            var pl_id = $(document).find('.each-plan-container.checked').attr('data-id');
            var inv_id = $(document).find('.each-plan-container.checked').attr('data-invent-id');
            if(pl_id != "" && pl_id !=null){
                var kyc_status = $(document).find('.each-plan-container.checked').attr('data-kyc-status');
                var activation_date = $(document).find('.each-plan-container.checked').attr('data-activation-date-status');;
                if(kyc_status == 'Y' || activation_date == 'Y'){
                    $('#PlanID').val(pl_id);

                    if(kyc_status == 'Y'){
                        $('#kyc_form').show();
                    }else{
                        $('#kyc_form').hide(); 
                    }

                    if(activation_date == 'Y'){
                        $('#pl_activation_date_form').show();
                    }else{
                        $('#pl_activation_date_form').hide(); 
                    }

                    $('#kyc_statusModal').modal('show');
                    
                    $('#upload_documents_form').validate({
                        rules:{
                            'kyc_type':{
                                required: true 
                            },
                            'doc_type':{
                                required: true 
                            },
                            'document_file':{
                                required: true,
                                extension: 'jpeg|jpg|png|bmp|webp|svg|gif'
                            },
                            'activation_date':{
                                required: true
                            }
                        },
                        messages:{
                            'kyc_type':{
                                required: 'Please select KYC type!' 
                            },
                            'doc_type':{
                                required:'Please select document type!'
                            },
                            'document_file':{
                                required:'Please upload document!',
                                extension: 'Only jpeg|jpg|png|bmp|webp|svg|gif type of extension are allowed!'
                            },
                            'activation_date':{
                                required: 'Please enter activation date!'
                            }
                        },
                        submitHandler:function(form){
                           
                            var formdata = new FormData(form);
                            var activation_date = $('input[name="activation_date"]').val();
                            
                            $('#upload_documents_form')[0].reset();
                            $.ajax({
                                url: base+'Payment_controller/upload_documents',
                                type:'post',
                                data: formdata,
                                processData: false,
                                contentType: false,
                                dataType: 'json',
                                success: function(response){
                                    if(response==true){
                                        // go to function add to cart
                                        toastr.success('Documents uploaded successfully','Success',{timeOut:5000});
                                        $('#kyc_statusModal').modal('hide');
                                        callAjaxFunction(pl_id,inv_id,activation_date);
                                    }else{
                                        toastr.error('Please try again later','Failed',{timeOut:5000});
                                    }
                                }
                        
                            });
                        }
                    });
                    
                }else{
                    callAjaxFunction(pl_id,inv_id,activation_date);
                }
                
            }else{
                toastr.info('Please select data package','Message');
            }
            
        });
        // login as guest
        $(document).on('click','#loginAsGuest',function(){
            $('#guestForm').show('slow');
            $('#loginAsGuest').hide();
        });

        //login as guest form
        $('#loginasguestform').validate({
            rules:{
                'guest_email':{
                    required: true
                },
                'guest_confirm_email':{
                    required: true,
                    equalTo: '#guest_email'
                }
            },
            messages:{
                'guest_email':{
                    required:'Email address is required!'
                },
                'guest_confirm_email':{
                    required:'Confirm email address is required!',
                    equalTo: 'Confirm email doesn`t match with entered email'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#loginasguestform')[0].reset();
               
                $.ajax({
                    url: base+'Front_controller/add_new_user',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            setTimeout(function(){
                                //window.location.reload();
                                $('#loginasguestform').hide();
                                $('#after_login').show();
                                $('#before_login').hide();
                                }, 2000);
                            toastr.success('Login successfully as Guest','Success',{timeOut:5000});
                            $( '#loginasguestform' ).each(function(){
                                this.reset();
                            });
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

        function callAjaxFunction(pl_id,inv_id,activation_date){
            $.ajax({
                url: base+'Payment_controller/addtocheckout_withbuynow',
                type:'post',
                dataType:'json',
                data: {pl_id:pl_id, inv_id:inv_id, activation_date:activation_date},
                success:function(response){
                    if(response==true){
                        window.location.href = base+'checkout';
                    }
                } 
            });
           
        }
      
    });
</script>
