<?php $this->load->view('front/header'); ?>

  <!-- ======= Hero Section ======= -->
  <section id="hero">
    <div class="banner_image">
      <img src="<?=base_url();?>assets/images/esimzon-banner.png">
    </div>
    <div class="container banner-content" data-aos="fade-up" data-aos-delay="100">
      <div class="row">
        <div class="col-lg-9">
          <h1 class="mb-4 banner-head">Instant access, anywhere you want to go, at unbeatable rates</h1>
          <h2 class="mb-4 mt-4 banner-data">Enjoy uninterrupted internet connectivity throughout your journeys with esimzon's eSIM, leaving behind concerns about excessive roaming charges.</h2>
            <div class="wrap mt-4 banner-search">
              <div class="search">
                <input type="text" class="searchTerm" id="searchTerm" placeholder="Search your destination here...">
                <span type="submit" class="searchButton" id="searchButton">
                    <i class="bi-search"></i>
                </span>
              </div>
              <div class="search_result" id="search_result">
                <ul>

                </ul>
              </div>
            </div>
        </div>
      </div>
    </div>
  </section><!-- End Hero -->

  <main id="main">

    <section id="counts" class="counts section-bg">
      
        <div class="row justify-content-end">
          <div class="row">
              <nav class="custom-nav">
                  <div class="nav nav-tabs" id="nav-tab" role="tablist">
                      <a class="nav-link active" id="nav-local-tab" data-bs-toggle="tab" href="#nav-local" role="tab" aria-controls="nav-local" aria-selected="true">Local eSIM</a>
                      <a class="nav-link" id="nav-regional-tab" data-bs-toggle="tab" href="#nav-regional" role="tab" aria-controls="nav-regional" aria-selected="false">Regional eSIM</a>
                      <a class="nav-link" id="nav-global-tab" data-bs-toggle="tab" href="#nav-global" role="tab" aria-controls="nav-global" aria-selected="false">Long Stay Plans</a>
                  </div>
              </nav>
              <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="nav-local" role="tabpanel" aria-labelledby="local-tab">
                  <div class="custom-tab-data">
                    <div class="custom_country_list">
                      <div class="row">
                        <?php if($countries != ""){
                          foreach($countries as $list){
                            $logo = $list->country_logo;
                            if($logo ==""){
                              $logo = 'default_img.png';
                            } ?>
                            <div class="col-lg-2 col-md-3 col-sm-6 col-xs-6 resize-mobile">
                              <div class="country-pills">
                                <a href="<?=base_url()?>esim/<?=strtolower($list->country_name);?>">
                                  <div class="row">
                                    <div class="img-div col-3">
                                      <img src="<?=base_url()?>assets/images/countries/<?=$logo?>" class="country_img"> 
                                    </div>
                                    <div class="col-9 pl-10 pt-10">
                                      <span><?=ucfirst($list->country_name)?> </span>
                                      <p class="plan-content"><span>Starting from </span> $25</p>
                                    </div>
                                  </div>
                                </a>
                              </div>
                            </div>
                          <?php }
                        } ?>
                      </div>
                    </div>
                  </div>  
                </div>
                  <div class="tab-pane fade" id="nav-regional" role="tabpanel" aria-labelledby="regional-tab">
                    <div class="custom-tab-data">
                    <div class="custom_country_list">
                      <div class="row">
                      <?php if($regions != ""){
                          foreach($regions as $each_region){
                            $logo = $each_region->r_banner;
                            if($logo == ""){
                              $logo = 'default_img.png';
                            } ?>
                           <div class="col-lg-2 col-md-3 col-sm-6 col-xs-6 resize-mobile">
                              <div class="country-pills">
                                <a href="<?=base_url()?>esim/<?=strtolower($each_region->r_name);?>">
                                  <div class="row">
                                    <div class="img-div col-3">
                                      <img src="<?=base_url()?>assets/images/regions/<?=$logo?>" class="country_img"> 
                                    </div>
                                    <div class="col-9 pl-20 pt-10">
                                      <span><?=ucfirst($each_region->r_name)?> </span>
                                      <p class="plan-content"><span>Starting from </span> $25</p>
                                    </div>
                                  </div>
                                </a>
                              </div>
                            </div>
                          <?php }
                        } ?>
                            
                      </div>
                    </div>
                    </div>
                  </div>
                  <div class="tab-pane fade" id="nav-global" role="tabpanel" aria-labelledby="global-tab">
                    <div class="custom-tab-data">
                    <div class="custom_country_list">
                      <div class="row">
                        <?php if($countries != ""){
                          foreach($countries as $list){
                            $logo = $list->country_logo;
                            if($logo ==""){
                              $logo = 'default_img.png';
                            } ?>
                            <div class="col-lg-2 col-md-3 col-sm-6 col-xs-6 resize-mobile">
                              <div class="country-pills">
                                <a href="<?=base_url()?>esim/<?=strtolower($list->country_name);?>">
                                  <div class="row">
                                    <div class="img-div col-3">
                                      <img src="<?=base_url()?>assets/images/countries/<?=$logo?>" class="country_img"> 
                                    </div>
                                    <div class="col-9 pl-20 pt-10">
                                      <span><?=ucfirst($list->country_name)?> </span>
                                      <p class="plan-content"><span>Starting from </span> $25</p>
                                    </div>
                                  </div>
                                </a>
                              </div>
                            </div>
                          <?php }
                        } ?>
                      </div>
                    </div>
                    </div>
                  </div>
              </div>
          </div>
        </div>
    </section>

    <!-- ======= About Section ======= -->
    <!-- <section id="about" class="about">
      <div class="container" data-aos="fade-up">

        <div class="section-title">
          <h2>About Us</h2>
        </div>

        <div class="row content">
          <div class="col-lg-6">
            <ul><label class="list_lable">MISSION</label>
              <li><i class="ri-check-double-line"></i> Instant data connectivity for all travelers worldwide</li>
              <li><i class="ri-check-double-line"></i> Future for travel SIM cards without roaming rates</li>
             <li><i class="ri-check-double-line"></i> Over 250 eSIM at cheapest rates of smartphones, tablest, PC and other devices</li>
              <li><i class="ri-check-double-line"></i> Buy one SIM and you are good to go for next trip!</li>
            </ul>
          </div>
          <div class="col-lg-6 pt-4 pt-lg-0">
            <ul><label class="list_lable">TEAM</label>
              <li><i class="ri-check-double-line"></i> A passionate, diverse, and skilled group of individuals</li>
              <li><i class="ri-check-double-line"></i> Constantly striving to innovate and offer the best possible experience</li>
              <li><i class="ri-check-double-line"></i> A hassle-free and affordable way to stay connected while traveling</li>
            </ul>
          </div>
        </div>

      </div>
    </section>End About Section -->

    <!-- ======= About Video Section ======= -->
    <section id="about-video" class="about-video">
      
        <div class="container" data-aos="zoom-in">
          <div class="text-center desktop-only">
            <h3>How to activate esimzon esim?</h3>
            <div class="row process-steps-container">
              <div class="col-lg-3 process-steps-img">
                <img src="<?=base_url();?>assets/images/1.png">
                <div class="process-steps-title">Select Country</div>
              </div>
              <div class="col-lg-3 process-steps-img">
                <img src="<?=base_url();?>assets/images/2.png">
                <div class="process-steps-title">Choose your plan</div>
              </div>
              <div class="col-lg-3 process-steps-img">
                <img src="<?=base_url();?>assets/images/3.png">
                <div class="process-steps-title">Get eSIM QR Code</div>
              </div>
              <div class="col-lg-3 process-steps-img">
                <img src="<?=base_url();?>assets/images/4.png">
                <div class="process-steps-title">Activate your esim</div>
              </div>
            </div>
          </div>
          <div class="text-center mobile-only pt-4 pb-4">
            <div class="testimonials-slider swiper" data-aos="fade-up" data-aos-delay="100">
              <div class="swiper-wrapper">
                <div class="swiper-slide">
                  <div class="testimonial-item padding-2rem">
                    <img src="<?=base_url();?>assets/images/1.png" class="testimonial-img">
                    <h3>Select Country</h3>
                  </div>
                </div><!-- End testimonial item -->

                <div class="swiper-slide">
                  <div class="testimonial-item padding-2rem">
                    <img src="<?=base_url();?>assets/images/2.jpeg" class="testimonial-img">
                    <h3>Choose your plan</h3>
                  </div>
                </div><!-- End testimonial item -->

                <div class="swiper-slide">
                  <div class="testimonial-item padding-2rem">
                    <img src="<?=base_url();?>assets/images/3.png" class="testimonial-img">
                    <h3>Get eSIM QR Code</h3>
                  </div>
                </div><!-- End testimonial item -->

                <div class="swiper-slide">
                  <div class="testimonial-item padding-2rem">
                    <img src="<?=base_url();?>assets/images/4.png" class="testimonial-img">
                    <h3>Activate your esim</h3>
                  </div>
                </div><!-- End testimonial item -->
              </div>
              <div class="swiper-pagination"></div>
            </div>
          </div>
        </div>
     
    </section><!-- End About Video Section -->
  
   
    <!-- ======= Testimonials Section ======= -->
    <section id="testimonials" class="testimonials">
      <div class="container">
        <div class="section-title">
          <h2>Testimonials</h2>
          <p>Here's What Our Customers Have to Say</p>
        </div>
        <div class="testimonials-slider swiper" data-aos="fade-up" data-aos-delay="100">
          <div class="swiper-wrapper">

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bx bxs-quote-alt-left quote-icon-left"></i>
                  If you had any interactions with customer support, whether it was for setup assistance or resolving issues, mention how helpful and responsive they were.
                  <i class="bx bxs-quote-alt-right quote-icon-right"></i>
                </p>
                <!-- <img src="<?=base_url();?>assets/images/t-2.png" class="testimonial-img" alt=""> -->
                <h3>Emily Johnson</h3>
                <div class="star-rating">
                  <ul class="list-inline">
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                  </ul>
                </div>
                <!-- <h4>Ceo &amp; Founder</h4> -->
              </div>
            </div><!-- End testimonial item -->

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bx bxs-quote-alt-left quote-icon-left"></i>
                  What I love most about the eSIM is the flexibility esimzon offers. I can easily switch between different carriers and data plans right from my phone, giving me the freedom to choose the best option for my needs at any given time.
                  <i class="bx bxs-quote-alt-right quote-icon-right"></i>
                </p>
                <!-- <img src="<?=base_url();?>assets/images/t-1.png" class="testimonial-img" alt=""> -->
                <h3>David Brown</h3>
                <div class="star-rating">
                  <ul class="list-inline">
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                  </ul>
                </div>
                <!-- <h4>Designer</h4> -->
              </div>
            </div><!-- End testimonial item -->

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bx bxs-quote-alt-left quote-icon-left"></i>
                  In the realm of digital connectivity, the eSIM experience offered by esimzon stands as a beacon of excellence. As a tech enthusiast constantly seeking innovation, I found myself utterly captivated by the seamlessness and efficiency of this groundbreaking technology.
                  <i class="bx bxs-quote-alt-right quote-icon-right"></i>
                </p>
                <!-- <img src="<?=base_url();?>assets/images/t-3.png" class="testimonial-img" alt=""> -->
                <h3>Alex Chen</h3>
                <div class="star-rating">
                  <ul class="list-inline">
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                  </ul>
                </div>
                <!-- <h4>Store Owner</h4> -->
              </div>
            </div><!-- End testimonial item -->

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bx bxs-quote-alt-left quote-icon-left"></i>
                  One aspect that truly sets esimzon apart is their commitment to quality. The network coverage is extensive, delivering lightning-fast speeds and crystal-clear calls. I never once experienced a dropped call or sluggish data connection, even in congested areas.
                  <i class="bx bxs-quote-alt-right quote-icon-right"></i>
                </p>
                <!-- <img src="<?=base_url();?>assets/images/t-4.png" class="testimonial-img" alt=""> -->
                <h3> Jessica Patel</h3>
                <div class="star-rating">
                  <ul class="list-inline">
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                  </ul>
                </div>
                <!-- <h4>Freelancer</h4> -->
              </div>
            </div><!-- End testimonial item -->

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bx bxs-quote-alt-left quote-icon-left"></i>
                  From the outset, the setup process was a breeze. Gone are the days of dealing with physical SIM cards; instead, I effortlessly activated my eSIM online from esimzon, saving valuable time and hassle. The convenience alone is worth applauding.
                  <i class="bx bxs-quote-alt-right quote-icon-right"></i>
                </p>
                <!-- <img src="<?=base_url();?>assets/images/t-5.png" class="testimonial-img" alt=""> -->
                <h3>Jennifer Lee</h3>
                <div class="star-rating">
                  <ul class="list-inline">
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                    <li class="list-inline-item"><i class="fa fa-star"></i></li>
                  </ul>
                </div>
              </div>
            </div><!-- End testimonial item -->

          </div>
          <div class="swiper-pagination"></div>
        </div>
            
      </div>
    
    </section><!-- End Testimonials Section -->
    
     <!-- ======= Services Section ======= -->
     <section id="services" class="services ">
      <div class="container" data-aos="fade-up">

        <div class="section-title">
        <h2>What we offer</h2>
            <!-- <p>Magnam dolores commodi suscipit. Necessitatibus eius consequatur ex aliquid fuga eum quidem. Sit sint consectetur velit. Quisquam quos quisquam cupiditate. Et nemo qui impedit suscipit alias ea. Quia fugiat sit in iste officiis commodi quidem hic quas.</p> -->
        </div>

        <div class="row">
          <div class="col-lg-3 col-md-6 d-flex align-items-stretch" data-aos="zoom-in" data-aos-delay="100">
            <div class="icon-box iconbox-blue">
              <div class="icon">
                <svg width="100" height="100" viewBox="0 0 600 600" xmlns="http://www.w3.org/2000/svg">
                  <path stroke="none" stroke-width="0" fill="#f5f5f5" d="M300,521.0016835830174C376.1290562159157,517.8887921683347,466.0731472004068,529.7835943286574,510.70327084640275,468.03025145048787C554.3714126377745,407.6079735673963,508.03601936045806,328.9844924480964,491.2728898941984,256.3432110539036C474.5976632858925,184.082847569629,479.9380746630129,96.60480741107993,416.23090153303,58.64404602377083C348.86323505073057,18.502131276798302,261.93793281208167,40.57373210992963,193.5410806939664,78.93577620505333C130.42746243093433,114.334589627462,98.30271207620316,179.96522072025542,76.75703585869454,249.04625023123273C51.97151888228291,328.5150500222984,13.704378332031375,421.85034740162234,66.52175969318436,486.19268352777647C119.04800174914682,550.1803526380478,217.28368757567262,524.383925680826,300,521.0016835830174"></path>
                </svg>
                <i class="fa fa-qrcode"></i>
              </div>
              <h4><a href="">Secure Payments</a></h4>
              <p>esimzon ensures safe and encrypted transactions, protecting your personal and financial data during every purchase.</p>
            </div>
          </div>

          <div class="col-lg-3 col-md-6 d-flex align-items-stretch mt-4 mt-md-0" data-aos="zoom-in" data-aos-delay="200">
            <div class="icon-box iconbox-orange ">
              <div class="icon">
                <svg width="100" height="100" viewBox="0 0 600 600" xmlns="http://www.w3.org/2000/svg">
                  <path stroke="none" stroke-width="0" fill="#f5f5f5" d="M300,582.0697525312426C382.5290701553225,586.8405444964366,449.9789794690241,525.3245884688669,502.5850820975895,461.55621195738473C556.606425686781,396.0723002908107,615.8543463187945,314.28637112970534,586.6730223649479,234.56875336149918C558.9533121215079,158.8439757836574,454.9685369536778,164.00468322053177,381.49747125262974,130.76875717737553C312.15926192815925,99.40240125094834,248.97055460311594,18.661163978235184,179.8680185752513,50.54337015887873C110.5421016452524,82.52863877960104,119.82277516462835,180.83849132639028,109.12597500060166,256.43424936330496C100.08760227029461,320.3096726198365,92.17705696193138,384.0621239912766,124.79988738764834,439.7174275375508C164.83382741302287,508.01625554203684,220.96474134820875,577.5009287672846,300,582.0697525312426"></path>
                </svg>
                <i class="fa fa-money"></i>
              </div>
              <h4><a href="">Unbeatable Prize</a></h4>
              <p>Enjoy the best deals on eSIM plans worldwide, providing excellent value for money without compromising quality.</p>
            </div>
          </div>

          <div class="col-lg-3 col-md-6 d-flex align-items-stretch mt-4 mt-lg-0" data-aos="zoom-in" data-aos-delay="300">
            <div class="icon-box iconbox-pink">
              <div class="icon">
                <svg width="100" height="100" viewBox="0 0 600 600" xmlns="http://www.w3.org/2000/svg">
                  <path stroke="none" stroke-width="0" fill="#f5f5f5" d="M300,541.5067337569781C382.14930387511276,545.0595476570109,479.8736841581634,548.3450877840088,526.4010558755058,480.5488172755941C571.5218469581645,414.80211281144784,517.5187510058486,332.0715597781072,496.52539010469104,255.14436215662573C477.37192572678356,184.95920475031193,473.57363656557914,105.61284051026155,413.0603344069578,65.22779650032875C343.27470386102294,18.654635553484475,251.2091493199835,5.337323636656869,175.0934190732945,40.62881213300186C97.87086631185822,76.43348514350839,51.98124368387456,156.15599469081315,36.44837278890362,239.84606092416172C21.716077023791087,319.22268207091537,43.775223500013084,401.1760424656574,96.891909868211,461.97329694683043C147.22146801428983,519.5804099606455,223.5754009179313,538.201503339737,300,541.5067337569781"></path>
                </svg>
                <i class="fa fa-globe"></i>
              </div>
              <h4><a href="">Worldwide Connectivity</a></h4>
              <p>Stay connected globally with esimzon's eSIM plans, offering seamless service in over 190+ countries.</p>
            </div>
          </div>

          <div class="col-lg-3 col-md-6 d-flex align-items-stretch mt-4 mt-lg-0" data-aos="zoom-in" data-aos-delay="100">
            <div class="icon-box iconbox-yellow">
              <div class="icon">
                <svg width="100" height="100" viewBox="0 0 600 600" xmlns="http://www.w3.org/2000/svg">
                  <path stroke="none" stroke-width="0" fill="#f5f5f5" d="M300,503.46388370962813C374.79870501325706,506.71871716319447,464.8034551963731,527.1746412648533,510.4981551193396,467.86667711651364C555.9287308511215,408.9015244558933,512.6030010748507,327.5744911775523,490.211057578863,256.5855673507754C471.097692560561,195.9906835881958,447.69079081568157,138.11976852964426,395.19560036434837,102.3242989838813C329.3053358748298,57.3949838291264,248.02791733380457,8.279543830951368,175.87071277845988,42.242879143198664C103.41431057327972,76.34704239035025,93.79494320519305,170.9812938413882,81.28167332365135,250.07896920659033C70.17666984294237,320.27484674793965,64.84698225790005,396.69656628748305,111.28512138212992,450.4950937839243C156.20124167950087,502.5303643271138,231.32542653798444,500.4755392045468,300,503.46388370962813"></path>
                </svg>
                <i class="fa fa-handshake-o"></i>
              </div>
              <h4><a href="">24/7 Support</a></h4>
              <p>Our dedicated customer service is available around the clock to assist with any questions or technical issues.</p>
            </div>
          </div>
        </div>

      </div>
    </section><!-- End Sevices Section -->
    

    <!-- ======= Contact Section ======= -->
    <!-- <section id="contact" class="contact">
      <div class="container" data-aos="fade-up">

        <div class="section-title">
          <h2>Contact</h2>
        </div>

        <div class="row mt-5">

          <div class="col-lg-4">
            <div class="info">
              <div class="address">
                <i class="bi bi-geo-alt"></i>
                <h4>Location:</h4>
                <p>Test</p>
              </div>

              <div class="email">
                <i class="bi bi-envelope"></i>
                <h4>Email:</h4>
                <p>info@esimzon.com</p>
              </div>

              <div class="phone">
                <i class="bi bi-phone"></i>
                <h4>Call:</h4>
                <p>+91 6361158843</p>
              </div>

            </div>

          </div>

          <div class="col-lg-8 mt-5 mt-lg-0">

            <form action="forms/contact.php" method="post" role="form" class="php-email-form">
              <div class="row gy-2 gx-md-3">
                <div class="col-md-6 form-group">
                  <input type="text" name="name" class="form-control" id="name" placeholder="Your Name" required>
                </div>
                <div class="col-md-6 form-group">
                  <input type="email" class="form-control" name="email" id="email" placeholder="Your Email" required>
                </div>
                <div class="form-group col-12">
                  <input type="text" class="form-control" name="subject" id="subject" placeholder="Subject" required>
                </div>
                <div class="form-group col-12">
                  <textarea class="form-control" name="message" rows="5" placeholder="Message" required></textarea>
                </div>
                <div class="my-3 col-12">
                  <div class="loading">Loading</div>
                  <div class="error-message"></div>
                  <div class="sent-message">Your message has been sent. Thank you!</div>
                </div>
                <div class="text-center col-12"><button type="submit">Send Message</button></div>
              </div>
            </form>

          </div>

        </div>

      </div>
    </section> -->
    <!-- End Contact Section -->

  </main><!-- End #main -->


  <div class="modal fade" id="plans_modal" role="dialog">
    <div class="modal-dialog  modal-lg">
    
      <!-- Modal content-->
      <div class="modal-content">
        
        <div class="modal-body services">
          <div class="row icon-boxes" id="planContent">
            <div class="col-md-6 col-lg-6 d-flex align-items-stretch mb-5 mb-lg-0" data-aos="zoom-in" data-aos-delay="200">
              <div class="icon-box custom_box">
                
                <h4 class="title">Indicomm
                  <div class="right"><img src="<?=base_url()?>assets/images/countries/italy.png" class="country_img"></div>
                </h4>
                <div class="row">
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-cloud"></i> <span>25GB</span></h6>
                  </div>
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-calendar"></i> <span>12 Months</span></h6>
                  </div>
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-money"></i>  <span>2500</span></h6>
                  </div>
                </div>
                <div class="text-center buy_now"><span>Buy Now</span></div>
              </div>
            </div>

            <div class="col-md-6 col-lg-6 d-flex align-items-stretch mb-5 mb-lg-0" data-aos="zoom-in" data-aos-delay="200">
              <div class="icon-box custom_box">
                
                <h4 class="title">Change
                  <div class="right"><img src="<?=base_url()?>assets/images/countries/italy.png" class="country_img"></div>
                </h4>
                <div class="row">
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-cloud"></i> <span>20GB</span></h6>
                  </div>
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-calendar"></i> <span>18 Months</span></h6>
                  </div>
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-money"></i>  <span>4500</span></h6>
                  </div>
                </div>
                <div class="text-center buy_now"><span>Buy Now</span></div>
              </div>
            </div>
            <div class="col-md-6 col-lg-6 d-flex align-items-stretch mb-5 mb-lg-0" data-aos="zoom-in" data-aos-delay="200">
              <div class="icon-box custom_box">
                
                <h4 class="title">Indicomm
                  <div class="right"><img src="<?=base_url()?>assets/images/countries/italy.png" class="country_img"></div>
                </h4>
                <div class="row">
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-cloud"></i> <span>25GB</span></h6>
                  </div>
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-calendar"></i> <span>12 Months</span></h6>
                  </div>
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-money"></i>  <span>2500</span></h6>
                  </div>
                </div>
                <div class="text-center buy_now"><span>Buy Now</span></div>
              </div>
            </div>

            <div class="col-md-6 col-lg-6 d-flex align-items-stretch mb-5 mb-lg-0" data-aos="zoom-in" data-aos-delay="200">
              <div class="icon-box custom_box">
                
                <h4 class="title">Change
                  <div class="right"><img src="<?=base_url()?>assets/images/countries/italy.png" class="country_img"></div>
                </h4>
                <div class="row">
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-cloud"></i> <span>20GB</span></h6>
                  </div>
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-calendar"></i> <span>18 Months</span></h6>
                  </div>
                  <div class="col-md-4">
                    <h6 class="card_data"><i class="fa fa-money"></i>  <span>4500</span></h6>
                  </div>
                </div>
                <div class="text-center buy_now"><span>Buy Now</span></div>
              </div>
            </div>
            

          </div>
        </div>
        
      </div>
      
    </div>
  </div>
  <input type="hidden" id="base_url" value="<?=base_url()?>">
<?php $this->load->view('front/footer'); ?>
<script>
  function getCountryPopup(id){
    var base = $('#base_url').val();
    $.ajax({
          url: base+'Front_controller/getPlanByCountry',
          type:'post',
          dataType:'json',
          data: {id:id},
          success:function(response){
           var htmlData = "";
           var logo = "";
          $.each(response, function(key,val){
            if(val.country_logo == ""){
              logo = 'default_img.png';
            }else{
              logo = val.country_logo;
            }
            htmlData += '<div class="col-md-6 col-lg-6 d-flex align-items-stretch mb-5 mb-lg-0" data-aos="zoom-in" data-aos-delay="200"><div class="icon-box custom_box"><h4 class="title">'+val.pl_name.toUpperCase()+'<div class="right"><img src="'+base+'assets/images/countries/'+logo+'" class="country_img"></div></h4><div class="row"><div class="col-md-4"><h6 class="card_data"><i class="fa fa-cloud"></i> <span>'+val.pl_data_allowance+'</span></h6></div><div class="col-md-4"><h6 class="card_data"><i class="fa fa-calendar"></i> <span>'+val.pl_validity+'</span></h6></div><div class="col-md-4"><h6 class="card_data"><i class="fa fa-money"></i>  <span>'+val.pl_cost+'</span></h6></div></div><div class="text-center buy_now"><span>Buy Now</span></div></div></div>';
          });
            $('#planContent').html(htmlData);
            $('#plans_modal').modal('show');
          } 
    });
  }
</script>
<script>
    $(document).ready( function(){
        var base = $('#base_url').val();
        $('#searchTerm').on('keyup', function(){
            var country_name = $(this).val(); 
            if(country_name != ""){
                $.ajax({
                    url: base+'Front_controller/search_data',
                    type:'post',
                    data: {country_name:country_name},
                    dataType: 'json',
                    success: function(data){
                        console.log(data);
                        var content = "";
                        if(data !=""){
                            $.each(data, function(index, element) {
                              
                                var name = element.name;
                                var banner = element.banner;
                                content += "<li><a href='"+base+'esim/'+name+"'><span class='country_logo'><img src='"+base+"/"+banner+"'></span>"+name+"</a></li>"
                            });

                        }else{
                            content += "<li><p class='text-center'>No result found!</p></li>";
                        }
                        $('#search_result ul').html(content);
                        $('#search_result').show('slow');
                    }
                });
            }else{
                $('#search_result').hide('slow');
            }
           
        });
    });
</script>
