<?php $this->load->view('front/header'); ?>
<div class="" id="main">
    
    <section>
        <div class="profile-tab">
            <h3 class="text-center">Profile</h3>
        </div>
        <div class="container d-flex justify-content-center mt-4r">
            <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                <div class="tab-vertical profile-div row">
                    
                        <ul class="nav nav-tabs col-md-2 mt-5" id="myTab3" role="tablist">
                            <li class="nav-item p-27px profile_img_li">
                                <?php $img = "default.png";
                                if(isset($user_details) && $user_details !=""){
                                    if($user_details->u_profile_image != ""){
                                        $img = $user_details->u_profile_image;
                                    }
                                } ?>
                                    <img src="<?=base_url();?>assets/images/users/<?=$img;?>" class="user_profile_img">
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" id="home-vertical-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="true">Profile</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="profile-vertical-tab" data-toggle="tab" href="#myesims" role="tab" aria-controls="orders" aria-selected="false">My Esims</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="history-vertical-tab" data-toggle="tab" href="#history" role="tab" aria-controls="history" aria-selected="false">History</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="tickets-vertical-tab" data-toggle="tab" href="#tickets" role="tab" aria-controls="contact" aria-selected="false">Tickets</a>
                            </li>
                        </ul>
                   
                        <div class="tab-content col-md-10 mt-5" id="myTabContent3">
                            <div class="tab-pane fade show active custom-tab-content" id="profile" role="tabpanel" aria-labelledby="profile-vertical-tab">
                                <p class="lead">Account Information</p>
                                <p>
                                    <div class="">
                                        <form class="" id="account_info_form" type="method" enctype="multipart/form-data">
                                            <div class="form-group mb-4">
                                                <input type="text" class="form-control p-3" name="user_name" placeholder="Name" value="<?php if(isset($user_details) && $user_details !=""){ echo ucwords($user_details->u_name);} ?>">
                                            </div>
                                            <div class="form-group mb-4">
                                                <input type="email" class="form-control p-3" name="user_email" placeholder="Email" value="<?php if(isset($user_details) && $user_details !=""){ echo $user_details->u_email;} ?>" readonly>
                                            </div>
                                            <div class="form-group mb-4">
                                                <input type="text" class="form-control p-3" name="user_contact" placeholder="Contact No." value="<?php if(isset($user_details) && $user_details !=""){ echo $user_details->u_contact;} ?>">
                                            </div>
                                            <div class="form-group mb-4">
                                                <input type="file" class="form-control p-3" name="user_profile_pic">
                                            </div>
                                            <button type="submit" class="btn btn-custom-01">Update</button>
                                        </form>
                                    </div>
                                </p>
                            </div>
                            <div class="tab-pane fade custom-tab-content" id="myesims" role="tabpanel" aria-labelledby="orders-vertical-tab">
                                <?php $this->load->view('front/user/active_orders'); ?>
                            </div>
                            <div class="tab-pane fade custom-tab-content" id="history" role="tabpanel" aria-labelledby="history-vertical-tab">
                                <?php $this->load->view('front/user/history'); ?>
                            </div>
                            <div class="tab-pane fade custom-tab-content" id="tickets" role="tabpanel" aria-labelledby="tickets-vertical-tab">
                                <?php $this->load->view('front/user/tickets'); ?>
                            </div>
                        </div>
                    
                </div>
            </div>
        </div>
    </section>
</div>

<input type="hidden" id="base_url" value="<?=base_url()?>">
<?php $this->load->view('front/footer'); ?>

<script>
    $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#account_info_form').validate({
            rules:{
                
                'user_name':{
                    required: true
                },
                'user_email':{
                    required: true
                },
            },
            messages:{
               
                'user_name':{
                    required:'Name is required!'
                },
                'user_email':{
                    required:'Email Address is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#account_info_form')[0].reset();
                $.ajax({
                    url: base+'User_controller/update_user_profile',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                           
                            toastr.success('Profile updated successfully','Success',{timeOut:5000});
                            window.location.reload();
                        
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

    });
</script>
<script>
    $(document).ready(function(){
        var base = $('#base_url').val();
        $(document).on('change','#tc_category',function(){
            var id = $(this).val();
            var str ="<option value=''>Select</option>";
            $.ajax({
                    url: base+'Home_controller/get_sub_complaints',
                    type:'post',
                    data: {id:id},
                    dataType: 'json',
                    success: function(response){
                        if(response!=""){
                            for(var i=0;i<response.length;i++){
                                var u_str = response[i].sc_subComp.toLowerCase().replace(/\b[a-z]/g, function(letter) {
                                    return letter.toUpperCase();
                            });
                                str+= '<option value="'+response[i].sc_id+'">'+u_str+'</option>';
                            }
                        }

                        $('#tc_sub_category').html(str);
                    }

                });
        });
    });
</script>
<script>
    $(document).ready(function(){
        //form submit
        var base = $('#base_url').val();
        $('#addTicketForm').validate({
            rules:{
                
                'tc_category':{
                    required: true
                },
                'tc_sub_category':{
                    required: true
                },
                'tc_iccid_esim_no':{
                    required: true
                }
            },
            messages:{
               
                'tc_category':{
                    required:'Category is required!'
                },
                'tc_sub_category':{
                    required:'Sub Category is required!'
                },
                'tc_iccid_esim_no':{
                    required:'Esim or ICCID number is required!'
                }
            },
            submitHandler:function(form){
            
                var formdata = new FormData(form);
                $('#addTicketForm')[0].reset();
                $.ajax({
                    url: base+'User_controller/add_ticket',
                    type:'post',
                    data: formdata,
                    processData: false,
                    contentType: false,
                    dataType: 'json',
                    success: function(response){
                        if(response==true){
                            window.location.reload();
                            toastr.success('Ticket raised successfully','Success',{timeOut:5000});
                           
                        }else{
                            toastr.error('Please try again later','Failed',{timeOut:5000});
                        }
                    }
            
                });
            }
        });

    });
</script>