<?php $this->load->view('front/header'); ?>

<main id="main">
   
    <section id="" class="checkout-page faq">
        <div class="container" data-aos="fade-up">
            <div class="row checkout-row">
                <div class="col-md-6">
                    <div class="section-title pt-30">
                        <h4>Billing Details</h4>
                    </div>
                    <div class="faq-list">
                        <form method="post" role="form" id="checkout_form">
                            <div class="row">   
                                <div class="form-group mb-3">
                                    <input type="text" name="name" class="form-control" id="name" placeholder="Name" value="<?php if($this->session->userdata('user_name') !=""){ echo ucfirst($this->session->userdata('user_name')); } ?>" required>
                                </div>
                                <div class="form-group mb-3">
                                    <input type="email" class="form-control" name="email" id="email" placeholder="Email" value="<?php if($this->session->userdata('user_email') !=""){ echo $this->session->userdata('user_email'); } ?>" required>
                                </div>
                                <div class="form-group col-md-12 mb-3">
                                    <label>Promo code</label> 
                                    <div class="input-group">
                                        <input type="text"  name="coupon_code" class="form-control" id="coupon_code_data">
                                        <div class="input-group-append">
                                            <button class="btn group-btn-custom m-0" type="button" id="coupon_code">Apply</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group col-md-12 mb-3">
                                    <label><strong>Declaration</strong></label>
                                    <p>By clicking the "Accept All" button, you confirm that:</p>
                                    <div class="my_checkobx">
                                        <input type="checkbox" value="" name="declaration" class="my_new_checkbox">
                                        <span class="my_custom_checkbox"><span class=""></span></span> 
                                        <label>I have an <a href="<?=base_url();?>esimdevices">eSIM compatible</a> and network-unlocked device.</label>
                                    </div>
                                    <div class="my_checkobx">
                                        <input type="checkbox" value="" name="declaration" class="my_new_checkbox">
                                        <span class="my_custom_checkbox"><span class=""></span></span> 
                                        <label>I agree to <a href="<?=base_url();?>termcondition">Terms & Conditions</a> and <a href="<?=base_url();?>privacypolicy">Privacy Policy</a>.</label>
                                    </div>
                                    <div class="my_checkobx">
                                        <input type="checkbox" value="" name="declaration" class="my_new_checkbox">
                                        <span class="my_custom_checkbox"><span class=""></span></span> 
                                        <label>I agree to pay the convenience fee according to payment gateway.</label>
                                    </div>
                                    <div class="mt-3">
                                        <button type="button" class="btn btn-default" id="checkallButton">
                                            <input type="checkbox" class="my_new_checkbox" id="checkAll">
                                            <span class="my_custom_check"><span class=""><i class="fa fa-check"></i></span></span> 
                                            <span class="accept_all_content">Accept All</span>
                                        </button>
                                    </div>
                                </div>
                                <div class="payment_section" id="payments">
                                    <div class="row mt-1">
                                        <div class="col-md-6 padding-2rem">
                                            <a href="javascript:void(0);" id="paywithpaypal" class="checkout-button-2 paybutton">
                                                <image src="<?=base_url();?>assets/images/paypal.png">
                                            </a>
                                        </div>
                                        <div class="col-md-6 padding-2rem">
                                            <a href="javascript:void(0);" id="paywithstripe" class="checkout-button-2 paybutton">
                                                <image src="<?=base_url();?>assets/images/stripe.png">
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-md-6 checkout-product-container">
                    <div class="section-title pt-30">
                        <h4>Order Summary</h4>
                    </div>
                    <div class="order_id mb-4"><span class="right">
                        <input type="hidden" value="<?=$checkout_list[0]['ch_id'];?>" id="checkout_id">
                        <input type="hidden" value="<?=$checkout_list[0]['ch_order_id'];?>" id="ch_order_id">
                        Order ID: <?=$checkout_list[0]['ch_order_id'];?></span>
                    </div>
                    <div class="cart-container">
                       
                    <?php $subtotal = 0; 
						if(count($checkout_list)>0){ 
						foreach($checkout_list as $each_cart_list){ ?>
                        <div class="cart-container-data">
                            <div class="each-container-data each-cart-product">
                                <div>
                                <?php $banner = "";
										if($each_cart_list['ch_geo_logo'] !=""){ 
											$banner = $each_cart_list['ch_geo_logo'];
										}else{
											$banner = 'default.png';
										} ?>
										<img src="<?=base_url().$banner;?>" class="country_img"> 
                                </div>
                                <div class="product-info">
                                    <div><?=ucfirst($each_cart_list['ch_geo_name']);?></div>
                                  
										<div>Data: <?=$each_cart_list['ch_data'];?></div>
										<?php if($each_cart_list['ch_voice'] > 0){
											echo "<div>Voice: ".$each_cart_list['ch_voice']." minutes</div>";
									} ?>
                                </div>
                            </div>
                            <div class="each-container-data each-cart-total">$<?=$each_cart_list['ch_price'];?></div>
                        </div>
                        <?php 
                            $eachprice = $each_cart_list['ch_price']*$each_cart_list['ch_quantity'];
                            $subtotal = $subtotal + $eachprice;
						}
					} ?>
                        
                    </div>
                    <div class="cart-subtotal mt-3 text-right">
                        Subtotal:<input type="hidden" id="subtotal_price" value="<?=$subtotal?>"><span class="ml-1"> $<?=$subtotal?></span>
                    </div>
                    <div class="cart-subtotal text-right hide" id="discount_div">
                        Discount:<input type="hidden" id="discount" value=""><span id="discount_price" class="ml-1"> - </span>
                    </div>
                    <div class="cart-subtotal text-right" id="total_price_div">
                        <strong>TOTAL AMMOUNT: <input type="hidden" id="total" value="<?=$subtotal?>"><span id="total_price" class="ml-1"> $<?=$subtotal?></span></strong>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

<?php $this->load->view('front/footer'); ?>
<script>
    $(document).ready(function(){ 
        var base = $('#base_url').val();
        //declaration accept code
        $('.my_custom_check span').addClass('hide');
        $(document).on('click','#checkallButton',function(){
            if($('#checkAll').prop('checked') == true){ 
                $('.my_custom_check').prop('checked',true);
                $('#checkallButton').removeClass('btn-default');
                $('#checkallButton').addClass('btn-mysuccess');
                $('.my_custom_check').addClass('bg_white');
                $('.my_custom_check span').removeClass('hide');
                $('.my_custom_check span').addClass('fill_check');
                $('.my_custom_checkbox span').addClass('fill');
            }else{
                $('#checkallButton').removeClass('btn-mysuccess');
                $('#checkallButton').addClass('btn-default');
                $('.my_custom_check').removeClass('bg_white');
                $('.my_custom_check span').removeClass('fill_check');
                $('.my_custom_checkbox span').removeClass('fill');
                $('.my_custom_check span').addClass('hide');
            }
        });

        //apply promo code
        $(document).on('click','#coupon_code',function(){
            if($('#coupon_code_data').val() !=""){
                var c_code = $('#coupon_code_data').val();
                var ch_id = $('#ch_order_id').val();
                $.ajax({
                    url: base+'Payment_controller/apply_coupon_code',
                    type:'post',
                    data: {c_code:c_code, ch_id:ch_id},
                    dataType: 'json',
                    success: function(response){
                       if(response != "" || response != 'null'){
                            var subtotal = $('#subtotal_price').val();
                            var total = parseFloat(subtotal) - parseFloat(response);
                            alert(response);
                            $('#discount_price').html(" $"+response);
                            $('#discount_div').removeClass('hide');
                            $('#total').val(total);
                            $('#total_price').html(" $"+total);
                       
                    }else{
                        toastr.error('Invalid promo code','Failed');
                    }
                }
            });
            }else{
                toastr.error('Please enter promo code','Failed');
            }
        });
    });
</script>
<script>
    $(document).ready(function(){
        var base = $('#base_url').val();
        $(document).on('click','.paybutton',function(){
            if($('#checkAll').prop('checked') == true){
                var checkout_id = $('#checkout_id').val();
                if(checkout_id != ""){
                    if($(this).attr('id') == 'paywithstripe'){
                        window.location.href = base+"stripePayment/"+checkout_id;
                    }else if($(this).attr('id') == 'paywithpaypal'){
                        window.location.href = base+"paywithpaypal/"+checkout_id;
                    }
                }else{
                    toastr.error('Something went wrong, Please try again!');
                }
                
            }else{
                toastr.error('Please accept all terms and conditions');
            }
        });
    });
</script>