-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Nov 14, 2024 at 11:51 AM
-- Server version: 10.4.32-MariaDB
-- PHP Version: 8.0.30

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `esimzon_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `admin`
--

CREATE TABLE `admin` (
  `ad_id` int(11) NOT NULL,
  `ad_name` varchar(200) NOT NULL,
  `ad_username` varchar(200) NOT NULL,
  `ad_password` varchar(500) NOT NULL,
  `ad_log_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `admin`
--

INSERT INTO `admin` (`ad_id`, `ad_name`, `ad_username`, `ad_password`, `ad_log_status`) VALUES
(1, 'admin', 'admin', 'admin123', '1');

-- --------------------------------------------------------

--
-- Table structure for table `affiliates`
--

CREATE TABLE `affiliates` (
  `af_id` int(11) NOT NULL,
  `af_name` varchar(500) NOT NULL,
  `af_email` varchar(500) NOT NULL,
  `af_reference` varchar(500) NOT NULL,
  `af_createdOn` timestamp NOT NULL DEFAULT current_timestamp(),
  `af_status` enum('1','0') NOT NULL DEFAULT '0',
  `af_deleted_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `affiliates`
--

INSERT INTO `affiliates` (`af_id`, `af_name`, `af_email`, `af_reference`, `af_createdOn`, `af_status`, `af_deleted_status`) VALUES
(1, 'test123', 'test123@testmail.com', 'test123', '2023-01-12 11:34:10', '0', '1'),
(2, 'test', 'john.doe@testmail.com', 'test123', '2023-01-13 04:50:22', '0', '1'),
(3, 'ruchika', 'john.doe@testmail.com', 'test', '2023-01-30 05:23:41', '0', '0'),
(4, 'test', 'ruchika.sakode123@gmail.com', 'rrrrrrrrrrrrr', '2024-03-28 08:55:55', '0', '1'),
(5, 'john doe', 'john.doe@testmail.com', 'test', '2024-05-13 10:22:13', '0', '0');

-- --------------------------------------------------------

--
-- Table structure for table `banners`
--

CREATE TABLE `banners` (
  `bn_id` int(11) NOT NULL,
  `bn_image` varchar(1000) NOT NULL,
  `bn_created_on` datetime NOT NULL DEFAULT current_timestamp(),
  `bn_deleted_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `banners`
--

INSERT INTO `banners` (`bn_id`, `bn_image`, `bn_created_on`, `bn_deleted_status`) VALUES
(1, 'b263249b64650337cfc4f21f9bc20212.png', '2024-03-20 16:55:39', '0');

-- --------------------------------------------------------

--
-- Table structure for table `cart`
--

CREATE TABLE `cart` (
  `cr_id` int(11) NOT NULL,
  `cr_plan_id` int(11) NOT NULL,
  `cr_user_id` int(11) NOT NULL,
  `cr_inv_id` int(11) NOT NULL,
  `cr_quantity` int(11) NOT NULL,
  `cr_activation_date` date NOT NULL,
  `cr_deleted_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `checkout`
--

CREATE TABLE `checkout` (
  `ch_id` int(11) NOT NULL,
  `ch_user_email` varchar(500) NOT NULL,
  `ch_user_id` int(11) NOT NULL,
  `ch_user_type` tinyint(1) NOT NULL,
  `ch_plan_id` int(11) NOT NULL,
  `ch_inv_id` int(11) NOT NULL,
  `ch_plan_name` varchar(500) NOT NULL,
  `ch_quantity` int(10) NOT NULL,
  `ch_data` varchar(100) NOT NULL,
  `ch_voice` varchar(100) NOT NULL,
  `ch_validity` varchar(50) NOT NULL,
  `ch_price` float(11,2) NOT NULL,
  `ch_geo_name` varchar(200) NOT NULL,
  `ch_geo_logo` varchar(500) NOT NULL,
  `ch_coupon` varchar(500) NOT NULL,
  `ch_subtotal` float(11,2) NOT NULL,
  `ch_discount` float(11,2) NOT NULL,
  `ch_total` float(11,2) NOT NULL,
  `ch_order_id` varchar(500) NOT NULL,
  `ch_activation_date` date DEFAULT NULL,
  `ch_kyc_status` enum('0','1','2') NOT NULL DEFAULT '0' COMMENT '0 - not needed\r\n1 - done\r\n2 - pending',
  `ch_created_date` datetime NOT NULL DEFAULT current_timestamp(),
  `ch_delete_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `complaints`
--

CREATE TABLE `complaints` (
  `cm_id` int(11) NOT NULL,
  `cm_prod_type` int(11) NOT NULL,
  `cm_comp` varchar(500) NOT NULL,
  `cm_status` enum('1','0') NOT NULL DEFAULT '0',
  `cm_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `cm_createdOn` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `complaints`
--

INSERT INTO `complaints` (`cm_id`, `cm_prod_type`, `cm_comp`, `cm_status`, `cm_delete_status`, `cm_createdOn`) VALUES
(1, 1, 'test comp', '1', '1', '2023-01-13 09:58:38'),
(2, 3, 'network issue123', '0', '0', '2023-01-13 10:39:04'),
(3, 1, 'test issue', '0', '0', '2023-01-13 10:39:15'),
(4, 2, 'xyz abc', '0', '0', '2023-01-13 10:39:31'),
(5, 0, 'dhfdh', '0', '0', '2023-01-13 10:45:34'),
(6, 0, 'test comp', '0', '0', '2023-01-13 10:45:48'),
(7, 3, 'test comp', '0', '1', '2023-01-13 10:48:33'),
(8, 2, 'test comp3453', '0', '1', '2023-01-30 05:25:16'),
(9, 1, 'test', '0', '0', '2024-05-12 11:11:41');

-- --------------------------------------------------------

--
-- Table structure for table `country`
--

CREATE TABLE `country` (
  `country_id` int(11) NOT NULL,
  `country_name` varchar(200) NOT NULL,
  `country_region` varchar(200) NOT NULL,
  `country_logo` varchar(500) NOT NULL,
  `country_code` int(11) NOT NULL,
  `country_index_page` enum('Y','N') NOT NULL DEFAULT 'N',
  `country_color1` text NOT NULL,
  `country_color2` text NOT NULL,
  `country_status` enum('1','0') NOT NULL DEFAULT '0' COMMENT '0- active\r\n1-inactive/deleted',
  `country_createdOn` timestamp NOT NULL DEFAULT current_timestamp(),
  `country_updatedOn` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `country`
--

INSERT INTO `country` (`country_id`, `country_name`, `country_region`, `country_logo`, `country_code`, `country_index_page`, `country_color1`, `country_color2`, `country_status`, `country_createdOn`, `country_updatedOn`) VALUES
(1, 'greece', '1', 'd27a6478da5fd709cd071ee3e715dec8.png', 44, 'Y', '#d02525', '#ee5d5d', '0', '2024-03-27 11:12:38', '0000-00-00 00:00:00'),
(2, 'india', '2', '119ebf377bbbafb1349f6d4ed40ebffb.png', 91, 'Y', '', '', '1', '2024-03-28 04:58:18', '0000-00-00 00:00:00'),
(3, 'india', '2', '833057a24b53c9c5e13f9d51ee21afa3.png', 91, 'Y', '#81eebb', '#16ca8e', '0', '2024-03-28 05:48:08', '0000-00-00 00:00:00'),
(4, 'usa', '3', '4a09ad940d73327ec8ac0c30bab9c801.png', 62, 'Y', '#b573f7', '#dbadf0', '0', '2024-03-28 05:49:16', '0000-00-00 00:00:00'),
(5, 'germany', '1', '2bf513b681382b1764d8f3c52a34069d.png', 77, 'N', '#9268f3', '#4522a5', '0', '2024-03-28 05:49:57', '0000-00-00 00:00:00'),
(6, 'thailand', '2', 'c5622b7681571000486ead13ae644f0f.png', 49, 'Y', '#90ec6f', '#0fe612', '0', '2024-07-28 09:55:29', '0000-00-00 00:00:00'),
(7, 'singapore', '2', 'd56ce9d4ac019862f9684f62fd8d3122.png', 99, 'Y', '#15a0e5', '#79d4fb', '0', '2024-07-28 13:00:59', '0000-00-00 00:00:00'),
(8, 'TEST', '2', '', 78, '', '#c73382', '#b9045b', '0', '2024-08-21 13:04:09', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `coupons`
--

CREATE TABLE `coupons` (
  `co_id` int(11) NOT NULL,
  `co_affiliate_id` int(11) NOT NULL,
  `co_code` text NOT NULL,
  `co_discount_percent` float(11,2) NOT NULL,
  `co_issue_date` datetime NOT NULL,
  `co_expiry_date` datetime NOT NULL,
  `co_country_id` int(11) NOT NULL,
  `co_region_id` int(11) NOT NULL,
  `co_plan_id` text NOT NULL,
  `co_specification` enum('1','2','3','4','5') NOT NULL DEFAULT '1' COMMENT '1 - applicable for all plans\r\n2 - all plans of 1 country\r\n3 -all plans of one region\r\n4 - specific plans of country\r\n5 - specific plans of region',
  `co_status` enum('1','0') NOT NULL DEFAULT '0' COMMENT '0 - Active\r\n1 - Inactive',
  `co_deleted_status` enum('1','0') NOT NULL DEFAULT '0',
  `co_created_date` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `coupons`
--

INSERT INTO `coupons` (`co_id`, `co_affiliate_id`, `co_code`, `co_discount_percent`, `co_issue_date`, `co_expiry_date`, `co_country_id`, `co_region_id`, `co_plan_id`, `co_specification`, `co_status`, `co_deleted_status`, `co_created_date`) VALUES
(1, 3, 'FLAT10', 10.00, '2024-10-01 12:00:00', '2024-11-01 12:00:00', 6, 0, '11,12,19,20,21,22,23', '2', '0', '0', '2024-10-10 12:00:03'),
(2, 3, 'SINGA12', 12.00, '2024-10-07 12:00:00', '2024-11-05 12:00:00', 7, 0, '14', '4', '0', '0', '2024-10-17 10:17:09'),
(4, 3, 'enjoy', 5.00, '2024-11-11 12:00:00', '2025-02-14 12:00:00', 0, 0, '', '1', '0', '0', '2024-11-12 10:31:17');

-- --------------------------------------------------------

--
-- Table structure for table `enquiries`
--

CREATE TABLE `enquiries` (
  `eq_id` int(11) NOT NULL,
  `eq_name` varchar(500) NOT NULL,
  `eq_email` varchar(500) NOT NULL,
  `eq_phone` bigint(20) NOT NULL,
  `eq_esidID` varchar(200) NOT NULL,
  `eq_subject` varchar(500) NOT NULL,
  `eq_message` text NOT NULL,
  `eq_deleted_status` enum('0','1') NOT NULL DEFAULT '0',
  `eq_createdOn` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `enquiries`
--

INSERT INTO `enquiries` (`eq_id`, `eq_name`, `eq_email`, `eq_phone`, `eq_esidID`, `eq_subject`, `eq_message`, `eq_deleted_status`, `eq_createdOn`) VALUES
(1, 'Ruchika Sakode', 'ruchika.sakode@gmail.com', 9158141621, '', 'test', 'test', '0', '2024-04-17 13:08:46'),
(2, 'john peret doe', 'john.doe@testmail.com', 6788887655, '', 'erevfdv', 'evbfvbfgb', '0', '2024-04-17 13:10:17'),
(3, 'Wholesaler', 'ruchika.sakode@gmail.com', 6788887655, '', 'test', 'safa', '0', '2024-04-17 13:11:58'),
(4, 'john peret doe', 'john.doe@testmail.com', 6788887655, '', 'erevfdv', 'tewst', '0', '2024-04-17 13:13:49'),
(5, 'Daivya SAkode', 'daivya.sakode@gmail.com', 9823887814, '', 'Looking for good esim', 'test', '0', '2024-05-04 10:43:59');

-- --------------------------------------------------------

--
-- Table structure for table `esimdevices`
--

CREATE TABLE `esimdevices` (
  `ed_id` int(11) NOT NULL,
  `ed_title` text NOT NULL,
  `ed_devices` text NOT NULL,
  `ed_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `ed_createdOn` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `esimdevices`
--

INSERT INTO `esimdevices` (`ed_id`, `ed_title`, `ed_devices`, `ed_delete_status`, `ed_createdOn`) VALUES
(1, 'test', '<p>test</p>\r\n', '1', '2023-01-21 17:45:21'),
(2, 'iphones with esim', '<p>An iPhone using an eSIM and a physical SIM at the same time iPhone XR, iPhone XS, iPhone XS Max, iPhone 11, iPhone 11 Pro, iPhone SE 2 (2020), iPhone 12, iPhone 12 Mini, iPhone 12 Pro, iPhone 12 Pro Max, iPhone 13, iPhone 13 Mini, iPhone 13 Pro, iPhone 13 Pro Max, iPhone SE 3 (2022), iPhone 14, iPhone 14 Plus, iPhone 14 Pro, iPhone 14 Pro Max<br />\r\n<br />\r\n*On iPhone 13 and 14 models you can have two eSIMs activated at the same time. *iPhones from mainland China and iPhone devices from Hong Kong and Macao (except for iPhone 13 mini, iPhone 12 mini, iPhone SE 2020, and iPhone XS) don&rsquo;t have eSIM capability. *iPhone 14, iPhone 14 Plus, iPhone 14 Pro and iPhone 14 Pro Max are not compatible with physical SIM cards in USA.</p>\r\n', '0', '2023-01-21 17:47:09'),
(3, 'ipads with esim (only ipads with 4g connectivity):', '<p>iPad Pro 11&prime;&prime; (model A2068, from 2020)<br />\r\niPad Pro 12.9&prime;&prime; (model A2069, from 2020)<br />\r\niPad Air (model A2123, from 2019)<br />\r\niPad (model A2198, from 2019)<br />\r\niPad Mini (model A2124, from 2019)</p>\r\n', '0', '2023-01-21 17:49:40'),
(4, 'samsung phones with esim samsung galaxy phones using esim', '<p>Samsung Galaxy S20<br />\r\nSamsung Galaxy S20+<br />\r\nSamsung Galaxy S20 Ultra<br />\r\nSamsung Galaxy S21<br />\r\nSamsung Galaxy S21+ 5G<br />\r\nSamsung Galaxy S21+ Ultra 5G<br />\r\nSamsung Galaxy S22<br />\r\nSamsung Galaxy S22+<br />\r\nSamsung Galaxy S22 Ultra<br />\r\nSamsung Galaxy Note 20<br />\r\nSamsung Galaxy Note 20 Ultra 5G<br />\r\nSamsung Galaxy Fold<br />\r\nSamsung Galaxy Z Fold2 5G<br />\r\nSamsung Galaxy Z Fold3 5G<br />\r\nSamsung Galaxy Z Fold4<br />\r\nSamsung Galaxy Z Flip<br />\r\nSamsung Galaxy Z Flip3 5G<br />\r\nSamsung Galaxy Z Flip4</p>\r\n', '0', '2023-01-21 17:50:03'),
(5, 'huawei phones with esim the huawei p40 and p40 are the first cell phones from the chinese manufacturer to support esim.', '<p>Huawei P40<br />\nHuawei P40 Pro<br />\nHuawei Mate 40 Pro<br />\nThe Huawei P40 Pro+ and P50 Pro are not compatible with eSIM.<br />\nOppo phones with eSIM<br />\nOppo Find X3 Pro<br />\nOppo Reno 5A<br />\nOppo Find X5<br />\n<br />\nOppo Find X5 Pro The Oppo Find X5 Lite is not compatible.<br />\nOther eSIM compatible devices<br />\nMotorola Razr 2019<br />\nMotorola Razr 5G<br />\nGemini PDA<br />\nRakuten Mini<br />\nRakuten Big-S<br />\nRakuten Big<br />\nRakuten Hand<br />\nRakuten Hand 5G<br />\nSony Xperia 10 III Lite<br />\nSony Xperia 10 IV<br />\nXperia 1 IV<br />\nSurface Pro X<br />\nHonor Magic 4 Pro<br />\nFairphone 4<br />\nSharp Aquos Sense6s<br />\nSharp Aquos Wish<br />\nXiaomi 12T Pro</p>\n', '0', '2023-01-21 17:50:50');

-- --------------------------------------------------------

--
-- Table structure for table `faq`
--

CREATE TABLE `faq` (
  `fq_id` int(11) NOT NULL,
  `fq_question` varchar(2000) NOT NULL,
  `fq_answer` text NOT NULL,
  `fq_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `fq_created_date` datetime NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `faq`
--

INSERT INTO `faq` (`fq_id`, `fq_question`, `fq_answer`, `fq_delete_status`, `fq_created_date`) VALUES
(1, 'test faq', 'this is test description', '0', '2024-03-19 09:21:53');

-- --------------------------------------------------------

--
-- Table structure for table `guidelines`
--

CREATE TABLE `guidelines` (
  `gd_id` int(11) NOT NULL,
  `gd_title` text NOT NULL,
  `gd_remarks` text NOT NULL,
  `gd_cerated_on` datetime NOT NULL DEFAULT current_timestamp(),
  `gd_delete_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `guidelines`
--

INSERT INTO `guidelines` (`gd_id`, `gd_title`, `gd_remarks`, `gd_cerated_on`, `gd_delete_status`) VALUES
(1, 'test', 'test remarks', '2024-05-06 14:38:37', '0');

-- --------------------------------------------------------

--
-- Table structure for table `inventory`
--

CREATE TABLE `inventory` (
  `i_id` int(11) NOT NULL,
  `i_plan_id` int(11) NOT NULL,
  `i_supplier_id` int(11) NOT NULL,
  `i_activation_code` text NOT NULL,
  `i_sim_pin` text NOT NULL,
  `i_iccid` bigint(20) NOT NULL,
  `i_service_id` text NOT NULL,
  `i_sim_status` varchar(50) NOT NULL,
  `i_stock_status` int(5) NOT NULL,
  `i_selling_price` float(11,2) NOT NULL,
  `i_code_available_status` enum('Y','N','S','T') NOT NULL DEFAULT 'Y' COMMENT 'Y - code is available\r\nN - code is not available\r\nS - code sold\r\nT - Transfered to partner',
  `i_partner_id` int(11) NOT NULL,
  `i_remarks` text NOT NULL,
  `i_created_date` datetime NOT NULL,
  `i_updated_date` datetime NOT NULL DEFAULT current_timestamp(),
  `i_delete_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `inventory`
--

INSERT INTO `inventory` (`i_id`, `i_plan_id`, `i_supplier_id`, `i_activation_code`, `i_sim_pin`, `i_iccid`, `i_service_id`, `i_sim_status`, `i_stock_status`, `i_selling_price`, `i_code_available_status`, `i_partner_id`, `i_remarks`, `i_created_date`, `i_updated_date`, `i_delete_status`) VALUES
(1, 25, 0, '57u6tryhh585', '', 0, '', '0', 0, 7.00, 'S', 1, '', '2024-11-14 01:50:36', '2024-11-14 01:50:36', '0'),
(2, 1, 0, 'my fav plan test', '', 0, '', '0', 0, 20.00, 'T', 1, '', '2024-11-14 04:14:09', '2024-11-14 04:14:09', '0');

-- --------------------------------------------------------

--
-- Table structure for table `kyc_details`
--

CREATE TABLE `kyc_details` (
  `k_id` int(11) NOT NULL,
  `k_user_id` int(11) NOT NULL,
  `k_plan_id` int(11) NOT NULL,
  `k_document_type` varchar(50) NOT NULL,
  `k_document` varchar(500) NOT NULL,
  `k_kyc_type` enum('1','0') NOT NULL DEFAULT '0' COMMENT '1 - student kyc\r\n2 - user kyc',
  `k_purchasre_status` varchar(200) NOT NULL,
  `k_status` enum('U','S','D') NOT NULL DEFAULT 'U',
  `k_remarks` text NOT NULL,
  `k_created_date` datetime NOT NULL,
  `k_deleted_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `kyc_details`
--

INSERT INTO `kyc_details` (`k_id`, `k_user_id`, `k_plan_id`, `k_document_type`, `k_document`, `k_kyc_type`, `k_purchasre_status`, `k_status`, `k_remarks`, `k_created_date`, `k_deleted_status`) VALUES
(1, 5, 14, '1', '1d9c97e3596c683db1b6cb21c1b2a580.png', '1', 'Unpaid', 'U', '                       test                                             ', '2024-11-14 11:52:40', '0'),
(2, 5, 8, '1', '324d93fa2ba148d3f7c0fabf384a7ba6.png', '1', 'Unpaid', 'U', '', '2024-08-30 10:30:31', '0'),
(3, 5, 9, '2', 'e8885f5f6527b8a426ef136b34b5290c.jpg', '1', 'Paid', 'D', '                                         TEST                           ', '2024-08-30 10:36:47', '0'),
(4, 4, 8, '1', '5a19d4116c1943e2ac44b465487da843.jpg', '1', 'Unpaid', 'U', '', '2024-09-09 12:15:12', '0'),
(5, 4, 7, '2', '9cabe22bbc495346db1fe0adc64c77dd.png', '0', 'Unpaid', 'U', '', '2024-09-09 12:26:33', '0'),
(6, 26, 9, '2', '6eabbd87555c450275912ac528d446b8.jpg', '1', 'Unpaid', 'U', '', '2024-09-21 10:46:11', '0'),
(7, 27, 9, '1', '714231c5d584fd6864f193ca9be40df9.jpg', '1', 'Unpaid', 'U', '', '2024-09-23 10:51:12', '0'),
(8, 27, 12, '', '', '', 'Unpaid', 'U', '', '2024-09-23 13:48:09', '0'),
(9, 4, 14, '1', '02233b9f1050dcfacb23be42b566ab0c.png', '1', 'Unpaid', 'U', '', '2024-11-14 12:16:12', '0'),
(10, 4, 12, '', '', '', 'Unpaid', 'U', '', '2024-10-10 12:02:14', '0'),
(11, 5, 12, '', '', '', 'Unpaid', 'U', '', '2024-09-27 14:40:55', '0'),
(12, 29, 12, '', '', '', 'Unpaid', 'U', '', '2024-10-08 09:41:53', '0'),
(13, 30, 12, '', '', '', 'Unpaid', 'U', '', '2024-10-08 09:49:09', '0'),
(14, 31, 24, '1', 'ce20551a46c20253be7d1d4cdf867890.jpeg', '1', 'Unpaid', 'U', '', '2024-10-09 13:43:42', '0'),
(15, 4, 11, '2', '92ea58ea5df3141840eef534abd7a385.png', '1', 'Unpaid', 'U', '', '2024-10-11 10:16:53', '0'),
(16, 5, 11, '1', 'd7c965588a5c9b64967e38ed9d08d5b9.png', '1', 'Unpaid', 'U', '', '2024-10-14 09:06:59', '0'),
(17, 32, 14, '2', '39d71e973ded34b8f8c3aed133312c1e.png', '1', 'Unpaid', 'U', '', '2024-11-12 10:45:26', '0');

-- --------------------------------------------------------

--
-- Table structure for table `networks`
--

CREATE TABLE `networks` (
  `nt_id` int(11) NOT NULL,
  `nt_name` varchar(500) NOT NULL,
  `nt_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `nt_createdOn` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `networks`
--

INSERT INTO `networks` (`nt_id`, `nt_name`, `nt_delete_status`, `nt_createdOn`) VALUES
(1, 'vodafone12', '0', '0000-00-00 00:00:00'),
(2, 'airtel13', '1', '0000-00-00 00:00:00'),
(3, 'test', '1', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `offline_customers`
--

CREATE TABLE `offline_customers` (
  `oc_id` int(11) NOT NULL,
  `oc_first_name` varchar(500) NOT NULL,
  `oc_last_name` varchar(500) NOT NULL,
  `oc_contact` bigint(20) NOT NULL,
  `oc_email` varchar(500) NOT NULL,
  `oc_source` varchar(500) NOT NULL,
  `oc_address` text NOT NULL,
  `oc_status` enum('1','0') NOT NULL DEFAULT '0',
  `oc_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `oc_created_on` datetime NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `offline_customers`
--

INSERT INTO `offline_customers` (`oc_id`, `oc_first_name`, `oc_last_name`, `oc_contact`, `oc_email`, `oc_source`, `oc_address`, `oc_status`, `oc_delete_status`, `oc_created_on`) VALUES
(1, 'Ruchika', 'Sakode', 9158141621, 'ruchika.sakode@gmail.com', 'test', 'Opposite to deshpande wada, daxina murty square\r\nmahal', '0', '0', '2024-08-17 11:43:39'),
(2, 'john', 'doe', 9823887814, 'john.doe@testmail.com', '', 'test', '0', '0', '2024-09-04 12:27:15');

-- --------------------------------------------------------

--
-- Table structure for table `offline_orders`
--

CREATE TABLE `offline_orders` (
  `of_id` int(11) NOT NULL,
  `of_order_id` int(11) NOT NULL,
  `of_plan_id` int(11) NOT NULL,
  `of_inventory_id` int(11) NOT NULL,
  `of_user_id` int(11) NOT NULL,
  `of_user_email` varchar(500) NOT NULL,
  `of_user_name` varchar(200) NOT NULL,
  `of_geography` varchar(200) NOT NULL,
  `of_validity` varchar(50) NOT NULL,
  `of_amount` float(11,2) NOT NULL,
  `of_plan_name` varchar(1000) NOT NULL,
  `of_activation_code` text NOT NULL,
  `of_activation_img` text NOT NULL,
  `of_total` float(11,2) NOT NULL,
  `of_activation_date` date NOT NULL,
  `of_kyc_status` int(1) NOT NULL,
  `of_expiry_date` date NOT NULL,
  `of_created_on` datetime NOT NULL DEFAULT current_timestamp(),
  `of_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `offline_orders`
--

INSERT INTO `offline_orders` (`of_id`, `of_order_id`, `of_plan_id`, `of_inventory_id`, `of_user_id`, `of_user_email`, `of_user_name`, `of_geography`, `of_validity`, `of_amount`, `of_plan_name`, `of_activation_code`, `of_activation_img`, `of_total`, `of_activation_date`, `of_kyc_status`, `of_expiry_date`, `of_created_on`, `of_status`) VALUES
(1, 1725428132, 16, 5, 1, 'ruchika.sakode@gmail.com', 'Ruchika Sakode', 'singapore', '15', 20.00, 'this is offline form', 'JHGI*^(08698*%*&TKHJ', 'EOD_17254281321725388200.png', 20.00, '2024-09-04', 0, '2024-09-19', '2024-09-06 11:05:33', '0'),
(2, 1725433090, 17, 28, 2, 'john.doe@testmail.com', 'john doe', 'Asia', '30 days', 15.00, 'New asia plan 50gb', '(*^(KJGO8698gbk87UI', 'EOD_17254330901725388200.png', 55.00, '2024-09-04', 0, '2024-10-04', '2024-09-04 12:28:11', '0');

-- --------------------------------------------------------

--
-- Table structure for table `operators`
--

CREATE TABLE `operators` (
  `op_id` int(11) NOT NULL,
  `op_name` varchar(500) NOT NULL,
  `op_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `op_createdOn` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `operators`
--

INSERT INTO `operators` (`op_id`, `op_name`, `op_delete_status`, `op_createdOn`) VALUES
(1, 'test', '1', '0000-00-00 00:00:00'),
(2, 'new operator', '1', '0000-00-00 00:00:00'),
(3, 'test21e', '0', '0000-00-00 00:00:00'),
(4, 'test new', '1', '0000-00-00 00:00:00'),
(5, 'zzzzzzzzzzzzz', '1', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `orders`
--

CREATE TABLE `orders` (
  `o_id` int(11) NOT NULL,
  `o_order_id` int(11) NOT NULL,
  `o_payment_id` int(11) NOT NULL,
  `o_plan_id` int(11) NOT NULL,
  `o_inventory_id` int(11) NOT NULL,
  `o_user_id` int(11) NOT NULL,
  `o_user_email` varchar(500) NOT NULL,
  `o_user_name` varchar(500) NOT NULL,
  `o_user_type` enum('1','0') NOT NULL,
  `o_geography` varchar(200) NOT NULL,
  `o_geography_logo` varchar(500) NOT NULL,
  `o_data` varchar(50) NOT NULL,
  `o_voice` int(5) NOT NULL,
  `o_validity` varchar(50) NOT NULL,
  `o_amount` float(11,2) NOT NULL,
  `o_quantity` int(5) NOT NULL,
  `o_coupon` text NOT NULL,
  `o_order_date` datetime NOT NULL,
  `o_plan_name` varchar(200) NOT NULL,
  `o_activation_code` text NOT NULL,
  `o_activation_img` text NOT NULL,
  `o_subtotal` float(11,2) NOT NULL,
  `o_discount` float(11,2) NOT NULL,
  `o_total` float(11,2) NOT NULL,
  `o_activation_date` date DEFAULT NULL,
  `o_kyc_status` tinyint(1) NOT NULL,
  `o_expiry_date` date DEFAULT NULL,
  `o_created_on` datetime NOT NULL DEFAULT current_timestamp(),
  `o_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `partners`
--

CREATE TABLE `partners` (
  `pt_id` int(11) NOT NULL,
  `pt_company_name` varchar(500) NOT NULL,
  `pt_name` varchar(500) NOT NULL,
  `pt_phone` bigint(20) NOT NULL,
  `pt_email` varchar(500) NOT NULL,
  `pt_info` text NOT NULL,
  `pt_website` varchar(500) NOT NULL,
  `pt_region` varchar(500) NOT NULL,
  `pt_discount` int(11) NOT NULL,
  `pt_spoc` varchar(1000) NOT NULL,
  `pt_address` text NOT NULL,
  `pt_status` enum('1','0') NOT NULL DEFAULT '0',
  `pt_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `pt_createdOn` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `partners`
--

INSERT INTO `partners` (`pt_id`, `pt_company_name`, `pt_name`, `pt_phone`, `pt_email`, `pt_info`, `pt_website`, `pt_region`, `pt_discount`, `pt_spoc`, `pt_address`, `pt_status`, `pt_delete_status`, `pt_createdOn`) VALUES
(1, 'ESIMZON', '', 9823887814, 'support@esimzon.com', '', '', '', 10, 'test', 'test', '0', '0', '2024-10-16 05:28:42'),
(2, 'digital pattii', '', 9823887814, 'john.doe@testmail.com', '', 'http://digitalpattii.com', '', 12, 'UGKJGI86', 'test', '0', '0', '2024-05-04 10:49:24'),
(3, 'Clicking Angggggle123', '', 9158141621, 'ruchika.sakode@gmail.com', '', 'https://clickingangle.com/', '', 12, 'test', 'Opposite to deshpande wada, daxina murty square\r\nmahal', '0', '0', '2024-08-21 14:24:13'),
(4, 'Clicking Anglesegdfhgd', '', 6788887655, 'ruchika.sakode@gmail.com', '', 'https://clickingangle.com/', '', 10, 'test', '                                ', '0', '0', '2024-10-08 04:33:16'),
(5, 'Clicking Angle123', '', 9223372036854775807, 'ruchika.sakode@gmail.com', '', 'https://bak-office.airhubapp.com/Home/index#!/viewPartners', '', 10, 'test798', 'Opposite to deshpande wada, daxina murty square\r\nmahal                                ', '0', '0', '2024-04-16 20:59:51');

-- --------------------------------------------------------

--
-- Table structure for table `partner_enquiries`
--

CREATE TABLE `partner_enquiries` (
  `pe_id` int(11) NOT NULL,
  `pe_company_name` varchar(500) NOT NULL,
  `pe_website` varchar(500) NOT NULL,
  `pe_country` varchar(500) NOT NULL,
  `pe_contact_name` varchar(500) NOT NULL,
  `pe_email` varchar(500) NOT NULL,
  `pe_contactno` bigint(20) NOT NULL,
  `pe_info` text NOT NULL,
  `pe_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `pe_created_date` datetime NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `partner_enquiries`
--

INSERT INTO `partner_enquiries` (`pe_id`, `pe_company_name`, `pe_website`, `pe_country`, `pe_contact_name`, `pe_email`, `pe_contactno`, `pe_info`, `pe_delete_status`, `pe_created_date`) VALUES
(1, 'Clicking Angle', 'https://clickingangle.com/', 'India', 'Ruchika Sakode', 'ruchika.sakode@gmail.com', 9158141621, 'test', '0', '2024-04-18 14:48:24'),
(2, 'Clicking Angle', 'https://clickingangle.com/', 'India', 'Ruchika Sakode', 'ruchika.sakode@gmail.com', 6788887655, 'test', '0', '2024-04-18 14:49:47'),
(3, 'airhubapp', 'https://www.airhubapp.com/', 'USA', 'john peret doe', 'john.doe@testmail.com', 6788887655, 'test', '0', '2024-04-18 14:50:55'),
(4, 'ikea', 'https://ikea.com/', 'USA', 'john peret doe', 'john.doe@testmail.com', 9823887814, 'test', '0', '2024-05-15 11:46:18'),
(5, 'Clicking Anglesegdfhgd', 'https://clickingangle.com/', 'India', 'Ruchika Sakode', 'ruchika.sakode@gmail.com', 6788887655, 'drtyerter', '0', '2024-05-15 11:47:11'),
(6, 'test', 'https://digitalpattii.com/', 'India', 'Ruchika Sakode', 'ruchika.sakode@gmail.com', 9158141621, '', '1', '2024-07-31 14:13:30');

-- --------------------------------------------------------

--
-- Table structure for table `payments`
--

CREATE TABLE `payments` (
  `pm_id` int(11) NOT NULL,
  `pm_order_id` int(11) NOT NULL,
  `pm_transc_id` varchar(1000) NOT NULL,
  `pm_amount_total` float(11,2) NOT NULL,
  `pm_currency` varchar(50) NOT NULL,
  `pm_customer_email` varchar(500) NOT NULL,
  `pm_payment_status` varchar(200) NOT NULL,
  `pm_status` varchar(200) NOT NULL,
  `pm_payment_method` varchar(50) NOT NULL,
  `pm_created` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `plans`
--

CREATE TABLE `plans` (
  `pl_id` int(11) NOT NULL,
  `pl_prop_type` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1- local/country\r\n2 - regional',
  `pl_local_breakouts` enum('Y','N') NOT NULL,
  `pl_class` enum('1','2') NOT NULL DEFAULT '1' COMMENT '1- data\r\n2 - data and voice',
  `pl_voice_minutes` int(11) NOT NULL,
  `pl_source` int(11) NOT NULL,
  `pl_guidelines` int(11) NOT NULL,
  `pl_plan_type` int(11) NOT NULL,
  `pl_plus_monthly` int(11) NOT NULL,
  `pl_operator_type` int(11) NOT NULL,
  `pl_supplier` int(11) NOT NULL,
  `pl_name` varchar(500) NOT NULL,
  `pl_price_per_gb` float(11,2) NOT NULL,
  `pl_price_per_mb` float(11,2) NOT NULL,
  `pl_product_code` varchar(500) NOT NULL,
  `pl_capacity_info` varchar(500) NOT NULL,
  `pl_buying_cost` float(11,2) NOT NULL,
  `pl_buying_cost_currency` int(1) NOT NULL,
  `pl_info` text NOT NULL,
  `pl_country` int(11) NOT NULL,
  `pl_region` int(11) NOT NULL,
  `pl_validity_type` int(11) NOT NULL,
  `pl_validity` varchar(500) NOT NULL,
  `pl_remarks` text NOT NULL,
  `pl_policy` tinyint(1) NOT NULL DEFAULT 2,
  `pl_recharge` tinyint(1) NOT NULL DEFAULT 2,
  `pl_data_allowance` varchar(500) NOT NULL,
  `pl_data_allow_type` int(11) NOT NULL COMMENT 'data allowance type - per gb / mb',
  `pl_data_allow_validity_type` int(11) NOT NULL COMMENT 'data allowance validity type - daily / monthly / yearly',
  `pl_stock_value` int(11) NOT NULL,
  `pl_min_cart_value` int(11) NOT NULL,
  `pl_max_cart_value` int(11) NOT NULL,
  `pl_top_seller` enum('Y','N') NOT NULL DEFAULT 'N',
  `pl_best_Seller` enum('Y','N') NOT NULL DEFAULT 'N',
  `pl_best_value` enum('Y','N') NOT NULL DEFAULT 'N',
  `pl_order` int(11) NOT NULL,
  `pl_kyc_status` enum('Y','N') NOT NULL,
  `pl_min_quantity` int(11) NOT NULL,
  `pl_max_quantity` int(11) NOT NULL,
  `pl_mcc` varchar(500) NOT NULL,
  `pl_mnc` varchar(500) NOT NULL,
  `pl_plan_conditions` varchar(500) NOT NULL,
  `pl_features` varchar(500) NOT NULL,
  `pl_apn` varchar(500) NOT NULL,
  `pl_speed` varchar(500) NOT NULL,
  `pl_created_on` datetime NOT NULL DEFAULT current_timestamp(),
  `pl_form_type` enum('1','2','3') NOT NULL DEFAULT '1' COMMENT '1 - online plan\r\n2 - offline plan\r\n\r\n3 - both',
  `pl_sync` enum('Y','N') NOT NULL DEFAULT 'N' COMMENT ' ',
  `pl_need_activation_date` enum('Y','N') NOT NULL DEFAULT 'N',
  `pl_activation_date` date NOT NULL,
  `pl_status` enum('1','0') NOT NULL DEFAULT '0' COMMENT '0 - active\r\n1 - inactive',
  `pl_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `pl_banner_status` enum('1','0') NOT NULL DEFAULT '0' COMMENT 'if banner status is 1 then show this plan on banner',
  `pl_offer_price` float(11,2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `plans`
--

INSERT INTO `plans` (`pl_id`, `pl_prop_type`, `pl_local_breakouts`, `pl_class`, `pl_voice_minutes`, `pl_source`, `pl_guidelines`, `pl_plan_type`, `pl_plus_monthly`, `pl_operator_type`, `pl_supplier`, `pl_name`, `pl_price_per_gb`, `pl_price_per_mb`, `pl_product_code`, `pl_capacity_info`, `pl_buying_cost`, `pl_buying_cost_currency`, `pl_info`, `pl_country`, `pl_region`, `pl_validity_type`, `pl_validity`, `pl_remarks`, `pl_policy`, `pl_recharge`, `pl_data_allowance`, `pl_data_allow_type`, `pl_data_allow_validity_type`, `pl_stock_value`, `pl_min_cart_value`, `pl_max_cart_value`, `pl_top_seller`, `pl_best_Seller`, `pl_best_value`, `pl_order`, `pl_kyc_status`, `pl_min_quantity`, `pl_max_quantity`, `pl_mcc`, `pl_mnc`, `pl_plan_conditions`, `pl_features`, `pl_apn`, `pl_speed`, `pl_created_on`, `pl_form_type`, `pl_sync`, `pl_need_activation_date`, `pl_activation_date`, `pl_status`, `pl_delete_status`, `pl_banner_status`, `pl_offer_price`) VALUES
(1, 1, 'Y', '1', 0, 2, 0, 2, 2, 1, 2, '31 GB data plan', 2.50, 22.00, 'sdfvbez3456t', 'test capacity info', 30.00, 1, '', 3, 0, 2, '8months', '', 1, 1, '20', 2, 3, 34, 5, 29, 'Y', 'Y', 'Y', 14, 'N', 10, 600, 'rthfgn', 'fgnhfgh', 'good', 'test', 'dfb45ty5try4er', '4mbps', '2024-04-11 03:58:52', '1', 'Y', 'N', '2024-07-23', '0', '0', '', 0.00),
(3, 2, '', '2', 100, 1, 0, 0, 0, 0, 5, '35 GB data plan', 0.00, 0.00, '', '', 15.00, 1, '', 0, 0, 1, '20', '', 1, 1, '22', 2, 3, 89, 0, 0, 'N', '', '', 1, 'Y', 0, 0, '', '', '', '', '', '', '2024-04-11 08:40:37', '1', 'Y', 'N', '2024-07-23', '1', '0', '', 0.00),
(4, 1, '', '1', 0, 1, 0, 0, 0, 0, 5, 'test', 0.00, 0.00, '', '', 10.00, 1, '<p>test</p>\r\n', 4, 0, 1, '12', '<p>test</p>\r\n', 1, 1, '400', 1, 1, 0, 0, 0, '', '', '', 1, 'Y', 0, 0, '', '', '', '', '', '', '2024-04-11 08:55:30', '1', 'Y', 'N', '2024-07-23', '0', '0', '', 0.00),
(5, 2, '', '1', 0, 1, 0, 0, 0, 0, 5, '5 gb daily data  USA', 0.00, 0.00, '', '', 30.00, 1, '', 4, 0, 3, '2', '', 1, 1, '50', 2, 1, 0, 0, 0, '', '', '', 1, 'Y', 0, 0, '', '', '', '', '', '', '2024-04-12 11:30:15', '1', 'Y', 'N', '2024-07-23', '0', '0', '', 0.00),
(6, 1, '', '1', 0, 2, 0, 0, 0, 0, 2, '15 GB data plan germany', 0.00, 0.00, '', '', 30.00, 1, '<p>sdgdxfgdg</p>\r\n', 5, 0, 2, '34', '<p>testgdfgd</p>\r\n', 1, 1, '444', 1, 2, 90, 0, 0, 'N', 'Y', '', 11, 'N', 0, 0, '', '', '', '', '', '', '2024-04-12 11:28:32', '1', 'Y', 'N', '2024-07-23', '0', '0', '', 0.00),
(7, 2, 'N', '1', 0, 1, 1, 1, 0, 1, 5, 'global europe plan', 2.50, 0.25, '', '', 30.00, 1, '', 0, 1, 1, '15', '', 1, 1, '36', 2, 5, 45, 5, 90, '', '', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-05-06 02:48:37', '1', 'Y', 'N', '2024-07-23', '0', '0', '1', 11.00),
(8, 2, 'Y', '2', 500, 1, 1, 1, 3, 1, 5, 'asia data and voice plan', 2.00, 0.20, 'testcode', 'test', 30.00, 1, '', 0, 2, 1, '15', '', 1, 1, '25', 2, 1, 45, 5, 90, 'Y', 'Y', 'N', 0, 'Y', 10, 45, 'test', 'test', 'very good', 'test', 'dfb45ty5try4er', '4mbps', '2024-05-13 03:19:53', '1', 'Y', 'N', '2024-07-23', '0', '0', '', 0.00),
(9, 2, 'N', '1', 0, 1, 1, 1, 2, 1, 5, 'asia data plan', 2.50, 0.25, 'testcode', 'nagpur', 45.00, 1, '', 0, 2, 1, '30', '', 2, 2, '20', 2, 1, 12, 5, 29, '', 'Y', '', 0, 'Y', 10, 75, '', '', '', '', '', '', '2024-05-13 03:28:47', '1', 'Y', 'N', '2024-07-23', '0', '0', '', 0.00),
(10, 1, '', '', 0, 1, 0, 0, 0, 0, 2, '1GB Daily data', 0.00, 0.00, '', '', 5.00, 1, '                                                                    ', 5, 0, 2, '1', '', 1, 1, '1GB', 2, 2, 0, 0, 0, '', '', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-07-23 11:58:43', '1', 'N', 'Y', '2024-08-10', '0', '0', '', 0.00),
(11, 1, 'N', '1', 0, 1, 1, 1, 3, 1, 5, 'Thailand Unlimited 10Days', 9.50, 0.00, 'sdfvbez3456t43543', 'test', 9.50, 1, '                                                                                                                                        ', 6, 0, 1, '10', '', 1, 1, '50', 2, 5, 20, 5, 35, 'N', 'N', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-10-09 01:18:06', '1', 'Y', 'Y', '2024-10-09', '0', '0', '', 0.00),
(12, 1, '', '2', 500, 1, 1, 1, 3, 1, 5, 'Thailand 50GB unlimited plan', 2.00, 0.00, '12r*&%&IE32jevk3fggdf34tgth5t3', '', 50.00, 1, '                                                                                                                                        ', 6, 0, 1, '25', 'test', 1, 1, '50', 2, 1, 0, 0, 0, 'Y', '', '', 0, 'N', 0, 0, '', '', '', '', '', '', '2024-08-25 08:15:01', '1', 'Y', 'Y', '1970-01-01', '0', '0', '', 0.00),
(13, 1, '', '', 0, 1, 1, 0, 0, 0, 5, '5 gb dail data plan', 0.00, 0.00, '', '', 30.00, 1, '', 1, 0, 2, '2', '', 1, 1, '5', 2, 2, 0, 0, 0, '', '', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-07-28 04:17:15', '1', 'N', 'Y', '1970-01-01', '0', '0', '', 0.00),
(14, 1, '', '2', 200, 1, 0, 1, 0, 0, 2, 'xyz data palan', 0.00, 0.00, '', '', 10.00, 1, '', 7, 0, 1, '20', '', 1, 1, '200', 1, 2, 0, 0, 0, 'Y', 'Y', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-10-24 04:26:52', '1', 'Y', 'Y', '2024-10-24', '0', '0', '', 0.00),
(15, 1, 'Y', '1', 0, 2, 1, 1, 3, 1, 5, 'test offline plan ', 2.50, 0.00, '', '', 5.00, 1, '                                                                    ', 1, 0, 1, '25', '', 1, 1, '5', 2, 1, 0, 0, 0, 'Y', 'N', 'Y', 0, 'Y', 2, 20, '', '', 'good', '', '', '', '2024-08-31 02:11:39', '1', 'N', 'Y', '1970-01-01', '0', '0', '', 0.00),
(16, 1, '', '1', 0, 1, 0, 0, 0, 0, 5, 'this is offline form', 0.00, 0.00, '', '', 20.00, 1, '', 7, 0, 1, '15', '', 1, 1, '20', 2, 1, 0, 0, 0, '', '', '', 0, '', 0, 0, '', '', '', '', '', '', '2024-09-01 12:16:32', '2', 'N', '', '1970-01-01', '0', '0', '', 0.00),
(17, 2, 'Y', '1', 0, 1, 0, 1, 0, 0, 2, 'New asia plan 50gb', 0.00, 0.00, '', '', 15.00, 1, '                                                                                                                                                                                                            ', 0, 2, 1, '30', '', 1, 1, '50', 2, 5, 0, 0, 0, '', '', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-09-01 09:13:22', '3', 'N', '', '1970-01-01', '0', '0', '', 0.00),
(18, 1, '', '1', 0, 1, 0, 0, 0, 0, 2, 'test data plan', 0.00, 0.00, '', '', 15.00, 1, '', 5, 0, 1, '10', '', 1, 1, '5', 2, 1, 0, 0, 0, 'Y', '', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-09-09 09:56:06', '3', 'N', '', '1970-01-01', '0', '0', '', 0.00),
(19, 1, '', '1', 0, 2, 0, 0, 0, 0, 5, 'Unlimited thailand plan', 0.00, 0.00, '', '', 20.00, 1, '', 6, 0, 2, '22', '', 1, 1, '', 0, 5, 0, 0, 0, '', '', '', 0, '', 0, 0, '', '', '', '', '', '', '2024-09-28 05:30:34', '', 'Y', '', '2024-09-28', '0', '0', '', 0.00),
(20, 1, '', '1', 0, 3, 0, 1, 0, 0, 5, '35 GB data plan', 0.00, 0.00, '', '', 2.00, 1, '', 6, 0, 1, '30', '', 1, 1, '35', 2, 0, 0, 0, 0, '', '', '', 0, 'N', 0, 0, '', '', '', '', '', '', '2024-09-28 05:32:32', '3', 'Y', '', '2024-09-28', '0', '0', '', 0.00),
(21, 1, '', '1', 0, 1, 0, 1, 0, 0, 2, '10 gb data plan', 0.00, 0.00, '', '', 1.00, 1, '', 6, 0, 3, '15', '', 1, 1, '5', 2, 0, 0, 0, 0, '', '', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-09-28 05:42:01', '1', 'Y', 'Y', '2024-09-28', '0', '0', '', 0.00),
(22, 1, '', '1', 0, 1, 0, 1, 0, 0, 5, '10 gb data plan thailand', 0.00, 0.00, '', '', 2.00, 1, '', 6, 0, 1, '20', '', 1, 1, '10', 2, 0, 0, 0, 0, '', '', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-09-28 05:42:51', '3', 'Y', '', '2024-09-28', '0', '0', '', 0.00),
(23, 1, '', '1', 0, 1, 0, 2, 0, 0, 2, '1GB data daily plan', 0.00, 0.00, '', '', 2.00, 1, '', 6, 0, 1, '1', '', 1, 1, '1', 2, 2, 0, 0, 0, '', '', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-09-28 05:43:54', '3', 'Y', 'Y', '2024-09-28', '0', '0', '', 0.00),
(24, 1, '', '1', 0, 1, 0, 0, 0, 0, 2, '35 GB data plan new', 0.00, 0.00, '', '', 20.00, 1, '<p><strong>Plan Name -&nbsp;&nbsp;35 GB data plan new</strong></p>\r\n\r\n<p><strong>Plan Type</strong> - Data</p>\r\n\r\n<p><strong>Plan Details </strong>-&nbsp;Restrictions apply to extended usage(over 91 days) in Turkey according to the local legislation.</p>\r\n', 4, 0, 2, '12', '', 1, 1, '35', 2, 5, 0, 0, 0, '', '', '', 0, 'Y', 0, 0, '', '', '', '', '', '', '2024-10-09 01:16:43', '', 'Y', 'Y', '2024-10-09', '0', '0', '1', 5.00),
(25, 1, '', '1', 0, 1, 0, 1, 1, 1, 2, 'Esimzon special plan', 0.00, 0.00, '', '', 5.00, 1, '<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis</strong>&nbsp;</p><p>nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Dui<span class=\"text-big\" style=\"color:hsl(30, 75%, 60%);\">s aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</span></p><p>&nbsp;Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>', 3, 0, 1, '30', '', 2, 2, '10', 2, 0, 0, 0, 0, 'Y', '', '', 0, '', 0, 0, '', '', '', '', '', '', '2024-10-24 09:31:03', '', 'Y', '', '2024-10-24', '0', '0', '0', 0.00);

-- --------------------------------------------------------

--
-- Table structure for table `privacypolicy`
--

CREATE TABLE `privacypolicy` (
  `pp_id` int(11) NOT NULL,
  `pp_details` text NOT NULL,
  `pp_created_on` datetime NOT NULL DEFAULT current_timestamp(),
  `pp_deleted_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `privacypolicy`
--

INSERT INTO `privacypolicy` (`pp_id`, `pp_details`, `pp_created_on`, `pp_deleted_status`) VALUES
(1, '<p><strong>Introduction</strong></p>\r\n\r\n<p>We value your privacy and it is important for us to safeguard it. All the information that we may collected from your end is well protected and we respect and value your privacy. Our privacy policy elaborates on how your personal details obtained from using our website (www.esimzonapp.com) and app (esimzon) are utilised for an overall better experience. By using our services, we believe you agree to terms of the policy in the detailed mentioned below:</p>\r\n\r\n<p><strong>2. Collection and Processing of Personal Data</strong></p>\r\n\r\n<p>Your personal data is collected and further processed for the following purposes:</p>\r\n\r\n<p>Processing payments and ease of transactions:</p>\r\n\r\n<p>Provisioning telecom services and goods</p>\r\n\r\n<p>To offer support and maintenance as and when needed</p>\r\n\r\n<p>Using data to efficiently market and educate about our products, services &amp; campaigns</p>\r\n\r\n<p>Effective analysis of sales, usage patterns and incorporate measures to improve quality and make necessary improvements</p>\r\n\r\n<p>Offer personalised services and comments</p>\r\n\r\n<p>Perform surveys as a form of feedback.</p>\r\n\r\n<p>We may collect and process the following type of data:</p>\r\n\r\n<p>Personal details including contact info, name &amp; address etc.</p>\r\n\r\n<p>Device details including model &amp; serial no.</p>\r\n\r\n<p>Location details (using the eSIM cell ID)</p>\r\n\r\n<p>Communication details including start and end time besides usage volume</p>\r\n\r\n<p>Details obtained from web browser (e.g., IP address, web pages accessed).</p>\r\n\r\n<p><strong>3. How long will we keep your personal data?</strong></p>\r\n\r\n<p>Your data will be kept for the minimum time necessary for the correct provision of the service offered as well as to meet the responsibilities that may arise from it or any other legal requirement.</p>\r\n\r\n<p><strong>4. How can data be deleted?</strong></p>\r\n\r\n<p>Upon installation of esimzon iOS or Android App, esimzon Support team acts as data controller. In this case, we will delete all the data shared with us upon request (via email to support@esimzonapp.com), or upon closure of the account. Data may still remain in the systems back-up files, which will be deleted periodically. Information may be deleted from our CRM upon request to support@esimzon.com We undertake to perform the deletion within one month (30 calendar days) and will send you a confirmation once the information has been deleted. Wherever possible, we will aim to complete the request in advance of the deadline.</p>\r\n\r\n<p><strong>5. Personal Details Disclosure to 3rd parties</strong></p>\r\n\r\n<p>Any disclosure of personal details collected and shared with 3rd parties will only happen with your due consent.</p>\r\n\r\n<p>However, as and when needed, we may have to share details with 3rd party providers to offer services that request. This will be based on selection of trustworthy providers who can safeguard your data with as much respect and importance. We will also ensure due supervision such that there is no undue use of your data that we share to offer much needed services.</p>\r\n\r\n<p>As needed by law of the land, we may have to share your details when supported by a court order.</p>\r\n\r\n<p>In addition, we may use your data and compile it to statistically analyze your usage and work to improve our systems to offer improved services.</p>\r\n\r\n<p>Besides the above scenarios, your data will not be used for any other purposes.</p>\r\n\r\n<p>Duration for which Personal Data stored</p>\r\n\r\n<p>We will only store data for the duration till the completion of aforementioned purposes are underway. Beyond that we will ensure that the data is no longer with us and is duly erased to ensure complete safety of your details.</p>\r\n\r\n<p><strong>&nbsp;6. Managing Your Personal Data</strong></p>\r\n\r\n<p>We will take all necessary measures to ensure undue access of your data, any changes to it besides create systems to avoid its accidental or even unlawful destruction and or access.</p>\r\n\r\n<p>To ensure the above, we will conduct due training of our staff such that they are equipped and efficient enough to handle and ensure safety of your data.</p>\r\n\r\n<p>As needed whenever we share your data with 3rd parties, we will ensure such parties are trusted upon with due diligence and are worthy and capable to handle your data to offer goods and services as you request. Not only in regards to data with us, but we will ensure even 3rd parties also do not allow undue access of your data and or destruct it post accomplishing purposes for which data is shared with them. We will take all security measures to ensure the same happens and will supervise the same.</p>\r\n\r\n<p><strong>7. Access Rights to Data</strong></p>\r\n\r\n<p>You can at any time request access to your data that we have collected and processed by reaching to us via email, post and/or relevant communication channels. We will ensure to perform due diligence to correctly identify you before revealing data such that data is not shared with anyone else. We further request you to reach to us at channels provided such that we can well identify your first.</p>\r\n\r\n<p>In situations, that demand that data sharing may lead to some sort of public security or a risk of hindering our business interests, we may choose to not give access to such data making due considerations.</p>\r\n\r\n<p>Please find below our email address for correspondence:</p>\r\n\r\n<p>Email: <a href=\"mailto:support@esimzon.com\">support@esimzon.com</a></p>\r\n\r\n<p><strong>8. More Rights</strong></p>\r\n\r\n<p>You have complete right to object to any term of the policy towards processing of your data. If found valid, once objected, we will stop processing of your data any further.</p>\r\n\r\n<p>You can also request to erase, correct or block any personal data which you may find incorrect or misleading or in any way processed to be considered a violation of law and regulations.</p>\r\n\r\n<p>We will also ensure to notify any 3rd parties with whom the data has been shared to make relevant changes and or erasure or restriction of such data in accordance with your request.</p>\r\n\r\n<p>Besides at any point in time you are free to withdraw your consent to process your personal data.</p>\r\n\r\n<p>In case you find that any breach of law has happened while processing the data, you can reach out to us with complete details and we will ensure prompt action to look into the matter and address your concern and reach out to you with the steps taken to deal with your complaint. You also have rights to reach out to any regulatory body or a data protection unit and make raise a concern over how your data has been processed.</p>\r\n\r\n<p>You can as and when felt also unsubscribe from our email database and opt away from any mailers regarding our services and any marketing campaigns. For the same, please contact us to use our opt out services at the communication address already mentioned.</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p><strong>Cookies</strong></p>\r\n\r\n<p>We often collect your information via cookies while you access our web site and app to give you better user experience</p>\r\n\r\n<p>International Transfer of Your Data</p>\r\n\r\n<p>In some instances, your personal data may need to be shared outside (keeping the GDPR guidelines in mind). By submission of data, we believe you agree to sharing of your personal data (country name) outside for storage and processing.</p>\r\n\r\n<p><strong>Limits to our Privacy Policy</strong></p>\r\n\r\n<p>Our sire and app have links to other web sites and apps which we have no control over. Thus, we cannot take any responsibility of content they offer besides their policies and how they conduct their privacy policy practices.</p>\r\n\r\n<p><strong>Changes to the Privacy Policy</strong></p>\r\n\r\n<p>As needed and at our discretion, we may bring changes to our privacy policy to reflect current acceptable practices. By using our services post policy changes, we believe you agree to our business practices which revolve around your privacy and data.</p>\r\n\r\n<p>If we may any substantial changes to our policy, on the basis that there are changes in how we process your data, we will ensure to ask for your due consent once again such that you are well informed and we process post your approval.</p>\r\n\r\n<p><br />\r\n&nbsp;</p>\r\n', '2024-03-20 14:47:39', '0');

-- --------------------------------------------------------

--
-- Table structure for table `product_types`
--

CREATE TABLE `product_types` (
  `p_id` int(11) NOT NULL,
  `p_name` varchar(500) NOT NULL,
  `p_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `p_createdOn` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `product_types`
--

INSERT INTO `product_types` (`p_id`, `p_name`, `p_delete_status`, `p_createdOn`) VALUES
(1, 'eSIM', '0', '2023-01-13 09:01:04'),
(2, 'Physical SIM', '0', '2023-01-13 09:01:04'),
(3, 'DID', '0', '2023-01-13 09:01:04');

-- --------------------------------------------------------

--
-- Table structure for table `purchase`
--

CREATE TABLE `purchase` (
  `p_id` int(11) NOT NULL,
  `p_type` varchar(100) NOT NULL COMMENT 'sale type can be offline sale, api sale, kyc sale',
  `p_sale_date` datetime NOT NULL,
  `p_travel_date` datetime NOT NULL,
  `p_name` varchar(500) NOT NULL,
  `p_email` varchar(500) NOT NULL,
  `p_plan` varchar(500) NOT NULL,
  `p_lpa` text NOT NULL,
  `p_start_date` datetime NOT NULL,
  `p_end_date` datetime NOT NULL,
  `p_coupon_code` text NOT NULL,
  `p_coupon_discount` float(11,2) NOT NULL,
  `p_validity` int(5) NOT NULL,
  `p_supplier_name` varchar(500) NOT NULL,
  `p_affiliate_name` varchar(500) NOT NULL,
  `p_ipaddress` varchar(100) NOT NULL,
  `p_country` varchar(100) NOT NULL,
  `p_region` varchar(100) NOT NULL,
  `p_source` varchar(200) NOT NULL,
  `p_selling_price` float(11,2) NOT NULL,
  `p_created_date` datetime NOT NULL,
  `p_updated_date` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `rechargable_topups`
--

CREATE TABLE `rechargable_topups` (
  `tp_id` int(11) NOT NULL,
  `tp_supplier_id` int(11) NOT NULL,
  `tp_plan_id` int(11) NOT NULL,
  `tp_country_id` int(11) NOT NULL,
  `tp_plan_cost` float(11,2) NOT NULL,
  `tp_topup_name` varchar(500) NOT NULL,
  `tp_price` float(11,2) NOT NULL,
  `tp_price_currency` tinyint(1) NOT NULL,
  `tp_data_allowance` int(11) NOT NULL,
  `tp_data_allow_type` tinyint(1) NOT NULL,
  `tp_validity` int(11) NOT NULL,
  `tp_info` text NOT NULL,
  `tp_created_date` datetime NOT NULL DEFAULT current_timestamp(),
  `tp_status` enum('1','0') NOT NULL DEFAULT '0',
  `tp_delete_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `rechargable_topups`
--

INSERT INTO `rechargable_topups` (`tp_id`, `tp_supplier_id`, `tp_plan_id`, `tp_country_id`, `tp_plan_cost`, `tp_topup_name`, `tp_price`, `tp_price_currency`, `tp_data_allowance`, `tp_data_allow_type`, `tp_validity`, `tp_info`, `tp_created_date`, `tp_status`, `tp_delete_status`) VALUES
(1, 5, 3, 0, 30.00, 'test topup', 25.00, 1, 30, 2, 30, '', '2024-04-12 04:14:42', '0', '0'),
(2, 2, 6, 0, 30.00, 'test20topup', 40.00, 1, 15, 2, 30, 'test', '2024-08-31 01:56:53', '0', '0');

-- --------------------------------------------------------

--
-- Table structure for table `refundpolicy`
--

CREATE TABLE `refundpolicy` (
  `rp_id` int(11) NOT NULL,
  `rp_details` text NOT NULL,
  `rp_created_on` datetime NOT NULL DEFAULT current_timestamp(),
  `rp_deleted_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `refundpolicy`
--

INSERT INTO `refundpolicy` (`rp_id`, `rp_details`, `rp_created_on`, `rp_deleted_status`) VALUES
(1, '<p><strong>What is esimzon refund policy?</strong></p>\r\n\r\n<p>If you&#39;re not happy with your eSIM experience, please let us know!&nbsp;</p>\r\n\r\n<p>Our eSIMs usually work without a glitch, but if you experience connection issues, we can provide a full or partial refund.</p>\r\n\r\n<p>Some conditions do apply so make sure to review our terms below.</p>\r\n\r\n<p>This cancellation and return terms apply to all purchases made through the online store esim. <strong>esimzon </strong>.com without exception.&nbsp;</p>\r\n\r\n<p>Once you buy your eSIM you will receive a confirmation email with the QR code. Once sent, we cannot recover the eSIM nor prevent its use. For this reason, we can only provide refunds in certain situations.</p>\r\n\r\n<p><strong>When you can receive a refund:</strong></p>\r\n\r\n<p>If your eSIM does not work due to a problem with <strong>esimzon </strong>or the connection provider, we can provide a full or partial refund.&nbsp;</p>\r\n\r\n<p>Refunds shall only happen for unlocked devices which are compatible to use with <strong>esimzon </strong>services.</p>\r\n\r\n<p>Refund shall be made for a plan or a top up if it has zero usage status.</p>\r\n\r\n<p>In case any data plans or top ups have an unused data, wherein some amount of data has been partially used, we will not in any circumstances make a refund for such unused data. This does not apply to circumstances wherein any system or technical glitches or negligence happens at our end.</p>\r\n\r\n<p>Before processing a refund, we ask that you:</p>\r\n\r\n<p>Contact our support team (help@<strong>esimzon</strong>.com) to report the connection incident&nbsp;</p>\r\n\r\n<p>Provide information and screenshots so our team can identify the problem</p>\r\n\r\n<p>Our support team is available 24/7 and we usually respond within a couple of minutes.&nbsp;</p>\r\n\r\n<p>If the connection problem cannot be solved, <strong>esimzon </strong>will reimburse your order.&nbsp;</p>\r\n\r\n<p>If the eSIM never connected to the internet, we can offer a full refund minus a small admin fee. If the eSIM stopped working or only worked temporarily, we can provide a partial refund for the number of days you were without internet connection, discounting the days in which you had connection.&nbsp;</p>\r\n\r\n<p>In both cases, <strong>esimzon </strong>reserves the right to deduct a small administration cost from refunded amounts.&nbsp;</p>\r\n\r\n<p><strong>When you can&rsquo;t receive a refund:</strong></p>\r\n\r\n<p>We cannot issue a refund if you give us the wrong email address during the purchase. We can forward the eSIM to a different email address, but we cannot guarantee that it will not be used by the owner of the incorrect email address, in which case it cannot be refunded.</p>\r\n\r\n<p>We cannot issue a refund if your device is not compatible with eSIM or is not unlocked. <strong>esimzon </strong>provides a list of compatible devices on its website and customers can ask if their device is compatible by contacting our customer team.</p>\r\n\r\n<p>No refund shall be made for any eSIM profile or data plan manually deleted by the user.</p>\r\n\r\n<p>We cannot issue a refund if you have changed your mind or if you no longer need the eSIM.&nbsp;</p>\r\n\r\n<p>We cannot issue a refund in any other case not specified on this page.</p>\r\n\r\n<p><strong>How can I request a refund?</strong></p>\r\n\r\n<p>Please contact help@esimzon.com</p>\r\n\r\n<p>If you experience a connection problem with your eSIM, contact us the moment the issue occurs. Our team will first ensure that your eSIM is correctly configured. If the problem persists once the eSIM is correctly configured, our team will continue with the refund process.&nbsp;</p>\r\n\r\n<p><strong>How will I be refunded?</strong></p>\r\n\r\n<p>Refunds will be made to the payment method you used when making the purchase.&nbsp;</p>\r\n\r\n<p>Alternatively, we can offer credit on our store for another eSIM purchase.</p>\r\n\r\n<p>For help, please contact us in our online chat or by email at help@ esimzon.com</p>\r\n\r\n<p>Privacy Policies</p>\r\n\r\n<p><br />\r\n&nbsp;</p>\r\n', '2024-03-20 14:56:26', '0');

-- --------------------------------------------------------

--
-- Table structure for table `regions`
--

CREATE TABLE `regions` (
  `r_id` int(11) NOT NULL,
  `r_name` varchar(500) NOT NULL,
  `r_banner` varchar(500) NOT NULL,
  `r_index_page` enum('Y','N') NOT NULL DEFAULT 'N',
  `r_color1` text NOT NULL,
  `r_color2` text NOT NULL,
  `r_created_on` timestamp NOT NULL DEFAULT current_timestamp(),
  `r_deleted_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `regions`
--

INSERT INTO `regions` (`r_id`, `r_name`, `r_banner`, `r_index_page`, `r_color1`, `r_color2`, `r_created_on`, `r_deleted_status`) VALUES
(1, 'europe', 'a0e1e72398a60be5f85287cfc5abe9a0.png', 'N', '', '', '2024-03-27 10:45:48', '0'),
(2, 'Asia', '66c916546e0c31633a2dba08c2ad7255.png', 'Y', '#41c6c8', '#b1edf1', '2024-03-28 04:26:54', '0'),
(3, 'middle east', 'e64a270a795ac676571b4dadbf43ae5f.png', 'Y', '#b03636', '#550c0c', '2024-03-28 04:28:01', '0'),
(4, 'asiapacific', '8a520254b68bf46acf7bafbab2649fcf.png', 'Y', '', '', '2024-03-28 04:52:05', '1');

-- --------------------------------------------------------

--
-- Table structure for table `sub_complaints`
--

CREATE TABLE `sub_complaints` (
  `sc_id` int(11) NOT NULL,
  `sc_prod_type` int(11) NOT NULL,
  `sc_comp` int(11) NOT NULL,
  `sc_subComp` varchar(500) NOT NULL,
  `sc_status` enum('1','0') NOT NULL DEFAULT '0',
  `sc_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `sc_createdOn` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `sub_complaints`
--

INSERT INTO `sub_complaints` (`sc_id`, `sc_prod_type`, `sc_comp`, `sc_subComp`, `sc_status`, `sc_delete_status`, `sc_createdOn`) VALUES
(1, 3, 7, 'this is test sub complaint', '0', '0', '2023-01-13 11:15:24'),
(2, 2, 2, 'this is network sub complaint123', '0', '1', '2023-01-13 11:17:04'),
(3, 2, 6, 'this is test', '0', '0', '2023-01-30 05:26:07'),
(4, 3, 4, 'dsfsdfdsf', '0', '0', '2024-05-12 11:12:27');

-- --------------------------------------------------------

--
-- Table structure for table `suppliers`
--

CREATE TABLE `suppliers` (
  `sp_id` int(11) NOT NULL,
  `sp_type` enum('1','2') NOT NULL DEFAULT '1' COMMENT '1- local\r\n2 - roaming',
  `sp_country` int(11) NOT NULL,
  `sp_name` varchar(500) NOT NULL,
  `sp_address` text NOT NULL,
  `sp_contactPerson` varchar(200) NOT NULL,
  `sp_email` varchar(200) NOT NULL,
  `sp_phoneno` bigint(20) NOT NULL,
  `sp_bufferstock` int(11) NOT NULL,
  `sp_currency` varchar(100) NOT NULL,
  `sp_cdrapi` varchar(500) DEFAULT NULL,
  `sp_status` enum('1','0') NOT NULL DEFAULT '0',
  `sp_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `sp_createdOn` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `suppliers`
--

INSERT INTO `suppliers` (`sp_id`, `sp_type`, `sp_country`, `sp_name`, `sp_address`, `sp_contactPerson`, `sp_email`, `sp_phoneno`, `sp_bufferstock`, `sp_currency`, `sp_cdrapi`, `sp_status`, `sp_delete_status`, `sp_createdOn`) VALUES
(1, '1', 4, 'test', 'test', 'john test test', 'john.doe@testmail.com', 9823887814, 45, '0', NULL, '0', '1', '2023-01-11 16:26:44'),
(2, '1', 6, 'ruchika iouojkk', 'mahal                                                                                                                                                                             ', 'john peret doe', 'john.doe@testmail.com', 9823887814, 200, 'INR', '38fe947a4f02a12d5abb99eced120c52.pdf', '0', '0', '2023-01-12 06:15:03'),
(3, '2', 4, 'ruchika new ', 'test                                                                ', 'john peret doe', 'john.doe@testmail.com', 9823887814, 200, '$', '9d5ae56715efaf597a0eb16e80f515d0.pdf', '0', '1', '2023-01-12 06:40:40'),
(4, '1', 5, 'hello test', 'test', 'john peret doe', 'john.doe@testmail.com', 9823887814, 45, 'Select currency', '', '0', '1', '2023-01-30 05:22:59'),
(5, '1', 5, 'test supplier', 'nagpur\r\n                                                                                                ', 'Ruchika Sakode123', 'ruchika.sakode@gmail.com', 9158141621, 200, '$', '1d79735ef9aa864567d8582495f831b5.png', '0', '0', '2024-03-28 06:00:30'),
(6, '1', 3, 'test supp', '                                awgvsdfhd', 'john peret doe', 'john.doe@testmail.com', 9823887814, 0, 'Select currency', '56f10a2f1e106d86423b1792b8577ee2.docx', '0', '0', '2024-11-13 10:54:42');

-- --------------------------------------------------------

--
-- Table structure for table `terms_conditions`
--

CREATE TABLE `terms_conditions` (
  `tc_id` int(11) NOT NULL,
  `tc_details` text NOT NULL,
  `tc_created_on` datetime NOT NULL DEFAULT current_timestamp(),
  `tc_deleted_status` enum('1','0') NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `terms_conditions`
--

INSERT INTO `terms_conditions` (`tc_id`, `tc_details`, `tc_created_on`, `tc_deleted_status`) VALUES
(1, '<p><strong>What if esimzon?</strong><br />\r\nesimzon is an online store that sells international data SIM cards, manufactured by third parties, for use in SIM free mobile devices compatible with the mobile networks of the country of destination.</p>\r\n\r\n<p>General Information on the Terms of Use:</p>\r\n\r\n<p><strong>1. VALIDITY OF GENERAL TERMS AND CONDITIONS</strong></p>\r\n\r\n<p>The following terms and conditions shall apply to all services rendered by V2egrow.com, hereafter referred to as esimzon, in connection with the prepaid eSIM reselling.</p>\r\n\r\n<p><strong>Change of Terms</strong></p>\r\n\r\n<p>We may change the terms of using the services from time to time and accordingly will inform the users about the relevant changes via our website (www.esimzon.com) and other methods of communication. After having notified, the users will be considered to have consented to the change in terms for the use of our services.<br />\r\nYou can review the most current version of the Terms of Use at any time on this page.<br />\r\nFollowing terms and conditions are provided on the website www.esimzon.com and/or its subdomains.<br />\r\nesimzon may accept variant clauses only in the case of an explicit written agreement.<br />\r\nThe English language version of this Agreement shall be controlling in all respects and shall prevail in case of any inconsistencies with translated versions, if any.</p>\r\n\r\n<p><strong>2. Service</strong></p>\r\n\r\n<p>2.1 REGISTRATION FOR USING esimzon SERVICES<br />\r\nThe customer must fill a form and accept the general terms and conditions to use esimzon services. The client gives directly, or by the intermediary of the service provider (Hotel, Travel Agency&hellip;), on the web browser under www.esimzon.com the following information:</p>\r\n\r\n<ul>\r\n	<li>First Name</li>\r\n	<li>Last Name</li>\r\n	<li>Email address</li>\r\n	<li>Mobile phone number</li>\r\n</ul>\r\n\r\n<p>2.2 Service Description<br />\r\nesimzon SIM allows usage of mobile data services only as defined by GSMA (Global System for Mobile Association). No other services including voice calls and sending/receiving SMS, MMS can be done using the eSIM.</p>\r\n\r\n<p>2.3 eSIM RESELLING, Charges and payment Condition&nbsp;<br />\r\nesimzon resells prepaid eSIMs. The customer registers and buys its eSIMs on www. esimzon .com website and/or esimzon App. Our payments are operated by PAYPAL (https://paypal.com) and Stripe (https://stripe.com) with an alias of your credit card (virtual Credit Card Imprint)</p>\r\n\r\n<p>The payment of esimzon services is made by Credit Card, PAYPAL, Google Pay, and Apple Pay. The currency of payment is US Dollars ($). The credit card transaction will be processed and secured by esimzon providers PAYPAL (https://paypal.com) and Stripe (https://stripe.com).</p>\r\n\r\n<p>2.4 Delivery<br />\r\nThe customer will immediately see the purchased eSIM under the &ldquo;My eSIMs&rdquo; tab on the website and/or the app. The customer will receive a confirmation email after the purchase. All the information for installing the eSIM will be available only on the user&rsquo;s esimzon account.</p>\r\n\r\n<p>2.5 Transmission Disconnection<br />\r\nIf it is found that excess data transmission has happened during a given session, we have a right to disconnect services for the session to secure stability of the systems.</p>\r\n\r\n<p>2.6 Suspension<br />\r\nAs and when needed there would be a requirement to upgrade and maintain our systems and hence the services may remain suspended for a while, though we will ensure to notify you well in advance and also ensure minimal possible outage times for such maintenance.<br />\r\nWe reserve the right to suspend services without informing in case of the following events:</p>\r\n\r\n<ul>\r\n	<li>If we find that you are in breach of services as per the Terms and service conditions mentioned on our website.</li>\r\n	<li>If you fail to furnish required information to avail service as per a regulatory requirement also needed in case if you wish to travel to a specific region.</li>\r\n	<li>In case of operational needs or for reasons that demand security.</li>\r\n	<li>While services are restricted/suspended from a cloud service provider to us or our Network Provider.</li>\r\n	<li>A Network Providers suspends telecom services to us.</li>\r\n	<li>To prevent damage to our or our contracted Network Partners integrity as a result of service access by you or any using your access.</li>\r\n	<li>On receipt of any complied order received from a regulatory body or government or an emergency services organisation or any other equally competent body.</li>\r\n</ul>\r\n\r\n<p>2.7 DEVICE COMPATIBILTY<br />\r\nIt is the customer&rsquo;s responsibility to ensure that the device is eSIM compatible and not locked by any carrier, as this is a prerequisite to complete the purchase. As device compatibility may depend on the carrier and country of origin, the list of eSIM compatible devices is provided at the checkout and can also be found in the list of eSIM supported devices.<br />\r\nHowever, the eSIM compatibility list is not exhaustive meaning that there might be newly announced eSIM compatible devices that have not yet been added to the above-mentioned list.</p>\r\n\r\n<p>2.8 Currency<br />\r\nThe default currency for esimzon services shall be US Dollars or the currency displayed at the point of sale.</p>\r\n\r\n<p>2.9 CHARGES FOR USE<br />\r\nIf the customer reasonably and in good faith disputes an invoice or part of it, Customer shall notify esimzon of such dispute within 12 days of receipt of the invoice, providing details of why the invoiced amount is incorrect and, if possible, how much the customer considers is due.<br />\r\nThe customer shall not be entitled to set off any of its claims against claims of esimzon , except where the customer&rsquo;s claims are undisputed or have been confirmed by final court judgment</p>\r\n\r\n<p>2.10 Discontinuation of Services<br />\r\nIf for any avoidable or undisputable reasons exists, we may have to cancel the service in part or wholly.</p>\r\n\r\n<p>2.11 User Restriction<br />\r\nIf it is observed that due to signal or transmission issues, there is significant impact on the bandwidth, we may control the transmission rate and traffic backing such signal or transmission to control the bandwidth allocated to such signal or transmission.<br />\r\nIf in case if a natural calamity or in unlikely event of an emergency situation, we will restrict the service and allocate the same to the content of those who are highly impacted due to the natural calamities. This would be done to ensure maintenance of public interest and as needed to secure transportation communication and/or electronic power supply as stated for much needed public order.</p>\r\n\r\n<p>2.12 Rights<br />\r\nWe have a right to make necessary choice to pick our technology partners and network operators in the best interest of our business requirement. In this context, we hereby expect you consent to us to share your information with the concerned partners to provision the services for you. Also, use of your information for such purposes will also be subject to privacy policy to safeguard your information.<br />\r\nThe user shall authorise us to debit their payment method (debit/credit card) upon first making a transaction to buy a plan or a top-up and also use the same for their future purchases towards the same eSIM.</p>\r\n\r\n<p>2.13 EXCLUSION OF WARRANTIES, LIMITATION OF LIABILITY<br />\r\nWe do not guarantee or warrant that the use of our service will be uninterrupted, timely, secure or error-free.<br />\r\nWe do not guarantee or warrant that use of the service provided by the mobile providers responsible for the data SIM cards will be uninterrupted, timely, secure or error-free.<br />\r\nWe do not warrant that the results that may be obtained from the use of the service will be accurate or reliable.<br />\r\nYou agree that from time to time we may remove the service for indefinite periods of time or cancel the service at any time without notice.<br />\r\nYou expressly agree that your use of, or ability to use, the service is at your own risk. The service and all products and services provided through the service are (except as expressly stated by us) provided &ldquo;as is&rdquo; and &ldquo;as available&rdquo; for your use, without any representations, warranties or conditions of any kind, either express or implied, including all implied warranties or conditions of merchantability, merchantable quality, fitness for a particular purpose, durability, title and non-infringement.<br />\r\nUnder no circumstances shall esimzon our directors, officers, employees, affiliates, agents, contractors, interns, suppliers, service providers, or licensors be liable for any direct, indirect, incidental, punitive, special, or consequential damages of any kind, including, but not limited to, lost profits, lost revenues, lost savings, lost data, replacement costs, or any similar damages, whether based on contract, tort (including negligence), strict liability, or otherwise, as a result of the use of any of the services or products purchased through the service, or for any other claim related in any way to the use of the service or any product, including but not limited to any errors or omissions in any content, or any loss or damage of any kind incurred as a result of the use of the service or any content (or product) posted, transmitted, or made available through the service, even if advised of its possibility. Because some states or jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, in such states or jurisdictions, our liability shall be limited to the maximum extent permitted by law.</p>\r\n\r\n<p><strong>3. REFUND / CANCELLATION / MODIFICATION POLICY&nbsp;</strong></p>\r\n\r\n<p>3.1 REFUND POLICY FOR ESIMS<br />\r\nOnce you buy your eSIM, you will receive a confirmation email with the QR code immediately. Please note that the eSIM is a digital product, and once shipped by email, esimzon cannot prevent its use. For this reason, once you have purchased your eSIM, it is no longer possible to return it or get a refund, except in the cases explicitly indicated.<br />\r\nFor more details, please review our Refund Policy.</p>\r\n\r\n<p>3.2 MODIFICATION<br />\r\nThe eSIM data packages from esimzon are offered as-is and no further modifications or customization can be made based on individual requests once purchased.</p>\r\n\r\n<p>3.3 PROHIBITED USES<br />\r\nIn addition to other prohibitions as set forth in the Terms of Service, use of the site or its content is prohibited: (a) for any unlawful purpose; (b) to solicit others to perform or participate in unlawful acts; (c) to violate any international, federal, provincial or state regulations, rules or local ordinances; (d) to infringe or violate our or any third party&rsquo;s intellectual property rights; (e) to harass, abuse, insult, harm, defame, slander, disparage, intimidate or discriminate on the basis of gender, sexual orientation, religion, ethnicity, race, age, national origin or disability; (f) to present false or misleading information; (g) to upload or transmit viruses or any other malicious code that is or may be used in any way that could compromise the functionality or performance of the Service or any related website, other sites or the Internet; (h) to collect or track personal information about others; (i) to generate spam, phish, pharm, pretext, spider, crawl, or scrape; (j) for any obscene or immoral purpose; or (k) to interfere with or circumvent the security features of the Service or any related website, other sites or the Internet. We reserve the right to suspend your use of the Service or any related website for violating any of the prohibited use items.</p>\r\n\r\n<p>3.4 THIRD PARTY LINKS<br />\r\nCertain content, products and services available via our Service may include third party material.<br />\r\nThird party links on this site may direct you to third party websites that are not affiliated with us. We are not responsible for examining or evaluating the content or accuracy and do not endorse and will not have any obligation or liability for any third-party materials or websites, or for any third-party materials, products or services.<br />\r\nWe are not responsible for any damage or harm related to the acquisition or use of goods, services, resources, content, or any other transactions conducted in connection with third party websites. Please review the policies and practices of third parties carefully and make sure you understand them before engaging in any transaction. Complaints, claims, concerns or questions regarding third party products should be directed to the third party.</p>\r\n\r\n<p>3.5 ERRORS, INACCURACIES AND OMISSIONS<br />\r\nFrom time to time there may be information on our site or on the Service that contains typographical errors, inaccuracies or omissions that may be related to product descriptions, prices, promotions, offers, product shipping costs, transit time and availability. We reserve the right to correct errors, inaccuracies or omissions and to change or update information or cancel orders if any information on the Service or any related website is inaccurate at any time without notice (including after you have submitted your order).<br />\r\nWe assume no obligation to update, correct or clarify information on the Service or on any related website, including, without limitation, pricing information, except as required by law. No updated specification or update date applied in the Service or in any related website should be taken to indicate that all information in the Service or in any related website has been modified or updated.&nbsp;</p>\r\n\r\n<p><strong>4. Your Obligations and Miscellanous</strong></p>\r\n\r\n<p>4.1 Acts of Prohibition<br />\r\nThe user shall not in addition to the provision of the terms:<br />\r\nPut the terminal device to any kind of use that is not in compliance with the technical norms laid down by the applicable regulations and laws which are equivalent to FCC (Federal Communications Commission) rules or by the CE Marking for Radio Telecommunications Equipment.<br />\r\nUse the terminal device which is not supported by esimzon.<br />\r\nPerform any acts which are prohibited by applicable laws/regulations of regions where the user&rsquo;s consumer esimzon services.<br />\r\nUse the esimzon services for viewing child pornography or acquisition and consumption of child prostitution related content besides sending email which contains similar content which is considered inappropriate.<br />\r\nPerform any illegal or prohibited acts considered so by Telecom carriers.<br />\r\nUse esimzon services for any products of services which infringes with our intellectual rights.<br />\r\nFile application towards intellectual rights property based on esimzon services.<br />\r\nTransfer, provide or assign as collateral and/or dispose of complete or in part esimzon relation information.<br />\r\nIn any form attack our web servers using a virus and or methods to use server in unauthorised way.<br />\r\nLet a 3rd party perform any acts to reverse engineer, assemble or decompile esimzon services to any form of analysis.<br />\r\nAlso not perform the above-mentioned acts bin own personal capacity.<br />\r\nTransfer eSIM issued to oneself to any other 3rd party besides transfer or share data plan/top up to others unless the plans terms specify so.</p>\r\n\r\n<p>4.2 Legal Compliance and Governing Laws<br />\r\nThe Terms shall be governed by the laws of India and subject to any jurisdiction under India and State laws and in their respective region courts.<br />\r\nDespite the governing laws, you will also be bound and subject to laws and regulation of the region/country where you are using these services. You are expected to follow such norms and laws as prescribed.</p>\r\n\r\n<p>4.3 Confidentiality<br />\r\nThe user is expected to maintain confidentiality about any details related to esimzon technical, management and/or non-public related information obtained by using the esimzon services and is assumed to not use it for any other purposes except using esimzon services, though can disclose the same as and when needed for the purpose of compliance with any law or regulation, besides any form of court or legal order, or anybody in supervisory position or a regulatory body to regulate the user.</p>\r\n\r\n<p>4.4 Marketing<br />\r\nAs and when needed, we may at regular intervals for purpose to inform you, shall send details about our products and services. If you wish to be not informed about such service updates, you can write to us at (support@esimzon.com).<br />\r\nWe may be needed to compile and release your user information, treated as one of our users, and you as a user of our services on any anonymous basis as part of a customer profile or similar analysis or report.</p>\r\n\r\n<p><strong>5. CONTACT INFORMATION</strong><br />\r\nQuestions regarding the Terms of Use should be sent to help@esimzon .com. or to the following postal address:<br />\r\n&nbsp;</p>\r\n\r\n<p><strong>esimzon</strong>&nbsp;</p>\r\n\r\n<p>Published: August 25, 2021<br />\r\nUpdated on: March 20, 2024<br />\r\n&nbsp;</p>\r\n', '2024-03-19 18:42:34', '0');

-- --------------------------------------------------------

--
-- Table structure for table `tickets`
--

CREATE TABLE `tickets` (
  `t_id` int(11) NOT NULL,
  `t_complaint` int(11) NOT NULL,
  `t_sub_complaint` int(11) NOT NULL,
  `t_esim_iccid` varchar(200) NOT NULL,
  `t_user_id` int(11) NOT NULL,
  `t_remarks` text NOT NULL,
  `t_admin_remarks` text NOT NULL,
  `t_ticket_status` varchar(100) NOT NULL DEFAULT 'Pending' COMMENT 'Pending\r\nOpen\r\nCancelled\r\nClosed',
  `t_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `t_close_date` datetime NOT NULL,
  `t_createdOn` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `tickets`
--

INSERT INTO `tickets` (`t_id`, `t_complaint`, `t_sub_complaint`, `t_esim_iccid`, `t_user_id`, `t_remarks`, `t_admin_remarks`, `t_ticket_status`, `t_delete_status`, `t_close_date`, `t_createdOn`) VALUES
(1, 6, 3, '869tgjk867', 5, 'test', '                                                                        tested                                                                ', 'Open', '0', '2024-08-31 12:13:52', '2024-08-31 03:20:13'),
(2, 6, 3, '89620865034cn34t', 5, 'test', '', 'Pending', '0', '0000-00-00 00:00:00', '2024-11-14 04:30:22');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `u_id` int(11) NOT NULL,
  `u_name` varchar(500) NOT NULL,
  `u_email` varchar(500) NOT NULL,
  `u_contact` bigint(20) NOT NULL,
  `u_password` varchar(500) NOT NULL,
  `u_profile_image` varchar(500) NOT NULL,
  `u_delete_status` enum('1','0') NOT NULL DEFAULT '0',
  `u_createdOn` timestamp NOT NULL DEFAULT current_timestamp(),
  `u_ip_address` varchar(500) DEFAULT NULL,
  `u_address` text NOT NULL,
  `u_city` varchar(200) NOT NULL,
  `u_state` varchar(200) NOT NULL,
  `u_country` varchar(200) NOT NULL,
  `u_pincode` int(6) NOT NULL,
  `u_type` enum('1','0') NOT NULL DEFAULT '0' COMMENT '0 - registered users\r\n1- guest users',
  `u_type_status` enum('1','0') NOT NULL DEFAULT '0' COMMENT '0 - active guest\r\n1 - removerd or previous guest'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`u_id`, `u_name`, `u_email`, `u_contact`, `u_password`, `u_profile_image`, `u_delete_status`, `u_createdOn`, `u_ip_address`, `u_address`, `u_city`, `u_state`, `u_country`, `u_pincode`, `u_type`, `u_type_status`) VALUES
(4, 'Ruchika Sakode12', 'ruchika.sakode@gmail.com', 915814162123, 'a94a8fe5ccb19ba61c4c0873d391e987982fbbd3', '41114ad8e0e2c6ffb0409abe9b65a55a.jpg', '0', '2024-05-17 06:02:42', '::1', '', '', '', '', 0, '0', '1'),
(5, 'Daivya Sakode', 'daivya.sakode@gmail.com', 0, '8cb2237d0679ca88db6464eac60da96345513964', '189ffb4f9cbdb7ecfbb008c7862fe73a.gif', '0', '2024-07-05 04:45:56', '::1', '', '', '', '', 0, '0', '1'),
(6, 'guest', 'daivya.sakode@gmail.com', 0, '', '', '0', '2024-07-09 07:10:41', '::1', '', '', '', '', 0, '1', '1'),
(7, 'guest', 'daivya.sakode@gmail.com', 0, '', '', '0', '2024-07-09 07:11:32', '::1', '', '', '', '', 0, '1', '1'),
(8, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-07-10 06:57:00', '::1', '', '', '', '', 0, '1', '1'),
(9, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-07-10 09:51:10', '::1', '', '', '', '', 0, '1', '1'),
(10, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-07-15 04:36:11', '::1', '', '', '', '', 0, '1', '1'),
(11, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-07-15 04:41:34', '::1', '', '', '', '', 0, '1', '1'),
(12, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-07-16 03:45:45', '::1', '', '', '', '', 0, '1', '1'),
(13, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-07-19 16:48:44', '::1', '', '', '', '', 0, '1', '1'),
(14, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-07-19 16:52:31', '::1', '', '', '', '', 0, '1', '1'),
(15, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-07-19 16:55:12', '::1', '', '', '', '', 0, '1', '1'),
(16, 'guest', 'ruchika.mandlik@gmail.com', 0, '', '', '0', '2024-07-23 07:13:52', '::1', '', '', '', '', 0, '1', '1'),
(17, 'guest', 'ruchika.mandlik@gmail.com', 0, '', '', '0', '2024-08-15 12:08:54', '::1', '', '', '', '', 0, '1', '1'),
(18, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-08-15 12:38:21', '::1', '', '', '', '', 0, '1', '1'),
(19, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-08-15 12:58:12', '::1', '', '', '', '', 0, '1', '1'),
(20, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-08-21 14:35:46', '::1', '', '', '', '', 0, '1', '1'),
(21, 'guest', 'testuser@gmail.com', 0, '', '', '0', '2024-09-19 04:01:37', '::1', '', '', '', '', 0, '1', '1'),
(22, 'guest', 'testuser@gmail.com', 0, '', '', '0', '2024-09-19 04:55:43', '::1', '', '', '', '', 0, '1', '1'),
(23, 'guest', 'testuser@gmail.com', 0, '', '', '0', '2024-09-19 05:18:20', '::1', '', '', '', '', 0, '1', '1'),
(24, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-09-19 05:18:57', '::1', '', '', '', '', 0, '1', '1'),
(25, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-09-20 04:42:53', '::1', '', '', '', '', 0, '1', '1'),
(26, 'guest', 'testuser@gmail.com', 0, '', '', '0', '2024-09-21 05:09:56', '::1', '', '', '', '', 0, '1', '1'),
(27, 'guest', 'testuser@gmail.com', 0, '', '', '0', '2024-09-23 05:08:53', '::1', '', '', '', '', 0, '1', '1'),
(28, 'guest', 'testuser@gmail.com', 0, '', '', '0', '2024-09-30 04:44:29', '::1', '', '', '', '', 0, '1', '1'),
(29, 'guest', 'ruchika.sakode@gmail.com', 0, '', '', '0', '2024-10-08 03:52:57', '::1', '', '', '', '', 0, '1', '1'),
(30, 'guest', 'testuser@gmail.com', 0, '', '', '0', '2024-10-08 04:19:02', '::1', '', '', '', '', 0, '1', '1'),
(31, 'guest', 'ruchika.sakode124234@gmail.com', 0, '', '', '0', '2024-10-09 08:12:43', '::1', '', '', '', '', 0, '1', '0'),
(32, 'john doe', 'john.doe@testmail.com', 0, 'ae2b299b1c065b186f8d50869097cbff26ea283b', '', '0', '2024-11-12 05:10:08', '::1', '', '', '', '', 0, '0', '0');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `admin`
--
ALTER TABLE `admin`
  ADD PRIMARY KEY (`ad_id`);

--
-- Indexes for table `affiliates`
--
ALTER TABLE `affiliates`
  ADD PRIMARY KEY (`af_id`);

--
-- Indexes for table `banners`
--
ALTER TABLE `banners`
  ADD PRIMARY KEY (`bn_id`);

--
-- Indexes for table `cart`
--
ALTER TABLE `cart`
  ADD PRIMARY KEY (`cr_id`);

--
-- Indexes for table `checkout`
--
ALTER TABLE `checkout`
  ADD PRIMARY KEY (`ch_id`);

--
-- Indexes for table `complaints`
--
ALTER TABLE `complaints`
  ADD PRIMARY KEY (`cm_id`);

--
-- Indexes for table `country`
--
ALTER TABLE `country`
  ADD PRIMARY KEY (`country_id`);

--
-- Indexes for table `coupons`
--
ALTER TABLE `coupons`
  ADD PRIMARY KEY (`co_id`);

--
-- Indexes for table `enquiries`
--
ALTER TABLE `enquiries`
  ADD PRIMARY KEY (`eq_id`);

--
-- Indexes for table `esimdevices`
--
ALTER TABLE `esimdevices`
  ADD PRIMARY KEY (`ed_id`);

--
-- Indexes for table `faq`
--
ALTER TABLE `faq`
  ADD PRIMARY KEY (`fq_id`);

--
-- Indexes for table `guidelines`
--
ALTER TABLE `guidelines`
  ADD PRIMARY KEY (`gd_id`);

--
-- Indexes for table `inventory`
--
ALTER TABLE `inventory`
  ADD PRIMARY KEY (`i_id`);

--
-- Indexes for table `kyc_details`
--
ALTER TABLE `kyc_details`
  ADD PRIMARY KEY (`k_id`);

--
-- Indexes for table `networks`
--
ALTER TABLE `networks`
  ADD PRIMARY KEY (`nt_id`);

--
-- Indexes for table `offline_customers`
--
ALTER TABLE `offline_customers`
  ADD PRIMARY KEY (`oc_id`);

--
-- Indexes for table `offline_orders`
--
ALTER TABLE `offline_orders`
  ADD PRIMARY KEY (`of_id`);

--
-- Indexes for table `operators`
--
ALTER TABLE `operators`
  ADD PRIMARY KEY (`op_id`);

--
-- Indexes for table `orders`
--
ALTER TABLE `orders`
  ADD PRIMARY KEY (`o_id`);

--
-- Indexes for table `partners`
--
ALTER TABLE `partners`
  ADD PRIMARY KEY (`pt_id`);

--
-- Indexes for table `partner_enquiries`
--
ALTER TABLE `partner_enquiries`
  ADD PRIMARY KEY (`pe_id`);

--
-- Indexes for table `payments`
--
ALTER TABLE `payments`
  ADD PRIMARY KEY (`pm_id`);

--
-- Indexes for table `plans`
--
ALTER TABLE `plans`
  ADD PRIMARY KEY (`pl_id`);

--
-- Indexes for table `privacypolicy`
--
ALTER TABLE `privacypolicy`
  ADD PRIMARY KEY (`pp_id`);

--
-- Indexes for table `product_types`
--
ALTER TABLE `product_types`
  ADD PRIMARY KEY (`p_id`);

--
-- Indexes for table `purchase`
--
ALTER TABLE `purchase`
  ADD PRIMARY KEY (`p_id`);

--
-- Indexes for table `rechargable_topups`
--
ALTER TABLE `rechargable_topups`
  ADD PRIMARY KEY (`tp_id`);

--
-- Indexes for table `refundpolicy`
--
ALTER TABLE `refundpolicy`
  ADD PRIMARY KEY (`rp_id`);

--
-- Indexes for table `regions`
--
ALTER TABLE `regions`
  ADD PRIMARY KEY (`r_id`);

--
-- Indexes for table `sub_complaints`
--
ALTER TABLE `sub_complaints`
  ADD PRIMARY KEY (`sc_id`);

--
-- Indexes for table `suppliers`
--
ALTER TABLE `suppliers`
  ADD PRIMARY KEY (`sp_id`);

--
-- Indexes for table `terms_conditions`
--
ALTER TABLE `terms_conditions`
  ADD PRIMARY KEY (`tc_id`);

--
-- Indexes for table `tickets`
--
ALTER TABLE `tickets`
  ADD PRIMARY KEY (`t_id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`u_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `admin`
--
ALTER TABLE `admin`
  MODIFY `ad_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `affiliates`
--
ALTER TABLE `affiliates`
  MODIFY `af_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `banners`
--
ALTER TABLE `banners`
  MODIFY `bn_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `cart`
--
ALTER TABLE `cart`
  MODIFY `cr_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `checkout`
--
ALTER TABLE `checkout`
  MODIFY `ch_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `complaints`
--
ALTER TABLE `complaints`
  MODIFY `cm_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `country`
--
ALTER TABLE `country`
  MODIFY `country_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `coupons`
--
ALTER TABLE `coupons`
  MODIFY `co_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `enquiries`
--
ALTER TABLE `enquiries`
  MODIFY `eq_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `esimdevices`
--
ALTER TABLE `esimdevices`
  MODIFY `ed_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `faq`
--
ALTER TABLE `faq`
  MODIFY `fq_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `guidelines`
--
ALTER TABLE `guidelines`
  MODIFY `gd_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `inventory`
--
ALTER TABLE `inventory`
  MODIFY `i_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `kyc_details`
--
ALTER TABLE `kyc_details`
  MODIFY `k_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT for table `networks`
--
ALTER TABLE `networks`
  MODIFY `nt_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `offline_customers`
--
ALTER TABLE `offline_customers`
  MODIFY `oc_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `offline_orders`
--
ALTER TABLE `offline_orders`
  MODIFY `of_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `operators`
--
ALTER TABLE `operators`
  MODIFY `op_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `orders`
--
ALTER TABLE `orders`
  MODIFY `o_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `partners`
--
ALTER TABLE `partners`
  MODIFY `pt_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `partner_enquiries`
--
ALTER TABLE `partner_enquiries`
  MODIFY `pe_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `payments`
--
ALTER TABLE `payments`
  MODIFY `pm_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `plans`
--
ALTER TABLE `plans`
  MODIFY `pl_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=26;

--
-- AUTO_INCREMENT for table `privacypolicy`
--
ALTER TABLE `privacypolicy`
  MODIFY `pp_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `product_types`
--
ALTER TABLE `product_types`
  MODIFY `p_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `purchase`
--
ALTER TABLE `purchase`
  MODIFY `p_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `rechargable_topups`
--
ALTER TABLE `rechargable_topups`
  MODIFY `tp_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `refundpolicy`
--
ALTER TABLE `refundpolicy`
  MODIFY `rp_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `regions`
--
ALTER TABLE `regions`
  MODIFY `r_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `sub_complaints`
--
ALTER TABLE `sub_complaints`
  MODIFY `sc_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `suppliers`
--
ALTER TABLE `suppliers`
  MODIFY `sp_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `terms_conditions`
--
ALTER TABLE `terms_conditions`
  MODIFY `tc_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tickets`
--
ALTER TABLE `tickets`
  MODIFY `t_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `u_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=33;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
